
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest16 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test001"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(1.322986057672704d, 1.0924530251561972d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3576674926368109d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test002"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(2.6553645750605033d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test003"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.4007783960505027d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.15238141792569d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test004"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.5937303075983367E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5937303075983367E-9d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test005"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-1.9342813E25f), 5.421011E-20f, 99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test006"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.03388888467389572d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03387592030278968d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test007"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)42.0d);
    java.lang.Throwable[] throwable_array2 = maxCountExceededException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test008"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.MathInternalError mathInternalError1 = new org.apache.commons.math.exception.MathInternalError(throwable0);
    org.apache.commons.math.exception.MathInternalError mathInternalError2 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathInternalError1);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = mathInternalError2.getContext();
    java.lang.String str4 = mathInternalError2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.exception.MathInternalError: internal error, please fill a bug report at https://issues.apache.org/jira/browse/MATH"+ "'", str4.equals("org.apache.commons.math.exception.MathInternalError: internal error, please fill a bug report at https://issues.apache.org/jira/browse/MATH"));

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test009"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    dormandPrince853Integrator4.setMaxGrowth(9.99999999999995E-15d);
    dormandPrince853Integrator4.setMinReduction(0.8656906612586714d);
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction14 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState22 = new org.apache.commons.math.ode.events.EventState(eventHandler15, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution26 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d27 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction14, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver21, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution26);
    int i28 = bracketingNthOrderBrentSolver21.getMaxEvaluations();
    double d29 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator4.addEventHandler(eventHandler9, 1.0544413841537041d, 0.9303903342669483d, (-2081393569), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    double d31 = bracketingNthOrderBrentSolver21.getStartValue();
    double d32 = bracketingNthOrderBrentSolver21.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test010"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, 0.9984367915098936d, 0.8901373289119006d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test011"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(2.398501783497057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.398501783497057d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test012"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 1.3864201357589316d, 28.648021599659433d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test013"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(1.4555735870670923d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test014"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2748734119735194E-306d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test015"); }


    double d2 = org.apache.commons.math.util.FastMath.min(2.14168768474935d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test016"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.010919138494489042d, 8.591531397774963d, (-888018845));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test017"); }


    long long1 = org.apache.commons.math.util.FastMath.abs((-1227324758466374519L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1227324758466374519L);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test018"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(2.0267295451011056d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test019"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(100, 0);
    int i3 = equationsMapper2.getFirstIndex();
    double[] d_array4 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver13 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.03832758877351588d), 0.24796455561297998d, 0.6679147787666397d, 1796381646);
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler5, 0.7928975017032128d, 2.824652160128223d, (-7), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver13);
    double d15 = eventState14.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver23 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState24 = new org.apache.commons.math.ode.events.EventState(eventHandler17, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver23);
    double d25 = eventState24.getConvergence();
    boolean b26 = eventState24.stop();
    double[] d_array33 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array33);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array33);
    double[] d_array39 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator40 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array33, d_array39);
    int i41 = org.apache.commons.math.util.MathUtils.hash(d_array39);
    boolean b42 = eventState24.reset(1.300509906445107d, d_array39);
    double[] d_array49 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array49);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array49);
    double[] d_array55 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array55);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array55);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator58 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array49, d_array55);
    int i59 = org.apache.commons.math.util.MathUtils.hash(d_array55);
    boolean b60 = eventState24.reset(0.9996221167107523d, d_array55);
    boolean b61 = eventState14.reset(1.5862321104386816d, d_array55);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array4, d_array55);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 2.824652160128223d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1160016991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test020"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d9 = bracketingNthOrderBrentSolver8.getMin();
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 1.1462158347805889d, (-36.784749426412844d), 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    double d11 = bracketingNthOrderBrentSolver8.getMin();
    double d12 = bracketingNthOrderBrentSolver8.getFunctionValueAccuracy();
    double d13 = bracketingNthOrderBrentSolver8.getRelativeAccuracy();
    double d14 = bracketingNthOrderBrentSolver8.getAbsoluteAccuracy();
    double d15 = bracketingNthOrderBrentSolver8.getMin();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution19 = org.apache.commons.math.analysis.solvers.AllowedSolution.BELOW_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d20 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1166016511), univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver8, 20.90961899818619d, 0.0d, 20.90961899818619d, allowedSolution19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution19);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test021"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)3.814697265625E-6d, (java.lang.Number)(-0.7499126975210629d), false);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test022"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(1.755599840472341d, (-1.2055229299006902d), 0.5301056692915843d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test023"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.27077193044820097d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 15.514088825291784d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test024"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    dormandPrince853Integrator4.setMaxGrowth(9.99999999999995E-15d);
    double d7 = dormandPrince853Integrator4.getMinReduction();
    dormandPrince853Integrator4.setStepSizeControl(53.144475857009986d, 1.077240763945245d, 0.9000000000000001d, (-6782300.0512052495d));
    double d13 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math.ode.ExpandableStatefulODE expandableStatefulODE14 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator4.integrate(expandableStatefulODE14, (-2.9372533308177045d));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test025"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.8569693519533719d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3560096270221274d);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test026"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.008987486387668074d, (-216006655));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test027"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(4.547474E-13f, 1.5258789E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.547474E-13f);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test028"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    double d15 = dormandPrince853Integrator12.getMinReduction();
    dormandPrince853Integrator12.setMinReduction(2.3984508954893236d);
    double d18 = dormandPrince853Integrator12.getMaxStep();
    dormandPrince853Integrator12.setStepSizeControl(9.999999999999999E-16d, 2.58918741859458d, 0.0d, 57.29577951308232d);
    dormandPrince853Integrator12.setMaxEvaluations(17);
    double d26 = dormandPrince853Integrator12.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 2.3984508954893236d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test029"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.1920928E-7f, 79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.205759E16f);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test030"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-0.604517126510635d));
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-0.604517126510635d)+ "'", number2.equals((-0.604517126510635d)));

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test031"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(8.591531397774963d, (-0.033695038916529696d), 9.365320822440496E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test032"); }


    float f2 = org.apache.commons.math.util.FastMath.max(9.536747E-7f, Float.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536747E-7f);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test033"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-1.2306000526071357d), 0.05592165823892011d, 0.7182818284590454d, (-0.8603041824228294d));
    dormandPrince853Integrator4.setMaxEvaluations((-1749282102));
    dormandPrince853Integrator4.setSafety(0.005158098351952038d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test034"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-0.8401745973586751d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2217668750283874d));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test035"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign((-944219343));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test036"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(throwable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, obj_array5);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Throwable throwable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException(throwable23, localizable24, obj_array26);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException28 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable22, obj_array26);
    org.apache.commons.math.exception.MathInternalError mathInternalError29 = new org.apache.commons.math.exception.MathInternalError(localizable21, obj_array26);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException30 = new org.apache.commons.math.exception.MathArithmeticException(localizable20, obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math.exception.MathIllegalStateException(localizable19, obj_array26);
    org.apache.commons.math.exception.NoBracketingException noBracketingException32 = new org.apache.commons.math.exception.NoBracketingException(localizable14, 9.99999999999995E-15d, Double.NaN, 0.8656906612586714d, 100.0d, obj_array26);
    org.apache.commons.math.exception.NoBracketingException noBracketingException33 = new org.apache.commons.math.exception.NoBracketingException(localizable9, 0.7928400443770229d, 0.2648422477610458d, 0.0d, 0.149947327595365d, obj_array26);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathArithmeticException7, localizable8, obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException35 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test037"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.exception.MathInternalError mathInternalError7 = new org.apache.commons.math.exception.MathInternalError(throwable6);
    org.apache.commons.math.exception.MathInternalError mathInternalError8 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathInternalError7);
    java.lang.Throwable[] throwable_array9 = mathInternalError8.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, (java.lang.Number)3.469446951953614E-18d, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.MathInternalError mathInternalError14 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test038"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.0000882598061547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.000088259806155d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test039"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    dormandPrince853Integrator12.setSafety(0.9050742637938461d);
    int i28 = dormandPrince853Integrator12.getEvaluations();
    int i29 = dormandPrince853Integrator12.getEvaluations();
    double d30 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 6.948840563288701E-8d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test040"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(0.7928975017032128d, 0.03388888467389572d, 2.2250738585072014E-308d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test041"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6216099682706644d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test042"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.6393419121880943d, 2.637091248607809E-4d, 0.10171790900705303d, 1419857);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test043"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator(1.5258789E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test044"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    dormandPrince853Integrator11.setMaxEvaluations((-1));
    java.util.Collection collection14 = dormandPrince853Integrator11.getEventHandlers();
    int i15 = dormandPrince853Integrator11.getEvaluations();
    int i16 = dormandPrince853Integrator11.getMaxEvaluations();
    dormandPrince853Integrator11.setSafety((-1.683073204926466E-8d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 2147483647);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test045"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, (-6782461214293182951L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-6782461214293182951L));

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test046"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(2.0282407E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 103);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test047"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.03293751191789955d, 0.06412673905233604d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.03293751191789955d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test048"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-20), 338217207);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test049"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.5653694177584349E-13d, (java.lang.Number)(-295802387), false);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test050"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.5958231355103651d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-39.94880938530745d));

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test051"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(5.551115123125783E-17d, 0, (-338217207));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test052"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setMinReduction(0.6526194064173303d);
    int i20 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler21 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler21, 0.9155494254642264d, 5.157882567943555d, 1160016991);
    double d26 = dormandPrince853Integrator12.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.6526194064173303d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test053"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(20);
    int i2 = incrementor1.getCount();
    incrementor1.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test054"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10, (java.lang.Number)1.4142135623730951d, true);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(throwable7, localizable8, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, obj_array10);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array10);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException3, localizable4, obj_array10);
    boolean b15 = numberIsTooSmallException3.getBoundIsAllowed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext16 = numberIsTooSmallException3.getContext();
    java.lang.Number number17 = numberIsTooSmallException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 10+ "'", number17.equals(10));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test055"); }


    float f2 = org.apache.commons.math.util.FastMath.min(9.536744E-7f, 2.30584301E18f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536744E-7f);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test056"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.14939357487933233d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test057"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    int i3 = incrementor2.getCount();
    int i4 = incrementor2.getCount();
    incrementor2.setMaximalCount(80);
    int i7 = incrementor2.getCount();
    int i8 = incrementor2.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test058"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-0.6045171265106348d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.010550814242305678d));

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test059"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.8665946169905339d, 1.7254581281349153d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test060"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    double d9 = eventState7.getConvergence();
    double[] d_array11 = null;
    boolean b12 = eventState7.reset(2.0d, d_array11);
    double d13 = eventState7.getMaxCheckInterval();
    boolean b14 = eventState7.stop();
    double[] d_array19 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    int i22 = org.apache.commons.math.util.MathUtils.hash(d_array19);
    // The following exception was thrown during execution in test generation
    try {
      eventState7.stepAccepted(3.1332252112494685d, d_array19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-2081393569));

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test061"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-7.105428E-15f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-7.1054274E-15f));

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test062"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(throwable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test063"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Throwable throwable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(throwable14, localizable15, obj_array17);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, obj_array17);
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError(localizable12, obj_array17);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException(localizable10, obj_array17);
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(localizable5, 9.99999999999995E-15d, Double.NaN, 0.8656906612586714d, 100.0d, obj_array17);
    org.apache.commons.math.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.7928400443770229d, 0.2648422477610458d, 0.0d, 0.149947327595365d, obj_array17);
    java.lang.Throwable[] throwable_array25 = noBracketingException24.getSuppressed();
    double d26 = noBracketingException24.getHi();
    double d27 = noBracketingException24.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.2648422477610458d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test064"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.7347238E-17f, 9.536747E-7f, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test065"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)73.88811926838021d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test066"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(80, 1425117761);
    int i3 = equationsMapper2.getDimension();
    int i4 = equationsMapper2.getFirstIndex();
    int i5 = equationsMapper2.getFirstIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1425117761);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 80);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test067"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 2.718281828459045d, 0.9999869004083374d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test068"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.24543128076471812d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6260994244771982d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test069"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.2956310059306871d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test070"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow((-127), (-23997317543566687L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test071"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-1201490886), 1513055269);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1513055269);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test072"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.421E-14f, 1.44115179E17f, (-1530496838));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test073"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.0000171324009124d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.440443441857049E-6d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test074"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    int i16 = dormandPrince853Integrator12.getOrder();
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    int i18 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    double d26 = bracketingNthOrderBrentSolver25.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler19, (-0.8547534236928802d), 0.7165431927243872d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver25);
    double d28 = dormandPrince853Integrator12.getMinStep();
    double d29 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288706E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 10.0d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test075"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.7168904152415135d), (-36.0d), 36.68260166612488d, 1586880529);
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    double d6 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction12 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction14 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState22 = new org.apache.commons.math.ode.events.EventState(eventHandler15, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution26 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d27 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction14, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver21, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution26);
    double d28 = bracketingNthOrderBrentSolver21.getMin();
    int i29 = bracketingNthOrderBrentSolver21.getMaximalOrder();
    double d30 = bracketingNthOrderBrentSolver21.getStartValue();
    int i31 = bracketingNthOrderBrentSolver21.getMaximalOrder();
    double d32 = bracketingNthOrderBrentSolver21.getRelativeAccuracy();
    int i33 = bracketingNthOrderBrentSolver21.getEvaluations();
    double d34 = bracketingNthOrderBrentSolver21.getAbsoluteAccuracy();
    double d35 = bracketingNthOrderBrentSolver21.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction40 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver44 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7224284372420833d, 0.9275460829514595d, 1513055269);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution48 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d49 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1991475689, univariateRealFunction40, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver44, 0.015109152342730735d, 0.0d, 57.0d, allowedSolution48);
    double d50 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(184331630, univariateRealFunction12, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver21, 0.4399548752819798d, 3.1332252112494685d, 0.032818036347532185d, allowedSolution48);
    // The following exception was thrown during execution in test generation
    try {
      double d51 = bracketingNthOrderBrentSolver4.solve(2106714420, univariateRealFunction8, (-0.8489608409441388d), 0.7554132501604139d, allowedSolution48);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.7168904152415135d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.015109152342730735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.4399548752819798d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test076"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-1023));
    int i2 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test077"); }


    double d2 = org.apache.commons.math.util.Precision.round(0.0d, 981549055);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test078"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = eventState7.getEventHandler();
    double d11 = eventState7.getConvergence();
    double d12 = eventState7.getConvergence();
    double[] d_array17 = new double[] { 1.0d };
    int i18 = org.apache.commons.math.util.MathUtils.hash(d_array17);
    double[] d_array22 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array22);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array22);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array17, d_array22);
    dormandPrince853Integrator25.setMaxEvaluations((-1));
    dormandPrince853Integrator25.setSafety(Double.NaN);
    double[] d_array37 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array37);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array37);
    double[] d_array43 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator44 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array37, d_array43);
    double[] d_array48 = new double[] { 1.0d };
    int i49 = org.apache.commons.math.util.MathUtils.hash(d_array48);
    double[] d_array53 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator56 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array48, d_array53);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    dormandPrince853Integrator25.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array37, d_array53);
    int i59 = org.apache.commons.math.util.MathUtils.hash(d_array53);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    boolean b61 = eventState7.reset(0.004740398317770095d, d_array53);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator62 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b63 = eventState7.evaluateStep(stepInterpolator62);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test079"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.7347235E-17f, 5.684342E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test080"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-0.774855008032581d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.4572820223166536d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test081"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1796381646, maxCountExceededCallback1);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test082"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(0, (-18));
    java.lang.Throwable throwable3 = null;
    // The following exception was thrown during execution in test generation
    try {
      dimensionMismatchException2.addSuppressed(throwable3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test083"); }


    org.apache.commons.math.util.MathUtils.checkFinite(1.8704621303436924d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test084"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0530111330035696d, 0.07011222389235412d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.07011222389235412d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test085"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    int i10 = eventState7.getMaxIterationCount();
    double d11 = eventState7.getEventTime();
    int i12 = eventState7.getMaxIterationCount();
    double d13 = eventState7.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler14 = eventState7.getEventHandler();
    int i15 = eventState7.getMaxIterationCount();
    double d16 = eventState7.getMaxCheckInterval();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator17 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState7.reinitializeBegin(stepInterpolator17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.4142135623730951d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test086"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(2.043946209510078d, (-2094779535));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test087"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(273.00000000000006d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test088"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(80.00001f, 80.0f, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test089"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 0.2d, 4.741297982545108d, (-36.784749426412844d));
    double d5 = dormandPrince853Integrator4.getCurrentStepStart();
    int i6 = dormandPrince853Integrator4.getEvaluations();
    java.lang.String str7 = dormandPrince853Integrator4.getName();
    java.lang.String str8 = dormandPrince853Integrator4.getName();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler9 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler9);
    dormandPrince853Integrator4.setMaxEvaluations((-928917839));
    java.lang.String str13 = dormandPrince853Integrator4.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str7.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str8.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test090"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d5 = bracketingNthOrderBrentSolver2.getStartValue();
    double d6 = bracketingNthOrderBrentSolver2.getMin();
    int i7 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d8 = bracketingNthOrderBrentSolver2.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test091"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.008548939914760965d, 0.8726646259971648d, 562220405);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test092"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(6782461214293182951L, (-912718246));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test093"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.977721475578408d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test094"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(0.9883416845678049d, 0.010298664404417401d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9883416845678049d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test095"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(5.157882567943555d, 0.03728574043623492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test096"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(Double.POSITIVE_INFINITY, 0.1505149978319906d, 0.7928400443770229d, 9.999999999999989E-16d);
    int i5 = dormandPrince853Integrator4.getOrder();
    dormandPrince853Integrator4.setSafety(1.0943609911779717d);
    org.apache.commons.math.ode.ExpandableStatefulODE expandableStatefulODE8 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator4.integrate(expandableStatefulODE8, 1.6913690340729381d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 8);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test097"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 0.8428622551066925d, 0.22514499196741902d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test098"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    java.util.Collection collection12 = dormandPrince853Integrator4.getStepHandlers();
    dormandPrince853Integrator4.setInitialStepSize(0.0d);
    dormandPrince853Integrator4.setMinReduction(0.8494822806722442d);
    org.apache.commons.math.ode.events.EventHandler eventHandler17 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler17, 0.0d, 0.8586638839383994d, (-721364312));
    double[] d_array24 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState32 = new org.apache.commons.math.ode.events.EventState(eventHandler25, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver31);
    double d33 = eventState32.getMaxCheckInterval();
    double[] d_array40 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array40);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array40);
    double[] d_array46 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator47 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array40, d_array46);
    boolean b48 = eventState32.reset(4.862269934658958d, d_array46);
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator4.setStepSizeControl(1.7453292519943295E-16d, 0.0d, d_array24, d_array46);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test099"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.8652078148536108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8652078148536108d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test100"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(1.44115179E17f, 1.7347238E-17f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test101"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 0.13077923072973377d, (-13.815510557964274d), 1017118720);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = bracketingNthOrderBrentSolver4.solve(465221241, univariateRealFunction6, 1.00044731361773d, 0.018399777233773094d, 0.015109152342730737d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test102"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(7.629395E-6f, (-1.9342813E25f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test103"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.9500137466265225d, 8.757464071767462d, 1.6405261402250988d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test104"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.6795226183513846d, 0.149947327595365d, 0.881373587019543d, 1796381646);
    int i5 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    double d6 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.6795226183513846d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test105"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getMin();
    double d5 = bracketingNthOrderBrentSolver2.getStartValue();
    int i6 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test106"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(2.2250738585072014E-308d, 1.2596508914902838E-16d, 0.059266403869008374d, 9.99999999999995E-15d);
    double d5 = noBracketingException4.getLo();
    double d6 = noBracketingException4.getHi();
    java.lang.String str7 = noBracketingException4.toString();
    double d8 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.2596508914902838E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [0, 0], values: [0.059, 0]"+ "'", str7.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [0, 0], values: [0.059, 0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test107"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo((-0.13371849157626797d), 4.4575140018518E-6d, (-5));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test108"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(5.6E-45f, 1.19209275E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test109"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.9019113939195692d, 0.6526194064173303d, 1.6521772095592897d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test110"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.exception.MathInternalError mathInternalError6 = new org.apache.commons.math.exception.MathInternalError(throwable5);
    org.apache.commons.math.exception.MathInternalError mathInternalError7 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathInternalError6);
    java.lang.Throwable[] throwable_array8 = mathInternalError7.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException(localizable3, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(throwable1, localizable2, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.074821247416054d, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test111"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    int i15 = dormandPrince853Integrator12.getOrder();
    dormandPrince853Integrator12.setMaxEvaluations(0);
    dormandPrince853Integrator12.setMaxEvaluations((-59));
    int i20 = dormandPrince853Integrator12.getOrder();
    double d21 = dormandPrince853Integrator12.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.7763568394002505E-15d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test112"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(104);
    incrementor1.resetCount();

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test113"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1072693279, maxCountExceededCallback1);
    incrementor2.setMaximalCount((-24));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test114"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(throwable7, localizable8, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, obj_array10);
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError(localizable5, obj_array10);
    java.lang.Throwable[] throwable_array14 = mathInternalError13.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array14);
    org.apache.commons.math.exception.MathInternalError mathInternalError16 = new org.apache.commons.math.exception.MathInternalError(localizable2, (java.lang.Object[])throwable_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)0.27771479650866426d, (java.lang.Object[])throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test115"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.4142135623730951d, (-0.14354535577878913d), (-708.396418532264d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test116"); }


    float f2 = org.apache.commons.math.util.FastMath.max((-1.0f), 1.7347235E-17f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.7347235E-17f);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test117"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.05592165823892011d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.760170594441698E-4d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test118"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.9988580187288366d, 1.650982608457327d, 1.8704621303436924d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test119"); }


    float f2 = org.apache.commons.math.util.Precision.round(80.00001f, 536870913);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test120"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 1);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 1502190419);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 1502190419);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, bigInteger15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)bigInteger6);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, (-30));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test121"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.324606059907023d, 0.055921658238920126d, 7.805349828880882E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test122"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = eventState7.getEventHandler();
    double d11 = eventState7.getConvergence();
    double d12 = eventState7.getEventTime();
    boolean b13 = eventState7.stop();
    double d14 = eventState7.getConvergence();
    boolean b15 = eventState7.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = eventState7.getEventHandler();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator17 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState7.reinitializeBegin(stepInterpolator17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler16);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test123"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.8414709848078965d), 4.320283516418291d, (-0.05162684148983704d), 57.0d);
    double d5 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler6 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.906670717562375d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test124"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(2.0267295451011056d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1124380246539625d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test125"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.005853672925110876d, 8.673617379884035E-19d, (-1593008450));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test126"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution17 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d18 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction5, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver12, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution17);
    int i19 = bracketingNthOrderBrentSolver12.getMaxEvaluations();
    double d20 = bracketingNthOrderBrentSolver12.getMin();
    org.apache.commons.math.ode.events.EventState eventState21 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.018760270073627384d, 1.4210854715202004E-14d, 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction23 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d25 = bracketingNthOrderBrentSolver12.solve(1017118720, univariateRealFunction23, 2.323796096170809d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test127"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler26 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler26);
    double d28 = dormandPrince853Integrator12.getMinReduction();
    int i29 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setSafety(7.805349828880882E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test128"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    int i14 = dormandPrince853Integrator12.getOrder();
    double d15 = dormandPrince853Integrator12.getSafety();
    dormandPrince853Integrator12.setMinReduction(2.0d);
    double d18 = dormandPrince853Integrator12.getSafety();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i26 = bracketingNthOrderBrentSolver25.getMaximalOrder();
    double d27 = bracketingNthOrderBrentSolver25.getStartValue();
    double d28 = bracketingNthOrderBrentSolver25.getStartValue();
    double d29 = bracketingNthOrderBrentSolver25.getMax();
    double d30 = bracketingNthOrderBrentSolver25.getFunctionValueAccuracy();
    dormandPrince853Integrator12.addEventHandler(eventHandler19, 0.0d, 65.67332974399223d, 8, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0E-15d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test129"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.3440585709080678E43d, (-0.7168904152415135d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.3440585709080678E43d));

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test130"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.9914605777790203d, 0.6575096400240176d, (-2.0717321293763886d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4331541470593385d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test131"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-17.624197339933545d), (-0.9023980867995078d), 0.9999869004083374d, 2068654301);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test132"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator((-956191141));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test133"); }


    float f2 = org.apache.commons.math.util.FastMath.min(80.000015f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test134"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    dormandPrince853Integrator12.setSafety(0.9050742637938461d);
    int i28 = dormandPrince853Integrator12.getEvaluations();
    int i29 = dormandPrince853Integrator12.getMaxEvaluations();
    double d30 = dormandPrince853Integrator12.getSafety();
    org.apache.commons.math.ode.ExpandableStatefulODE expandableStatefulODE31 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator12.integrate(expandableStatefulODE31, (-0.7567134679916091d));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.9050742637938461d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test135"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(1072693249);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test136"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.7774963181212152d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6608677739118904d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test137"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.4210856E-14f, 1.0f, 2.30584301E18f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test138"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.18232155679395465d, 0.6709319257424108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.18232155679395465d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test139"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(3.73378329738098d, 0.8018532348993415d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.875938624939697d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test140"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 0.2d, 4.741297982545108d, (-36.784749426412844d));
    double d5 = dormandPrince853Integrator4.getCurrentStepStart();
    int i6 = dormandPrince853Integrator4.getEvaluations();
    double d7 = dormandPrince853Integrator4.getMaxGrowth();
    java.util.Collection collection8 = dormandPrince853Integrator4.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection8);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test141"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.018760270073627384d), 1.0068809591259795d, 1.3443543105261753d, 0.49206005340967884d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test142"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(2.8E-45f, 859997567);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test143"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.862269934658958d, 8);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 4.862269934658958d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 8);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test144"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    int i16 = dormandPrince853Integrator12.getOrder();
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    int i18 = dormandPrince853Integrator12.getMaxEvaluations();
    int i19 = dormandPrince853Integrator12.getOrder();
    int i20 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setMaxGrowth(0.5826301331800544d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 2147483647);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test145"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(51.58374127547342d, 0, (-180531597));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test146"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(0, (-24));
    double[] d_array3 = null;
    double[] d_array11 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    double[] d_array17 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator18 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array11, d_array17);
    int i19 = org.apache.commons.math.util.MathUtils.hash(d_array17);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array17);
    double[] d_array26 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array26);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array26);
    double[] d_array32 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array26, d_array32);
    int i34 = dormandPrince853Integrator33.getEvaluations();
    double d35 = dormandPrince853Integrator33.getCurrentStepStart();
    double[] d_array41 = new double[] { 1.0d };
    int i42 = org.apache.commons.math.util.MathUtils.hash(d_array41);
    double[] d_array46 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator49 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array41, d_array46);
    double[] d_array55 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array55);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array55);
    double[] d_array61 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator62 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array55, d_array61);
    int i63 = dormandPrince853Integrator62.getEvaluations();
    double d64 = dormandPrince853Integrator62.getCurrentSignedStepsize();
    int i65 = dormandPrince853Integrator62.getEvaluations();
    double[] d_array73 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array73);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array73);
    double[] d_array79 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator80 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array73, d_array79);
    double[] d_array84 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array84);
    dormandPrince853Integrator62.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array79, d_array84);
    dormandPrince853Integrator33.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array41, d_array79);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator88 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(4.0d, 6.948840804720633E-8d, d_array17, d_array41);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.insertEquationData(d_array3, d_array17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1160016991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test147"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(355026449, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test148"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.clearEventHandlers();
    double d25 = dormandPrince853Integrator12.getMaxStep();
    double d26 = dormandPrince853Integrator12.getMaxStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 2.718281828459045d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test149"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(1.0368451053218994d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5184225526609497d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test150"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver10 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d11 = bracketingNthOrderBrentSolver10.getRelativeAccuracy();
    int i12 = bracketingNthOrderBrentSolver10.getEvaluations();
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 1.1462158347805889d, 0.8813735870195429d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver10);
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, (-0.0d), (-18), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver10);
    double d15 = bracketingNthOrderBrentSolver10.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test151"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.6919384580555945d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9926712612879596d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test152"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(throwable9, localizable10, obj_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, obj_array12);
    org.apache.commons.math.exception.MathInternalError mathInternalError15 = new org.apache.commons.math.exception.MathInternalError(localizable7, obj_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable5, (java.lang.Number)(short)0, obj_array12);
    org.apache.commons.math.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 4.641738519416506d, 0.015109152342730735d, 0.13971613923522394d, 3.2205250129143517d, obj_array12);
    double d18 = noBracketingException17.getLo();
    double d19 = noBracketingException17.getFLo();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 4.641738519416506d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.13971613923522394d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test153"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i3 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d4 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i5 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d6 = bracketingNthOrderBrentSolver2.getMin();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver2.solve((-318240364), univariateRealFunction8, (-1.5707961793522895d), (-1.5707961793522898d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test154"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    int i10 = dormandPrince853Integrator4.getOrder();
    double d11 = dormandPrince853Integrator4.getMaxStep();
    double d12 = dormandPrince853Integrator4.getCurrentStepStart();
    int i13 = dormandPrince853Integrator4.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.7615941559557649d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 2147483647);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test155"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i3 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d4 = bracketingNthOrderBrentSolver2.getMax();
    int i5 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d6 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d7 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test156"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.setStepSizeControl((-0.7615941559557649d), 0.0d, 1.2596508914902838E-16d, 1.300509906445107d);
    double d21 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d22 = dormandPrince853Integrator12.getCurrentStepStart();
    int i23 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setMinReduction(0.6679147787666397d);
    dormandPrince853Integrator12.setInitialStepSize(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test157"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.2748734119735194E-306d, 2.0947026851396415E7d, (-46));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test158"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(80, 1425117761);
    int i3 = equationsMapper2.getDimension();
    int i4 = equationsMapper2.getFirstIndex();
    double[] d_array12 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array12);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array12);
    double[] d_array18 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator19 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array12, d_array18);
    int i20 = org.apache.commons.math.util.MathUtils.hash(d_array18);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver28 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState29 = new org.apache.commons.math.ode.events.EventState(eventHandler22, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver28);
    double d30 = eventState29.getMaxCheckInterval();
    double[] d_array37 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array37);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array37);
    double[] d_array43 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator44 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array37, d_array43);
    boolean b45 = eventState29.reset(4.862269934658958d, d_array43);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator46 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.5707963086763803d, 0.0d, d_array18, d_array43);
    org.apache.commons.math.ode.events.EventHandler eventHandler47 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver53 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState54 = new org.apache.commons.math.ode.events.EventState(eventHandler47, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver53);
    double d55 = eventState54.getConvergence();
    boolean b56 = eventState54.stop();
    int i57 = eventState54.getMaxIterationCount();
    double d58 = eventState54.getEventTime();
    int i59 = eventState54.getMaxIterationCount();
    double d60 = eventState54.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler61 = eventState54.getEventHandler();
    int i62 = eventState54.getMaxIterationCount();
    double[] d_array64 = new double[] {  };
    boolean b65 = eventState54.reset(0.7336545584598234d, d_array64);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array18, d_array64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1425117761);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1160016991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test159"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.5286577595782115E-308d, 3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5286577595782115E-308d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test160"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.6997433175380419d, 354795.38436500815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 177398.04205416286d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test161"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.03291371557103406d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.885816990314272d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test162"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    double[] d_array20 = new double[] { 1.0d };
    int i21 = org.apache.commons.math.util.MathUtils.hash(d_array20);
    double[] d_array25 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array20, d_array25);
    double[] d_array34 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    double[] d_array40 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array34, d_array40);
    int i42 = dormandPrince853Integrator41.getEvaluations();
    double d43 = dormandPrince853Integrator41.getCurrentSignedStepsize();
    int i44 = dormandPrince853Integrator41.getEvaluations();
    double[] d_array52 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array52);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array52);
    double[] d_array58 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator59 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array52, d_array58);
    double[] d_array63 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array63);
    dormandPrince853Integrator41.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array58, d_array63);
    dormandPrince853Integrator12.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array20, d_array58);
    java.util.Collection collection67 = dormandPrince853Integrator12.getEventHandlers();
    double d68 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.clearStepHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler70 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler70, (-0.7168904152415135d), 57.29577951308232d, (-1));
    dormandPrince853Integrator12.setStepSizeControl(1.7182628694325657d, 0.7224284372420833d, 0.6479956183543938d, 1.000018225105329d);
    dormandPrince853Integrator12.setSafety(1.0867617493061845d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 10.0d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test163"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-47), 1991475689);
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException14 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array15 = tooManyEvaluationsException14.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable11, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(localizable10, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, (java.lang.Object[])throwable_array15);
    java.lang.Throwable[] throwable_array19 = mathIllegalArgumentException18.getSuppressed();
    org.apache.commons.math.exception.NoBracketingException noBracketingException20 = new org.apache.commons.math.exception.NoBracketingException(localizable4, (-0.7612300442463679d), 0.7798252495435847d, (-0.7182818284590454d), 1.4142135623730951d, (java.lang.Object[])throwable_array19);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)dimensionMismatchException2, localizable3, (java.lang.Object[])throwable_array19);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext22 = mathIllegalStateException21.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext22);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test164"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.783527087486949d, 1.188353167189017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.423410673977805d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test165"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 9.999999999999989E-16d, (-2.197085339833563d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test166"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, number1, (java.lang.Number)10.000002f, true);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    boolean b7 = numberIsTooLargeException4.getBoundIsAllowed();
    boolean b8 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number9 = numberIsTooLargeException4.getMax();
    java.lang.Number number10 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 10.000002f+ "'", number9.equals(10.000002f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 10.000002f+ "'", number10.equals(10.000002f));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test167"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 0.6992173646386854d, 0.9980099026131617d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test168"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException11 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array12 = tooManyEvaluationsException11.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable8, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, (java.lang.Object[])throwable_array12);
    java.lang.Throwable[] throwable_array16 = mathIllegalArgumentException15.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.13971613923522394d, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)throwable_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)7.779829578606251E-8d, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, (java.lang.Number)0.9860395625712818d, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(-1098907647), (java.lang.Object[])throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test169"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    dormandPrince853Integrator11.setMaxEvaluations((-1));
    dormandPrince853Integrator11.setSafety(Double.NaN);
    double[] d_array23 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    double[] d_array29 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array23, d_array29);
    double[] d_array34 = new double[] { 1.0d };
    int i35 = org.apache.commons.math.util.MathUtils.hash(d_array34);
    double[] d_array39 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator42 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array34, d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    dormandPrince853Integrator11.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array23, d_array39);
    org.apache.commons.math.ode.events.EventHandler eventHandler45 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler49 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver55 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState56 = new org.apache.commons.math.ode.events.EventState(eventHandler49, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    dormandPrince853Integrator11.addEventHandler(eventHandler45, 1.054229579476095d, 100.0d, (-20), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    double d58 = dormandPrince853Integrator11.getMinReduction();
    dormandPrince853Integrator11.setInitialStepSize(1.0E-15d);
    int i61 = dormandPrince853Integrator11.getOrder();
    dormandPrince853Integrator11.clearStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 8);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test170"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException(throwable8, localizable9, obj_array11);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable7, obj_array11);
    org.apache.commons.math.exception.MathInternalError mathInternalError14 = new org.apache.commons.math.exception.MathInternalError(localizable6, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(localizable3, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)(-0.4392420037409799d), obj_array11);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test171"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.881373587019543d, 0.0d, 0.0d, 0.9913289158005998d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = noBracketingException4.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError6 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 1);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 1502190419);
    java.math.BigInteger bigInteger14 = null;
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 0L);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1);
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 1502190419);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 1502190419);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, bigInteger22);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException26 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)bigInteger22, (java.lang.Number)0.761594155955765d, true);
    noBracketingException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException26);
    java.lang.Throwable[] throwable_array28 = noBracketingException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test172"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    dormandPrince853Integrator4.setMaxGrowth(9.99999999999995E-15d);
    dormandPrince853Integrator4.setMinReduction(0.8656906612586714d);
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction14 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState22 = new org.apache.commons.math.ode.events.EventState(eventHandler15, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution26 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d27 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction14, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver21, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution26);
    int i28 = bracketingNthOrderBrentSolver21.getMaxEvaluations();
    double d29 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator4.addEventHandler(eventHandler9, 1.0544413841537041d, 0.9303903342669483d, (-2081393569), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    int i31 = bracketingNthOrderBrentSolver21.getMaximalOrder();
    double d32 = bracketingNthOrderBrentSolver21.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test173"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0f, 9.536747E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test174"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver10 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d11 = bracketingNthOrderBrentSolver10.getMin();
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 1.1462158347805889d, (-36.784749426412844d), 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver10);
    double d13 = bracketingNthOrderBrentSolver10.getMin();
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.6847785255235502d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver10);
    double d15 = bracketingNthOrderBrentSolver10.getMin();
    double d16 = bracketingNthOrderBrentSolver10.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test175"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    java.util.Collection collection15 = dormandPrince853Integrator12.getEventHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver22 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d23 = bracketingNthOrderBrentSolver22.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler16, 1.6430652399243957d, 0.7924473533734637d, 1586880529, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver22);
    int i25 = bracketingNthOrderBrentSolver22.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction27 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d31 = bracketingNthOrderBrentSolver22.solve(0, univariateRealFunction27, (-0.7774608266877528d), (-36.6105268755782d), 1.0778508051683775d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test176"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 0.7442884687725768d, 1.9377047211159066E-18d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test177"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(1.2818210639260053d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test178"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.05592165823892013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.25241995898385d));

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test179"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 0.5403023058681422d, (-0.007178648929446022d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test180"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.884864366154897E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000188486438d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test181"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(8.4703295E-22f, 3.4028233E38f, (-9));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test182"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(7.629394E-6f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.629394E-6f);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test183"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-0.0012582123643330115d), 1.1094027756605345d, 15.088784229270924d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test184"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver10 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState11 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver10);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution15 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d16 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction3, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver10, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution15);
    double d17 = bracketingNthOrderBrentSolver10.getMin();
    double d18 = bracketingNthOrderBrentSolver10.getRelativeAccuracy();
    int i19 = bracketingNthOrderBrentSolver10.getEvaluations();
    int i20 = bracketingNthOrderBrentSolver10.getEvaluations();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution24 = org.apache.commons.math.analysis.solvers.AllowedSolution.LEFT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d25 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-64), univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver10, (-0.010550814242305678d), 0.0d, 0.20557325664293657d, allowedSolution24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution24);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test185"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback3 = null;
    org.apache.commons.math.util.Incrementor incrementor4 = new org.apache.commons.math.util.Incrementor(1648960001, maxCountExceededCallback3);
    incrementor4.incrementCount(10);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Throwable throwable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException(throwable17, localizable18, obj_array20);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable16, obj_array20);
    org.apache.commons.math.exception.MathInternalError mathInternalError23 = new org.apache.commons.math.exception.MathInternalError(localizable15, obj_array20);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException24 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable13, (java.lang.Number)(short)0, obj_array20);
    org.apache.commons.math.exception.NoBracketingException noBracketingException25 = new org.apache.commons.math.exception.NoBracketingException(localizable8, 4.641738519416506d, 0.015109152342730735d, 0.13971613923522394d, 3.2205250129143517d, obj_array20);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)10, localizable7, obj_array20);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test186"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    int i23 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setSafety((-1.109632814917221d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 2147483647);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test187"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    int i24 = bracketingNthOrderBrentSolver21.getEvaluations();
    double d25 = bracketingNthOrderBrentSolver21.getRelativeAccuracy();
    double d26 = bracketingNthOrderBrentSolver21.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test188"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.24088895540341923d, (java.lang.Number)0.40616425625444424d, true);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test189"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(7.703719777548943E-34d, 0.8312858940495671d, 1.077240763945245d, 0.8740325992077378d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test190"); }


    int i1 = org.apache.commons.math.util.FastMath.round(80.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 80);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test191"); }


    double d2 = org.apache.commons.math.util.Precision.round(1.3127600831788682d, (-8));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test192"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 1.1709533984345282d, 1.000088259806155d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test193"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 0.0d, 104);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution9 = org.apache.commons.math.analysis.solvers.AllowedSolution.LEFT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = bracketingNthOrderBrentSolver3.solve(17855169, univariateRealFunction5, 0.20048384656091295d, 0.5213650110107944d, 1.5172796769489039d, allowedSolution9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution9);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test194"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 0.015108108119652209d, 8.75856379437556E-307d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test195"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.05751305758617531d, 0.8369082414395024d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test196"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.0d, (-318240364));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test197"); }


    long long2 = org.apache.commons.math.util.FastMath.max(7660165948671415223L, 3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7660165948671415223L);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test198"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.0d, 0.9275460829514595d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test199"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 2147483647, (-295802387));
    java.lang.Number number4 = dimensionMismatchException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 2147483647+ "'", number4.equals(2147483647));

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test200"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-6782461214293182951L), 100039262734684401L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100039262734684401L);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test201"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.4964235586200471d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4762838565598243d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test202"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number1, true);
    java.lang.String str4 = numberIsTooLargeException3.toString();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math.exception.MathIllegalStateException();
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)mathIllegalStateException5);
    java.lang.Number number7 = numberIsTooLargeException3.getMax();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)numberIsTooLargeException3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.exception.NumberIsTooLargeException: -0.762 is larger than the maximum (null)"+ "'", str4.equals("org.apache.commons.math.exception.NumberIsTooLargeException: -0.762 is larger than the maximum (null)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test203"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-338217207), maxCountExceededCallback1);
    incrementor2.setMaximalCount(0);
    int i5 = incrementor2.getMaximalCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor2.incrementCount();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test204"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d7 = bracketingNthOrderBrentSolver6.getRelativeAccuracy();
    int i8 = bracketingNthOrderBrentSolver6.getEvaluations();
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.1462158347805889d, 0.8813735870195429d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = bracketingNthOrderBrentSolver6.solve(3, univariateRealFunction11, 2.0947026851396415E7d, 1.3012077746374293d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test205"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler5 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler5);
    double d7 = dormandPrince853Integrator4.getMaxStep();
    dormandPrince853Integrator4.clearEventHandlers();
    int i9 = dormandPrince853Integrator4.getEvaluations();
    double d10 = dormandPrince853Integrator4.getMaxStep();
    int i11 = dormandPrince853Integrator4.getMaxEvaluations();
    java.util.Collection collection12 = dormandPrince853Integrator4.getStepHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.6045171265106349d), 1.0E-7d, (-0.4282705633757304d), 5);
    double d26 = bracketingNthOrderBrentSolver25.getMin();
    org.apache.commons.math.ode.events.EventState eventState27 = new org.apache.commons.math.ode.events.EventState(eventHandler17, 1.2246467991473532E-16d, (-3.141592653589793d), 1502190419, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver25);
    double d28 = bracketingNthOrderBrentSolver25.getMax();
    double d29 = bracketingNthOrderBrentSolver25.getRelativeAccuracy();
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 0.5968501485036203d, 0.0d, 981549055, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver25);
    double d31 = bracketingNthOrderBrentSolver25.getMax();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction33 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d36 = bracketingNthOrderBrentSolver25.solve(0, univariateRealFunction33, 1.4210854715202004E-14d, 0.8144772166995126d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9155494254642262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.9155494254642262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == (-0.6045171265106349d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test206"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    double d9 = eventState7.getConvergence();
    double d10 = eventState7.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler11 = eventState7.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler12 = eventState7.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = eventState7.getEventHandler();
    double d14 = eventState7.getMaxCheckInterval();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator15 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState7.reinitializeBegin(stepInterpolator15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.4142135623730951d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test207"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.7347235E-17f, 6.938226606183777E-52d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.7347233E-17f);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test208"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.3042122616223025d, (-0.9023980867995078d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test209"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d7 = bracketingNthOrderBrentSolver6.getMin();
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.1462158347805889d, (-36.784749426412844d), 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d9 = bracketingNthOrderBrentSolver6.getMin();
    double d10 = bracketingNthOrderBrentSolver6.getFunctionValueAccuracy();
    int i11 = bracketingNthOrderBrentSolver6.getMaximalOrder();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction13 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction17 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver18 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i19 = bracketingNthOrderBrentSolver18.getEvaluations();
    double d20 = bracketingNthOrderBrentSolver18.getFunctionValueAccuracy();
    double d21 = bracketingNthOrderBrentSolver18.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction26 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver27 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution31 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d32 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(10, univariateRealFunction26, bracketedUnivariateRealSolver27, 100.0d, 1.1102230246251565E-16d, 100.0d, allowedSolution31);
    double d33 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1017118720, univariateRealFunction17, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver18, 1.3711318613053713d, 0.007178648929446022d, 0.0d, allowedSolution31);
    // The following exception was thrown during execution in test generation
    try {
      double d34 = bracketingNthOrderBrentSolver6.solve((-850603905), univariateRealFunction13, 0.999999999999997d, 4.286941694844012d, allowedSolution31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.3711318613053713d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test210"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)4.4575140018518E-6d);
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    java.lang.Number number4 = notStrictlyPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 4.4575140018518E-6d+ "'", number4.equals(4.4575140018518E-6d));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test211"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(0L, 482470973);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test212"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(2.824652160128223d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3279973355222944d));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test213"); }


    int i2 = org.apache.commons.math.util.FastMath.min(17, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test214"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(2117164448, 100);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test215"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(2.4178516E24f, 1.7347238E-17f, 3.4028235E38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test216"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.41361d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4389299124917665d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test217"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = eventState7.getEventHandler();
    boolean b11 = eventState7.stop();
    double[] d_array18 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    double[] d_array24 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array18, d_array24);
    int i26 = dormandPrince853Integrator25.getEvaluations();
    double d27 = dormandPrince853Integrator25.getCurrentStepStart();
    double[] d_array33 = new double[] { 1.0d };
    int i34 = org.apache.commons.math.util.MathUtils.hash(d_array33);
    double[] d_array38 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array38);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array38);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array33, d_array38);
    double[] d_array47 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    double[] d_array53 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator54 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array47, d_array53);
    int i55 = dormandPrince853Integrator54.getEvaluations();
    double d56 = dormandPrince853Integrator54.getCurrentSignedStepsize();
    int i57 = dormandPrince853Integrator54.getEvaluations();
    double[] d_array65 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array65);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array65);
    double[] d_array71 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator72 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array65, d_array71);
    double[] d_array76 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array76);
    dormandPrince853Integrator54.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array71, d_array76);
    dormandPrince853Integrator25.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array33, d_array71);
    boolean b80 = eventState7.reset(0.9999930253396107d, d_array33);
    double[] d_array87 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array87);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array87);
    double[] d_array93 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator94 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array87, d_array93);
    int i95 = org.apache.commons.math.util.MathUtils.hash(d_array93);
    boolean b96 = eventState7.reset((-0.4392420037409799d), d_array93);
    double d97 = eventState7.getEventTime();
    double d98 = eventState7.getConvergence();
    double d99 = eventState7.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i95 == 1160016991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b96 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d98 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d99 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test218"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(1072693279, 1160016991);
    org.apache.commons.math.exception.MathInternalError mathInternalError3 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)dimensionMismatchException2);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext4 = mathInternalError3.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = mathInternalError3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test219"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1502190419);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1502190419);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 5L);
    java.math.BigInteger bigInteger14 = null;
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 0L);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1072693279);
    java.math.BigInteger bigInteger19 = null;
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 0L);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, 1072693279);
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, bigInteger21);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 0);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, bigInteger16);
    java.math.BigInteger bigInteger28 = null;
    java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger28, 0L);
    java.math.BigInteger bigInteger32 = org.apache.commons.math.util.MathUtils.pow(bigInteger30, 1072693279);
    java.math.BigInteger bigInteger34 = org.apache.commons.math.util.MathUtils.pow(bigInteger30, 0L);
    java.math.BigInteger bigInteger35 = null;
    java.math.BigInteger bigInteger37 = org.apache.commons.math.util.MathUtils.pow(bigInteger35, 0L);
    java.math.BigInteger bigInteger39 = org.apache.commons.math.util.MathUtils.pow(bigInteger37, 1);
    java.math.BigInteger bigInteger41 = org.apache.commons.math.util.MathUtils.pow(bigInteger39, 1502190419);
    java.math.BigInteger bigInteger43 = org.apache.commons.math.util.MathUtils.pow(bigInteger39, 1502190419);
    java.math.BigInteger bigInteger45 = org.apache.commons.math.util.MathUtils.pow(bigInteger39, 0L);
    java.math.BigInteger bigInteger47 = org.apache.commons.math.util.MathUtils.pow(bigInteger45, 5L);
    java.math.BigInteger bigInteger48 = org.apache.commons.math.util.MathUtils.pow(bigInteger30, bigInteger45);
    java.math.BigInteger bigInteger49 = org.apache.commons.math.util.MathUtils.pow(bigInteger27, bigInteger30);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException52 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)bigInteger30, (java.lang.Number)(-4.315796702640858d), false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger49);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test220"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d5 = bracketingNthOrderBrentSolver2.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i13 = bracketingNthOrderBrentSolver12.getEvaluations();
    double d14 = bracketingNthOrderBrentSolver12.getFunctionValueAccuracy();
    double d15 = bracketingNthOrderBrentSolver12.getRelativeAccuracy();
    int i16 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    double d17 = bracketingNthOrderBrentSolver12.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction22 = null;
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator27 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    dormandPrince853Integrator27.setMaxGrowth(9.99999999999995E-15d);
    dormandPrince853Integrator27.setMinReduction(0.8656906612586714d);
    org.apache.commons.math.ode.events.EventHandler eventHandler32 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction37 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler38 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver44 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState45 = new org.apache.commons.math.ode.events.EventState(eventHandler38, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver44);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution49 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d50 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction37, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver44, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution49);
    int i51 = bracketingNthOrderBrentSolver44.getMaxEvaluations();
    double d52 = bracketingNthOrderBrentSolver44.getMin();
    dormandPrince853Integrator27.addEventHandler(eventHandler32, 1.0544413841537041d, 0.9303903342669483d, (-2081393569), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver44);
    int i54 = bracketingNthOrderBrentSolver44.getMaximalOrder();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction59 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler60 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver66 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState67 = new org.apache.commons.math.ode.events.EventState(eventHandler60, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver66);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution71 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d72 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction59, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver66, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution71);
    double d73 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-20), univariateRealFunction22, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver44, 1.0243029014333047d, (-0.8353314733650533d), 354795.38436500815d, allowedSolution71);
    double d74 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-888018845), univariateRealFunction11, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver12, 1.6430652399243957d, 0.027960829119460056d, 1.198987063275175E24d, allowedSolution71);
    // The following exception was thrown during execution in test generation
    try {
      double d75 = bracketingNthOrderBrentSolver2.solve((-1005), univariateRealFunction7, 0.8353314733650533d, 3282.806350011744d, allowedSolution71);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.0243029014333047d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.6430652399243957d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test221"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d5 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i6 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d7 = bracketingNthOrderBrentSolver2.getMin();
    double d8 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test222"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.122462048309373d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.122462048309373d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test223"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.1505149978319906d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1624327389433193d);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test224"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(2.81474977E14f, 0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test225"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver4 = null;
    org.apache.commons.math.ode.events.EventState eventState5 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.9500137466265225d, (-0.05483113556160754d), 1341718977, univariateRealSolver4);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test226"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 0.2d, 4.741297982545108d, (-36.784749426412844d));
    double d5 = dormandPrince853Integrator4.getCurrentStepStart();
    int i6 = dormandPrince853Integrator4.getEvaluations();
    java.lang.String str7 = dormandPrince853Integrator4.getName();
    java.lang.String str8 = dormandPrince853Integrator4.getName();
    java.util.Collection collection9 = dormandPrince853Integrator4.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str7.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str8.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection9);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test227"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9687936725537917E-8d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test228"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(2.323796096170809d, 0.8428622551066925d, (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test229"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(2.6553645750605033d, 1.2353980914429985d, 1.414213562373095d, 1.000088259806155d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test230"); }


    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1502190419);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1502190419);
    java.math.BigInteger bigInteger10 = null;
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 0L);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 1);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger12);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.05598006119233366d, (java.lang.Number)bigInteger5, false);
    java.math.BigInteger bigInteger18 = null;
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 0L);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 1);
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 1502190419);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 1502190419);
    java.math.BigInteger bigInteger28 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 0L);
    java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger28, 5L);
    java.math.BigInteger bigInteger31 = null;
    java.math.BigInteger bigInteger33 = org.apache.commons.math.util.MathUtils.pow(bigInteger31, 0L);
    java.math.BigInteger bigInteger35 = org.apache.commons.math.util.MathUtils.pow(bigInteger33, 1072693279);
    java.math.BigInteger bigInteger36 = null;
    java.math.BigInteger bigInteger38 = org.apache.commons.math.util.MathUtils.pow(bigInteger36, 0L);
    java.math.BigInteger bigInteger40 = org.apache.commons.math.util.MathUtils.pow(bigInteger38, 1072693279);
    java.math.BigInteger bigInteger41 = org.apache.commons.math.util.MathUtils.pow(bigInteger33, bigInteger38);
    java.math.BigInteger bigInteger43 = org.apache.commons.math.util.MathUtils.pow(bigInteger33, 0);
    java.math.BigInteger bigInteger44 = org.apache.commons.math.util.MathUtils.pow(bigInteger28, bigInteger33);
    java.math.BigInteger bigInteger46 = org.apache.commons.math.util.MathUtils.pow(bigInteger44, 9223372036854775807L);
    java.math.BigInteger bigInteger48 = org.apache.commons.math.util.MathUtils.pow(bigInteger44, 5L);
    java.math.BigInteger bigInteger49 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger48);
    java.lang.Object[] obj_array50 = null;
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException51 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)bigInteger5, obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger49);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test231"); }


    double d2 = org.apache.commons.math.util.FastMath.max(2.220446049250313E-16d, 1.2110654506974416E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.220446049250313E-16d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test232"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.5759148461633392d, 0.015109152342730735d, (-0.9511635306199837d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test233"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.13840584404423517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.13885158507272397d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test234"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(70.01484873621317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2219896357327107d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test235"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver5 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 0.0d, 3);
    double d6 = bracketingNthOrderBrentSolver5.getMax();
    int i7 = bracketingNthOrderBrentSolver5.getMaxEvaluations();
    double d8 = bracketingNthOrderBrentSolver5.getStartValue();
    double d9 = bracketingNthOrderBrentSolver5.getMin();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction14 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver15 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution19 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d20 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(10, univariateRealFunction14, bracketedUnivariateRealSolver15, 100.0d, 1.1102230246251565E-16d, 100.0d, allowedSolution19);
    double d21 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(956191141, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver5, 3.8357521274028314E-39d, (-0.05485861423451885d), 1.000018225105329d, allowedSolution19);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction23 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution27 = org.apache.commons.math.analysis.solvers.AllowedSolution.LEFT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d28 = bracketingNthOrderBrentSolver5.solve(103, univariateRealFunction23, 0.07411076178238518d, 1.0950915248255106d, (-0.051603910777817154d), allowedSolution27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 3.8357521274028314E-39d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution27);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test236"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.7182818284590454d), 2.2250738585072014E-308d, (-353.562080403267d), 1.3805130848947398d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test237"); }


    float f2 = org.apache.commons.math.util.Precision.round(2.028241E31f, 536870913);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test238"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i3 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i4 = bracketingNthOrderBrentSolver2.getEvaluations();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
    double[] d_array16 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array16);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array16);
    double[] d_array22 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator23 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array16, d_array22);
    int i24 = dormandPrince853Integrator23.getOrder();
    int i25 = dormandPrince853Integrator23.getEvaluations();
    java.util.Collection collection26 = dormandPrince853Integrator23.getEventHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver33 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d34 = bracketingNthOrderBrentSolver33.getMin();
    dormandPrince853Integrator23.addEventHandler(eventHandler27, 1.6430652399243957d, 0.7924473533734637d, 1586880529, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver33);
    int i36 = bracketingNthOrderBrentSolver33.getMaxEvaluations();
    int i37 = bracketingNthOrderBrentSolver33.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction42 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver43 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution47 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d48 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(10, univariateRealFunction42, bracketedUnivariateRealSolver43, 100.0d, 1.1102230246251565E-16d, 100.0d, allowedSolution47);
    double d49 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1), univariateRealFunction10, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver33, 4.641588833612779d, 0.015109152342730735d, 0.0d, allowedSolution47);
    // The following exception was thrown during execution in test generation
    try {
      double d50 = bracketingNthOrderBrentSolver2.solve((-1), univariateRealFunction6, 0.0d, 0.8740325992077378d, allowedSolution47);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 4.641588833612779d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test239"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(3.8104773809653514d, (-0.5330785122775574d), 4.223669210430247d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.11988668281266257d);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test240"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.4555735870670923d, (-0.002799526776419233d), 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test241"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i3 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d4 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i5 = bracketingNthOrderBrentSolver2.getEvaluations();
    int i6 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i7 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d8 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test242"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)1.2089258E24f);
    java.lang.Number number3 = notPositiveException2.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathInternalError mathInternalError4 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)notPositiveException2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 1.2089258E24f+ "'", number3.equals(1.2089258E24f));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test243"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.9694155395097511d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test244"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.0516727825173268d), (java.lang.Number)5.6419221942362325d, false);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test245"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.6232235546757717d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test246"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    double d9 = eventState7.getConvergence();
    double d10 = eventState7.getConvergence();
    double d11 = eventState7.getConvergence();
    double d12 = eventState7.getEventTime();
    double[] d_array14 = null;
    boolean b15 = eventState7.reset(0.0d, d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test247"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 4.406570493076975d, 10.371781358806984d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test248"); }


    float f2 = org.apache.commons.math.util.Precision.round(2.8E-45f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test249"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8018532348993415d, (-1005));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test250"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.5958231355103651d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test251"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(1.002056824031784d, (-4.289764563794413d), 2.323796096170809d, (-0.033695038916529696d));

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test252"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(80.000015f, (-956191141), (-24));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test253"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.03832758877351588d), 0.24796455561297998d, 0.6679147787666397d, 1796381646);
    double d9 = bracketingNthOrderBrentSolver8.getMin();
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.6091241881472023d, (-0.06668855320622913d), 79, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    double d11 = eventState10.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test254"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException14 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array15 = tooManyEvaluationsException14.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable11, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(localizable10, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathInternalError mathInternalError19 = new org.apache.commons.math.exception.MathInternalError(localizable8, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException(localizable7, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.NoBracketingException noBracketingException21 = new org.apache.commons.math.exception.NoBracketingException(localizable2, 0.018760270073627384d, 1.2246467991473532E-16d, 0.509781044867095d, 0.9913289158005998d, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException22 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.02135742467001039d, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException23 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test255"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.1624327389433193d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.19770299804423d);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test256"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    int i5 = incrementor2.getCount();
    incrementor2.resetCount();
    incrementor2.incrementCount();
    incrementor2.setMaximalCount(0);
    int i10 = incrementor2.getCount();
    incrementor2.setMaximalCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test257"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.785153257347238d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test258"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 0.0d, 3);
    double d4 = bracketingNthOrderBrentSolver3.getMax();
    double d5 = bracketingNthOrderBrentSolver3.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test259"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(25.041263717616197d, (-2094779535), 47);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test260"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 3.818601303219552d, 0.01370815231283805d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test261"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(2.1267648E37f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test262"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.5356863141173624d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2392281122204105d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test263"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-2.052363643320539d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.0d));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test264"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException(number0, (java.lang.Number)0.39706757436759654d, false);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test265"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(562220405, 103);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test266"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(6782461214293182951L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 6782461214293182951L);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test267"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.clearEventHandlers();
    dormandPrince853Integrator4.clearEventHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler7 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler7, (-0.9125775986692777d), 2.636862365466261E-4d, 47);
    java.util.Collection collection12 = dormandPrince853Integrator4.getEventHandlers();
    dormandPrince853Integrator4.setMinReduction(0.9000000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection12);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test268"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.0544413841537041d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7200039784664282d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test269"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.9883416845678049d, 2.9398074884056733d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test270"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    double d14 = dormandPrince853Integrator12.getMaxStep();
    java.lang.String str15 = dormandPrince853Integrator12.getName();
    dormandPrince853Integrator12.setMaxGrowth(1.6430652399243957d);
    double d18 = dormandPrince853Integrator12.getMinReduction();
    double d19 = dormandPrince853Integrator12.getMinStep();
    java.util.Collection collection20 = dormandPrince853Integrator12.getEventHandlers();
    java.util.Collection collection21 = dormandPrince853Integrator12.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str15.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test271"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.7554132501604139d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test272"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.util.Incrementor incrementor7 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor7, localizable8, obj_array10);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException(throwable5, localizable6, obj_array10);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable3, obj_array10);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException(throwable1, localizable2, obj_array10);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver22 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-36.784749426412844d), 1.7763568394002505E-15d, 0.0d, 1586880529);
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException29 = new org.apache.commons.math.exception.DimensionMismatchException(localizable26, 8, 0);
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    org.apache.commons.math.util.Incrementor incrementor32 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor32, localizable33, obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException37 = new org.apache.commons.math.exception.MathIllegalStateException(localizable31, obj_array35);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0, localizable30, obj_array35);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException39 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable24, (java.lang.Number)6.283185307179586d, obj_array35);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bracketingNthOrderBrentSolver22, localizable23, obj_array35);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException41 = new org.apache.commons.math.exception.NullArgumentException(localizable17, obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException(throwable1, localizable16, obj_array35);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException43 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)2.6370445556606607E-4d, obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test273"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i32 = bracketingNthOrderBrentSolver31.getEvaluations();
    double d33 = bracketingNthOrderBrentSolver31.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler27, 3.1622776601683785E-8d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver31);
    dormandPrince853Integrator12.addEventHandler(eventHandler23, 3.141592653589793d, 1.0E-14d, (-1991475689), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver31);
    double d36 = dormandPrince853Integrator12.getMinReduction();
    int i37 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setInitialStepSize(0.8494822806722442d);
    dormandPrince853Integrator12.setMaxGrowth(0.9998141225182081d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 2147483647);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test274"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.setStepSizeControl((-0.7615941559557649d), 0.0d, 1.2596508914902838E-16d, 1.300509906445107d);
    double d21 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i22 = dormandPrince853Integrator12.getOrder();
    dormandPrince853Integrator12.clearStepHandlers();
    java.util.Collection collection24 = dormandPrince853Integrator12.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection24);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test275"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 2);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test276"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.6679147787666397d, 0.396607d, (-2.052363643320539d), 20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test277"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.7612300442463679d, 1.2980159202373116d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7017877429211427d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test278"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(9.094947E-13f, 1.4210858E-14f, (-216006655));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test279"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(1502190419, 20);
    double[] d_array3 = null;
    double[] d_array4 = null;
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array3, d_array4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test280"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    int i16 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.clearEventHandlers();
    dormandPrince853Integrator12.setSafety(0.05598006119233365d);
    org.apache.commons.math.ode.events.EventHandler eventHandler20 = null;
    double[] d_array27 = new double[] { 1.0d };
    int i28 = org.apache.commons.math.util.MathUtils.hash(d_array27);
    double[] d_array32 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator35 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array27, d_array32);
    dormandPrince853Integrator35.setMaxEvaluations((-1));
    dormandPrince853Integrator35.setSafety(Double.NaN);
    double[] d_array47 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    double[] d_array53 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator54 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array47, d_array53);
    double[] d_array58 = new double[] { 1.0d };
    int i59 = org.apache.commons.math.util.MathUtils.hash(d_array58);
    double[] d_array63 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array63);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array63);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator66 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array58, d_array63);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array63);
    dormandPrince853Integrator35.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array47, d_array63);
    org.apache.commons.math.ode.events.EventHandler eventHandler69 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler73 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver79 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState80 = new org.apache.commons.math.ode.events.EventState(eventHandler73, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver79);
    dormandPrince853Integrator35.addEventHandler(eventHandler69, 1.054229579476095d, 100.0d, (-20), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver79);
    double d82 = bracketingNthOrderBrentSolver79.getMax();
    dormandPrince853Integrator12.addEventHandler(eventHandler20, 0.9867935207409493d, 1.3043045862358962d, 1160016991, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver79);
    int i84 = bracketingNthOrderBrentSolver79.getMaximalOrder();
    double d85 = bracketingNthOrderBrentSolver79.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.0d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test281"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.40672614981872224d, 4.457514001807516E-6d, 1.4209550577641517d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test282"); }


    double[] d_array7 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double[] d_array13 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array7, d_array13);
    int i15 = dormandPrince853Integrator14.getEvaluations();
    double d16 = dormandPrince853Integrator14.getCurrentStepStart();
    double[] d_array22 = new double[] { 1.0d };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double[] d_array27 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array22, d_array27);
    double[] d_array36 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    double[] d_array42 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array36, d_array42);
    int i44 = dormandPrince853Integrator43.getEvaluations();
    double d45 = dormandPrince853Integrator43.getCurrentSignedStepsize();
    int i46 = dormandPrince853Integrator43.getEvaluations();
    double[] d_array54 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    double[] d_array60 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator61 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array54, d_array60);
    double[] d_array65 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array65);
    dormandPrince853Integrator43.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array60, d_array65);
    dormandPrince853Integrator14.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array22, d_array60);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array22);
    double[] d_array75 = new double[] { 1.0d };
    int i76 = org.apache.commons.math.util.MathUtils.hash(d_array75);
    double[] d_array80 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array80);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array80);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator83 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array75, d_array80);
    double[] d_array87 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array87);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array87);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator90 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9112116246441057d, 3.141592653589793d, d_array75, d_array87);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator91 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.4136070376880365d, 1.0787619161000126d, d_array22, d_array75);
    dormandPrince853Integrator91.clearStepHandlers();
    dormandPrince853Integrator91.setStepSizeControl((-0.12796368962740468d), 2.323796096170809d, (-0.03831820556548027d), 0.7716133340725975d);
    dormandPrince853Integrator91.setMinReduction(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test283"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double[] d_array12 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array12);
    boolean b14 = eventState7.reset(5.012834880298681E-6d, d_array12);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = eventState7.getEventHandler();
    double d16 = eventState7.getMaxCheckInterval();
    double[] d_array18 = null;
    boolean b19 = eventState7.reset(100.0102296299525d, d_array18);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator20 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b21 = eventState7.evaluateStep(stepInterpolator20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test284"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.537864768801872d, (-41.07479516671979d), 0.8059375527696717d, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test285"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-1991475689), (-50));

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test286"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.7586398384744519d, (-0.618691201710122d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test287"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 354795.38436500815d, (-0.05483113556160754d), 3.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test288"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(0.0d, (-216006655), 79);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test289"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    double[] d_array16 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array16);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array16);
    double[] d_array22 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator23 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array16, d_array22);
    int i24 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    boolean b25 = eventState7.reset(1.300509906445107d, d_array22);
    int i26 = eventState7.getMaxIterationCount();
    double d27 = eventState7.getEventTime();
    int i28 = eventState7.getMaxIterationCount();
    double d29 = eventState7.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1160016991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test290"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.5946171581495265d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test291"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.0d, 0.14883843385732964d, 0.4136070376880365d, 4.862269934658958d);
    double d5 = dormandPrince853Integrator4.getMaxStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.14883843385732964d);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test292"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    double d9 = eventState7.getConvergence();
    double d10 = eventState7.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler11 = eventState7.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler12 = eventState7.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = eventState7.getEventHandler();
    int i14 = eventState7.getMaxIterationCount();
    double d15 = eventState7.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.059266403869008374d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test293"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.9363295434492355d, (java.lang.Number)(-1593008450), false);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-1593008450)+ "'", number4.equals((-1593008450)));

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test294"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(708.396418532264d, 51.47626856594845d, (-0.02502158524429293d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test295"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    int i16 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.clearEventHandlers();
    java.lang.String str18 = dormandPrince853Integrator12.getName();
    double d19 = dormandPrince853Integrator12.getMaxStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str18.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 2.718281828459045d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test296"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(23.697937636432872d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test297"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.00044731361773d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.017461099615361693d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test298"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.27771479650866426d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2811606037385879d));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test299"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-1), (-30));
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-30));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test300"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution13 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d14 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver8, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution13);
    double d15 = bracketingNthOrderBrentSolver8.getMin();
    int i16 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    double d17 = bracketingNthOrderBrentSolver8.getStartValue();
    double d18 = bracketingNthOrderBrentSolver8.getFunctionValueAccuracy();
    double d19 = bracketingNthOrderBrentSolver8.getStartValue();
    double d20 = bracketingNthOrderBrentSolver8.getFunctionValueAccuracy();
    int i21 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 100);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test301"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i5 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d6 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i7 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d8 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d9 = bracketingNthOrderBrentSolver2.getStartValue();
    double d10 = bracketingNthOrderBrentSolver2.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test302"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(9.999999999999989E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.999999999999989E-16d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test303"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.021396880784484085d, 0.9984367915098943d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9986660368450894d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test304"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(7.440443441857049E-6d, 8.591531397774963d, 2.812644285236262E-103d, 0.2d);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test305"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i5 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d6 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i7 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d8 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d9 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-15d);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test306"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-1023), maxCountExceededCallback1);
    incrementor2.resetCount();

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test307"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d5 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    double d6 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d7 = bracketingNthOrderBrentSolver2.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test308"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    int i16 = dormandPrince853Integrator12.getOrder();
    double d17 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    dormandPrince853Integrator12.setInitialStepSize(1.1190079949929734d);
    double d20 = dormandPrince853Integrator12.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test309"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    int i23 = dormandPrince853Integrator12.getMaxEvaluations();
    java.util.Collection collection24 = dormandPrince853Integrator12.getStepHandlers();
    int i25 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler26 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler26, (-17.400387276127667d), 1.0E-15d, 536870913);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 2147483647);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test310"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(2147483647);
    boolean b2 = incrementor1.canIncrement();
    incrementor1.setMaximalCount((-50));
    incrementor1.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test311"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.015979351939093164d, 1.030513142112055d, 8.591531397774963d, 0.0d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test312"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.6284933337547902d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9983359893873769d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test313"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(1.5347827905256364d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test314"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.1844356623752932d, 0.13971613923522394d, (-912718246));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test315"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getMin();
    int i5 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d6 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver2.solve((-1146638592), univariateRealFunction8, 0.8665946169905339d, 2.2250738585072014E-308d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test316"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    double[] d_array23 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    double[] d_array29 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array23, d_array29);
    double[] d_array34 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    dormandPrince853Integrator12.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array29, d_array34);
    dormandPrince853Integrator12.setMinReduction(0.0d);
    dormandPrince853Integrator12.setInitialStepSize((-0.8414709848078965d));
    org.apache.commons.math.ode.sampling.StepHandler stepHandler41 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test317"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    double d26 = dormandPrince853Integrator12.getMinReduction();
    double d27 = dormandPrince853Integrator12.getSafety();
    org.apache.commons.math.ode.events.EventHandler eventHandler28 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver34 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d35 = bracketingNthOrderBrentSolver34.getMin();
    int i36 = bracketingNthOrderBrentSolver34.getMaxEvaluations();
    dormandPrince853Integrator12.addEventHandler(eventHandler28, 74.73114799087398d, (-0.8414709848078965d), 5, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver34);
    dormandPrince853Integrator12.clearStepHandlers();
    dormandPrince853Integrator12.clearStepHandlers();
    double d40 = dormandPrince853Integrator12.getSafety();
    dormandPrince853Integrator12.setStepSizeControl(0.03293751191789955d, 1.0864516613215964d, (-0.5330785122775574d), 0.14543693671407443d);
    dormandPrince853Integrator12.clearStepHandlers();
    double d47 = dormandPrince853Integrator12.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 4.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 4.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.2d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test318"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setStepSizeControl(4.741297982545108d, 0.059266403869008374d, 74.73114799087398d, 0.7570464714620044d);
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver33 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler27, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver33);
    dormandPrince853Integrator12.addEventHandler(eventHandler23, 0.690620420971492d, 2.718281828459045d, (-454629473), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver33);
    double d36 = dormandPrince853Integrator12.getMinStep();
    double d37 = dormandPrince853Integrator12.getMaxStep();
    double d38 = dormandPrince853Integrator12.getMinStep();
    java.lang.String str39 = dormandPrince853Integrator12.getName();
    double d40 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str39.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 6.948840563288701E-8d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test319"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(100.00850569053452d, 0.9883416845678049d, 1072693249);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test320"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.clearEventHandlers();
    dormandPrince853Integrator12.setStepSizeControl(0.27460508963227326d, 1.642362934689854d, 2.319522830243586E-16d, (-3.1415926535897927d));
    double d30 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    dormandPrince853Integrator12.setInitialStepSize(1.1992254477446618d);
    java.util.Collection collection33 = dormandPrince853Integrator12.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection33);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test321"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array5, d_array11);
    int i15 = dormandPrince853Integrator14.getMaxEvaluations();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler16 = null;
    dormandPrince853Integrator14.addStepHandler(stepHandler16);
    double d18 = dormandPrince853Integrator14.getMaxStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.8813735870195429d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test322"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d7 = bracketingNthOrderBrentSolver6.getMin();
    int i8 = bracketingNthOrderBrentSolver6.getMaxEvaluations();
    int i9 = bracketingNthOrderBrentSolver6.getEvaluations();
    double d10 = bracketingNthOrderBrentSolver6.getMax();
    int i11 = bracketingNthOrderBrentSolver6.getEvaluations();
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.00850569053452d, (-36.784749426412844d), 8, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    int i13 = bracketingNthOrderBrentSolver6.getEvaluations();
    double d14 = bracketingNthOrderBrentSolver6.getMax();
    double d15 = bracketingNthOrderBrentSolver6.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction17 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction22 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.015109152342730735d, 80);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction30 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler31 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver37 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState38 = new org.apache.commons.math.ode.events.EventState(eventHandler31, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver37);
    double d39 = bracketingNthOrderBrentSolver37.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction44 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver48 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7224284372420833d, 0.9275460829514595d, 1513055269);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution52 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d53 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1991475689, univariateRealFunction44, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver48, 0.015109152342730735d, 0.0d, 57.0d, allowedSolution52);
    double d54 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateRealFunction30, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver37, 0.0d, 0.3966073830763327d, 2.718281828459046d, allowedSolution52);
    double d55 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-981549055), univariateRealFunction22, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver25, 4.28694169484401d, 1.0013329614069104d, 1.3127600831788684d, allowedSolution52);
    // The following exception was thrown during execution in test generation
    try {
      double d56 = bracketingNthOrderBrentSolver6.solve((-1176574049), univariateRealFunction17, 40.3172162541076d, (-3.4135046258969144d), 0.0d, allowedSolution52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.015109152342730735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 4.28694169484401d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test323"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-3), 355026449);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test324"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(355026449, (-296632319));
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = dimensionMismatchException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test325"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    int i16 = dormandPrince853Integrator12.getOrder();
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    double d18 = dormandPrince853Integrator12.getMaxStep();
    dormandPrince853Integrator12.setMaxGrowth((-92.2139997708197d));
    java.util.Collection collection21 = dormandPrince853Integrator12.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test326"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-1530496838));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1530496838);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test327"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(16.85750732559968d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.1057894887097754d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test328"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.3824077456784282d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test329"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    int i5 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d6 = bracketingNthOrderBrentSolver2.getMax();
    double d7 = bracketingNthOrderBrentSolver2.getStartValue();
    int i8 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test330"); }


    double d1 = org.apache.commons.math.util.FastMath.log(73.2017535418616d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.29321937617025d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test331"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.18232155679395465d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7391619794899372d));

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test332"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(22, maxCountExceededCallback1);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test333"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.1624327389433193d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8218311132257177d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test334"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.07812501f, (-7.1054274E-15f), 1.7347238E-17f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test335"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    double d4 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
    double[] d_array17 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array17);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array17);
    double[] d_array23 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator24 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array17, d_array23);
    int i25 = dormandPrince853Integrator24.getEvaluations();
    double d26 = dormandPrince853Integrator24.getCurrentStepStart();
    dormandPrince853Integrator24.setSafety(0.0d);
    int i29 = dormandPrince853Integrator24.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler30 = null;
    dormandPrince853Integrator24.addEventHandler(eventHandler30, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    org.apache.commons.math.ode.events.EventHandler eventHandler35 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler39 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver43 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i44 = bracketingNthOrderBrentSolver43.getEvaluations();
    double d45 = bracketingNthOrderBrentSolver43.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState46 = new org.apache.commons.math.ode.events.EventState(eventHandler39, 3.1622776601683785E-8d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver43);
    dormandPrince853Integrator24.addEventHandler(eventHandler35, 3.141592653589793d, 1.0E-14d, (-1991475689), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver43);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction52 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver53 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i54 = bracketingNthOrderBrentSolver53.getEvaluations();
    double d55 = bracketingNthOrderBrentSolver53.getFunctionValueAccuracy();
    double d56 = bracketingNthOrderBrentSolver53.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction61 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver62 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution66 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d67 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(10, univariateRealFunction61, bracketedUnivariateRealSolver62, 100.0d, 1.1102230246251565E-16d, 100.0d, allowedSolution66);
    double d68 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1017118720, univariateRealFunction52, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver53, 1.3711318613053713d, 0.007178648929446022d, 0.0d, allowedSolution66);
    double d69 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(465221241, univariateRealFunction11, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver43, 2.6342374830060975d, 0.7888657225091457d, 0.01510800270928482d, allowedSolution66);
    // The following exception was thrown during execution in test generation
    try {
      double d70 = bracketingNthOrderBrentSolver2.solve((-1098907647), univariateRealFunction6, 0.5101705364216335d, 3.818601303219552d, 0.0d, allowedSolution66);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 1.3711318613053713d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 2.6342374830060975d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test336"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)9223372036854775807L);
    java.lang.Number number2 = notPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test337"); }


    double d2 = org.apache.commons.math.util.FastMath.log(708.396418532264d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test338"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(355026449, (-296632319));
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-296632319));

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test339"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(throwable9, localizable10, obj_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, obj_array12);
    org.apache.commons.math.exception.MathInternalError mathInternalError15 = new org.apache.commons.math.exception.MathInternalError(localizable7, obj_array12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, obj_array12);
    org.apache.commons.math.exception.NoBracketingException noBracketingException18 = new org.apache.commons.math.exception.NoBracketingException(localizable0, Double.NEGATIVE_INFINITY, 0.9928471172400942d, 1.1752011936438014d, 9.999999999999989E-16d, obj_array12);
    java.lang.Throwable throwable19 = null;
    // The following exception was thrown during execution in test generation
    try {
      noBracketingException18.addSuppressed(throwable19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test340"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.8740325992077377d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5073551705836961d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test341"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.7763568E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.1175824E-22f);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test342"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-1.5405891771450175d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.0d));

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test343"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(2.0282412E31f, 7.105428E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test344"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    int i10 = eventState7.getMaxIterationCount();
    double d11 = eventState7.getEventTime();
    int i12 = eventState7.getMaxIterationCount();
    double d13 = eventState7.getConvergence();
    boolean b14 = eventState7.stop();
    double[] d_array19 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    boolean b23 = eventState7.reset(1.120841282372917d, d_array19);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator24 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b25 = eventState7.evaluateStep(stepInterpolator24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test345"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    java.util.Collection collection15 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMinReduction(7.779829578606251E-8d);
    java.util.Collection collection18 = dormandPrince853Integrator12.getStepHandlers();
    dormandPrince853Integrator12.setMinReduction(1.0120711462387302d);
    org.apache.commons.math.ode.events.EventHandler eventHandler21 = null;
    double[] d_array30 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    double[] d_array36 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator37 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array30, d_array36);
    dormandPrince853Integrator37.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler40 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver46 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d47 = bracketingNthOrderBrentSolver46.getMin();
    dormandPrince853Integrator37.addEventHandler(eventHandler40, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver46);
    int i49 = bracketingNthOrderBrentSolver46.getEvaluations();
    dormandPrince853Integrator12.addEventHandler(eventHandler21, 0.864930066757888d, 2.319522830243586E-16d, 17, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test346"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.3569538016529659d, 4.430675045349548d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3569538016529659d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test347"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.7612300442463679d, 0.9112116246441057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7612300442463679d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test348"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setStepSizeControl(4.741297982545108d, 0.059266403869008374d, 74.73114799087398d, 0.7570464714620044d);
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver33 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler27, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver33);
    dormandPrince853Integrator12.addEventHandler(eventHandler23, 0.690620420971492d, 2.718281828459045d, (-454629473), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver33);
    dormandPrince853Integrator12.setMinReduction(0.008987728383293009d);
    dormandPrince853Integrator12.setMaxEvaluations(1502190419);
    int i40 = dormandPrince853Integrator12.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1502190419);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test349"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    int i10 = eventState7.getMaxIterationCount();
    double d11 = eventState7.getEventTime();
    int i12 = eventState7.getMaxIterationCount();
    double d13 = eventState7.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler14 = eventState7.getEventHandler();
    double d15 = eventState7.getConvergence();
    int i16 = eventState7.getMaxIterationCount();
    org.apache.commons.math.ode.events.EventHandler eventHandler17 = eventState7.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler17);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test350"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.0000001f, (-1163651249));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test351"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals((-0.03831820556548027d), 1.1124380246539625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test352"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    int i12 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 4.741297982545108d, (-36.0d), 0);
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    double[] d_array27 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    double[] d_array33 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator34 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array27, d_array33);
    int i35 = dormandPrince853Integrator34.getOrder();
    int i36 = dormandPrince853Integrator34.getEvaluations();
    java.util.Collection collection37 = dormandPrince853Integrator34.getEventHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler38 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver44 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d45 = bracketingNthOrderBrentSolver44.getMin();
    dormandPrince853Integrator34.addEventHandler(eventHandler38, 1.6430652399243957d, 0.7924473533734637d, 1586880529, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver44);
    dormandPrince853Integrator4.addEventHandler(eventHandler18, Double.POSITIVE_INFINITY, 0.9155494254642264d, 1502190419, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver44);
    double d48 = dormandPrince853Integrator4.getMinReduction();
    dormandPrince853Integrator4.setInitialStepSize((-0.2107957994307797d));
    double d51 = dormandPrince853Integrator4.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0778508051683775d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test353"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution17 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d18 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction5, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver12, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution17);
    double d19 = bracketingNthOrderBrentSolver12.getStartValue();
    double d20 = bracketingNthOrderBrentSolver12.getMax();
    org.apache.commons.math.ode.events.EventState eventState21 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 8.881784197001252E-16d, (-52), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    double d22 = eventState21.getConvergence();
    double d23 = eventState21.getEventTime();
    boolean b24 = eventState21.stop();
    double[] d_array26 = null;
    boolean b27 = eventState21.reset(5.833583645005155d, d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 8.881784197001252E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test354"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.0862754491028574d, 0.0d, 465221241);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test355"); }


    long long2 = org.apache.commons.math.util.FastMath.min(1227324758466374519L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test356"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.9275460829514595d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test357"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution13 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d14 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver8, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution13);
    double d15 = bracketingNthOrderBrentSolver8.getMin();
    int i16 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    double d17 = bracketingNthOrderBrentSolver8.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test358"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number4 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException6 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number4, true);
    java.lang.String str7 = numberIsTooLargeException6.toString();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException();
    numberIsTooLargeException6.addSuppressed((java.lang.Throwable)mathIllegalStateException8);
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException12 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9155494254642262d);
    java.lang.String str13 = tooManyEvaluationsException12.toString();
    java.lang.Number number14 = tooManyEvaluationsException12.getMax();
    java.lang.Throwable[] throwable_array15 = tooManyEvaluationsException12.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathIllegalStateException8, localizable10, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, (java.lang.Number)1.2246467991473532E-16d, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.exception.NumberIsTooLargeException: -0.762 is larger than the maximum (null)"+ "'", str7.equals("org.apache.commons.math.exception.NumberIsTooLargeException: -0.762 is larger than the maximum (null)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"+ "'", str13.equals("org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 0.9155494254642262d+ "'", number14.equals(0.9155494254642262d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test359"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.037277101766377996d, 1.884864366154897E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.884864366154897E-8d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test360"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-35.99999999999999d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5707963267948966d));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test361"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-0.10491204700210689d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.10529951517910295d));

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test362"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-0.0383463731273942d), 50.85914091422952d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test363"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(2.2460226822910077d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1519149750622921d);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test364"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.15773650868298716d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.8468293046223512d));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test365"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.7724538509055159d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.20029354112337366d));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test366"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-1), (-30));
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = dimensionMismatchException2.getContext();
    int i4 = dimensionMismatchException2.getDimension();
    int i5 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-30));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-30));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test367"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(711.8473059472223d, 1.0943609911779717d, 16.123863856382016d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test368"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.8485783928867906d, 0.9988580187288366d, 0.9135318116015959d, (-0.34425802063700245d));
    double d5 = noBracketingException4.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-0.34425802063700245d));

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test369"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(4.5918E-41f, 1.7347235E-17f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test370"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(73.8881192683802d, 1.0950915248255106d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 73.89623396673285d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test371"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    dormandPrince853Integrator12.setInitialStepSize(8.881784197001252E-16d);
    int i19 = dormandPrince853Integrator12.getOrder();
    dormandPrince853Integrator12.setMaxEvaluations((-454629473));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 8);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test372"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.421E-14f, Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.421E-14f);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test373"); }


    double[] d_array7 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double[] d_array13 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array7, d_array13);
    int i15 = dormandPrince853Integrator14.getEvaluations();
    double d16 = dormandPrince853Integrator14.getCurrentStepStart();
    double[] d_array22 = new double[] { 1.0d };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double[] d_array27 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array22, d_array27);
    double[] d_array36 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    double[] d_array42 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array36, d_array42);
    int i44 = dormandPrince853Integrator43.getEvaluations();
    double d45 = dormandPrince853Integrator43.getCurrentSignedStepsize();
    int i46 = dormandPrince853Integrator43.getEvaluations();
    double[] d_array54 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    double[] d_array60 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator61 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array54, d_array60);
    double[] d_array65 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array65);
    dormandPrince853Integrator43.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array60, d_array65);
    dormandPrince853Integrator14.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array22, d_array60);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array22);
    double[] d_array75 = new double[] { 1.0d };
    int i76 = org.apache.commons.math.util.MathUtils.hash(d_array75);
    double[] d_array80 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array80);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array80);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator83 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array75, d_array80);
    double[] d_array87 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array87);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array87);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator90 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9112116246441057d, 3.141592653589793d, d_array75, d_array87);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator91 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.4136070376880365d, 1.0787619161000126d, d_array22, d_array75);
    dormandPrince853Integrator91.clearStepHandlers();
    double d93 = dormandPrince853Integrator91.getCurrentSignedStepsize();
    dormandPrince853Integrator91.setStepSizeControl(1.7174308979155382d, 0.5464718349250108d, 0.8120012326719374d, 99.00530950676811d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 0.6679697002774875d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test374"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    int i16 = dormandPrince853Integrator12.getEvaluations();
    java.util.Collection collection17 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMaxEvaluations(0);
    java.lang.String str20 = dormandPrince853Integrator12.getName();
    java.lang.String str21 = dormandPrince853Integrator12.getName();
    dormandPrince853Integrator12.setMaxEvaluations((-1146638592));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str20.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str21.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test375"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(2.718281828459046d, 1.281821063926005d, 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.1546397006070358d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test376"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.004377443365986725d, 0.14939357487933236d, 0.8171772748993354d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.08356161774264548d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test377"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(1.6053630273395951d, (-1.5523023452980969d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test378"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-0.7499126975210629d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test379"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(2.1267647E37f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.2676506E30f);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test380"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getMaxCheckInterval();
    double d9 = eventState7.getConvergence();
    boolean b10 = eventState7.stop();
    double[] d_array17 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array17);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array17);
    double[] d_array23 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator24 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array17, d_array23);
    int i25 = dormandPrince853Integrator24.getEvaluations();
    double d26 = dormandPrince853Integrator24.getCurrentStepStart();
    double[] d_array32 = new double[] { 1.0d };
    int i33 = org.apache.commons.math.util.MathUtils.hash(d_array32);
    double[] d_array37 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array37);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array37);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator40 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array32, d_array37);
    double[] d_array46 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    double[] d_array52 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array46, d_array52);
    int i54 = dormandPrince853Integrator53.getEvaluations();
    double d55 = dormandPrince853Integrator53.getCurrentSignedStepsize();
    int i56 = dormandPrince853Integrator53.getEvaluations();
    double[] d_array64 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array64);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array64);
    double[] d_array70 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator71 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array64, d_array70);
    double[] d_array75 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array75);
    dormandPrince853Integrator53.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array70, d_array75);
    dormandPrince853Integrator24.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array32, d_array70);
    boolean b79 = eventState7.reset(0.6402321772714369d, d_array70);
    double d80 = eventState7.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.018760270073627384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 3.141592653589793d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test381"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)4.5d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    java.lang.Number number3 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 4.5d+ "'", number3.equals(4.5d));

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test382"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    double[] d_array23 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    double[] d_array29 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array23, d_array29);
    double[] d_array34 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    dormandPrince853Integrator12.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array29, d_array34);
    java.lang.String str37 = dormandPrince853Integrator12.getName();
    java.lang.String str38 = dormandPrince853Integrator12.getName();
    double d39 = dormandPrince853Integrator12.getCurrentStepStart();
    double d40 = dormandPrince853Integrator12.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str37.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str38.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 10.0d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test383"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(2.126765E37f, Float.POSITIVE_INFINITY, 0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test384"); }


    double d2 = org.apache.commons.math.util.FastMath.pow((-25.201596557825805d), 139.29377305465442d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test385"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.4080962924814482d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9532716338642269d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test386"); }


    int i1 = org.apache.commons.math.util.FastMath.round(7.105428E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test387"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution17 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d18 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction5, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver12, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution17);
    double d19 = bracketingNthOrderBrentSolver12.getMin();
    int i20 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    double d21 = bracketingNthOrderBrentSolver12.getStartValue();
    double d22 = bracketingNthOrderBrentSolver12.getFunctionValueAccuracy();
    double d23 = bracketingNthOrderBrentSolver12.getStartValue();
    org.apache.commons.math.ode.events.EventState eventState24 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 1.7763568394002505E-15d, 1617823322, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    double d25 = eventState24.getEventTime();
    int i26 = eventState24.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1617823322);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test388"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.2221604169669862d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test389"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(9.783799703169024E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-17));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test390"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(3.1838446567592513E-4d, 184331630, (-59));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test391"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(1.5347827905256364d, 4.5d, (-1.2306000526071357d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test392"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.578479835347869E-4d, 1.1102230246251565E-16d, 1.6284933337547902d, 0.0d);
    int i5 = dormandPrince853Integrator4.getOrder();
    org.apache.commons.math.ode.ExpandableStatefulODE expandableStatefulODE6 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator4.integrate(expandableStatefulODE6, 0.7765491853463035d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 8);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test393"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException9 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9155494254642262d);
    java.lang.String str10 = tooManyEvaluationsException9.toString();
    java.lang.Number number11 = tooManyEvaluationsException9.getMax();
    java.lang.Throwable[] throwable_array12 = tooManyEvaluationsException9.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError(localizable7, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)1.7763568394002505E-15d, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.NoBracketingException noBracketingException15 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 2.0d, (-35.99999999999999d), 0.7197533326848873d, 1.1752011936438014d, (java.lang.Object[])throwable_array12);
    double d16 = noBracketingException15.getFHi();
    double d17 = noBracketingException15.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"+ "'", str10.equals("org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 0.9155494254642262d+ "'", number11.equals(0.9155494254642262d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.1752011936438014d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.1752011936438014d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test394"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException8 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array9 = tooManyEvaluationsException8.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable5, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable3, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError(localizable2, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)throwable_array9, localizable14, obj_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(-1.0d), (java.lang.Object[])throwable_array9);
    java.lang.Number number18 = notFiniteNumberException17.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + (-1.0d)+ "'", number18.equals((-1.0d)));

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test395"); }


    long long1 = org.apache.commons.math.util.FastMath.round(2.578479835347869E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test396"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)4.641588833612779d);
    java.lang.Number number2 = notPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test397"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 100L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 100L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 1160016991);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test398"); }


    double[] d_array7 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double[] d_array13 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array7, d_array13);
    int i15 = dormandPrince853Integrator14.getEvaluations();
    double d16 = dormandPrince853Integrator14.getCurrentStepStart();
    double[] d_array22 = new double[] { 1.0d };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double[] d_array27 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array22, d_array27);
    double[] d_array36 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    double[] d_array42 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array36, d_array42);
    int i44 = dormandPrince853Integrator43.getEvaluations();
    double d45 = dormandPrince853Integrator43.getCurrentSignedStepsize();
    int i46 = dormandPrince853Integrator43.getEvaluations();
    double[] d_array54 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    double[] d_array60 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator61 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array54, d_array60);
    double[] d_array65 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array65);
    dormandPrince853Integrator43.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array60, d_array65);
    dormandPrince853Integrator14.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array22, d_array60);
    double[] d_array71 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator72 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.6430652399243957d, (-0.8414709848078965d), d_array60, d_array71);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test399"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)4.72480292434354E15d, (java.lang.Number)0.8586638839383994d, false);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test400"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0d, (-1.5693846887493075d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test401"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.3144535440025449d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1464962032220363d);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test402"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(3.814697265625E-6d, 20, 338217207);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test403"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(3.6661404377193025E21d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test404"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    double d10 = eventState9.getMaxCheckInterval();
    double[] d_array17 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array17);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array17);
    double[] d_array23 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator24 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array17, d_array23);
    boolean b25 = eventState9.reset(4.862269934658958d, d_array23);
    double[] d_array32 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    double[] d_array38 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array38);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array38);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array32, d_array38);
    boolean b42 = eventState9.reset(0.8656906612586714d, d_array38);
    int i43 = org.apache.commons.math.util.MathUtils.hash(d_array38);
    int i44 = org.apache.commons.math.util.MathUtils.hash(d_array38);
    double[] d_array48 = new double[] { 1.0d };
    int i49 = org.apache.commons.math.util.MathUtils.hash(d_array48);
    double[] d_array53 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator56 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array48, d_array53);
    dormandPrince853Integrator56.setMaxEvaluations((-1));
    dormandPrince853Integrator56.setSafety(Double.NaN);
    double[] d_array68 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array68);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array68);
    double[] d_array74 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator75 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array68, d_array74);
    double[] d_array79 = new double[] { 1.0d };
    int i80 = org.apache.commons.math.util.MathUtils.hash(d_array79);
    double[] d_array84 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array84);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array84);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator87 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array79, d_array84);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array84);
    dormandPrince853Integrator56.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array68, d_array84);
    int i90 = org.apache.commons.math.util.MathUtils.hash(d_array84);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator91 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7992380775856724d, 3.6661404377193025E21d, d_array38, d_array84);
    int i92 = org.apache.commons.math.util.MathUtils.hash(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i92 == (-2081393569));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test405"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(5L, 1017118720);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7358363221561966593L);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test406"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.35144838497793435d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3666707404329691d));

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test407"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    double d5 = dormandPrince853Integrator4.getMaxStep();
    dormandPrince853Integrator4.clearStepHandlers();
    double d7 = dormandPrince853Integrator4.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.9155494254642262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test408"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException2 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9155494254642262d);
    java.lang.String str3 = tooManyEvaluationsException2.toString();
    java.lang.Throwable[] throwable_array4 = tooManyEvaluationsException2.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array4);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = mathIllegalStateException5.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"+ "'", str3.equals("org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test409"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator6 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.0d, 4.616135024343307E-39d, 1.570796326794896d, 0.1504077273281217d);
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.570796326794896d };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, obj_array7);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array7);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext10 = mathIllegalStateException9.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test410"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(2.578479835347869E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test411"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, number1, (java.lang.Number)10.000002f, true);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    java.lang.Number number6 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.000002f+ "'", number5.equals(10.000002f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 10.000002f+ "'", number6.equals(10.000002f));

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test412"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.3647516590708613d, (-0.9108542167032013d), 1.6091241881472023d, 0.9303903342669484d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test413"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    dormandPrince853Integrator4.setMaxGrowth(9.99999999999995E-15d);
    dormandPrince853Integrator4.setMaxGrowth(100.00850569053452d);
    int i9 = dormandPrince853Integrator4.getMaxEvaluations();
    double d10 = dormandPrince853Integrator4.getCurrentStepStart();
    double[] d_array12 = null;
    double[] d_array20 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array20);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array20);
    double[] d_array26 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator27 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array20, d_array26);
    int i28 = dormandPrince853Integrator27.getEvaluations();
    double d29 = dormandPrince853Integrator27.getCurrentStepStart();
    double[] d_array35 = new double[] { 1.0d };
    int i36 = org.apache.commons.math.util.MathUtils.hash(d_array35);
    double[] d_array40 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array40);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array40);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array35, d_array40);
    double[] d_array49 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array49);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array49);
    double[] d_array55 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator56 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array49, d_array55);
    int i57 = dormandPrince853Integrator56.getEvaluations();
    double d58 = dormandPrince853Integrator56.getCurrentSignedStepsize();
    int i59 = dormandPrince853Integrator56.getEvaluations();
    double[] d_array67 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array67);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array67);
    double[] d_array73 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator74 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array67, d_array73);
    double[] d_array78 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array78);
    dormandPrince853Integrator56.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array73, d_array78);
    dormandPrince853Integrator27.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array35, d_array73);
    double[] d_array84 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator85 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.6430652399243957d, (-0.8414709848078965d), d_array73, d_array84);
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator4.computeDerivatives(0.022710359919971508d, d_array12, d_array73);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test414"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    double d10 = bracketingNthOrderBrentSolver8.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState11 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 3.1622776601683785E-8d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    int i12 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 4.5d, (-1023), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    double d14 = eventState13.getConvergence();
    double d15 = eventState13.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 4.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test415"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.6216099682706644d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8534393372698597d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test416"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.120841282372917d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test417"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(Double.POSITIVE_INFINITY, 0.1505149978319906d, 0.7928400443770229d, 9.999999999999989E-16d);
    double d5 = dormandPrince853Integrator4.getMinReduction();
    double d6 = dormandPrince853Integrator4.getMaxStep();
    double d7 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    dormandPrince853Integrator4.setMinReduction(0.3042122616223025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.1505149978319906d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test418"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.9913289159728428d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test419"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.0f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.99999994f));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test420"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    int i10 = eventState7.getMaxIterationCount();
    int i11 = eventState7.getMaxIterationCount();
    int i12 = eventState7.getMaxIterationCount();
    int i13 = eventState7.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 100);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test421"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(0L, 8317044381207110793L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test422"); }


    float f2 = org.apache.commons.math.util.FastMath.min(2.8E-45f, 1.7347233E-17f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.8E-45f);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test423"); }


    double d2 = org.apache.commons.math.util.FastMath.min(3.121910876168739d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test424"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    double d6 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 3.1622776601683785E-8d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver4);
    int i8 = bracketingNthOrderBrentSolver4.getEvaluations();
    double d9 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test425"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    dormandPrince853Integrator12.setInitialStepSize(8.881784197001252E-16d);
    dormandPrince853Integrator12.setStepSizeControl(0.7765491853463035d, 0.015222705497577463d, 8.881784197001254E-16d, 0.9092974268256818d);
    dormandPrince853Integrator12.setSafety(0.0d);
    org.apache.commons.math.ode.events.EventHandler eventHandler26 = null;
    double[] d_array35 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array35);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array35);
    double[] d_array41 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator42 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array35, d_array41);
    int i43 = dormandPrince853Integrator42.getOrder();
    int i44 = dormandPrince853Integrator42.getEvaluations();
    java.util.Collection collection45 = dormandPrince853Integrator42.getEventHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler46 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver52 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d53 = bracketingNthOrderBrentSolver52.getMin();
    dormandPrince853Integrator42.addEventHandler(eventHandler46, 1.6430652399243957d, 0.7924473533734637d, 1586880529, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver52);
    int i55 = bracketingNthOrderBrentSolver52.getMaxEvaluations();
    int i56 = bracketingNthOrderBrentSolver52.getMaxEvaluations();
    dormandPrince853Integrator12.addEventHandler(eventHandler26, 0.0d, 0.2134588082529032d, (-2081393569), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver52);
    dormandPrince853Integrator12.setInitialStepSize(0.8428622551066925d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test426"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.9867935207409493d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6826189050331357d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test427"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(10, 1);
    int i3 = equationsMapper2.getDimension();
    int i4 = equationsMapper2.getDimension();
    int i5 = equationsMapper2.getFirstIndex();
    int i6 = equationsMapper2.getDimension();
    int i7 = equationsMapper2.getFirstIndex();
    int i8 = equationsMapper2.getDimension();
    int i9 = equationsMapper2.getDimension();
    int i10 = equationsMapper2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test428"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(1.0243029014333047d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1335740998);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test429"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, 0.7224284372420833d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7224284372420833d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test430"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.0d, (-0.010550814242305681d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test431"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i32 = bracketingNthOrderBrentSolver31.getEvaluations();
    double d33 = bracketingNthOrderBrentSolver31.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler27, 3.1622776601683785E-8d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver31);
    dormandPrince853Integrator12.addEventHandler(eventHandler23, 3.141592653589793d, 1.0E-14d, (-1991475689), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver31);
    double d36 = dormandPrince853Integrator12.getMinReduction();
    dormandPrince853Integrator12.setMinReduction(0.9112116246441057d);
    java.util.Collection collection39 = dormandPrince853Integrator12.getEventHandlers();
    double d40 = dormandPrince853Integrator12.getMinStep();
    double d41 = dormandPrince853Integrator12.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test432"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(5.421011E-20f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 6.4623485E-27f);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test433"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    double d14 = dormandPrince853Integrator12.getMaxStep();
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.5356863141173624d, 1.9375840724106437d, (-1390986603));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.718281828459045d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test434"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException11 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array12 = tooManyEvaluationsException11.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable8, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, (java.lang.Object[])throwable_array12);
    java.lang.Throwable[] throwable_array16 = mathIllegalArgumentException15.getSuppressed();
    org.apache.commons.math.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math.exception.NoBracketingException(localizable1, (-0.7612300442463679d), 0.7798252495435847d, (-0.7182818284590454d), 1.4142135623730951d, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Number number22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (-0.8369082414395024d) };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException25 = new org.apache.commons.math.exception.MaxCountExceededException(localizable21, number22, obj_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable20, obj_array24);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException18, localizable19, obj_array24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test435"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1072693279);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 1);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, bigInteger9);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 1);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException13 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)bigInteger10);
    java.lang.Number number14 = notStrictlyPositiveException13.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 0+ "'", number14.equals(0));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test436"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1072693279);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 1072693279);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger7);
    org.apache.commons.math.exception.NotPositiveException notPositiveException11 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)bigInteger7);
    java.math.BigInteger bigInteger12 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, bigInteger12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test437"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.40616425625444424d, 0.6256205516530537d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4061642562544443d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test438"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.setStepSizeControl((-0.7615941559557649d), 0.0d, 1.2596508914902838E-16d, 1.300509906445107d);
    double d21 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d22 = dormandPrince853Integrator12.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler23, 0.7716133340725972d, 1.1599753909038675d, 17);
    dormandPrince853Integrator12.setMaxEvaluations((-944219343));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test439"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(2.498147420724462d, 0.991778853443115d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.4981474207244614d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test440"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(1335740998);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1335740998);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test441"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.170953398434528d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test442"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(9.536743E-7f, 0.9999999f, (-47));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test443"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    int i8 = bracketingNthOrderBrentSolver6.getEvaluations();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution14 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d15 = bracketingNthOrderBrentSolver6.solve(1024, univariateRealFunction10, 0.6038707724873037d, 4.641738519416506d, 0.13971613923522394d, allowedSolution14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test444"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(1.1752011936438014d, 2, 1149093506);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test445"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test446"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.414213562373095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test447"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.9888622630257238d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test448"); }


    double d2 = org.apache.commons.math.util.FastMath.pow((-0.0012582123643330115d), (-1.25241995898385d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test449"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(7.629395E-6f, 7.629394E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test450"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(6);
    incrementor1.incrementCount();
    incrementor1.incrementCount((-3));
    incrementor1.incrementCount((-4));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test451"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-24), 1072693279);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test452"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-59), (java.lang.Number)(-5), true);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test453"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    java.util.Collection collection12 = dormandPrince853Integrator4.getStepHandlers();
    int i13 = dormandPrince853Integrator4.getEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler14 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler14, 1.5148454807974863d, Double.NEGATIVE_INFINITY, 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test454"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    int i14 = dormandPrince853Integrator12.getOrder();
    double d15 = dormandPrince853Integrator12.getMinReduction();
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    double[] d_array25 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    double[] d_array31 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator32 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array25, d_array31);
    dormandPrince853Integrator32.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler35 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver41 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d42 = bracketingNthOrderBrentSolver41.getMin();
    dormandPrince853Integrator32.addEventHandler(eventHandler35, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver41);
    dormandPrince853Integrator12.addEventHandler(eventHandler16, 0.01770048911682398d, (-0.4392420037409799d), 1617823322, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver41);
    int i45 = bracketingNthOrderBrentSolver41.getMaximalOrder();
    double d46 = bracketingNthOrderBrentSolver41.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test455"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.clearEventHandlers();
    dormandPrince853Integrator12.setStepSizeControl(0.27460508963227326d, 1.642362934689854d, 2.319522830243586E-16d, (-3.1415926535897927d));
    double d30 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    dormandPrince853Integrator12.setInitialStepSize(1.1992254477446618d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler33 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler33);
    double d35 = dormandPrince853Integrator12.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.27460508963227326d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test456"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(2117164448);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2117164448);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test457"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-1), (-30));
    java.lang.Throwable throwable3 = null;
    // The following exception was thrown during execution in test generation
    try {
      dimensionMismatchException2.addSuppressed(throwable3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test458"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double[] d_array12 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array12);
    boolean b14 = eventState7.reset(5.012834880298681E-6d, d_array12);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = eventState7.getEventHandler();
    double[] d_array17 = null;
    boolean b18 = eventState7.reset(3.4525435914628857d, d_array17);
    double d19 = eventState7.getConvergence();
    double d20 = eventState7.getMaxCheckInterval();
    boolean b21 = eventState7.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.018760270073627384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test459"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-0.2107957994307797d), (java.lang.Number)(-34.538776394910684d), true);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test460"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    int i23 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setMaxGrowth(5.551115123125783E-17d);
    dormandPrince853Integrator12.setMaxEvaluations(0);
    dormandPrince853Integrator12.setMaxGrowth(0.8013504142519434d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler30 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler30);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)stepHandler30);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 2147483647);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test461"); }


    double[] d_array5 = new double[] { 1.0d };
    int i6 = org.apache.commons.math.util.MathUtils.hash(d_array5);
    double[] d_array12 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array12);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array12);
    double[] d_array18 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator19 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array12, d_array18);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator20 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.48024657258842585d), 0.4451963704655766d, d_array5, d_array18);
    org.apache.commons.math.ode.events.EventHandler eventHandler21 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState28 = new org.apache.commons.math.ode.events.EventState(eventHandler21, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver27);
    double d29 = eventState28.getMaxCheckInterval();
    double[] d_array36 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    double[] d_array42 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array36, d_array42);
    boolean b44 = eventState28.reset(4.862269934658958d, d_array42);
    double[] d_array51 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array51);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array51);
    double[] d_array57 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array57);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array57);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator60 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array51, d_array57);
    boolean b61 = eventState28.reset(0.8656906612586714d, d_array57);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array57);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator63 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 0.7928975017032128d, d_array18, d_array57);
    int i64 = org.apache.commons.math.util.MathUtils.hash(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 1160016991);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test462"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(throwable5, localizable6, obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, obj_array8);
    org.apache.commons.math.exception.MathInternalError mathInternalError11 = new org.apache.commons.math.exception.MathInternalError(localizable3, obj_array8);
    java.lang.Throwable[] throwable_array12 = mathInternalError11.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test463"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(7.6293945E-6f, 9.094947E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test464"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.999999999999997d, 0.4136070376880365d, (-64));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test465"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.9989045970377486d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9989045970377486d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test466"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.070614699497718d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test467"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.47241994041774316d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3256717794949655d));

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test468"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.8231438348718896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test469"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(80, 1425117761);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator7 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.1071487177940904d, 1.4887150581008033d, 4.457514001822277E-6d, 0.9666468244594387d);
    double d8 = dormandPrince853Integrator7.getMaxGrowth();
    double[] d_array18 = new double[] { 1.0d };
    int i19 = org.apache.commons.math.util.MathUtils.hash(d_array18);
    double[] d_array25 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    double[] d_array31 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator32 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array25, d_array31);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.48024657258842585d), 0.4451963704655766d, d_array18, d_array31);
    double[] d_array35 = new double[] { 1.0d };
    int i36 = org.apache.commons.math.util.MathUtils.hash(d_array35);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator37 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.0d, (-4.4575140018518E-6d), d_array31, d_array35);
    int i38 = org.apache.commons.math.util.MathUtils.hash(d_array35);
    double[] d_array42 = new double[] { 1.0d };
    int i43 = org.apache.commons.math.util.MathUtils.hash(d_array42);
    double[] d_array47 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array42, d_array47);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    int i52 = org.apache.commons.math.util.MathUtils.hash(d_array47);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.5767037019277758d, (-3.141592653589793d), d_array35, d_array47);
    org.apache.commons.math.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver60 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState61 = new org.apache.commons.math.ode.events.EventState(eventHandler54, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver60);
    double d62 = eventState61.getMaxCheckInterval();
    double[] d_array69 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array69);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array69);
    double[] d_array75 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator76 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array69, d_array75);
    boolean b77 = eventState61.reset(4.862269934658958d, d_array75);
    dormandPrince853Integrator7.setStepSizeControl(9.05527113890874d, 1.123613177011252d, d_array47, d_array75);
    double[] d_array84 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array84);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array84);
    double[] d_array90 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator91 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array84, d_array90);
    int i92 = org.apache.commons.math.util.MathUtils.hash(d_array84);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array75, d_array84);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i92 == (-2081393569));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test470"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(10, 1);
    int i3 = equationsMapper2.getDimension();
    int i4 = equationsMapper2.getDimension();
    int i5 = equationsMapper2.getFirstIndex();
    int i6 = equationsMapper2.getDimension();
    int i7 = equationsMapper2.getFirstIndex();
    int i8 = equationsMapper2.getDimension();
    int i9 = equationsMapper2.getDimension();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState17 = new org.apache.commons.math.ode.events.EventState(eventHandler10, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver16);
    double d18 = eventState17.getConvergence();
    boolean b19 = eventState17.stop();
    int i20 = eventState17.getMaxIterationCount();
    double d21 = eventState17.getEventTime();
    int i22 = eventState17.getMaxIterationCount();
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler29 = null;
    dormandPrince853Integrator28.addStepHandler(stepHandler29);
    double d31 = dormandPrince853Integrator28.getMaxStep();
    dormandPrince853Integrator28.clearEventHandlers();
    int i33 = dormandPrince853Integrator28.getOrder();
    double[] d_array36 = new double[] {  };
    double[] d_array42 = new double[] { 1.0d };
    int i43 = org.apache.commons.math.util.MathUtils.hash(d_array42);
    double[] d_array49 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array49);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array49);
    double[] d_array55 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator56 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array49, d_array55);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator57 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.48024657258842585d), 0.4451963704655766d, d_array42, d_array55);
    double[] d_array59 = new double[] { 1.0d };
    int i60 = org.apache.commons.math.util.MathUtils.hash(d_array59);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator61 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.0d, (-4.4575140018518E-6d), d_array55, d_array59);
    int i62 = org.apache.commons.math.util.MathUtils.hash(d_array59);
    int i63 = org.apache.commons.math.util.MathUtils.hash(d_array59);
    dormandPrince853Integrator28.setStepSizeControl(1.7182818284590453d, 4.293516121890039d, d_array36, d_array59);
    boolean b65 = eventState17.reset(0.29553464488873954d, d_array59);
    double[] d_array69 = new double[] { 1.0d };
    int i70 = org.apache.commons.math.util.MathUtils.hash(d_array69);
    double[] d_array74 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array74);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array74);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator77 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array69, d_array74);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array74);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array74);
    int i80 = org.apache.commons.math.util.MathUtils.hash(d_array74);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.insertEquationData(d_array59, d_array74);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.9155494254642262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == (-2081393569));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test471"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-17), 17);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 17);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test472"); }


    int i2 = org.apache.commons.math.util.FastMath.max(1648960001, 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1648960001);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test473"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(0.8018532348993415d, 3.1406933057808946d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test474"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(273.41564860563335d, 0.34479485034404866d, 0.43231892672451316d, 0.05603861074652553d);
    double d5 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.43231892672451316d);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test475"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.017461099615361693d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test476"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.3711318613053713d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test477"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(1425117761, 1160016991);
    java.lang.Throwable[] throwable_array3 = dimensionMismatchException2.getSuppressed();
    java.lang.Throwable[] throwable_array4 = dimensionMismatchException2.getSuppressed();
    int i5 = dimensionMismatchException2.getDimension();
    int i6 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1160016991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1160016991);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test478"); }


    float f3 = org.apache.commons.math.util.Precision.round(0.0f, (-296632319), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test479"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.01370772302479563d, 1.1454831399085244d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1455651554954072d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test480"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)4.4575140018518E-6d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = notStrictlyPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test481"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(7.205759E16f, 1.694066E-21f, (-52));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test482"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException8 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1160016991, (java.lang.Number)4.9E-324d, true);
    boolean b9 = numberIsTooSmallException8.getBoundIsAllowed();
    boolean b10 = numberIsTooSmallException8.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array11 = numberIsTooSmallException8.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, (java.lang.Number)0.5826301331800544d, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math.exception.NullArgumentException(localizable2, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)25.357855722996636d, (java.lang.Object[])throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test483"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.6045171265106349d), (java.lang.Number)0.18232155679395465d, true);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.util.Incrementor incrementor9 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor9, localizable10, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(throwable7, localizable8, obj_array12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooLargeException4, localizable5, obj_array12);
    boolean b17 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number18 = numberIsTooLargeException4.getMax();
    java.lang.Throwable[] throwable_array19 = numberIsTooLargeException4.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException20 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 0.18232155679395465d+ "'", number18.equals(0.18232155679395465d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test484"); }


    org.apache.commons.math.util.MathUtils.checkFinite(1.1190079949929734d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test485"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign((-888018845));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test486"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(throwable6, localizable7, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)6.283185307179586d, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable3, (java.lang.Number)100, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, (java.lang.Number)0.022710359919971508d, obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test487"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals((-0.0516727825173268d), 0.0d, 956191141);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test488"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(6);
    incrementor1.incrementCount();
    incrementor1.incrementCount((-3));
    int i5 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test489"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.4E-45f, 7.205759E16f, 2.1267647E37f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test490"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0);
    boolean b2 = notPositiveException1.getBoundIsAllowed();
    boolean b3 = notPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test491"); }


    double[] d_array7 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double[] d_array13 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array7, d_array13);
    int i15 = dormandPrince853Integrator14.getEvaluations();
    double d16 = dormandPrince853Integrator14.getCurrentStepStart();
    double[] d_array22 = new double[] { 1.0d };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double[] d_array27 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array22, d_array27);
    double[] d_array36 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    double[] d_array42 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array36, d_array42);
    int i44 = dormandPrince853Integrator43.getEvaluations();
    double d45 = dormandPrince853Integrator43.getCurrentSignedStepsize();
    int i46 = dormandPrince853Integrator43.getEvaluations();
    double[] d_array54 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    double[] d_array60 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator61 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array54, d_array60);
    double[] d_array65 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array65);
    dormandPrince853Integrator43.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array60, d_array65);
    dormandPrince853Integrator14.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array22, d_array60);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array22);
    double[] d_array75 = new double[] { 1.0d };
    int i76 = org.apache.commons.math.util.MathUtils.hash(d_array75);
    double[] d_array80 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array80);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array80);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator83 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array75, d_array80);
    double[] d_array87 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array87);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array87);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator90 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9112116246441057d, 3.141592653589793d, d_array75, d_array87);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator91 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.4136070376880365d, 1.0787619161000126d, d_array22, d_array75);
    dormandPrince853Integrator91.clearEventHandlers();
    dormandPrince853Integrator91.setMaxGrowth(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test492"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.4762838565598243d, 1.1464962032220363d, 2.718281828459046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.050994434544850975d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test493"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.9003061257539106d, 0.82922602627931d, 1.8177329794834447d, (-454629473));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test494"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 5.0088494355024755d, (-0.3131459157823113d), 0.0d, (-59));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test495"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-131497551), (-1166016511));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-131497551));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test496"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.6053630273395951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test497"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.0142896517609332d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5282232253946453d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test498"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    java.util.Collection collection26 = dormandPrince853Integrator12.getStepHandlers();
    double d27 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setMinReduction((-0.02502680773382468d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test499"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(0.01771501571565256d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest16.test500"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(10.000001f, 1.421E-14f, 1.19209275E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

}
