
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest17 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test001"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.40616425625444424d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.38521094823370866d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test002"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test003"); }


    long long2 = org.apache.commons.math.util.FastMath.max(3L, 6782461214293182951L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 6782461214293182951L);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test004"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.8259324122591327d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.360917989193913d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test005"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 100.0d, 2.2250738585072014E-308d, 100.0d);
    double d5 = noBracketingException4.getHi();
    double d6 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.MathInternalError mathInternalError7 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    double d8 = noBracketingException4.getLo();
    double d9 = noBracketingException4.getFHi();
    org.apache.commons.math.exception.MathInternalError mathInternalError10 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    java.lang.String str11 = noBracketingException4.toString();
    double d12 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [0, 100], values: [0, 100]"+ "'", str11.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [0, 100], values: [0, 100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 100.0d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test006"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(2.1267648E37f, 0.3858090698837896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.1267647E37f);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test007"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.037277101766377996d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03725984961426325d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test008"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.8120012326719374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test009"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(80, 0);
    java.lang.String str3 = dimensionMismatchException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.exception.DimensionMismatchException: 80 != 0"+ "'", str3.equals("org.apache.commons.math.exception.DimensionMismatchException: 80 != 0"));

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test010"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    dormandPrince853Integrator4.setMaxGrowth(9.99999999999995E-15d);
    dormandPrince853Integrator4.setMinReduction(0.8656906612586714d);
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction14 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState22 = new org.apache.commons.math.ode.events.EventState(eventHandler15, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution26 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d27 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction14, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver21, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution26);
    int i28 = bracketingNthOrderBrentSolver21.getMaxEvaluations();
    double d29 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator4.addEventHandler(eventHandler9, 1.0544413841537041d, 0.9303903342669483d, (-2081393569), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    double d31 = bracketingNthOrderBrentSolver21.getMin();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction33 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction37 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver41 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.031372119270420086d, 1.570796326794896d, 1160016991);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction46 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver49 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d50 = bracketingNthOrderBrentSolver49.getMin();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution54 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d55 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1), univariateRealFunction46, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver49, 1.1102230246251565E-16d, 1.1102230246251565E-16d, 1.0d, allowedSolution54);
    double d56 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1425117761, univariateRealFunction37, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver41, Double.NaN, 0.7336545584598283d, 0.13109109799408383d, allowedSolution54);
    // The following exception was thrown during execution in test generation
    try {
      double d57 = bracketingNthOrderBrentSolver21.solve(1796381646, univariateRealFunction33, (-0.4712912172273389d), 3.0d, allowedSolution54);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d56, Double.NaN, 0);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test011"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(1.1992254477446618d, 0.9666468244594387d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1919807514400662d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test012"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1072693279);
    java.math.BigInteger bigInteger8 = null;
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 0L);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 1072693279);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger10);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException18 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)bigInteger5);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException20 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.9303903342669483d, (java.lang.Number)bigInteger5, false);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException22 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.540908178896434d, (java.lang.Number)0.9303903342669483d, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test013"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    dormandPrince853Integrator12.setSafety(0.9050742637938461d);
    int i28 = dormandPrince853Integrator12.getEvaluations();
    int i29 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setInitialStepSize(0.0d);
    java.lang.String str32 = dormandPrince853Integrator12.getName();
    int i33 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setMaxGrowth(0.5946171581495265d);
    dormandPrince853Integrator12.setMinReduction(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str32.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 2147483647);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test014"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.99999994f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.99999994f);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test015"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    int i10 = dormandPrince853Integrator4.getOrder();
    java.util.Collection collection11 = dormandPrince853Integrator4.getStepHandlers();
    java.util.Collection collection12 = dormandPrince853Integrator4.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection12);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test016"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(35.99999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.12796368962741173d));

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test017"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.994952859963129d, 0.8412667535209738d, 338217207);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test018"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i32 = bracketingNthOrderBrentSolver31.getEvaluations();
    double d33 = bracketingNthOrderBrentSolver31.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler27, 3.1622776601683785E-8d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver31);
    dormandPrince853Integrator12.addEventHandler(eventHandler23, 3.141592653589793d, 1.0E-14d, (-1991475689), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver31);
    double d36 = bracketingNthOrderBrentSolver31.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction38 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution42 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d43 = bracketingNthOrderBrentSolver31.solve((-1530496838), univariateRealFunction38, 0.9989045970377486d, 9.999999999999999E-16d, 0.492234145343279d, allowedSolution42);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0E-14d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test019"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d7 = bracketingNthOrderBrentSolver6.getMin();
    int i8 = bracketingNthOrderBrentSolver6.getMaxEvaluations();
    int i9 = bracketingNthOrderBrentSolver6.getEvaluations();
    double d10 = bracketingNthOrderBrentSolver6.getMax();
    int i11 = bracketingNthOrderBrentSolver6.getEvaluations();
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.00850569053452d, (-36.784749426412844d), 8, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    int i13 = eventState12.getMaxIterationCount();
    double d14 = eventState12.getEventTime();
    boolean b15 = eventState12.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test020"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(25.357855722996636d, 1.785153257347238d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test021"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.004740398317770095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test022"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.0d, 1.1094027756605345d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5547013878302672d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test023"); }


    double d2 = org.apache.commons.math.util.FastMath.min(99.0006514230905d, (-0.04575749056067506d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.04575749056067506d));

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test024"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0d, 1.14267892766238d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test025"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(1227324758466374519L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1227324758466374519L);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test026"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.5286577595782115E-308d, 0.0d, 0.6161572192416905d, 0.6030162787796399d);
    double d5 = dormandPrince853Integrator4.getCurrentStepStart();
    double d6 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    dormandPrince853Integrator4.setStepSizeControl(1.1709533984345282d, 0.046382598025290774d, 0.005115642898456285d, (-0.20029354112337366d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test027"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(15.514088825291784d, 1.0013329614069104d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test028"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.8353314733650533d, 0.540908178896434d, 10.334504334838902d, (-59));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test029"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle((-8.079770949659443d), 2.58918741859458d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.48659966469973d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test030"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(1398176881, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test031"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    java.util.Collection collection26 = dormandPrince853Integrator12.getStepHandlers();
    dormandPrince853Integrator12.setStepSizeControl((-0.6045171265106349d), 0.0d, 6.794214468460137E-20d, 5.0d);
    dormandPrince853Integrator12.setStepSizeControl(0.8464160110682909d, 0.05598006119233365d, 0.3049384952265751d, 16.123863856382016d);
    double d37 = dormandPrince853Integrator12.getMaxStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.05598006119233365d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test032"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i1 = bracketingNthOrderBrentSolver0.getEvaluations();
    double d2 = bracketingNthOrderBrentSolver0.getFunctionValueAccuracy();
    double d3 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver0.getStartValue();
    double d5 = bracketingNthOrderBrentSolver0.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test033"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.5286577595782115E-308d, 0.0d, 0.6161572192416905d, 0.6030162787796399d);
    double d5 = dormandPrince853Integrator4.getCurrentStepStart();
    double d6 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    double d7 = dormandPrince853Integrator4.getMaxStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test034"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7612300442463679d, 0.004377443365986725d, 0.013708152312838048d, (-912718246));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test035"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    java.util.Collection collection15 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMinReduction((-0.12796368962740468d));
    double d18 = dormandPrince853Integrator12.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test036"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.0d, 20.90961899818619d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test037"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    dormandPrince853Integrator4.setMaxGrowth(9.99999999999995E-15d);
    dormandPrince853Integrator4.setMinReduction(0.8656906612586714d);
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction14 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState22 = new org.apache.commons.math.ode.events.EventState(eventHandler15, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution26 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d27 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction14, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver21, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution26);
    int i28 = bracketingNthOrderBrentSolver21.getMaxEvaluations();
    double d29 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator4.addEventHandler(eventHandler9, 1.0544413841537041d, 0.9303903342669483d, (-2081393569), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    double d31 = bracketingNthOrderBrentSolver21.getStartValue();
    double d32 = bracketingNthOrderBrentSolver21.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test038"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 0.13077923072973377d, (-13.815510557964274d), 1017118720);
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    double d10 = bracketingNthOrderBrentSolver8.getRelativeAccuracy();
    int i11 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.7165431927243872d, 50.019941263655255d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test039"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(2.028241E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.028241E31f);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test040"); }


    int i2 = org.apache.commons.math.util.FastMath.max(180531597, 84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 180531597);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test041"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.2818210639260053d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 73.442937053929d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test042"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(1.3642648950383487d, 7.079949932911148d, 0.33395738938331987d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test043"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0.9791685519850443d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test044"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)184331630, number2, false);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test045"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.9156770608705083d, 0.9155494254642262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2763540628202286E-4d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test046"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.clearEventHandlers();
    java.util.Collection collection6 = dormandPrince853Integrator4.getStepHandlers();
    int i7 = dormandPrince853Integrator4.getOrder();
    double d8 = dormandPrince853Integrator4.getMaxStep();
    java.lang.String str9 = dormandPrince853Integrator4.getName();
    double[] d_array14 = new double[] { 1.0d };
    int i15 = org.apache.commons.math.util.MathUtils.hash(d_array14);
    double[] d_array19 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator22 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array14, d_array19);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    int i25 = org.apache.commons.math.util.MathUtils.hash(d_array19);
    org.apache.commons.math.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver32 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState33 = new org.apache.commons.math.ode.events.EventState(eventHandler26, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver32);
    double d34 = eventState33.getConvergence();
    boolean b35 = eventState33.stop();
    int i36 = eventState33.getMaxIterationCount();
    double d37 = eventState33.getEventTime();
    int i38 = eventState33.getMaxIterationCount();
    double d39 = eventState33.getConvergence();
    boolean b40 = eventState33.stop();
    double[] d_array45 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array45);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array45);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array45);
    boolean b49 = eventState33.reset(1.120841282372917d, d_array45);
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator4.computeDerivatives(0.24088895540341923d, d_array19, d_array45);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str9.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test047"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-956191141), 1636086465);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext4 = dimensionMismatchException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test048"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    dormandPrince853Integrator11.setMaxEvaluations((-1));
    dormandPrince853Integrator11.setSafety(Double.NaN);
    double[] d_array23 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    double[] d_array29 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array23, d_array29);
    double[] d_array34 = new double[] { 1.0d };
    int i35 = org.apache.commons.math.util.MathUtils.hash(d_array34);
    double[] d_array39 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator42 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array34, d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    dormandPrince853Integrator11.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array23, d_array39);
    org.apache.commons.math.ode.events.EventHandler eventHandler45 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler49 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver55 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState56 = new org.apache.commons.math.ode.events.EventState(eventHandler49, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    dormandPrince853Integrator11.addEventHandler(eventHandler45, 1.054229579476095d, 100.0d, (-20), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    java.util.Collection collection58 = dormandPrince853Integrator11.getStepHandlers();
    double d59 = dormandPrince853Integrator11.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 10.0d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test049"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    int i10 = eventState7.getMaxIterationCount();
    double d11 = eventState7.getEventTime();
    int i12 = eventState7.getMaxIterationCount();
    double[] d_array19 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    double[] d_array25 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array19, d_array25);
    boolean b29 = eventState7.reset(1.3043045862358962d, d_array19);
    double[] d_array31 = null;
    boolean b32 = eventState7.reset(2.6370445556606607E-4d, d_array31);
    double d33 = eventState7.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.059266403869008374d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test050"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-20), 22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test051"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(0L, 174L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test052"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    dormandPrince853Integrator12.setInitialStepSize(0.059266403869008374d);
    dormandPrince853Integrator12.clearStepHandlers();
    dormandPrince853Integrator12.setSafety(0.7336545584598283d);
    int i28 = dormandPrince853Integrator12.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test053"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.0635180655781546d, (java.lang.Number)7.079949932911148d, false);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test054"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 100.0d, 2.2250738585072014E-308d, 100.0d);
    double d5 = noBracketingException4.getHi();
    double d6 = noBracketingException4.getHi();
    double d7 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.MathInternalError mathInternalError8 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    double d9 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.2250738585072014E-308d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test055"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    double[] d_array23 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    double[] d_array29 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array23, d_array29);
    double[] d_array34 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    dormandPrince853Integrator12.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array29, d_array34);
    dormandPrince853Integrator12.setMinReduction(0.0d);
    dormandPrince853Integrator12.setInitialStepSize((-0.8414709848078965d));
    double d41 = dormandPrince853Integrator12.getMinReduction();
    java.lang.String str42 = dormandPrince853Integrator12.getName();
    org.apache.commons.math.ode.events.EventHandler eventHandler43 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler43, Double.NaN, 0.05616189202091593d, (-50));
    java.lang.String str48 = dormandPrince853Integrator12.getName();
    dormandPrince853Integrator12.setMaxEvaluations((-64));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str42.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str48.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test056"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, (-1.2306000526071357d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2306000526071357d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test057"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(8.4703295E-22f, 8000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test058"); }


    int i1 = org.apache.commons.math.util.FastMath.round(5.421011E-20f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test059"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler5 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler5);
    double d7 = dormandPrince853Integrator4.getMaxStep();
    dormandPrince853Integrator4.clearEventHandlers();
    int i9 = dormandPrince853Integrator4.getOrder();
    double[] d_array12 = new double[] {  };
    double[] d_array18 = new double[] { 1.0d };
    int i19 = org.apache.commons.math.util.MathUtils.hash(d_array18);
    double[] d_array25 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    double[] d_array31 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator32 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array25, d_array31);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.48024657258842585d), 0.4451963704655766d, d_array18, d_array31);
    double[] d_array35 = new double[] { 1.0d };
    int i36 = org.apache.commons.math.util.MathUtils.hash(d_array35);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator37 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.0d, (-4.4575140018518E-6d), d_array31, d_array35);
    int i38 = org.apache.commons.math.util.MathUtils.hash(d_array35);
    int i39 = org.apache.commons.math.util.MathUtils.hash(d_array35);
    dormandPrince853Integrator4.setStepSizeControl(1.7182818284590453d, 4.293516121890039d, d_array12, d_array35);
    double d41 = dormandPrince853Integrator4.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9155494254642262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.7182818284590453d);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test060"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-0.8414709848078965d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6995216443485196d));

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test061"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.9000000000000002d, 1.0787619161000126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test062"); }


    float f2 = org.apache.commons.math.util.FastMath.min((-99.99999f), 1.2089258E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-99.99999f));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test063"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(1461336416);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test064"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(2.2250738585072014E-308d, 1.2596508914902838E-16d, 0.059266403869008374d, 9.99999999999995E-15d);
    double d5 = noBracketingException4.getLo();
    double d6 = noBracketingException4.getFLo();
    double d7 = noBracketingException4.getLo();
    double d8 = noBracketingException4.getFHi();
    double d9 = noBracketingException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 9.99999999999995E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.2250738585072014E-308d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test065"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(80.000015f, 0.9999999f, Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test066"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-56), 5600402443640646519L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test067"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(2.30584301E18f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.30584328E18f);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test068"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(Double.POSITIVE_INFINITY, 0.1505149978319906d, 0.7928400443770229d, 9.999999999999989E-16d);
    double d5 = dormandPrince853Integrator4.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 10.0d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test069"); }


    int i1 = org.apache.commons.math.util.FastMath.round(2.1267647E37f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test070"); }


    double[] d_array7 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double[] d_array13 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array7, d_array13);
    dormandPrince853Integrator14.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver23 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d24 = bracketingNthOrderBrentSolver23.getMin();
    dormandPrince853Integrator14.addEventHandler(eventHandler17, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver23);
    dormandPrince853Integrator14.setSafety(4.5d);
    double[] d_array33 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array33);
    double[] d_array40 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array40);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array40);
    double[] d_array46 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator47 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array40, d_array46);
    dormandPrince853Integrator14.setStepSizeControl(0.149947327595365d, 0.0d, d_array33, d_array46);
    int i49 = org.apache.commons.math.util.MathUtils.hash(d_array33);
    double[] d_array53 = new double[] { 1.0d };
    int i54 = org.apache.commons.math.util.MathUtils.hash(d_array53);
    double[] d_array60 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array60);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array60);
    double[] d_array66 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator67 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array60, d_array66);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator68 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.48024657258842585d), 0.4451963704655766d, d_array53, d_array66);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator70 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.0d, 0.015106853390682799d, d_array33, d_array53);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test071"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-0.6045171265106349d), 0.9694155395097511d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test072"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-41.07479516671979d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.4476795317743654E17d));

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test073"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    double d9 = eventState7.getConvergence();
    double[] d_array11 = null;
    boolean b12 = eventState7.reset(2.0d, d_array11);
    double d13 = eventState7.getMaxCheckInterval();
    double d14 = eventState7.getMaxCheckInterval();
    double[] d_array16 = null;
    boolean b17 = eventState7.reset(0.6657715931506779d, d_array16);
    boolean b18 = eventState7.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test074"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence((-7.930067261567154E14d), 1.0864516613215964d, 0.8534393372698597d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test075"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.006759984225880643d), (java.lang.Number)(-0.0036772626353138993d), false);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test076"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-0.13371849157626797d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.13292994377298342d));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test077"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.00243850664782949d, (-0.033695038916529696d), (-9));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test078"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.6543612E-24f, 1.44115179E17f, 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test079"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.811526272460853d, 0.8412667535209738d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test080"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.881373587019543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.015382871033603782d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test081"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(throwable9, localizable10, obj_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, obj_array12);
    org.apache.commons.math.exception.MathInternalError mathInternalError15 = new org.apache.commons.math.exception.MathInternalError(localizable7, obj_array12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, obj_array12);
    org.apache.commons.math.exception.NoBracketingException noBracketingException18 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 9.99999999999995E-15d, Double.NaN, 0.8656906612586714d, 100.0d, obj_array12);
    double d19 = noBracketingException18.getFHi();
    double d20 = noBracketingException18.getFLo();
    double d21 = noBracketingException18.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.8656906612586714d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 9.99999999999995E-15d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test082"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.1920929E-7f, 1.4210856E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920929E-7f);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test083"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    dormandPrince853Integrator12.setSafety(1.1462158347805889d);
    dormandPrince853Integrator12.clearStepHandlers();
    double d18 = dormandPrince853Integrator12.getMinStep();
    dormandPrince853Integrator12.setStepSizeControl(1.7182818284590453d, (-34.538776394910684d), 1.6430652399243957d, (-2107.6108925797316d));
    double d24 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i25 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setMaxEvaluations((-1338456335));
    double d28 = dormandPrince853Integrator12.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 10.0d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test084"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    int i5 = incrementor2.getCount();
    incrementor2.resetCount();
    int i7 = incrementor2.getMaximalCount();
    incrementor2.resetCount();
    boolean b9 = incrementor2.canIncrement();
    int i10 = incrementor2.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test085"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.08356161774264548d, 0.09480363064404763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7224533803928039d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test086"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(2.527325423295335d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test087"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(80.000015f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test088"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    java.util.Collection collection15 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMinReduction(7.779829578606251E-8d);
    dormandPrince853Integrator12.clearEventHandlers();
    dormandPrince853Integrator12.clearStepHandlers();
    java.util.Collection collection20 = dormandPrince853Integrator12.getStepHandlers();
    double d21 = dormandPrince853Integrator12.getMinStep();
    dormandPrince853Integrator12.clearStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.7763568394002505E-15d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test089"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 0L);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 5L);
    java.math.BigInteger bigInteger13 = null;
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 1072693279);
    java.math.BigInteger bigInteger18 = null;
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 0L);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 1072693279);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, bigInteger20);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 0);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, bigInteger15);
    java.math.BigInteger bigInteger27 = null;
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger27, 0L);
    java.math.BigInteger bigInteger31 = org.apache.commons.math.util.MathUtils.pow(bigInteger29, 1072693279);
    java.math.BigInteger bigInteger33 = org.apache.commons.math.util.MathUtils.pow(bigInteger29, 0L);
    java.math.BigInteger bigInteger34 = null;
    java.math.BigInteger bigInteger36 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, 0L);
    java.math.BigInteger bigInteger38 = org.apache.commons.math.util.MathUtils.pow(bigInteger36, 1);
    java.math.BigInteger bigInteger40 = org.apache.commons.math.util.MathUtils.pow(bigInteger38, 1502190419);
    java.math.BigInteger bigInteger42 = org.apache.commons.math.util.MathUtils.pow(bigInteger38, 1502190419);
    java.math.BigInteger bigInteger44 = org.apache.commons.math.util.MathUtils.pow(bigInteger38, 0L);
    java.math.BigInteger bigInteger46 = org.apache.commons.math.util.MathUtils.pow(bigInteger44, 5L);
    java.math.BigInteger bigInteger47 = org.apache.commons.math.util.MathUtils.pow(bigInteger29, bigInteger44);
    java.math.BigInteger bigInteger48 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, bigInteger29);
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    java.math.BigInteger bigInteger51 = null;
    java.math.BigInteger bigInteger53 = org.apache.commons.math.util.MathUtils.pow(bigInteger51, 0L);
    java.math.BigInteger bigInteger55 = org.apache.commons.math.util.MathUtils.pow(bigInteger53, 1);
    java.math.BigInteger bigInteger57 = org.apache.commons.math.util.MathUtils.pow(bigInteger55, 1502190419);
    java.math.BigInteger bigInteger59 = org.apache.commons.math.util.MathUtils.pow(bigInteger55, 1502190419);
    java.math.BigInteger bigInteger61 = org.apache.commons.math.util.MathUtils.pow(bigInteger55, 0L);
    java.math.BigInteger bigInteger63 = org.apache.commons.math.util.MathUtils.pow(bigInteger61, 100);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bigInteger63);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException66 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable49, (java.lang.Number)(-0.7615941559557649d), (java.lang.Number)bigInteger63, false);
    java.math.BigInteger bigInteger67 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, bigInteger63);
    org.apache.commons.math.exception.NotPositiveException notPositiveException68 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)bigInteger26);
    java.lang.Number number69 = notPositiveException68.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number69 + "' != '" + 0+ "'", number69.equals(0));

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test090"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.1368685E-13f, 1.4210858E-14f, 7.629394E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test091"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(9.094947E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0842022E-19f);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test092"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0867617493061847d, 0.008987486387668074d, 100);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test093"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 0.596909690446534d, (-0.7612300442463679d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test094"); }


    int i2 = org.apache.commons.math.util.FastMath.max(956191141, 850603905);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 956191141);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test095"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 4.616135024343307E-39d, 0.9645674337582356d, 1.7453501620635508d, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test096"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1072693279);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 1072693279);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, bigInteger8);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException14 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)bigInteger8, (java.lang.Number)0.690620420971492d, true);
    java.math.BigInteger bigInteger15 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, bigInteger15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test097"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.03291965982183912d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1124716317);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test098"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-0.0025594381167499333d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.13678806659720386d));

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test099"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.078125015f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-4));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test100"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.528657759578211E-308d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.528657759578211E-308d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test101"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 100L);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 100L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0);
    java.math.BigInteger bigInteger12 = null;
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 0L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 1);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1502190419);
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1502190419);
    java.math.BigInteger bigInteger21 = null;
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, 0L);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger23, 1);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, bigInteger23);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException28 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)bigInteger7, (java.lang.Number)bigInteger26, false);
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger26);
    java.math.BigInteger bigInteger31 = org.apache.commons.math.util.MathUtils.pow(bigInteger29, 139L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test102"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(1.281821063926005d, 0.9477061494047297d, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test103"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1, maxCountExceededCallback1);
    int i3 = incrementor2.getCount();
    boolean b4 = incrementor2.canIncrement();
    incrementor2.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test104"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(2.88434278287886d, 0.12336415681980188d, 1.9278253879479748d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test105"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    dormandPrince853Integrator12.setInitialStepSize(0.0d);
    java.lang.String str17 = dormandPrince853Integrator12.getName();
    dormandPrince853Integrator12.setMaxEvaluations(0);
    dormandPrince853Integrator12.setMaxEvaluations(18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str17.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test106"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.11988668281266257d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test107"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.0d, 0.7838043914651368d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3919021957325684d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test108"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)10);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test109"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(0.14938855797952028d, (-41.07479516671979d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test110"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    int i16 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setMaxGrowth(0.8813735870195429d);
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    double[] d_array26 = new double[] { 1.0d };
    int i27 = org.apache.commons.math.util.MathUtils.hash(d_array26);
    double[] d_array31 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator34 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array26, d_array31);
    dormandPrince853Integrator34.setMaxEvaluations((-1));
    dormandPrince853Integrator34.setSafety(Double.NaN);
    double[] d_array46 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    double[] d_array52 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array46, d_array52);
    double[] d_array57 = new double[] { 1.0d };
    int i58 = org.apache.commons.math.util.MathUtils.hash(d_array57);
    double[] d_array62 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator65 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array57, d_array62);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    dormandPrince853Integrator34.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array46, d_array62);
    org.apache.commons.math.ode.events.EventHandler eventHandler68 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler72 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver78 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState79 = new org.apache.commons.math.ode.events.EventState(eventHandler72, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver78);
    dormandPrince853Integrator34.addEventHandler(eventHandler68, 1.054229579476095d, 100.0d, (-20), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver78);
    dormandPrince853Integrator12.addEventHandler(eventHandler19, (-1.683073204926466E-8d), 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver78);
    double d82 = dormandPrince853Integrator12.getCurrentStepStart();
    java.lang.String str83 = dormandPrince853Integrator12.getName();
    java.lang.String str84 = dormandPrince853Integrator12.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d82, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str83 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str83.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str84.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test111"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.03262199805121213d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test112"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, (-3254769898857554361L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test113"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.012053600227461832d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0121265376248287d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test114"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.82922602627931d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test115"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double[] d_array12 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array12);
    boolean b14 = eventState7.reset(5.012834880298681E-6d, d_array12);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = eventState7.getEventHandler();
    double[] d_array17 = null;
    boolean b18 = eventState7.reset(3.4525435914628857d, d_array17);
    double d19 = eventState7.getConvergence();
    double d20 = eventState7.getMaxCheckInterval();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator21 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b22 = eventState7.evaluateStep(stepInterpolator21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.018760270073627384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 3.141592653589793d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test116"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    java.util.Collection collection15 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMaxGrowth((-1.433780830483027d));
    int i18 = dormandPrince853Integrator12.getMaxEvaluations();
    double d19 = dormandPrince853Integrator12.getSafety();
    dormandPrince853Integrator12.setMinReduction(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.9d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test117"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.06733117341763584d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.06738205911634543d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test118"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.644351388422944d, 0.012314250163605116d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test119"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i5 = bracketingNthOrderBrentSolver2.getEvaluations();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction11 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver14 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i15 = bracketingNthOrderBrentSolver14.getMaximalOrder();
    double d16 = bracketingNthOrderBrentSolver14.getStartValue();
    double d17 = bracketingNthOrderBrentSolver14.getStartValue();
    double d18 = bracketingNthOrderBrentSolver14.getMax();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction23 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d27 = bracketingNthOrderBrentSolver26.getMin();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution31 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d32 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1), univariateRealFunction23, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver26, 1.1102230246251565E-16d, 1.1102230246251565E-16d, 1.0d, allowedSolution31);
    double d33 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateRealFunction11, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver14, 65.67332974399221d, 4.472136028180339E-4d, (-0.8603041824228294d), allowedSolution31);
    // The following exception was thrown during execution in test generation
    try {
      double d34 = bracketingNthOrderBrentSolver2.solve(0, univariateRealFunction7, (-0.025024195916837605d), 0.7168409105524667d, allowedSolution31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 65.67332974399221d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test120"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, number1);
    boolean b3 = notPositiveException2.getBoundIsAllowed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext4 = notPositiveException2.getContext();
    java.lang.Number number5 = notPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test121"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 9.999999999999999E-16d, 0.7402411371009698d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test122"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.8464160110682909d, (java.lang.Number)0.7924007402434942d, false);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test123"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.6997433175380419d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7957581942387819d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test124"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(0.03387592030278968d, 0, (-1098907647));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test125"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(1.3773316590860607d, (-1005));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.016917275117809E-303d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test126"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.3877787807814457E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.725290298461914E-9d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test127"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    double d9 = eventState7.getConvergence();
    double[] d_array11 = null;
    boolean b12 = eventState7.reset(2.0d, d_array11);
    double d13 = eventState7.getMaxCheckInterval();
    double d14 = eventState7.getMaxCheckInterval();
    double d15 = eventState7.getEventTime();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator16 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b17 = eventState7.evaluateStep(stepInterpolator16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test128"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.8259324122591327d, 0.05598006119233366d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test129"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Throwable throwable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(throwable12, localizable13, obj_array15);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable11, obj_array15);
    org.apache.commons.math.exception.MathInternalError mathInternalError18 = new org.apache.commons.math.exception.MathInternalError(localizable10, obj_array15);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException(localizable8, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException21 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)1502190419, obj_array15);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, obj_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException23 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.0051580526070207355d, obj_array15);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException24 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array15);
    org.apache.commons.math.exception.MathInternalError mathInternalError25 = new org.apache.commons.math.exception.MathInternalError(localizable2, obj_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException26 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)1.3647516590708613d, obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test130"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.05595086426657616d, 1.7174308979155382d, 1.2818210639260053d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test131"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(3.43597363E10f, (-0.9999999f), 1513055269);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test132"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(0.894723987811151d, 8, 1648960001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test133"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.26180028659525545d, 0.49656354607227216d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2618002865952555d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test134"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.7716133340725975d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test135"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 2.23879450315858d, 0.22140275816016988d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test136"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    java.util.Collection collection12 = dormandPrince853Integrator4.getStepHandlers();
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    double d15 = dormandPrince853Integrator4.getMaxGrowth();
    int i16 = dormandPrince853Integrator4.getEvaluations();
    double d17 = dormandPrince853Integrator4.getMaxStep();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler18 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler18);
    double d20 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.7615941559557649d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test137"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.4210858E-14f, (-9));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.7755582E-17f);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test138"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(3, maxCountExceededCallback1);
    incrementor2.resetCount();
    incrementor2.incrementCount();
    incrementor2.resetCount();
    int i6 = incrementor2.getCount();
    int i7 = incrementor2.getMaximalCount();
    incrementor2.resetCount();
    incrementor2.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 3);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test139"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 0L);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 5L);
    java.math.BigInteger bigInteger13 = null;
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 1072693279);
    java.math.BigInteger bigInteger18 = null;
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 0L);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 1072693279);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, bigInteger20);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 0);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, bigInteger15);
    java.math.BigInteger bigInteger28 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, 9223372036854775807L);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.math.BigInteger bigInteger30 = null;
    java.math.BigInteger bigInteger32 = org.apache.commons.math.util.MathUtils.pow(bigInteger30, 0L);
    java.math.BigInteger bigInteger34 = org.apache.commons.math.util.MathUtils.pow(bigInteger32, 1);
    java.math.BigInteger bigInteger36 = org.apache.commons.math.util.MathUtils.pow(bigInteger32, 562220405);
    org.apache.commons.math.exception.NotPositiveException notPositiveException37 = new org.apache.commons.math.exception.NotPositiveException(localizable29, (java.lang.Number)bigInteger32);
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException47 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10, (java.lang.Number)1.4142135623730951d, true);
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    java.lang.Throwable throwable51 = null;
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException55 = new org.apache.commons.math.exception.MathIllegalStateException(throwable51, localizable52, obj_array54);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException56 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable50, obj_array54);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException57 = new org.apache.commons.math.exception.MathArithmeticException(localizable49, obj_array54);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException58 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException47, localizable48, obj_array54);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException59 = new org.apache.commons.math.exception.NullArgumentException(localizable43, obj_array54);
    org.apache.commons.math.exception.NoBracketingException noBracketingException60 = new org.apache.commons.math.exception.NoBracketingException(localizable38, 99.99999999999999d, 0.7110364255563046d, 0.0d, 0.059266403869008374d, obj_array54);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException61 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)bigInteger32, obj_array54);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException62 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)bigInteger32);
    java.math.BigInteger bigInteger63 = org.apache.commons.math.util.MathUtils.pow(bigInteger28, bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger63);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test140"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i32 = bracketingNthOrderBrentSolver31.getEvaluations();
    double d33 = bracketingNthOrderBrentSolver31.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler27, 3.1622776601683785E-8d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver31);
    dormandPrince853Integrator12.addEventHandler(eventHandler23, 3.141592653589793d, 1.0E-14d, (-1991475689), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver31);
    double d36 = dormandPrince853Integrator12.getMinReduction();
    int i37 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setInitialStepSize(0.8494822806722442d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler40 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 2147483647);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test141"); }


    double d2 = org.apache.commons.math.util.Precision.round(0.49231610310268675d, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test142"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(throwable5, localizable6, obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, obj_array8);
    org.apache.commons.math.exception.MathInternalError mathInternalError11 = new org.apache.commons.math.exception.MathInternalError(localizable3, obj_array8);
    java.lang.Throwable[] throwable_array12 = mathInternalError11.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathInternalError mathInternalError14 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext15 = mathInternalError14.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext15);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test143"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    int i16 = dormandPrince853Integrator12.getOrder();
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    double d18 = dormandPrince853Integrator12.getSafety();
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver29 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d30 = bracketingNthOrderBrentSolver29.getMin();
    org.apache.commons.math.ode.events.EventState eventState31 = new org.apache.commons.math.ode.events.EventState(eventHandler23, 1.1462158347805889d, (-36.784749426412844d), 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver29);
    double d32 = bracketingNthOrderBrentSolver29.getMin();
    double d33 = bracketingNthOrderBrentSolver29.getFunctionValueAccuracy();
    int i34 = bracketingNthOrderBrentSolver29.getMaximalOrder();
    dormandPrince853Integrator12.addEventHandler(eventHandler19, (-2.0717321293763886d), 0.8569693519533719d, 1072693279, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver29);
    int i36 = dormandPrince853Integrator12.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 8);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test144"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence((-0.20029354112337366d), 1.5653694177584349E-13d, 41.183446567430984d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test145"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator(7358363221561966593L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test146"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.6481143020107543d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6481143020107543d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test147"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(3.183844764339955E-4d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test148"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(1.0152228125125815d, 0.013708581641214333d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test149"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.1920928E-7f);
    java.lang.Throwable[] throwable_array2 = notPositiveException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test150"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(1.0000001f, (-2094940159), 465221241);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test151"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(0.015109152342730737d, 1.4330863854487743d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.015109152342730737d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test152"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.clearStepHandlers();
    int i16 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setMaxGrowth(0.41360703768803647d);
    dormandPrince853Integrator12.setStepSizeControl(1.2596508914902838E-16d, (-0.4282705633757304d), 1.570796330420851d, 0.9999999999999991d);
    org.apache.commons.math.ode.ExpandableStatefulODE expandableStatefulODE24 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator12.integrate(expandableStatefulODE24, (-9.32769021744798d));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test153"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(2.2250738585072014E-308d, 1.2596508914902838E-16d, 0.059266403869008374d, 9.99999999999995E-15d);
    double d5 = noBracketingException4.getLo();
    double d6 = noBracketingException4.getHi();
    double d7 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)9.99999999999995E-15d, (java.lang.Number)(short)10, false);
    java.lang.Number number12 = numberIsTooSmallException11.getMin();
    noBracketingException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException11);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext14 = noBracketingException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.2596508914902838E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)10+ "'", number12.equals((short)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext14);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test154"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(3.0881653203459436d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 21.936794043301123d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test155"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.009208319012553146d, 0.0d, 0.4973460137114991d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test156"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(100.00850569053452d, (-0.020068666377598746d), 3.7165107264167596d, (-0.025021584263400103d));
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = noBracketingException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test157"); }


    double[] d_array7 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double[] d_array13 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array7, d_array13);
    double[] d_array22 = new double[] { 1.0d };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double[] d_array27 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array22, d_array27);
    double[] d_array34 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator37 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9112116246441057d, 3.141592653589793d, d_array22, d_array34);
    double[] d_array43 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array43);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array43);
    double[] d_array49 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array43, d_array49);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator51 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(4.440892098500626E-16d, 1.077240763945245d, d_array34, d_array49);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator52 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(9.999999999999989E-16d, 4.293516121890039d, d_array7, d_array34);
    double d53 = dormandPrince853Integrator52.getMinStep();
    double d54 = dormandPrince853Integrator52.getCurrentStepStart();
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    double[] d_array61 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array61);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array61);
    double[] d_array67 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator68 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array61, d_array67);
    int i69 = dormandPrince853Integrator68.getOrder();
    double d70 = dormandPrince853Integrator68.getMaxStep();
    java.lang.String str71 = dormandPrince853Integrator68.getName();
    double d72 = dormandPrince853Integrator68.getMaxGrowth();
    org.apache.commons.math.exception.util.Localizable localizable73 = null;
    org.apache.commons.math.exception.util.Localizable localizable74 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException77 = new org.apache.commons.math.exception.DimensionMismatchException(localizable74, 1, 0);
    java.lang.Throwable[] throwable_array78 = dimensionMismatchException77.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d72, localizable73, (java.lang.Object[])throwable_array78);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator52, localizable55, (java.lang.Object[])throwable_array78);
    int i81 = dormandPrince853Integrator52.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 9.999999999999989E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d54, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str71.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 2147483647);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test158"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.24796455561297998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.320217700911298d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test159"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d7 = bracketingNthOrderBrentSolver6.getMin();
    int i8 = bracketingNthOrderBrentSolver6.getMaxEvaluations();
    int i9 = bracketingNthOrderBrentSolver6.getEvaluations();
    double d10 = bracketingNthOrderBrentSolver6.getMax();
    int i11 = bracketingNthOrderBrentSolver6.getEvaluations();
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 100.00850569053452d, (-36.784749426412844d), 8, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    int i13 = eventState12.getMaxIterationCount();
    int i14 = eventState12.getMaxIterationCount();
    double d15 = eventState12.getConvergence();
    double d16 = eventState12.getEventTime();
    double d17 = eventState12.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 36.784749426412844d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 36.784749426412844d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test160"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-2));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test161"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    dormandPrince853Integrator11.setMaxEvaluations((-1));
    dormandPrince853Integrator11.setSafety(Double.NaN);
    double[] d_array23 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    double[] d_array29 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array23, d_array29);
    double[] d_array34 = new double[] { 1.0d };
    int i35 = org.apache.commons.math.util.MathUtils.hash(d_array34);
    double[] d_array39 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator42 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array34, d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    dormandPrince853Integrator11.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array23, d_array39);
    org.apache.commons.math.ode.events.EventHandler eventHandler45 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler49 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver55 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState56 = new org.apache.commons.math.ode.events.EventState(eventHandler49, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    dormandPrince853Integrator11.addEventHandler(eventHandler45, 1.054229579476095d, 100.0d, (-20), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    double d58 = dormandPrince853Integrator11.getMinReduction();
    double d59 = dormandPrince853Integrator11.getMinStep();
    dormandPrince853Integrator11.clearEventHandlers();
    dormandPrince853Integrator11.clearEventHandlers();
    java.util.Collection collection62 = dormandPrince853Integrator11.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.6430652399243957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection62);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test162"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Throwable throwable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(throwable10, localizable11, obj_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, obj_array13);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable8, obj_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, (java.lang.Number)Double.NaN, obj_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.5213650110107944d, obj_array13);
    org.apache.commons.math.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.0d, 0.14928118200010046d, 4.472136028180339E-4d, 1.3711318613053713d, obj_array13);
    double d20 = noBracketingException19.getFLo();
    double d21 = noBracketingException19.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 4.472136028180339E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test163"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.2676506E30f, 1.0842022E-19f, (-1166016511));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test164"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    java.util.Collection collection12 = dormandPrince853Integrator4.getStepHandlers();
    dormandPrince853Integrator4.clearStepHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler14 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler14, 9.999999999999974E-8d, (-4.457514001822277E-6d), 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection12);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test165"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(4.745212910555287d, 3.0d, 0.0d, 0.0d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test166"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.14938857697150953d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.13923012878869107d);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test167"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.20000000000000007d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test168"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.18004738818605223d, 0.1505149978319906d, (-296632319));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test169"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.incrementCount((-1023));
    incrementor2.setMaximalCount((-7));
    int i7 = incrementor2.getCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor2.incrementCount();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test170"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.0d, 2.323796096170809d, 0.9984367915098935d, 1502190419);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test171"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.537864768801872d, 0.5826301331800544d, 180531597);
    int i4 = bracketingNthOrderBrentSolver3.getMaximalOrder();
    double d5 = bracketingNthOrderBrentSolver3.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 180531597);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.5826301331800544d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test172"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 562220405);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, (-8));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test173"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator((-0.43985083669332986d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test174"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(1.6405261402250988d, 0.03292560600521166d, 1.002056824031784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test175"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    int i16 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.clearEventHandlers();
    double d18 = dormandPrince853Integrator12.getMinReduction();
    dormandPrince853Integrator12.setMinReduction(0.22703826769725197d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.2d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test176"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = eventState7.getEventHandler();
    double d11 = eventState7.getEventTime();
    double d12 = eventState7.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = eventState7.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler13);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test177"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.7798932448594422d, (java.lang.Number)2.1872151235731745E-8d, true);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test178"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(9.999999999999974E-8d, 0.5101705364216335d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.684146680641335E-4d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test179"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign(4267496002067041879L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test180"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.7615941559557636d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test181"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.7254581281349153d, 0.013708581641214333d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7254581281349153d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test182"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-7.105428E-15f), 2.1267648E37f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test183"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    int i3 = incrementor2.getMaximalCount();
    incrementor2.setMaximalCount(100);
    incrementor2.incrementCount();
    incrementor2.incrementCount((-1023));
    int i9 = incrementor2.getCount();
    boolean b10 = incrementor2.canIncrement();
    incrementor2.setMaximalCount(1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test184"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.9984367915098943d, 1.0265167257081755d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9984367915098943d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test185"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.7928400443770229d, (java.lang.Number)23997317543566687L, false);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test186"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.1992254477446618d, 1.1243787392861102d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.07484670845855157d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test187"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval((-0.12796368962741173d), 0.7200039784664282d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test188"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = eventState7.getEventHandler();
    double d11 = eventState7.getConvergence();
    double d12 = eventState7.getConvergence();
    double[] d_array17 = new double[] { 1.0d };
    int i18 = org.apache.commons.math.util.MathUtils.hash(d_array17);
    double[] d_array22 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array22);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array22);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array17, d_array22);
    dormandPrince853Integrator25.setMaxEvaluations((-1));
    dormandPrince853Integrator25.setSafety(Double.NaN);
    double[] d_array37 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array37);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array37);
    double[] d_array43 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator44 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array37, d_array43);
    double[] d_array48 = new double[] { 1.0d };
    int i49 = org.apache.commons.math.util.MathUtils.hash(d_array48);
    double[] d_array53 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator56 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array48, d_array53);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    dormandPrince853Integrator25.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array37, d_array53);
    int i59 = org.apache.commons.math.util.MathUtils.hash(d_array53);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    boolean b61 = eventState7.reset(0.004740398317770095d, d_array53);
    org.apache.commons.math.ode.events.EventHandler eventHandler62 = eventState7.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler62);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test189"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10, (java.lang.Number)1.4142135623730951d, true);
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Throwable throwable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(throwable13, localizable14, obj_array16);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable12, obj_array16);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException9, localizable10, obj_array16);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException21 = new org.apache.commons.math.exception.NullArgumentException(localizable5, obj_array16);
    org.apache.commons.math.exception.NoBracketingException noBracketingException22 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 99.99999999999999d, 0.7110364255563046d, 0.0d, 0.059266403869008374d, obj_array16);
    double d23 = noBracketingException22.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test190"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    int i10 = eventState7.getMaxIterationCount();
    double[] d_array19 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    double[] d_array25 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array19, d_array25);
    int i27 = org.apache.commons.math.util.MathUtils.hash(d_array25);
    org.apache.commons.math.ode.events.EventHandler eventHandler30 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver36 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState37 = new org.apache.commons.math.ode.events.EventState(eventHandler30, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver36);
    double d38 = eventState37.getMaxCheckInterval();
    double[] d_array45 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array45);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array45);
    double[] d_array51 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator52 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array45, d_array51);
    boolean b53 = eventState37.reset(4.862269934658958d, d_array51);
    double[] d_array60 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array60);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array60);
    double[] d_array66 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array66);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array66);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator69 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array60, d_array66);
    boolean b70 = eventState37.reset(0.8656906612586714d, d_array66);
    org.apache.commons.math.ode.events.EventHandler eventHandler71 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver77 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState78 = new org.apache.commons.math.ode.events.EventState(eventHandler71, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver77);
    double d79 = eventState78.getMaxCheckInterval();
    double[] d_array86 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array86);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array86);
    double[] d_array92 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator93 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array86, d_array92);
    boolean b94 = eventState78.reset(4.862269934658958d, d_array92);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator95 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.319522830243586E-16d, 0.4894851666434838d, d_array66, d_array92);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator96 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.300509906445107d, 1.2596508914902838E-16d, d_array25, d_array92);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    boolean b98 = eventState7.reset(0.5484467968051799d, d_array25);
    double d99 = eventState7.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1160016991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b98 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d99 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test191"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-7.105428E-15f), 1.421E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test192"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-30), (java.lang.Number)(-912718246), false);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test193"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(2.409642571217972d, 0.03725984961426325d, 4.641588833612779d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test194"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.4331541470593385d, (java.lang.Number)(-0.3410316190477153d), false);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test195"); }


    long long2 = org.apache.commons.math.util.FastMath.min(3744585625678542139L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test196"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, number1, (java.lang.Number)10.000002f, true);
    java.lang.Number number5 = numberIsTooLargeException4.getArgument();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number7 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 10.000002f+ "'", number7.equals(10.000002f));

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test197"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(1.6053630273395951d, (-6782300.0512052495d), (-708.396418532264d), 2.527325423295335d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test198"); }


    double[] d_array0 = null;
    int i1 = org.apache.commons.math.util.MathUtils.hash(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test199"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(1.5958231355103651d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-387255844));

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test200"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1072693279);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 1);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, bigInteger9);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 1);
    java.math.BigInteger bigInteger13 = null;
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 1072693279);
    java.math.BigInteger bigInteger18 = null;
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 0L);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 1);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, bigInteger22);
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, bigInteger22);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 0L);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException29 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)bigInteger12, (java.lang.Number)0.6534494511156306d, true);
    java.lang.Number number30 = numberIsTooLargeException29.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number30);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test201"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.078125015f, 7.629395E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.078125015f);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test202"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.5983804219394918d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.783364012897187d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test203"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(1.1939140198404217d, 73.88811926838021d, 0.894723987811151d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test204"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i32 = bracketingNthOrderBrentSolver31.getEvaluations();
    double d33 = bracketingNthOrderBrentSolver31.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler27, 3.1622776601683785E-8d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver31);
    dormandPrince853Integrator12.addEventHandler(eventHandler23, 3.141592653589793d, 1.0E-14d, (-1991475689), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver31);
    double d36 = dormandPrince853Integrator12.getMinReduction();
    int i37 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.clearEventHandlers();
    double d39 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 6.948840563288701E-8d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test205"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1072693279);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 1072693279);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger7);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)bigInteger2, obj_array13);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, (-23997317543566687L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test206"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.4061642562544443d, (-0.010550814242305678d), 0.20557325664293657d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test207"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-0.9999999f), 9.536745E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.9999999f);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test208"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-0.8740325992077378d), 0.03291965982183913d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.03291965982183913d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test209"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test210"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-1.433780830483027d), 1.2246467991473532E-16d, (-35.99999999999999d), (-0.8740325992077378d));
    int i5 = dormandPrince853Integrator4.getEvaluations();
    double[] d_array15 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array15);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array15);
    double[] d_array21 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator22 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array15, d_array21);
    int i23 = dormandPrince853Integrator22.getEvaluations();
    double d24 = dormandPrince853Integrator22.getCurrentStepStart();
    double[] d_array30 = new double[] { 1.0d };
    int i31 = org.apache.commons.math.util.MathUtils.hash(d_array30);
    double[] d_array35 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array35);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array35);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator38 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array30, d_array35);
    double[] d_array44 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array44);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array44);
    double[] d_array50 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator51 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array44, d_array50);
    int i52 = dormandPrince853Integrator51.getEvaluations();
    double d53 = dormandPrince853Integrator51.getCurrentSignedStepsize();
    int i54 = dormandPrince853Integrator51.getEvaluations();
    double[] d_array62 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    double[] d_array68 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator69 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array62, d_array68);
    double[] d_array73 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array73);
    dormandPrince853Integrator51.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array68, d_array73);
    dormandPrince853Integrator22.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array30, d_array68);
    double[] d_array79 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator80 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.6430652399243957d, (-0.8414709848078965d), d_array68, d_array79);
    double[] d_array86 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array86);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array86);
    double[] d_array92 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array92);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array92);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator95 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array86, d_array92);
    dormandPrince853Integrator4.setStepSizeControl(0.0d, 1.609112081333232d, d_array68, d_array86);
    double d97 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == 1.325094375782296E-8d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test211"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.8813614725999758d, (java.lang.Number)2.6370445556606607E-4d, false);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test212"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException(throwable8, localizable9, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable7, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable5, (java.lang.Number)6273.030749894427d, obj_array11);
    org.apache.commons.math.exception.NoBracketingException noBracketingException15 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 2.323796096170809d, 0.0d, 2.2250738585072014E-308d, 40.99999999999999d, obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test213"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1.937704721115907E-18d, 0.14928118200010046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.9377047211159073E-18d);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test214"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(2.0282408E31f, 100.0f, (-46));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test215"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.008987728383293009d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.008947579140220902d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test216"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.exception.MathInternalError mathInternalError6 = new org.apache.commons.math.exception.MathInternalError(throwable5);
    org.apache.commons.math.exception.MathInternalError mathInternalError7 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathInternalError6);
    java.lang.Throwable[] throwable_array8 = mathInternalError7.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException(localizable3, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)0.9917788534431148d, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test217"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    dormandPrince853Integrator4.setMaxGrowth(9.99999999999995E-15d);
    dormandPrince853Integrator4.setMaxGrowth(Double.POSITIVE_INFINITY);
    int i9 = dormandPrince853Integrator4.getEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler11 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction16 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver23 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState24 = new org.apache.commons.math.ode.events.EventState(eventHandler17, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver23);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution28 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d29 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction16, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver23, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution28);
    double d30 = bracketingNthOrderBrentSolver23.getStartValue();
    double d31 = bracketingNthOrderBrentSolver23.getMax();
    org.apache.commons.math.ode.events.EventState eventState32 = new org.apache.commons.math.ode.events.EventState(eventHandler11, 0.0d, 8.881784197001252E-16d, (-52), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver23);
    double d33 = eventState32.getConvergence();
    double d34 = eventState32.getEventTime();
    boolean b35 = eventState32.stop();
    double[] d_array40 = new double[] { 1.0d };
    int i41 = org.apache.commons.math.util.MathUtils.hash(d_array40);
    double[] d_array45 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array45);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array45);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator48 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array40, d_array45);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array45);
    int i50 = org.apache.commons.math.util.MathUtils.hash(d_array45);
    boolean b51 = eventState32.reset((-1.8207598998701695d), d_array45);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array45);
    org.apache.commons.math.ode.events.EventHandler eventHandler53 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver59 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState60 = new org.apache.commons.math.ode.events.EventState(eventHandler53, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver59);
    double d61 = eventState60.getMaxCheckInterval();
    double[] d_array68 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array68);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array68);
    double[] d_array74 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator75 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array68, d_array74);
    boolean b76 = eventState60.reset(4.862269934658958d, d_array74);
    double[] d_array83 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array83);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array83);
    double[] d_array89 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array89);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array89);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator92 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array83, d_array89);
    boolean b93 = eventState60.reset(0.8656906612586714d, d_array89);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array89);
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator4.computeDerivatives((-0.0950830360951605d), d_array45, d_array89);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 8.881784197001252E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == false);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test218"); }


    double[] d_array7 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double[] d_array13 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array7, d_array13);
    int i15 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver24 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState25 = new org.apache.commons.math.ode.events.EventState(eventHandler18, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver24);
    double d26 = eventState25.getMaxCheckInterval();
    double[] d_array33 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array33);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array33);
    double[] d_array39 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator40 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array33, d_array39);
    boolean b41 = eventState25.reset(4.862269934658958d, d_array39);
    double[] d_array48 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array48);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array48);
    double[] d_array54 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator57 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array48, d_array54);
    boolean b58 = eventState25.reset(0.8656906612586714d, d_array54);
    org.apache.commons.math.ode.events.EventHandler eventHandler59 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver65 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState66 = new org.apache.commons.math.ode.events.EventState(eventHandler59, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver65);
    double d67 = eventState66.getMaxCheckInterval();
    double[] d_array74 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array74);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array74);
    double[] d_array80 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator81 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array74, d_array80);
    boolean b82 = eventState66.reset(4.862269934658958d, d_array80);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator83 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.319522830243586E-16d, 0.4894851666434838d, d_array54, d_array80);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator84 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.300509906445107d, 1.2596508914902838E-16d, d_array13, d_array80);
    double d85 = dormandPrince853Integrator84.getSafety();
    dormandPrince853Integrator84.clearStepHandlers();
    double d87 = dormandPrince853Integrator84.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1160016991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 10.0d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test219"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-25.201596557825805d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test220"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(7.205759E16f, (-2044209690));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test221"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(Double.POSITIVE_INFINITY, 0.1505149978319906d, 0.7928400443770229d, 9.999999999999989E-16d);
    int i5 = dormandPrince853Integrator4.getOrder();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator4);
    double d7 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler8, (-1.0358660646881943d), 0.5983804219394918d, 1586880529);
    dormandPrince853Integrator4.setStepSizeControl(0.010298664404417403d, 1.070614699497718d, 0.9914605777790203d, (-0.8603041824228294d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test222"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(throwable6, localizable7, obj_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, obj_array9);
    org.apache.commons.math.exception.MathInternalError mathInternalError12 = new org.apache.commons.math.exception.MathInternalError(localizable4, obj_array9);
    java.lang.Throwable[] throwable_array13 = mathInternalError12.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathInternalError mathInternalError15 = new org.apache.commons.math.exception.MathInternalError(localizable1, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)3.4525435914628857d, (java.lang.Object[])throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test223"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException6 = new org.apache.commons.math.exception.NoBracketingException(99.99999999999999d, 9.999999999999989E-16d, Double.NEGATIVE_INFINITY, 2.3984508954893236d);
    double d7 = noBracketingException6.getHi();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException9 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Number number10 = tooManyEvaluationsException9.getMax();
    noBracketingException6.addSuppressed((java.lang.Throwable)tooManyEvaluationsException9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Throwable throwable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException(throwable20, localizable21, obj_array23);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable19, obj_array23);
    org.apache.commons.math.exception.MathInternalError mathInternalError26 = new org.apache.commons.math.exception.MathInternalError(localizable18, obj_array23);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException27 = new org.apache.commons.math.exception.MathArithmeticException(localizable17, obj_array23);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException(localizable16, obj_array23);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException(localizable15, obj_array23);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException30 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable13, (java.lang.Number)(-0.4392420037409799d), obj_array23);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException9, localizable12, obj_array23);
    java.lang.Throwable[] throwable_array32 = mathIllegalStateException31.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException33 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, number1, (java.lang.Object[])throwable_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 9.999999999999989E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (-0.7615941559557649d)+ "'", number10.equals((-0.7615941559557649d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array32);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test224"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.0d, 1.414213562373095d, (-2094779535));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test225"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    dormandPrince853Integrator11.setMaxEvaluations((-1));
    java.util.Collection collection14 = dormandPrince853Integrator11.getEventHandlers();
    double d15 = dormandPrince853Integrator11.getMinReduction();
    dormandPrince853Integrator11.setMaxEvaluations(104);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test226"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.incrementCount((-1023));
    incrementor2.setMaximalCount((-7));
    int i7 = incrementor2.getCount();
    int i8 = incrementor2.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test227"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-295802387));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 295802387);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test228"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.9984367915098935d, 0.14938605131601562d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test229"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(10.000001f, 0.078125015f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test230"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator(1.0E30f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test231"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver11 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler5, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver11);
    double d13 = eventState12.getConvergence();
    double d14 = eventState12.getConvergence();
    java.lang.Object[] obj_array15 = new java.lang.Object[] { eventState12 };
    org.apache.commons.math.exception.MathInternalError mathInternalError16 = new org.apache.commons.math.exception.MathInternalError(localizable4, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, (java.lang.Number)0.05757659671003263d, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.816496580927726d, obj_array15);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext19 = maxCountExceededException18.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test232"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    dormandPrince853Integrator12.setInitialStepSize(0.059266403869008374d);
    dormandPrince853Integrator12.clearStepHandlers();
    double d26 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(2.0096791547693265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test233"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.14883843385732964d, (-216006655));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test234"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.004377443365986725d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000095810205105d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test235"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    double d9 = eventState7.getConvergence();
    double[] d_array11 = null;
    boolean b12 = eventState7.reset(2.0d, d_array11);
    double d13 = eventState7.getMaxCheckInterval();
    boolean b14 = eventState7.stop();
    double d15 = eventState7.getConvergence();
    boolean b16 = eventState7.stop();
    boolean b17 = eventState7.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test236"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 41.0d, 0.7615941559557649d, 0.17433772100979533d, (-8000));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test237"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.48546186061802493d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6249253245749005d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test238"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(throwable5, localizable6, obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, obj_array8);
    org.apache.commons.math.exception.MathInternalError mathInternalError11 = new org.apache.commons.math.exception.MathInternalError(localizable3, obj_array8);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)(short)0, obj_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math.exception.NullArgumentException(localizable0, obj_array8);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str14 = nullArgumentException13.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test239"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0f, 2.0282408E31f, 562220405);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test240"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(0.8901373289119006d, (-24), 2068654301);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test241"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-338217207), maxCountExceededCallback1);
    incrementor2.setMaximalCount(0);
    // The following exception was thrown during execution in test generation
    try {
      incrementor2.incrementCount();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test242"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.4210855E-14f, 0.0f, 80.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test243"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = eventState7.getEventHandler();
    boolean b11 = eventState7.stop();
    double[] d_array18 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    double[] d_array24 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array18, d_array24);
    int i26 = dormandPrince853Integrator25.getEvaluations();
    double d27 = dormandPrince853Integrator25.getCurrentStepStart();
    double[] d_array33 = new double[] { 1.0d };
    int i34 = org.apache.commons.math.util.MathUtils.hash(d_array33);
    double[] d_array38 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array38);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array38);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array33, d_array38);
    double[] d_array47 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    double[] d_array53 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator54 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array47, d_array53);
    int i55 = dormandPrince853Integrator54.getEvaluations();
    double d56 = dormandPrince853Integrator54.getCurrentSignedStepsize();
    int i57 = dormandPrince853Integrator54.getEvaluations();
    double[] d_array65 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array65);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array65);
    double[] d_array71 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator72 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array65, d_array71);
    double[] d_array76 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array76);
    dormandPrince853Integrator54.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array71, d_array76);
    dormandPrince853Integrator25.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array33, d_array71);
    boolean b80 = eventState7.reset(0.9999930253396107d, d_array33);
    double[] d_array87 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array87);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array87);
    double[] d_array93 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator94 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array87, d_array93);
    int i95 = org.apache.commons.math.util.MathUtils.hash(d_array93);
    boolean b96 = eventState7.reset((-0.4392420037409799d), d_array93);
    double d97 = eventState7.getEventTime();
    int i98 = eventState7.getMaxIterationCount();
    org.apache.commons.math.ode.events.EventHandler eventHandler99 = eventState7.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i95 == 1160016991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b96 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i98 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler99);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test244"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-0.99999994f), 9.9999994E29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.99999994f);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test245"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(3L, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 243L);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test246"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(2.4178516E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.417852E24f);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test247"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.9988580187288366d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7848268466074539d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test248"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Throwable throwable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.util.Incrementor incrementor6 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor6, localizable7, obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(throwable4, localizable5, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, (java.lang.Number)(-17), obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.05592165823890591d, obj_array9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathInternalError mathInternalError14 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)maxCountExceededException13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test249"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(5L, (-6782461214293182951L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test250"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.09480363064404763d, 1522829185);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test251"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    dormandPrince853Integrator11.setMaxEvaluations((-1));
    dormandPrince853Integrator11.setSafety(Double.NaN);
    double[] d_array23 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    double[] d_array29 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array23, d_array29);
    double[] d_array34 = new double[] { 1.0d };
    int i35 = org.apache.commons.math.util.MathUtils.hash(d_array34);
    double[] d_array39 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator42 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array34, d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    dormandPrince853Integrator11.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array23, d_array39);
    org.apache.commons.math.ode.events.EventHandler eventHandler45 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler49 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver55 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState56 = new org.apache.commons.math.ode.events.EventState(eventHandler49, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    dormandPrince853Integrator11.addEventHandler(eventHandler45, 1.054229579476095d, 100.0d, (-20), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction59 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d62 = bracketingNthOrderBrentSolver55.solve(1636086465, univariateRealFunction59, 1.937704721115907E-18d, 0.037277101766377996d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test252"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 850603905, 0);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test253"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    int i3 = incrementor2.getMaximalCount();
    incrementor2.setMaximalCount(100);
    int i6 = incrementor2.getCount();
    int i7 = incrementor2.getCount();
    incrementor2.incrementCount(3);
    int i10 = incrementor2.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 3);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test254"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.5258789E-5f, 5.684342E-14f, 1636086465);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test255"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-1.6875954708106484d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9338402590734837d));

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test256"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(10, 10);
    int i3 = equationsMapper2.getDimension();
    int i4 = equationsMapper2.getDimension();
    int i5 = equationsMapper2.getDimension();
    int i6 = equationsMapper2.getFirstIndex();
    double[] d_array10 = new double[] { 1.0d };
    int i11 = org.apache.commons.math.util.MathUtils.hash(d_array10);
    double[] d_array15 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array15);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array15);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator18 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array10, d_array15);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array15);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array15);
    int i21 = org.apache.commons.math.util.MathUtils.hash(d_array15);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array15);
    double[] d_array28 = new double[] { 1.0d };
    int i29 = org.apache.commons.math.util.MathUtils.hash(d_array28);
    double[] d_array35 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array35);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array35);
    double[] d_array41 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator42 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array35, d_array41);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.48024657258842585d), 0.4451963704655766d, d_array28, d_array41);
    double[] d_array49 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array49);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array49);
    double[] d_array55 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array55);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array55);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator58 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array49, d_array55);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array55);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator60 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.3043045862358962d, 0.13840584404423517d, d_array28, d_array55);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.insertEquationData(d_array15, d_array55);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test257"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    double d14 = dormandPrince853Integrator12.getMaxStep();
    java.lang.String str15 = dormandPrince853Integrator12.getName();
    dormandPrince853Integrator12.setMaxGrowth(1.6430652399243957d);
    double d18 = dormandPrince853Integrator12.getMinReduction();
    java.lang.String str19 = dormandPrince853Integrator12.getName();
    dormandPrince853Integrator12.setSafety((-0.05162684148983704d));
    dormandPrince853Integrator12.setSafety(2.8771578017474497d);
    dormandPrince853Integrator12.clearStepHandlers();
    dormandPrince853Integrator12.setInitialStepSize(1.9205649862362253d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str15.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str19.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test258"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.3084988429791702E-38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-37.88322665704243d));

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test259"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.537864768801872d, 120.7190911572421d, (-928917839));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test260"); }


    double d2 = org.apache.commons.math.util.FastMath.log((-0.025021584263400103d), 1.1071487177940904d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test261"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0.6526194064173303d);
    java.lang.Number number3 = notPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test262"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, (-0.12796368962740468d), 1.482371721210944d, (-4.440892098500626E-16d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test263"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number1, true);
    java.lang.String str4 = numberIsTooLargeException3.toString();
    java.lang.Number number5 = numberIsTooLargeException3.getMax();
    boolean b6 = numberIsTooLargeException3.getBoundIsAllowed();
    boolean b7 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.exception.NumberIsTooLargeException: -0.762 is larger than the maximum (null)"+ "'", str4.equals("org.apache.commons.math.exception.NumberIsTooLargeException: -0.762 is larger than the maximum (null)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test264"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.14938857697150953d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0026073225330218207d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test265"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.6847785255235502d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6847785255235503d);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test266"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(11.00611354785616d, (-4));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test267"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-3.8444338220589653d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test268"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1072693279);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 1072693279);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger7);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0);
    java.math.BigInteger bigInteger13 = null;
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 1);
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 1502190419);
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 1502190419);
    java.math.BigInteger bigInteger22 = null;
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 0L);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger24, 1);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, bigInteger24);
    java.math.BigInteger bigInteger28 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, bigInteger24);
    java.math.BigInteger bigInteger29 = null;
    java.math.BigInteger bigInteger31 = org.apache.commons.math.util.MathUtils.pow(bigInteger29, 0L);
    java.math.BigInteger bigInteger33 = org.apache.commons.math.util.MathUtils.pow(bigInteger31, 100L);
    java.math.BigInteger bigInteger34 = null;
    java.math.BigInteger bigInteger36 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, 0L);
    java.math.BigInteger bigInteger38 = org.apache.commons.math.util.MathUtils.pow(bigInteger36, 100L);
    java.math.BigInteger bigInteger40 = org.apache.commons.math.util.MathUtils.pow(bigInteger36, 0);
    java.math.BigInteger bigInteger41 = null;
    java.math.BigInteger bigInteger43 = org.apache.commons.math.util.MathUtils.pow(bigInteger41, 0L);
    java.math.BigInteger bigInteger45 = org.apache.commons.math.util.MathUtils.pow(bigInteger43, 1);
    java.math.BigInteger bigInteger47 = org.apache.commons.math.util.MathUtils.pow(bigInteger45, 1502190419);
    java.math.BigInteger bigInteger49 = org.apache.commons.math.util.MathUtils.pow(bigInteger45, 1502190419);
    java.math.BigInteger bigInteger50 = null;
    java.math.BigInteger bigInteger52 = org.apache.commons.math.util.MathUtils.pow(bigInteger50, 0L);
    java.math.BigInteger bigInteger54 = org.apache.commons.math.util.MathUtils.pow(bigInteger52, 1);
    java.math.BigInteger bigInteger55 = org.apache.commons.math.util.MathUtils.pow(bigInteger45, bigInteger52);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException57 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)bigInteger36, (java.lang.Number)bigInteger55, false);
    java.math.BigInteger bigInteger58 = org.apache.commons.math.util.MathUtils.pow(bigInteger31, bigInteger55);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException60 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)bigInteger28, (java.lang.Number)bigInteger55, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger58);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test269"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.7848268466074539d, 0.7036681688727524d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7036681688727524d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test270"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(2.19770299804423d, 0.14883843385732964d, 6);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test271"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.010298664404417401d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01029902852824798d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test272"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)1.5653694177583124E-13d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test273"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException5 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1160016991, (java.lang.Number)4.9E-324d, true);
    boolean b6 = numberIsTooSmallException5.getBoundIsAllowed();
    boolean b7 = numberIsTooSmallException5.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array8 = numberIsTooSmallException5.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError9 = new org.apache.commons.math.exception.MathInternalError(localizable1, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test274"); }


    double[] d_array5 = new double[] { 1.0d };
    int i6 = org.apache.commons.math.util.MathUtils.hash(d_array5);
    double[] d_array10 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array10);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array10);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array5, d_array10);
    double[] d_array17 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array17);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array17);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator20 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9112116246441057d, 3.141592653589793d, d_array5, d_array17);
    dormandPrince853Integrator20.setMaxEvaluations(0);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler23 = null;
    dormandPrince853Integrator20.addStepHandler(stepHandler23);
    int i25 = dormandPrince853Integrator20.getMaxEvaluations();
    dormandPrince853Integrator20.setSafety(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test275"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(120.7190911572421d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.801715858333479d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test276"); }


    double d1 = org.apache.commons.math.util.FastMath.log(1.1752011936438014d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.16143936157119557d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test277"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(1160016991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test278"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)9.99999999999995E-15d);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 9.99999999999995E-15d+ "'", number2.equals(9.99999999999995E-15d));

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test279"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-1023), (-1570073591));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1023));

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test280"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.incrementCount((-1023));
    // The following exception was thrown during execution in test generation
    try {
      incrementor2.incrementCount(1419857);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test281"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(2.409642571217972d, (-7.930067261567154E14d), (-5.647595072352379E-4d), 1.5707935082689404d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test282"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    java.lang.String str12 = dormandPrince853Integrator4.getName();
    java.util.Collection collection13 = dormandPrince853Integrator4.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str12.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test283"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.5614410918471222d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test284"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign((-180531597));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test285"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i32 = bracketingNthOrderBrentSolver31.getEvaluations();
    double d33 = bracketingNthOrderBrentSolver31.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler27, 3.1622776601683785E-8d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver31);
    dormandPrince853Integrator12.addEventHandler(eventHandler23, 3.141592653589793d, 1.0E-14d, (-1991475689), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver31);
    double d36 = dormandPrince853Integrator12.getMinReduction();
    dormandPrince853Integrator12.setMinReduction(0.9112116246441057d);
    java.util.Collection collection39 = dormandPrince853Integrator12.getEventHandlers();
    int i40 = dormandPrince853Integrator12.getOrder();
    dormandPrince853Integrator12.setSafety(2.8771578017474497d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 8);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test286"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number1, true);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    java.lang.Number number5 = numberIsTooLargeException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-0.7615941559557649d)+ "'", number5.equals((-0.7615941559557649d)));

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test287"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.005309480643985094d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.274947958105444d));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test288"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.6795226183513846d);
    org.apache.commons.math.exception.MathInternalError mathInternalError2 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)maxCountExceededException1);
    org.apache.commons.math.exception.MathInternalError mathInternalError3 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)maxCountExceededException1);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test289"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(1.4210858E-14f, 2106714420, (-46));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test290"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    dormandPrince853Integrator11.setMaxEvaluations((-1));
    dormandPrince853Integrator11.setSafety(Double.NaN);
    double[] d_array23 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    double[] d_array29 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array23, d_array29);
    double[] d_array34 = new double[] { 1.0d };
    int i35 = org.apache.commons.math.util.MathUtils.hash(d_array34);
    double[] d_array39 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator42 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array34, d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    dormandPrince853Integrator11.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array23, d_array39);
    org.apache.commons.math.ode.events.EventHandler eventHandler45 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler49 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver55 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState56 = new org.apache.commons.math.ode.events.EventState(eventHandler49, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    dormandPrince853Integrator11.addEventHandler(eventHandler45, 1.054229579476095d, 100.0d, (-20), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    dormandPrince853Integrator11.setMinReduction((-19.893683168309337d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test291"); }


    java.math.BigInteger bigInteger2 = null;
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1072693279);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 1072693279);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, bigInteger9);
    java.math.BigInteger bigInteger13 = null;
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 1);
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 1502190419);
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 1502190419);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 0L);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger23, 100);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger25, 9223372036854775807L);
    java.math.BigInteger bigInteger28 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, bigInteger27);
    java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger28, 771751937);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException32 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.5767037019277758d, (java.lang.Number)bigInteger30, true);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException34 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.9342813E25f, (java.lang.Number)0.5767037019277758d, false);
    java.lang.Number number35 = numberIsTooLargeException34.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number35 + "' != '" + 0.5767037019277758d+ "'", number35.equals(0.5767037019277758d));

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test292"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.018761370532080282d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9998240106501631d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test293"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    int i3 = incrementor2.getMaximalCount();
    incrementor2.setMaximalCount(100);
    int i6 = incrementor2.getCount();
    incrementor2.incrementCount();
    boolean b8 = incrementor2.canIncrement();
    incrementor2.setMaximalCount(1502190419);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test294"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.0d, 0.5403023058681404d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test295"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(1082877303601680821L, (-1227324758466374519L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test296"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.6038707724873037d, 1.0243029014333047d, 0.0d, 1522829185);
    double d5 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    int i6 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.6038707724873037d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test297"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    double[] d_array7 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double[] d_array13 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array7, d_array13);
    dormandPrince853Integrator14.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver23 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d24 = bracketingNthOrderBrentSolver23.getMin();
    dormandPrince853Integrator14.addEventHandler(eventHandler17, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver23);
    int i26 = bracketingNthOrderBrentSolver23.getEvaluations();
    double d27 = bracketingNthOrderBrentSolver23.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction32 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver36 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7224284372420833d, 0.9275460829514595d, 1513055269);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution40 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d41 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1991475689, univariateRealFunction32, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver36, 0.015109152342730735d, 0.0d, 57.0d, allowedSolution40);
    double d42 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(521228529, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver23, 2.0d, 0.43231892672451316d, 0.0d, allowedSolution40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.015109152342730735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 2.0d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test298"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException((-0.03829946805598859d), 1.0544413841537041d, 4.745212910555288d, 0.19611987803265818d);
    double d5 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0544413841537041d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test299"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.885816990314272d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9550066415447406d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test300"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.03832758877351588d), 0.24796455561297998d, 0.6679147787666397d, 1796381646);
    double d13 = bracketingNthOrderBrentSolver12.getMin();
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 1.6091241881472023d, (-0.06668855320622913d), 79, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.ode.events.EventState eventState15 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.015382871033603782d, 4.016917275117809E-303d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test301"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-216006655), maxCountExceededCallback1);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test302"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 562220405);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException8 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)bigInteger7);
    boolean b9 = notStrictlyPositiveException8.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test303"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(Double.POSITIVE_INFINITY, 0.1505149978319906d, 0.7928400443770229d, 9.999999999999989E-16d);
    dormandPrince853Integrator4.setMinReduction(3572527.724747303d);
    dormandPrince853Integrator4.clearStepHandlers();

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test304"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(throwable9, localizable10, obj_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, obj_array12);
    org.apache.commons.math.exception.MathInternalError mathInternalError15 = new org.apache.commons.math.exception.MathInternalError(localizable7, obj_array12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array12);
    org.apache.commons.math.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 0.0d, 4.862269934658958d, 1.2110654506974416E-19d, (-0.07372833396146405d), obj_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-4.457514001881322E-6d), obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test305"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.0000001f, 7.1054274E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test306"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.9532716338642269d, 0.7336545584598234d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test307"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.1052074287612792d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.675496497230092d);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test308"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow((-24), (-7));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test309"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 100L);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 100L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0);
    java.math.BigInteger bigInteger12 = null;
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 0L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 1);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1502190419);
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1502190419);
    java.math.BigInteger bigInteger21 = null;
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, 0L);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger23, 1);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, bigInteger23);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException28 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)bigInteger7, (java.lang.Number)bigInteger26, false);
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger26);
    java.math.BigInteger bigInteger30 = null;
    java.math.BigInteger bigInteger32 = org.apache.commons.math.util.MathUtils.pow(bigInteger30, 0L);
    java.math.BigInteger bigInteger34 = org.apache.commons.math.util.MathUtils.pow(bigInteger32, 1);
    java.math.BigInteger bigInteger36 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, 1502190419);
    java.math.BigInteger bigInteger38 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, 1502190419);
    java.math.BigInteger bigInteger40 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, 0L);
    java.math.BigInteger bigInteger42 = org.apache.commons.math.util.MathUtils.pow(bigInteger40, 100);
    java.math.BigInteger bigInteger44 = org.apache.commons.math.util.MathUtils.pow(bigInteger42, 9223372036854775807L);
    java.math.BigInteger bigInteger45 = org.apache.commons.math.util.MathUtils.pow(bigInteger29, bigInteger42);
    java.math.BigInteger bigInteger47 = org.apache.commons.math.util.MathUtils.pow(bigInteger29, 1227324758466374519L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger47);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test310"); }


    long long2 = org.apache.commons.math.util.FastMath.max(1438694583094061459L, (-4747511017312003797L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1438694583094061459L);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test311"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-0.27077587694486244d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0368843259198846d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test312"); }


    float f2 = org.apache.commons.math.util.FastMath.min(1.0842022E-19f, 2.1175824E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.1175824E-22f);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test313"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, number1, (java.lang.Number)10.000002f, true);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number6 = numberIsTooLargeException4.getMax();
    java.lang.Number number7 = numberIsTooLargeException4.getMax();
    java.lang.Number number8 = numberIsTooLargeException4.getMax();
    java.lang.Number number9 = numberIsTooLargeException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 10.000002f+ "'", number6.equals(10.000002f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 10.000002f+ "'", number7.equals(10.000002f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 10.000002f+ "'", number8.equals(10.000002f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test314"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.14883843385732964d, 0.8504934073746777d, 0.0d, 0.0d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test315"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 0.0d, 2.8771578017474493d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test316"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-0.9023980867995078d), 1.7453292519943295E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7453292519943295E-16d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test317"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-912718246));
    incrementor1.setMaximalCount((-912718246));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test318"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.387230328868188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4085376721175041d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test319"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.44519637046557664d, (java.lang.Number)0.011049118316051931d, false);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test320"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 0.06738205911634543d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test321"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.004377443365879571d, 0.26851169228190375d, 273.00000000000006d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test322"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.864930066757888d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test323"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo((-0.0383463731273942d), 0.7570464714620043d, 1191292507);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test324"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper((-1023), 1617823322);
    int i3 = equationsMapper2.getDimension();
    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver10 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState11 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver10);
    double d12 = eventState11.getMaxCheckInterval();
    double[] d_array19 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    double[] d_array25 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array19, d_array25);
    boolean b27 = eventState11.reset(4.862269934658958d, d_array25);
    double[] d_array34 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    double[] d_array40 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array40);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array40);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array34, d_array40);
    boolean b44 = eventState11.reset(0.8656906612586714d, d_array40);
    int i45 = org.apache.commons.math.util.MathUtils.hash(d_array40);
    double[] d_array53 = new double[] { 1.0d };
    int i54 = org.apache.commons.math.util.MathUtils.hash(d_array53);
    double[] d_array58 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array58);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array58);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator61 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array53, d_array58);
    double[] d_array65 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array65);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array65);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator68 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9112116246441057d, 3.141592653589793d, d_array53, d_array65);
    double[] d_array74 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array74);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array74);
    double[] d_array80 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator81 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array74, d_array80);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator82 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(4.440892098500626E-16d, 1.077240763945245d, d_array65, d_array80);
    int i83 = org.apache.commons.math.util.MathUtils.hash(d_array65);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array40, d_array65);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1617823322);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == (-2081393569));

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test325"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i32 = bracketingNthOrderBrentSolver31.getEvaluations();
    double d33 = bracketingNthOrderBrentSolver31.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler27, 3.1622776601683785E-8d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver31);
    dormandPrince853Integrator12.addEventHandler(eventHandler23, 3.141592653589793d, 1.0E-14d, (-1991475689), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver31);
    double d36 = dormandPrince853Integrator12.getMinReduction();
    int i37 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.ExpandableStatefulODE expandableStatefulODE38 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator12.integrate(expandableStatefulODE38, 1.188353167189017d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 2147483647);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test326"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.7615941559557649d, (java.lang.Number)0.9984335275675559d, false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test327"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1072693279);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 1072693279);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, bigInteger8);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException15 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10, (java.lang.Number)1.4142135623730951d, true);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Throwable throwable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException(throwable19, localizable20, obj_array22);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException24 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable18, obj_array22);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException25 = new org.apache.commons.math.exception.MathArithmeticException(localizable17, obj_array22);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException15, localizable16, obj_array22);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException27 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)bigInteger3, obj_array22);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException30 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)bigInteger3, (java.lang.Number)0.9575271327101689d, true);
    boolean b31 = numberIsTooLargeException30.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test328"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.325094375782296E-8d, (java.lang.Number)1.0E7f, true);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test329"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.1920927E-7f, (-0.99999994f), 859997567);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test330"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(2.15238141792569d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test331"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.9989045970422618d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.754616157255834d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test332"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.325094375782296E-8d, 1.1455651554954072d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1455651554954074d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test333"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)3.1622776601683785E-8d);
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test334"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals((-100.0f), 99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test335"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    int i23 = dormandPrince853Integrator12.getMaxEvaluations();
    java.util.Collection collection24 = dormandPrince853Integrator12.getStepHandlers();
    int i25 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setStepSizeControl((-36.610526875578195d), 0.684719203002283d, 0.05592165823892013d, 0.9917788534431148d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 2147483647);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test336"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    double d26 = dormandPrince853Integrator12.getMinReduction();
    double d27 = dormandPrince853Integrator12.getSafety();
    java.util.Collection collection28 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMaxGrowth(4.762613918721343d);
    dormandPrince853Integrator12.clearEventHandlers();
    dormandPrince853Integrator12.setMaxEvaluations(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 4.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection28);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test337"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals((-1.9342813E25f), 2.4178516E24f, 1.7347233E-17f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test338"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-3.4476795317743654E17d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.9753748628431094E19d));

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test339"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.clearStepHandlers();
    dormandPrince853Integrator12.setMaxEvaluations(0);
    dormandPrince853Integrator12.setStepSizeControl(0.48546186061802493d, 4.406570493076975d, 3.4525435914628857d, 273.4156486056334d);
    org.apache.commons.math.ode.ExpandableStatefulODE expandableStatefulODE32 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator12.integrate(expandableStatefulODE32, 3.2205250129143517d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test340"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution17 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d18 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction5, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver12, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution17);
    double d19 = bracketingNthOrderBrentSolver12.getRelativeAccuracy();
    org.apache.commons.math.ode.events.EventState eventState20 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 4.9E-324d, 3, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    int i21 = bracketingNthOrderBrentSolver12.getMaxEvaluations();
    double d22 = bracketingNthOrderBrentSolver12.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0E-14d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test341"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.setInitialStepSize(0.9303903342669484d);
    dormandPrince853Integrator12.setSafety(53.144475857009986d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test342"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(198.52092411669665d, (-0.027362667938653856d), 0.9092974268256818d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test343"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper((-23), (-1146638592));
    int i3 = equationsMapper2.getFirstIndex();
    int i4 = equationsMapper2.getFirstIndex();
    int i5 = equationsMapper2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1146638592));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test344"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number1, true);
    org.apache.commons.math.exception.MathInternalError mathInternalError4 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException3);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test345"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-0.774855008032581d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.013523771115735649d));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test346"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    int i16 = dormandPrince853Integrator12.getOrder();
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setMaxGrowth(2.431134967329479d);
    org.apache.commons.math.ode.events.EventHandler eventHandler20 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler20, 0.05616189202091593d, 2.1696010037463824d, 124);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test347"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(5.833583645005155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test348"); }


    float f2 = org.apache.commons.math.util.Precision.round((-0.9999999f), 1991475689);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test349"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.13840584404423517d, 0.6575096400240176d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.20747112176250365d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test350"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1, maxCountExceededCallback1);
    int i3 = incrementor2.getCount();
    incrementor2.setMaximalCount((-1201490886));
    incrementor2.setMaximalCount(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test351"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-0.3873707657877009d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3873707657877009d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test352"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(73.442937053929d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3750867038574122d));

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test353"); }


    double[] d_array5 = new double[] { 1.0d };
    int i6 = org.apache.commons.math.util.MathUtils.hash(d_array5);
    double[] d_array12 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array12);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array12);
    double[] d_array18 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator19 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array12, d_array18);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator20 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.48024657258842585d), 0.4451963704655766d, d_array5, d_array18);
    double[] d_array22 = new double[] { 1.0d };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator24 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.0d, (-4.4575140018518E-6d), d_array18, d_array22);
    java.lang.String str25 = dormandPrince853Integrator24.getName();
    double d26 = dormandPrince853Integrator24.getCurrentSignedStepsize();
    double d27 = dormandPrince853Integrator24.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str25.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.9d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test354"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.012314561408547394d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1268023025);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test355"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(6.948840563288706E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test356"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    int i5 = incrementor2.getCount();
    incrementor2.resetCount();
    incrementor2.incrementCount();
    incrementor2.setMaximalCount((-100));
    incrementor2.incrementCount((-1749282102));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test357"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.7612300442463679d, 0.01029902852824798d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7612300442463679d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test358"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.7347235E-17f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test359"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.0000001f, 7.105428E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000001f);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test360"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getOrder();
    int i15 = dormandPrince853Integrator12.getMaxEvaluations();
    double d16 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 6.948840563288701E-8d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test361"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(2.3984508954893236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test362"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    double d3 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = bracketingNthOrderBrentSolver2.solve(1419857, univariateRealFunction5, 10137.984725846365d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-15d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test363"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 2.431134967329479d, (-0.7391619794899372d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test364"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    double d26 = dormandPrince853Integrator12.getMinReduction();
    double d27 = dormandPrince853Integrator12.getSafety();
    int i28 = dormandPrince853Integrator12.getMaxEvaluations();
    int i29 = dormandPrince853Integrator12.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 4.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 8);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test365"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.2722036500320409d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.31285433691651d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test366"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(100.0f, 9.999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test367"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 74.20994852478785d, 0.7570464714620044d, 0.7774963181212152d, (-981549055));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test368"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1502190419);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1502190419);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 100);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 5600402443640646519L);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Number number23 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException25 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number23, true);
    java.lang.Number number26 = numberIsTooLargeException25.getArgument();
    java.lang.Throwable[] throwable_array27 = numberIsTooLargeException25.getSuppressed();
    org.apache.commons.math.exception.NoBracketingException noBracketingException28 = new org.apache.commons.math.exception.NoBracketingException(localizable17, 8.591349020479957d, 0.9050742637938461d, 1.0E-14d, 100.00850569053452d, (java.lang.Object[])throwable_array27);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException29 = new org.apache.commons.math.exception.NullArgumentException(localizable16, (java.lang.Object[])throwable_array27);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException30 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)5600402443640646519L, (java.lang.Object[])throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (-0.7615941559557649d)+ "'", number26.equals((-0.7615941559557649d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test369"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator(7.105428E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test370"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(28.648021599659433d, 0.665482117105942d, 0.7413398253777113d, 1.188353167189017d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test371"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(0L, 100039262734684401L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test372"); }


    float f2 = org.apache.commons.math.util.Precision.round(1.1920929E-7f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test373"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.7168904152415135d), (-36.0d), 36.68260166612488d, 1586880529);
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.7888657225091457d, 0.833505348543222d, 1160016991, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    double d10 = bracketingNthOrderBrentSolver8.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 36.68260166612488d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test374"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 1.1752011936438014d, (-0.37846053387844814d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test375"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.6992173646386854d, 0.05616189202091593d, 0.0559216582389059d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test376"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver7 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0344696549087316d, (-34.538776394910684d), 2147483647);
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.1752011936438014d, 1.5607966601082315d, 1425117761, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver7);
    double d9 = eventState8.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.5607966601082315d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test377"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException5 = new org.apache.commons.math.exception.DimensionMismatchException(localizable2, 1, 0);
    java.lang.Throwable[] throwable_array6 = dimensionMismatchException5.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext9 = mathArithmeticException8.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test378"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.07464059100005023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.07464059100005023d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test379"); }


    double[] d_array3 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array3);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array3);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array3);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test380"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.clearStepHandlers();
    dormandPrince853Integrator12.setMaxEvaluations(0);
    dormandPrince853Integrator12.setStepSizeControl(0.48546186061802493d, 4.406570493076975d, 3.4525435914628857d, 273.4156486056334d);
    dormandPrince853Integrator12.clearStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test381"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException7 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array8 = tooManyEvaluationsException7.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.NoBracketingException noBracketingException10 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.0d, 0.9999999999811959d, 3.1833379209743475E-4d, (-47.95131007419919d), (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test382"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(0, (-1530496838));

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test383"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test384"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(6.283185307179586d, 0.8013504142519434d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.12761800683596114d));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test385"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0d, 15.088784229270924d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test386"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.0f);
    java.lang.String str2 = maxCountExceededException1.toString();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.exception.MaxCountExceededException: illegal state: maximal count (1) exceeded"+ "'", str2.equals("org.apache.commons.math.exception.MaxCountExceededException: illegal state: maximal count (1) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test387"); }


    float f2 = org.apache.commons.math.util.Precision.round(0.0f, 180531597);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test388"); }


    double d2 = org.apache.commons.math.util.FastMath.log(1.0000000012232333d, 3.039532550814733d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.088239708404034E8d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test389"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-8.444743367317811E-5d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-8.444743347243617E-5d));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test390"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver10 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState11 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver10);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution15 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d16 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction3, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver10, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution15);
    double d17 = bracketingNthOrderBrentSolver10.getMin();
    double d18 = bracketingNthOrderBrentSolver10.getRelativeAccuracy();
    double d19 = bracketingNthOrderBrentSolver10.getFunctionValueAccuracy();
    double d20 = bracketingNthOrderBrentSolver10.getStartValue();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution24 = org.apache.commons.math.analysis.solvers.AllowedSolution.RIGHT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d25 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(47, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver10, 0.01770048911682398d, 3.9472296743479714E-303d, 35.99999999999999d, allowedSolution24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution24);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test391"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-1999105439));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1999105439);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test392"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.9945636584576005d, 562220405);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test393"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException8 = new org.apache.commons.math.exception.DimensionMismatchException(localizable5, 8, 0);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.util.Incrementor incrementor11 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor11, localizable12, obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable10, obj_array14);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0, localizable9, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, (java.lang.Number)6.283185307179586d, obj_array14);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)708.396418532264d, localizable2, obj_array14);
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError(localizable0, obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test394"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.46751185948248813d, 0.0d, 8.757464071767462d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test395"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(0, maxCountExceededCallback1);
    incrementor2.setMaximalCount(1513055269);
    incrementor2.resetCount();
    incrementor2.setMaximalCount(1160016991);
    incrementor2.incrementCount((-46));
    incrementor2.resetCount();

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test396"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    java.util.Collection collection15 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMaxGrowth((-1.433780830483027d));
    int i18 = dormandPrince853Integrator12.getMaxEvaluations();
    double d19 = dormandPrince853Integrator12.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.2d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test397"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(4.0d, 0.9999999999999992d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.1086244689504383E-15d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test398"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.9888622630257238d, 1.6249253245749005d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test399"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.055921658238920126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.23647760621022898d);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test400"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.8740325992077378d);
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0.8740325992077378d+ "'", number2.equals(0.8740325992077378d));

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test401"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    double[] d_array20 = new double[] { 1.0d };
    int i21 = org.apache.commons.math.util.MathUtils.hash(d_array20);
    double[] d_array25 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array20, d_array25);
    double[] d_array34 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    double[] d_array40 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array34, d_array40);
    int i42 = dormandPrince853Integrator41.getEvaluations();
    double d43 = dormandPrince853Integrator41.getCurrentSignedStepsize();
    int i44 = dormandPrince853Integrator41.getEvaluations();
    double[] d_array52 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array52);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array52);
    double[] d_array58 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator59 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array52, d_array58);
    double[] d_array63 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array63);
    dormandPrince853Integrator41.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array58, d_array63);
    dormandPrince853Integrator12.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array20, d_array58);
    int i67 = dormandPrince853Integrator12.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test402"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(2.6553645750605033d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9901718851722503d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test403"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(4.741297982545108d, 4.28694169484401d, 0.18333333333333335d, 0.0d);
    dormandPrince853Integrator4.clearStepHandlers();
    double d6 = dormandPrince853Integrator4.getMinReduction();
    dormandPrince853Integrator4.setMaxEvaluations((-1338456335));
    dormandPrince853Integrator4.setMinReduction(0.4136070376880365d);
    dormandPrince853Integrator4.setInitialStepSize(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.2d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test404"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    int i10 = eventState7.getMaxIterationCount();
    double d11 = eventState7.getConvergence();
    double d12 = eventState7.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = eventState7.getEventHandler();
    int i14 = eventState7.getMaxIterationCount();
    double d15 = eventState7.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test405"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(5.6E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test406"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException2 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-1.5707961793522898d), obj_array1);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test407"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.9039785809958859d, 0.9550066415447406d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test408"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow((-4747511017312003797L), 6782461214293182951L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8395991454448895011L);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test409"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler26 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler26);
    dormandPrince853Integrator12.setMaxGrowth(0.7924007402434942d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test410"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-0.9999999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-0.9999998f));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test411"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    int i12 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 4.741297982545108d, (-36.0d), 0);
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    double[] d_array27 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    double[] d_array33 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator34 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array27, d_array33);
    int i35 = dormandPrince853Integrator34.getOrder();
    int i36 = dormandPrince853Integrator34.getEvaluations();
    java.util.Collection collection37 = dormandPrince853Integrator34.getEventHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler38 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver44 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d45 = bracketingNthOrderBrentSolver44.getMin();
    dormandPrince853Integrator34.addEventHandler(eventHandler38, 1.6430652399243957d, 0.7924473533734637d, 1586880529, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver44);
    dormandPrince853Integrator4.addEventHandler(eventHandler18, Double.POSITIVE_INFINITY, 0.9155494254642264d, 1502190419, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver44);
    double d48 = dormandPrince853Integrator4.getMinReduction();
    double d49 = dormandPrince853Integrator4.getMinReduction();
    double d50 = dormandPrince853Integrator4.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d50, Double.NaN, 0);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test412"); }


    double[] d_array7 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double[] d_array13 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array7, d_array13);
    int i15 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver24 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState25 = new org.apache.commons.math.ode.events.EventState(eventHandler18, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver24);
    double d26 = eventState25.getMaxCheckInterval();
    double[] d_array33 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array33);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array33);
    double[] d_array39 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator40 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array33, d_array39);
    boolean b41 = eventState25.reset(4.862269934658958d, d_array39);
    double[] d_array48 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array48);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array48);
    double[] d_array54 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator57 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array48, d_array54);
    boolean b58 = eventState25.reset(0.8656906612586714d, d_array54);
    org.apache.commons.math.ode.events.EventHandler eventHandler59 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver65 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState66 = new org.apache.commons.math.ode.events.EventState(eventHandler59, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver65);
    double d67 = eventState66.getMaxCheckInterval();
    double[] d_array74 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array74);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array74);
    double[] d_array80 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator81 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array74, d_array80);
    boolean b82 = eventState66.reset(4.862269934658958d, d_array80);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator83 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.319522830243586E-16d, 0.4894851666434838d, d_array54, d_array80);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator84 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.300509906445107d, 1.2596508914902838E-16d, d_array13, d_array80);
    double d85 = dormandPrince853Integrator84.getSafety();
    int i86 = dormandPrince853Integrator84.getMaxEvaluations();
    double d87 = dormandPrince853Integrator84.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1160016991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 0.2d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test413"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(227628617828952907L, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test414"); }


    double[] d_array9 = new double[] { 1.0d };
    int i10 = org.apache.commons.math.util.MathUtils.hash(d_array9);
    double[] d_array14 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator17 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array9, d_array14);
    double[] d_array21 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array21);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array21);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator24 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9112116246441057d, 3.141592653589793d, d_array9, d_array21);
    double[] d_array30 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    double[] d_array36 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator37 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array30, d_array36);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator38 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(4.440892098500626E-16d, 1.077240763945245d, d_array21, d_array36);
    double[] d_array42 = new double[] { 1.0d };
    int i43 = org.apache.commons.math.util.MathUtils.hash(d_array42);
    double[] d_array47 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array42, d_array47);
    dormandPrince853Integrator50.setMaxEvaluations((-1));
    dormandPrince853Integrator50.setSafety(Double.NaN);
    double[] d_array62 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    double[] d_array68 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator69 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array62, d_array68);
    double[] d_array73 = new double[] { 1.0d };
    int i74 = org.apache.commons.math.util.MathUtils.hash(d_array73);
    double[] d_array78 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array78);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array78);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator81 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array73, d_array78);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array78);
    dormandPrince853Integrator50.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array62, d_array78);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator84 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.948840804720633E-8d, 3.754616155194645d, d_array36, d_array62);
    int i85 = org.apache.commons.math.util.MathUtils.hash(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == (-2081393569));

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test415"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.17433772100979533d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test416"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.9888622630257238d, 0.9019113939195692d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test417"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException3 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)4.5d);
    java.lang.Number number4 = maxCountExceededException3.getMax();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = maxCountExceededException3.getContext();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.math.BigInteger bigInteger9 = null;
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 0L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 1072693279);
    java.math.BigInteger bigInteger14 = null;
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 0L);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1);
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, bigInteger18);
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Throwable throwable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException(throwable24, localizable25, obj_array27);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable23, obj_array27);
    org.apache.commons.math.exception.MathInternalError mathInternalError30 = new org.apache.commons.math.exception.MathInternalError(localizable22, obj_array27);
    java.lang.Throwable[] throwable_array31 = mathInternalError30.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException32 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable20, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array31);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException33 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable8, (java.lang.Number)bigInteger19, (java.lang.Object[])throwable_array31);
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException37 = new org.apache.commons.math.exception.DimensionMismatchException(localizable34, 1, 1072693279);
    java.lang.Throwable[] throwable_array38 = dimensionMismatchException37.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException39 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable7, (java.lang.Number)bigInteger19, (java.lang.Object[])throwable_array38);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException3, localizable6, (java.lang.Object[])throwable_array38);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException41 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)Double.POSITIVE_INFINITY, (java.lang.Object[])throwable_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 4.5d+ "'", number4.equals(4.5d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array38);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test418"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-1163651249), (-1201490886));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1201490886));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test419"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)4.5d);
    org.apache.commons.math.exception.MathInternalError mathInternalError2 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)maxCountExceededException1);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test420"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.7928975017032127d, 0.7716133340725975d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1172552045353552d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test421"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setStepSizeControl(2.2250738585072014E-308d, (-0.7615941559557649d), 2.718281828459045d, (-0.6420149920119997d));
    dormandPrince853Integrator12.setMaxGrowth(0.0d);
    dormandPrince853Integrator12.setSafety(1.7182818284590453d);
    int i22 = dormandPrince853Integrator12.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test422"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 0L);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 5L);
    org.apache.commons.math.exception.NotPositiveException notPositiveException13 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)bigInteger10);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)notPositiveException13);
    boolean b15 = notPositiveException13.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test423"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(1.1368685E-13f, 103, 2068654301);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test424"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.00243850664782949d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1993714518);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test425"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(3.2205250129143517d, (-15.35252977886304d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.9348192051172663d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test426"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.289590959339498d, 0.7450681064340666d, 0.13971613923522394d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test427"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 1.2748734119735194E-306d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test428"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(throwable9, localizable10, obj_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)6.283185307179586d, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)100, obj_array12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array12);
    org.apache.commons.math.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 2.0267295451011056d, 0.017453292447995462d, 0.5983804219394918d, 0.8494822806722442d, obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test429"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator(174L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test430"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)7.6293945E-6f);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test431"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    double d14 = dormandPrince853Integrator12.getMaxStep();
    java.lang.String str15 = dormandPrince853Integrator12.getName();
    dormandPrince853Integrator12.setMaxGrowth(1.6430652399243957d);
    double d18 = dormandPrince853Integrator12.getMinReduction();
    double d19 = dormandPrince853Integrator12.getMinStep();
    java.util.Collection collection20 = dormandPrince853Integrator12.getEventHandlers();
    int i21 = dormandPrince853Integrator12.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str15.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 2147483647);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test432"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    java.util.Collection collection15 = dormandPrince853Integrator12.getEventHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver22 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d23 = bracketingNthOrderBrentSolver22.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler16, 1.6430652399243957d, 0.7924473533734637d, 1586880529, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver22);
    int i25 = bracketingNthOrderBrentSolver22.getMaxEvaluations();
    int i26 = bracketingNthOrderBrentSolver22.getMaxEvaluations();
    double d27 = bracketingNthOrderBrentSolver22.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0E-15d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test433"); }


    byte byte2 = org.apache.commons.math.util.MathUtils.copySign((byte)(-10), (byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)(-10));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test434"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(2.4550626616778414E-10d, 15.088784229270924d, 0.7554132501604139d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test435"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1072693279, maxCountExceededCallback1);
    int i3 = incrementor2.getMaximalCount();
    incrementor2.incrementCount((-721364312));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1072693279);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test436"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.util.Incrementor incrementor3 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor3, localizable4, obj_array6);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException(throwable1, localizable2, obj_array6);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array6);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext10 = mathArithmeticException9.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext11 = mathArithmeticException9.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test437"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(23.697937636432872d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 23.0d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test438"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 0.881373587019543d, 0.908992504934637d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test439"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    java.util.Collection collection15 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.clearStepHandlers();
    double d17 = dormandPrince853Integrator12.getSafety();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler18 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler18);
    org.apache.commons.math.ode.ExpandableStatefulODE expandableStatefulODE20 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator12.integrate(expandableStatefulODE20, 0.22140275816016988d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.9d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test440"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)9.094947E-13f, (java.lang.Number)0.048048508201720797d, false);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test441"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.03262199805121213d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.032633577498879074d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test442"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 0, 10);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext4 = dimensionMismatchException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test443"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce((-3.9204479224411424d), (-0.8813733544643956d), 2.1696010037463824d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.07956455506324422d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test444"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.07812501f, 0.0f, 482470973);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test445"); }


    java.lang.Object obj0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.math.BigInteger bigInteger2 = null;
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1072693279);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 1072693279);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, bigInteger9);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException16 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10, (java.lang.Number)1.4142135623730951d, true);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Throwable throwable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException(throwable20, localizable21, obj_array23);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable19, obj_array23);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException26 = new org.apache.commons.math.exception.MathArithmeticException(localizable18, obj_array23);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException16, localizable17, obj_array23);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException28 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)bigInteger4, obj_array23);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.util.MathUtils.checkNotNull(obj0, localizable1, obj_array23);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test446"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    dormandPrince853Integrator11.setMaxEvaluations((-1));
    double d14 = dormandPrince853Integrator11.getCurrentStepStart();
    int i15 = dormandPrince853Integrator11.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 8);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test447"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    double d15 = dormandPrince853Integrator12.getMaxStep();
    double d16 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 6.948840563288701E-8d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test448"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i13 = bracketingNthOrderBrentSolver12.getEvaluations();
    double d14 = bracketingNthOrderBrentSolver12.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState15 = new org.apache.commons.math.ode.events.EventState(eventHandler8, 3.1622776601683785E-8d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    int i16 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    org.apache.commons.math.ode.events.EventState eventState17 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 0.0d, 4.5d, (-1023), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.ode.events.EventState eventState18 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.4245804920143077d, (-0.9985061376798865d), 80, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    double d19 = bracketingNthOrderBrentSolver12.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction21 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d23 = bracketingNthOrderBrentSolver12.solve((-928917839), univariateRealFunction21, (-0.051603910777817154d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test449"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.14928118200010046d, 4.223669210430247d, 10.334504334838902d, (-1.6094379124341003d));
    dormandPrince853Integrator4.clearEventHandlers();

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test450"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.5403023058681405d, 0.2643496584111882d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test451"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo((-0.133718491576268d), 0.010298664404417401d, (-59));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test452"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(2.2250738585072014E-308d, 1.2596508914902838E-16d, 0.059266403869008374d, 9.99999999999995E-15d);
    java.lang.Throwable[] throwable_array5 = noBracketingException4.getSuppressed();
    java.lang.String str6 = noBracketingException4.toString();
    java.lang.Throwable throwable7 = null;
    // The following exception was thrown during execution in test generation
    try {
      noBracketingException4.addSuppressed(throwable7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [0, 0], values: [0.059, 0]"+ "'", str6.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [0, 0], values: [0.059, 0]"));

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test453"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 3.4525435914628857d, (-8.444743377354908E-5d), 1586880529);
    double d5 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = bracketingNthOrderBrentSolver4.solve((-2044209690), univariateRealFunction7, 0.010298664404417403d, 0.032616212332529926d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test454"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(0, 0);
    java.lang.String str3 = dimensionMismatchException2.toString();
    int i4 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.exception.DimensionMismatchException: 0 != 0"+ "'", str3.equals("org.apache.commons.math.exception.DimensionMismatchException: 0 != 0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test455"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(75.39822368615503d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.315947253478581d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test456"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(8.75856379437556E-307d, 11.00611354785616d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test457"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number7, true);
    java.lang.Number number10 = numberIsTooLargeException9.getArgument();
    java.lang.Throwable[] throwable_array11 = numberIsTooLargeException9.getSuppressed();
    org.apache.commons.math.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 8.591349020479957d, 0.9050742637938461d, 1.0E-14d, 100.00850569053452d, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (-0.7615941559557649d)+ "'", number10.equals((-0.7615941559557649d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test458"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-0.6420149920119997d), 0.1690636084803884d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test459"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper((-454629473), (-180531597));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test460"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.9275460829514595d, 1.3084988429791702E-38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.46377304147572973d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test461"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException6 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 2.2250738585072014E-308d, 100.0d, 0.1505149978319906d, 1.414213562373095d, obj_array5);
    org.apache.commons.math.exception.NoBracketingException noBracketingException11 = new org.apache.commons.math.exception.NoBracketingException(99.99999999999999d, 9.999999999999989E-16d, Double.NEGATIVE_INFINITY, 2.3984508954893236d);
    noBracketingException6.addSuppressed((java.lang.Throwable)noBracketingException11);
    java.lang.String str13 = noBracketingException11.toString();
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9155494254642262d);
    java.lang.String str21 = tooManyEvaluationsException20.toString();
    java.lang.Number number22 = tooManyEvaluationsException20.getMax();
    java.lang.Throwable[] throwable_array23 = tooManyEvaluationsException20.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError24 = new org.apache.commons.math.exception.MathInternalError(localizable18, (java.lang.Object[])throwable_array23);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException25 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable16, (java.lang.Number)(-1.0f), (java.lang.Object[])throwable_array23);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException26 = new org.apache.commons.math.exception.NotFiniteNumberException(number15, (java.lang.Object[])throwable_array23);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)noBracketingException11, localizable14, (java.lang.Object[])throwable_array23);
    double d28 = noBracketingException11.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [100, 0], values: [-\u221E, 2.398]"+ "'", str13.equals("org.apache.commons.math.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [100, 0], values: [-\u221E, 2.398]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"+ "'", str21.equals("org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + 0.9155494254642262d+ "'", number22.equals(0.9155494254642262d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 99.99999999999999d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test462"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    boolean b8 = eventState7.stop();
    double[] d_array13 = new double[] { 1.0d };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array18 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator21 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array13, d_array18);
    boolean b22 = eventState7.reset(99.99999999999999d, d_array18);
    double d23 = eventState7.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState32 = new org.apache.commons.math.ode.events.EventState(eventHandler25, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver31);
    double d33 = eventState32.getMaxCheckInterval();
    double[] d_array40 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array40);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array40);
    double[] d_array46 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator47 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array40, d_array46);
    boolean b48 = eventState32.reset(4.862269934658958d, d_array46);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    int i50 = org.apache.commons.math.util.MathUtils.hash(d_array46);
    // The following exception was thrown during execution in test generation
    try {
      eventState7.stepAccepted(4.801715858333479d, d_array46);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1160016991);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test463"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    java.util.Collection collection13 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMaxEvaluations(2147483647);
    double d16 = dormandPrince853Integrator12.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.2d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test464"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.exception.MathInternalError mathInternalError3 = new org.apache.commons.math.exception.MathInternalError(throwable2);
    org.apache.commons.math.exception.MathInternalError mathInternalError4 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathInternalError3);
    java.lang.Throwable[] throwable_array5 = mathInternalError4.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, (java.lang.Object[])throwable_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array5);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str8 = mathIllegalStateException7.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test465"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.618691201710122d), (java.lang.Number)8.591349020479957d, false);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Throwable throwable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(throwable13, localizable14, obj_array16);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable12, obj_array16);
    org.apache.commons.math.exception.MathInternalError mathInternalError19 = new org.apache.commons.math.exception.MathInternalError(localizable11, obj_array16);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException(localizable9, obj_array16);
    org.apache.commons.math.exception.NoBracketingException noBracketingException22 = new org.apache.commons.math.exception.NoBracketingException(localizable4, 9.99999999999995E-15d, Double.NaN, 0.8656906612586714d, 100.0d, obj_array16);
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)noBracketingException22);
    double d24 = noBracketingException22.getFHi();
    double d25 = noBracketingException22.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 100.0d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test466"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign((-0.2953265924508134d), 0.6679697002774875d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2953265924508134d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test467"); }


    double[] d_array2 = null;
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    double[] d_array14 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator17 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array8, d_array14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator18 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-2.334972527921981d), 0.684779d, d_array2, d_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test468"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-2094779535), (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2094779535));

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test469"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 100L);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 100L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0);
    java.math.BigInteger bigInteger12 = null;
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 0L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 1);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1502190419);
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1502190419);
    java.math.BigInteger bigInteger21 = null;
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, 0L);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger23, 1);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, bigInteger23);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException28 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)bigInteger7, (java.lang.Number)bigInteger26, false);
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger26);
    java.math.BigInteger bigInteger30 = null;
    java.math.BigInteger bigInteger32 = org.apache.commons.math.util.MathUtils.pow(bigInteger30, 0L);
    java.math.BigInteger bigInteger34 = org.apache.commons.math.util.MathUtils.pow(bigInteger32, 1072693279);
    java.math.BigInteger bigInteger35 = null;
    java.math.BigInteger bigInteger37 = org.apache.commons.math.util.MathUtils.pow(bigInteger35, 0L);
    java.math.BigInteger bigInteger39 = org.apache.commons.math.util.MathUtils.pow(bigInteger37, 1072693279);
    java.math.BigInteger bigInteger40 = org.apache.commons.math.util.MathUtils.pow(bigInteger32, bigInteger37);
    java.math.BigInteger bigInteger42 = org.apache.commons.math.util.MathUtils.pow(bigInteger32, 0);
    java.math.BigInteger bigInteger43 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, bigInteger32);
    java.math.BigInteger bigInteger45 = org.apache.commons.math.util.MathUtils.pow(bigInteger43, 80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger45);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test470"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.03725984961426325d, 2.578479835347869E-4d, (-34.538776394910684d), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test471"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    int i5 = incrementor2.getCount();
    incrementor2.resetCount();
    incrementor2.setMaximalCount(0);
    int i9 = incrementor2.getMaximalCount();
    incrementor2.setMaximalCount(2147483647);
    incrementor2.incrementCount(18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test472"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 100.0d, 2.2250738585072014E-308d, 100.0d);
    double d5 = noBracketingException4.getHi();
    double d6 = noBracketingException4.getFLo();
    double d7 = noBracketingException4.getFHi();
    double d8 = noBracketingException4.getFLo();
    double d9 = noBracketingException4.getHi();
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException14 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10, (java.lang.Number)1.4142135623730951d, true);
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Throwable throwable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException(throwable18, localizable19, obj_array21);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable17, obj_array21);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException24 = new org.apache.commons.math.exception.MathArithmeticException(localizable16, obj_array21);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException14, localizable15, obj_array21);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException26 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array21);
    noBracketingException4.addSuppressed((java.lang.Throwable)mathArithmeticException26);
    double d28 = noBracketingException4.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 100.0d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test473"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double[] d_array12 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array12);
    boolean b14 = eventState7.reset(5.012834880298681E-6d, d_array12);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = eventState7.getEventHandler();
    double d16 = eventState7.getMaxCheckInterval();
    boolean b17 = eventState7.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test474"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.8597547033443926d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test475"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    double d14 = dormandPrince853Integrator12.getMaxStep();
    dormandPrince853Integrator12.setStepSizeControl((-0.018761370532080282d), 0.1528465821774512d, 6.948840563288701E-8d, 0.35033395730952555d);
    dormandPrince853Integrator12.setInitialStepSize(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.718281828459045d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test476"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-35.44839467986709d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test477"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    int i10 = eventState7.getMaxIterationCount();
    double d11 = eventState7.getEventTime();
    int i12 = eventState7.getMaxIterationCount();
    double d13 = eventState7.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler14 = eventState7.getEventHandler();
    int i15 = eventState7.getMaxIterationCount();
    double d16 = eventState7.getMaxCheckInterval();
    double d17 = eventState7.getConvergence();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator18 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b19 = eventState7.evaluateStep(stepInterpolator18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.059266403869008374d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test478"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 981549055, (-216006655));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test479"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.incrementCount((-1023));
    incrementor2.setMaximalCount((-7));
    incrementor2.incrementCount((-1023));
    boolean b9 = incrementor2.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test480"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.8687005853912576d, 120.7190911572421d, 771751937);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test481"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(0.0d, 0.665482117105942d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test482"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-0.651304885582546d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7093028037457604d));

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test483"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(10.334504334838902d, (-37.88322665704243d), 0.9003061257539106d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test484"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    double[] d_array20 = new double[] { 1.0d };
    int i21 = org.apache.commons.math.util.MathUtils.hash(d_array20);
    double[] d_array25 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array20, d_array25);
    double[] d_array34 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    double[] d_array40 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array34, d_array40);
    int i42 = dormandPrince853Integrator41.getEvaluations();
    double d43 = dormandPrince853Integrator41.getCurrentSignedStepsize();
    int i44 = dormandPrince853Integrator41.getEvaluations();
    double[] d_array52 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array52);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array52);
    double[] d_array58 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator59 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array52, d_array58);
    double[] d_array63 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array63);
    dormandPrince853Integrator41.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array58, d_array63);
    dormandPrince853Integrator12.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array20, d_array58);
    java.util.Collection collection67 = dormandPrince853Integrator12.getEventHandlers();
    double d68 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.clearStepHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler70 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver76 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i77 = bracketingNthOrderBrentSolver76.getMaximalOrder();
    dormandPrince853Integrator12.addEventHandler(eventHandler70, 0.99133d, 36.68260166612488d, 1617823322, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver76);
    dormandPrince853Integrator12.setSafety(0.8740325992077378d);
    int i81 = dormandPrince853Integrator12.getOrder();
    double d82 = dormandPrince853Integrator12.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d82, Double.NaN, 0);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test485"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-17.400387276127667d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test486"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.0E7f, 2.7755582E-17f, 10.000003f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test487"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.057059738129615976d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05702878052332224d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test488"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1160016991, (java.lang.Number)4.9E-324d, true);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    boolean b5 = numberIsTooSmallException3.getBoundIsAllowed();
    java.lang.Number number6 = numberIsTooSmallException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1160016991+ "'", number6.equals(1160016991));

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test489"); }


    long long2 = org.apache.commons.math.util.FastMath.max(4267496002067041879L, 7766279631452241920L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7766279631452241920L);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test490"); }


    float f2 = org.apache.commons.math.util.FastMath.min(2.30584301E18f, 7.629395E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.629395E-6f);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test491"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash((-0.14354535577878913d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 126508401);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test492"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)1.3805130848947398d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test493"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-36.784749426412844d));
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(throwable5, localizable6, obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, obj_array8);
    org.apache.commons.math.exception.MathInternalError mathInternalError11 = new org.apache.commons.math.exception.MathInternalError(localizable3, obj_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array8);
    tooManyEvaluationsException1.addSuppressed((java.lang.Throwable)nullArgumentException12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException17 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9155494254642262d);
    java.lang.String str18 = tooManyEvaluationsException17.toString();
    java.lang.Throwable[] throwable_array19 = tooManyEvaluationsException17.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException(localizable14, (java.lang.Number)7.703719777548943E-34d, (java.lang.Object[])throwable_array19);
    tooManyEvaluationsException1.addSuppressed((java.lang.Throwable)maxCountExceededException20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"+ "'", str18.equals("org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test494"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(36.784749426412844d, 8.470329472543003E-22d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test495"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    double d18 = dormandPrince853Integrator12.getMinReduction();
    double d19 = dormandPrince853Integrator12.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.7763568394002505E-15d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test496"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.4555735870670923d, 1.734723475976807E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4555735870670923d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test497"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-92.2139997708197d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.6094379124341003d));

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test498"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    java.util.Collection collection15 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMinReduction(7.779829578606251E-8d);
    dormandPrince853Integrator12.clearEventHandlers();
    dormandPrince853Integrator12.clearStepHandlers();
    double d20 = dormandPrince853Integrator12.getMinReduction();
    dormandPrince853Integrator12.setStepSizeControl(2.634237483006098d, 1.0544413841537041d, 0.2670074693414389d, 1.6038707724873036d);
    dormandPrince853Integrator12.setSafety(0.991778853443115d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 7.779829578606251E-8d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test499"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.0d, 4.616135024343307E-39d, 1.570796326794896d, 0.1504077273281217d);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.570796326794896d };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.008987728383293009d, obj_array15);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, (java.lang.Number)(-0.5872139151569482d), obj_array15);
    org.apache.commons.math.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 0.7224533803928039d, 10.0d, 0.9860395625712818d, 2.409642571217972d, obj_array15);
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError(localizable0, obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test500"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(6.948840563288706E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3234889800848443E-23d);

  }

}
