
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest22 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test001"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-1.4910106755757906d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test002"); }


    int i2 = org.apache.commons.math.util.FastMath.min(1773690510, (-387255844));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-387255844));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test003"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.44115179E17f, 9.536745E-7f, 1.0842022E-19f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test004"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i5 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d6 = bracketingNthOrderBrentSolver2.getMax();
    double d7 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test005"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-41.0d), 1.4209550577641517d, (-59));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test006"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-1.9342813E25f), 9.536747E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.9342813E25f);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test007"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.setStepSizeControl((-0.7615941559557649d), 0.0d, 1.2596508914902838E-16d, 1.300509906445107d);
    dormandPrince853Integrator12.setSafety(0.8740325992077378d);
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler23, 0.24796455561297998d, 28.045434182929405d, 0);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler28 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler28);
    java.lang.String str30 = dormandPrince853Integrator12.getName();
    double d31 = dormandPrince853Integrator12.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str30.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 10.0d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test008"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.13840584404423517d, Double.NEGATIVE_INFINITY, 0.9050742637938461d, (-4.4575140018518E-6d));
    double d5 = noBracketingException4.getLo();
    double d6 = noBracketingException4.getFHi();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext7 = noBracketingException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.13840584404423517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-4.4575140018518E-6d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test009"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 100.0d, 2.2250738585072014E-308d, 100.0d);
    double d5 = noBracketingException4.getHi();
    double d6 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.MathInternalError mathInternalError7 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    double d8 = noBracketingException4.getHi();
    double d9 = noBracketingException4.getFHi();
    double d10 = noBracketingException4.getFHi();
    java.lang.Throwable[] throwable_array11 = noBracketingException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test010"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.0025594381167499333d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0025594437054883607d));

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test011"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.00974196E-28f, 0.9092974268256818d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0097421E-28f);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test012"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    int i16 = dormandPrince853Integrator12.getEvaluations();
    java.util.Collection collection17 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMaxEvaluations(0);
    dormandPrince853Integrator12.setMinReduction(0.9992798168811299d);
    dormandPrince853Integrator12.setMaxGrowth(2.875938624939697d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection17);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test013"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-43118136));

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test014"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(10, 10);
    int i3 = equationsMapper2.getFirstIndex();
    int i4 = equationsMapper2.getDimension();
    int i5 = equationsMapper2.getFirstIndex();
    int i6 = equationsMapper2.getFirstIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 10);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test015"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, (-0.29633183112724765d), 15.514088825291784d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test016"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.44115179E17f, 2.4178516E24f, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test017"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow((-5600402443640646519L), 100039262734684401L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3572295296808223241L);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test018"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    dormandPrince853Integrator12.setSafety(1.1462158347805889d);
    dormandPrince853Integrator12.clearStepHandlers();
    double d18 = dormandPrince853Integrator12.getMinStep();
    dormandPrince853Integrator12.setStepSizeControl(1.7182818284590453d, (-34.538776394910684d), 1.6430652399243957d, (-2107.6108925797316d));
    double d24 = dormandPrince853Integrator12.getMaxStep();
    dormandPrince853Integrator12.setMaxEvaluations(1335740998);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 34.538776394910684d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test019"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.1599753909038675d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8593267093280548d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test020"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.1368684E-13f, 1.6991118430775245d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1368685E-13f);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test021"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.8351149286146008d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7598541970929238d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test022"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 100L);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1160016991);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException10 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)bigInteger7, (java.lang.Number)3L, true);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, (-888018845));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test023"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array5, d_array11);
    java.lang.String str15 = dormandPrince853Integrator14.getName();
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver22 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d23 = bracketingNthOrderBrentSolver22.getMin();
    double d24 = bracketingNthOrderBrentSolver22.getStartValue();
    double d25 = bracketingNthOrderBrentSolver22.getFunctionValueAccuracy();
    dormandPrince853Integrator14.addEventHandler(eventHandler16, (-0.7182818284590455d), 9.999999999999999E-16d, (-1023), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver22);
    double d27 = dormandPrince853Integrator14.getCurrentSignedStepsize();
    int i28 = dormandPrince853Integrator14.getMaxEvaluations();
    double d29 = dormandPrince853Integrator14.getCurrentStepStart();
    dormandPrince853Integrator14.setStepSizeControl(0.7354648534298432d, 0.8464887434126854d, 0.0559216582389059d, 0.7924473533734637d);
    dormandPrince853Integrator14.setSafety(1.198987063275175E24d);
    dormandPrince853Integrator14.setInitialStepSize(0.38521094823370866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str15.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 2.9687936725537917E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test024"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.618691201710122d), 17);
    double d5 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    double d6 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    double d7 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction12 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction14 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState22 = new org.apache.commons.math.ode.events.EventState(eventHandler15, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution26 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d27 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction14, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver21, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution26);
    double d28 = bracketingNthOrderBrentSolver21.getMin();
    int i29 = bracketingNthOrderBrentSolver21.getMaximalOrder();
    double d30 = bracketingNthOrderBrentSolver21.getStartValue();
    int i31 = bracketingNthOrderBrentSolver21.getMaximalOrder();
    double d32 = bracketingNthOrderBrentSolver21.getRelativeAccuracy();
    int i33 = bracketingNthOrderBrentSolver21.getEvaluations();
    double d34 = bracketingNthOrderBrentSolver21.getAbsoluteAccuracy();
    double d35 = bracketingNthOrderBrentSolver21.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction40 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver44 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7224284372420833d, 0.9275460829514595d, 1513055269);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution48 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d49 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1991475689, univariateRealFunction40, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver44, 0.015109152342730735d, 0.0d, 57.0d, allowedSolution48);
    double d50 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(184331630, univariateRealFunction12, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver21, 0.4399548752819798d, 3.1332252112494685d, 0.032818036347532185d, allowedSolution48);
    double d51 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-318240364), univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver4, 0.06412673905233604d, 0.9999930253396107d, 1.2392281122204105d, allowedSolution48);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction53 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d56 = bracketingNthOrderBrentSolver4.solve(84, univariateRealFunction53, 0.9984367915098935d, 2.9687936725537917E-8d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == (-0.618691201710122d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.015109152342730735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.4399548752819798d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.06412673905233604d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test025"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.9945636584576005d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5367146102882578d);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test026"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(3.1622776601683785E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-7.5d));

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test027"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(2.2250738585072014E-308d, 1.2596508914902838E-16d, 0.059266403869008374d, 9.99999999999995E-15d);
    org.apache.commons.math.exception.MathInternalError mathInternalError5 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    double d6 = noBracketingException4.getHi();
    double d7 = noBracketingException4.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.2596508914902838E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 9.99999999999995E-15d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test028"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.1624327389433193d, 0.5403023058681422d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test029"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.5361788551787208d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5659037037711133d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test030"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.4555735870670923d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test031"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(throwable5, localizable6, obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array8);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.0592970691139107d, obj_array8);
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError(localizable1, obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array8);
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException17 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable15, (java.lang.Number)0.991778853443115d);
    mathIllegalStateException14.addSuppressed((java.lang.Throwable)notStrictlyPositiveException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test032"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.7964408379746524d), 0.7224284372420833d, 1.2533130128858234d, 1991475689);
    int i5 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    int i6 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    int i7 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1991475689);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1991475689);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1991475689);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test033"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.9342815E25f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.9342818E25f);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test034"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = eventState7.getEventHandler();
    double d11 = eventState7.getEventTime();
    double d12 = eventState7.getMaxCheckInterval();
    double d13 = eventState7.getEventTime();
    double[] d_array20 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array20);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array20);
    double[] d_array26 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator27 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array20, d_array26);
    int i28 = dormandPrince853Integrator27.getEvaluations();
    double d29 = dormandPrince853Integrator27.getCurrentSignedStepsize();
    double d30 = dormandPrince853Integrator27.getMaxGrowth();
    dormandPrince853Integrator27.setStepSizeControl((-0.7615941559557649d), 0.0d, 1.2596508914902838E-16d, 1.300509906445107d);
    double d36 = dormandPrince853Integrator27.getCurrentSignedStepsize();
    double d37 = dormandPrince853Integrator27.getCurrentStepStart();
    int i38 = dormandPrince853Integrator27.getEvaluations();
    dormandPrince853Integrator27.setMinReduction(0.6679147787666397d);
    double[] d_array46 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    int i49 = org.apache.commons.math.util.MathUtils.hash(d_array46);
    double[] d_array55 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array55);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array55);
    double[] d_array61 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator62 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array55, d_array61);
    int i63 = dormandPrince853Integrator62.getEvaluations();
    double d64 = dormandPrince853Integrator62.getCurrentSignedStepsize();
    int i65 = dormandPrince853Integrator62.getEvaluations();
    double[] d_array69 = new double[] { 1.0d };
    int i70 = org.apache.commons.math.util.MathUtils.hash(d_array69);
    double[] d_array74 = new double[] { 1.0d };
    int i75 = org.apache.commons.math.util.MathUtils.hash(d_array74);
    double[] d_array79 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array79);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array79);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator82 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array74, d_array79);
    dormandPrince853Integrator62.setStepSizeControl((-0.8414709848078965d), 0.7570464714620044d, d_array69, d_array79);
    dormandPrince853Integrator27.setStepSizeControl(0.7798252495435847d, 0.0d, d_array46, d_array79);
    boolean b85 = eventState7.reset(3.086925764053448d, d_array79);
    double d86 = eventState7.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test035"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.8165954565858251d, 0.007178648929446022d, 0.6370155568845178d, 1502190419);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test036"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, 99);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 99);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test037"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.27771479650866426d, 0.0d, (-1749282102));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test038"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.8881811315881157d, 0.9860395625712818d, 0.14883352839101568d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test039"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution13 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d14 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver8, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution13);
    double d15 = bracketingNthOrderBrentSolver8.getMin();
    double d16 = bracketingNthOrderBrentSolver8.getRelativeAccuracy();
    int i17 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 100);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test040"); }


    float f2 = org.apache.commons.math.util.FastMath.min(7.105428E-15f, 2.7755586E-17f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.7755586E-17f);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test041"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.0d);
    boolean b2 = notPositiveException1.getBoundIsAllowed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = notPositiveException1.getContext();
    java.lang.Number number4 = notPositiveException1.getMin();
    org.apache.commons.math.exception.MathInternalError mathInternalError5 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)notPositiveException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test042"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(short)10);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = tooManyEvaluationsException1.getContext();
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException1, localizable3, obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test043"); }


    double d2 = org.apache.commons.math.util.Precision.round(1.0000000036696997d, 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0000000036696997d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test044"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler5 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler5);
    double d7 = dormandPrince853Integrator4.getMaxStep();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math.analysis.solvers.UnivariateRealSolver univariateRealSolver12 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler8, 0.7928400443770229d, 9.999999999999995E-16d, 1072693279, univariateRealSolver12);
    dormandPrince853Integrator4.setMinReduction(0.7924473533734637d);
    dormandPrince853Integrator4.setSafety(0.0d);
    double d18 = dormandPrince853Integrator4.getMinReduction();
    dormandPrince853Integrator4.setInitialStepSize(0.8532876453928099d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9155494254642262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.7924473533734637d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test045"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.5455974866868434d, 1.3443543105261753d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5455974866868434d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test046"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, 1.0368843259198846d, 0.7425759303447935d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test047"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math.exception.NumberIsTooSmallException(number3, (java.lang.Number)1, false);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Throwable throwable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException(throwable17, localizable18, obj_array20);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException22 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)6.283185307179586d, obj_array20);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException23 = new org.apache.commons.math.exception.NullArgumentException(localizable15, obj_array20);
    org.apache.commons.math.exception.MathInternalError mathInternalError24 = new org.apache.commons.math.exception.MathInternalError(localizable14, obj_array20);
    org.apache.commons.math.exception.NoBracketingException noBracketingException25 = new org.apache.commons.math.exception.NoBracketingException(localizable9, (-0.051603910777817154d), 1.6430652399243957d, 0.13077923072973377d, 0.8369082414395024d, obj_array20);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException6, localizable7, obj_array20);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException28 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, (java.lang.Number)(-8.444743367317811E-5d), obj_array20);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test048"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    int i5 = incrementor2.getCount();
    incrementor2.resetCount();
    boolean b7 = incrementor2.canIncrement();
    incrementor2.setMaximalCount((-3));
    incrementor2.setMaximalCount(2117164448);
    int i12 = incrementor2.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2117164448);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test049"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)(byte)(-1));
    java.lang.String str2 = notPositiveException1.toString();
    java.lang.Number number3 = notPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.exception.NotPositiveException: -1 is smaller than the minimum (0)"+ "'", str2.equals("org.apache.commons.math.exception.NotPositiveException: -1 is smaller than the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test050"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.9511635306199837d), (-3.141592653589793d), (-0.6420149920119997d), 1617823322);
    double d5 = bracketingNthOrderBrentSolver4.getMin();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Throwable throwable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException(throwable20, localizable21, obj_array23);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable19, obj_array23);
    org.apache.commons.math.exception.MathInternalError mathInternalError26 = new org.apache.commons.math.exception.MathInternalError(localizable18, obj_array23);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException27 = new org.apache.commons.math.exception.MathArithmeticException(localizable17, obj_array23);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException(localizable16, obj_array23);
    org.apache.commons.math.exception.NoBracketingException noBracketingException29 = new org.apache.commons.math.exception.NoBracketingException(localizable11, 9.99999999999995E-15d, Double.NaN, 0.8656906612586714d, 100.0d, obj_array23);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException30 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array23);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math.exception.MathIllegalStateException(throwable8, localizable9, obj_array23);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException32 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.5707963267948966d, obj_array23);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d5, localizable6, obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test051"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.2260445113115506d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0325402373101995d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test052"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(7358363221561966593L, (-17));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test053"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-2.605357614412925d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test054"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { (-0.8369082414395024d) };
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException4 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, number1, obj_array3);
    java.lang.Number number5 = maxCountExceededException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test055"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.9511635306199837d), (-3.141592653589793d), (-0.6420149920119997d), 1617823322);
    double d5 = bracketingNthOrderBrentSolver4.getMin();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction12 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.8603041824228294d), 10);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction20 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver24 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7928400443770229d, 0.13971613923522394d, 184331630);
    double d25 = bracketingNthOrderBrentSolver24.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction30 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver33 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.015109152342730735d, 80);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction38 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler39 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver45 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState46 = new org.apache.commons.math.ode.events.EventState(eventHandler39, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver45);
    double d47 = bracketingNthOrderBrentSolver45.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction52 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver56 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7224284372420833d, 0.9275460829514595d, 1513055269);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution60 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d61 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1991475689, univariateRealFunction52, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver56, 0.015109152342730735d, 0.0d, 57.0d, allowedSolution60);
    double d62 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateRealFunction38, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver45, 0.0d, 0.3966073830763327d, 2.718281828459046d, allowedSolution60);
    double d63 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-981549055), univariateRealFunction30, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver33, 4.28694169484401d, 1.0013329614069104d, 1.3127600831788684d, allowedSolution60);
    double d64 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-318240364), univariateRealFunction20, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver24, 0.149947327595365d, 5.833583645005155d, 1.007469917424246d, allowedSolution60);
    double d65 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1024, univariateRealFunction12, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver15, 120.7190911572421d, (-0.0012582123643330115d), 1.5653694177584349E-13d, allowedSolution60);
    // The following exception was thrown during execution in test generation
    try {
      double d66 = bracketingNthOrderBrentSolver4.solve(1513055269, univariateRealFunction7, 0.43107595064559234d, 0.9972960458951606d, 0.3858090698837896d, allowedSolution60);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.7928400443770229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.015109152342730735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 4.28694169484401d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.149947327595365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 120.7190911572421d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test056"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.9211221492181846d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7962809395905971d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test057"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-0.3086874438951597d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test058"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.math.BigInteger bigInteger2 = null;
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1072693279);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 1072693279);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, bigInteger9);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException16 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10, (java.lang.Number)1.4142135623730951d, true);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Throwable throwable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException(throwable20, localizable21, obj_array23);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable19, obj_array23);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException26 = new org.apache.commons.math.exception.MathArithmeticException(localizable18, obj_array23);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException16, localizable17, obj_array23);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException28 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)bigInteger4, obj_array23);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Throwable throwable32 = null;
    org.apache.commons.math.exception.MathInternalError mathInternalError33 = new org.apache.commons.math.exception.MathInternalError(throwable32);
    org.apache.commons.math.exception.MathInternalError mathInternalError34 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathInternalError33);
    java.lang.Throwable[] throwable_array35 = mathInternalError34.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException(localizable31, (java.lang.Object[])throwable_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException37 = new org.apache.commons.math.exception.MathIllegalStateException(localizable30, (java.lang.Object[])throwable_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notFiniteNumberException28, localizable29, (java.lang.Object[])throwable_array35);
    org.apache.commons.math.exception.MathInternalError mathInternalError39 = new org.apache.commons.math.exception.MathInternalError(localizable1, (java.lang.Object[])throwable_array35);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException40 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-4969980717382525231L), (java.lang.Object[])throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test059"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.0132924812265443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7546557529119342d);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test060"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(177398.04205416286d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3096.1799204365066d);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test061"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1502190419);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1502190419);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 5L);
    java.math.BigInteger bigInteger14 = null;
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 0L);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1072693279);
    java.math.BigInteger bigInteger19 = null;
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 0L);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, 1072693279);
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, bigInteger21);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 0);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, bigInteger16);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException28 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)bigInteger16);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException29 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test062"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(139.29377305465323d, (-0.033695038916529696d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 139.29377713005303d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test063"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(throwable5, localizable6, obj_array8);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, (java.lang.Number)1.528657759578211E-308d, obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, obj_array8);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)4.286941694844012d, obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test064"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(57.29577951308233d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 5);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test065"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(100.00000313170545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test066"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow(575936372, (-1593008450));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test067"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.331110374477129d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0247139244349293d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test068"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    int i16 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.clearEventHandlers();
    dormandPrince853Integrator12.setSafety(0.05598006119233365d);
    double d20 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.setStepSizeControl(0.012314561408547394d, (-3.141592653589793d), 0.06733117341763584d, (-0.9511635306199836d));
    dormandPrince853Integrator12.setMinReduction(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 10.0d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test069"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver7 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 0.0d, 3);
    double d8 = bracketingNthOrderBrentSolver7.getFunctionValueAccuracy();
    double d9 = bracketingNthOrderBrentSolver7.getStartValue();
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0058536060668348145d, (-0.9511635306199836d), 771751937, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver7);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction12 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d15 = bracketingNthOrderBrentSolver7.solve((-888018845), univariateRealFunction12, 0.005350198402790607d, 0.6806010858825405d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test070"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    org.apache.commons.math.ode.events.EventHandler eventHandler26 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler26, 0.05751305758617531d, 0.08356161774264548d, 771751937);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test071"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getMaxCheckInterval();
    double[] d_array15 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array15);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array15);
    double[] d_array21 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator22 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array15, d_array21);
    boolean b23 = eventState7.reset(4.862269934658958d, d_array21);
    double[] d_array30 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    double[] d_array36 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator39 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array30, d_array36);
    boolean b40 = eventState7.reset(0.8656906612586714d, d_array36);
    double d41 = eventState7.getEventTime();
    double d42 = eventState7.getEventTime();
    boolean b43 = eventState7.stop();
    double[] d_array50 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array50);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array50);
    double[] d_array56 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator57 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array50, d_array56);
    dormandPrince853Integrator57.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler60 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver66 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d67 = bracketingNthOrderBrentSolver66.getMin();
    dormandPrince853Integrator57.addEventHandler(eventHandler60, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver66);
    dormandPrince853Integrator57.setSafety(4.5d);
    double[] d_array76 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array76);
    double[] d_array83 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array83);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array83);
    double[] d_array89 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator90 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array83, d_array89);
    dormandPrince853Integrator57.setStepSizeControl(0.149947327595365d, 0.0d, d_array76, d_array89);
    int i92 = org.apache.commons.math.util.MathUtils.hash(d_array76);
    // The following exception was thrown during execution in test generation
    try {
      eventState7.stepAccepted(99.00530950676811d, d_array76);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i92 == (-2081393569));

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test072"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-4.440892098500626E-16d), 1.0864516613215964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.0875192671697655E-16d));

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test073"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(243L, 1648960001);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3922983935335098125L));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test074"); }


    float f2 = org.apache.commons.math.util.Precision.round(1.1920929E-7f, 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test075"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(0.9989045970377486d, 0.7716133340725974d, 0.48024657258842585d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test076"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(10L, 7964743134733669495L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test077"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)3.1415926535897927d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test078"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.4267611581867062d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.42676115818670624d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test079"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-1.2217668750283874d), (-4.457523936567338E-6d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.457523936567338E-6d));

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test080"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(42.0d, 1.289590959339498d, 105);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test081"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(5.833583645005155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999828588521861d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test082"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow(2094779535, (-2081393569));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test083"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7216201451761174d, 0.9019113939195692d, 0.005350198402790607d, 0.8575073255996806d);
    java.lang.String str5 = dormandPrince853Integrator4.getName();
    int i6 = dormandPrince853Integrator4.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str5.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2147483647);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test084"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d5 = bracketingNthOrderBrentSolver4.getMin();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution9 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d10 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1), univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver4, 1.1102230246251565E-16d, 1.1102230246251565E-16d, 1.0d, allowedSolution9);
    int i11 = bracketingNthOrderBrentSolver4.getEvaluations();
    int i12 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction14 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d17 = bracketingNthOrderBrentSolver4.solve((-216006655), univariateRealFunction14, 0.8245775663246526d, 0.9077386616608084d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test085"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.setStepSizeControl((-0.7615941559557649d), 0.0d, 1.2596508914902838E-16d, 1.300509906445107d);
    dormandPrince853Integrator12.setSafety(0.8740325992077378d);
    dormandPrince853Integrator12.clearEventHandlers();
    dormandPrince853Integrator12.setMaxGrowth(0.03292560600521167d);
    dormandPrince853Integrator12.setMaxGrowth(0.05592165823892012d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test086"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    double[] d_array9 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array9);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array9);
    double[] d_array15 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array9, d_array15);
    int i17 = dormandPrince853Integrator16.getEvaluations();
    double d18 = dormandPrince853Integrator16.getCurrentSignedStepsize();
    double d19 = dormandPrince853Integrator16.getMaxGrowth();
    dormandPrince853Integrator16.setStepSizeControl((-0.7615941559557649d), 0.0d, 1.2596508914902838E-16d, 1.300509906445107d);
    int i25 = dormandPrince853Integrator16.getEvaluations();
    double d26 = dormandPrince853Integrator16.getSafety();
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction32 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler33 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver39 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState40 = new org.apache.commons.math.ode.events.EventState(eventHandler33, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver39);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution44 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d45 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction32, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver39, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution44);
    double d46 = bracketingNthOrderBrentSolver39.getMin();
    int i47 = bracketingNthOrderBrentSolver39.getMaximalOrder();
    double d48 = bracketingNthOrderBrentSolver39.getAbsoluteAccuracy();
    dormandPrince853Integrator16.addEventHandler(eventHandler27, (-0.007178648929446022d), 0.05592165823892012d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver39);
    org.apache.commons.math.ode.events.EventState eventState50 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.00898760738401448d, 0.9928471172400942d, (-50), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver39);
    int i51 = bracketingNthOrderBrentSolver39.getMaxEvaluations();
    double d52 = bracketingNthOrderBrentSolver39.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test087"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.37124574911305863d), 771751937);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test088"); }


    long long2 = org.apache.commons.math.util.FastMath.min(8007107365466817611L, 9223372036854775807L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8007107365466817611L);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test089"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.15050988670158758d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test090"); }


    org.apache.commons.math.util.MathUtils.checkFinite(1.2818210639260053d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test091"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 100L);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0);
    java.math.BigInteger bigInteger8 = null;
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 0L);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 1);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 1502190419);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 1502190419);
    java.math.BigInteger bigInteger17 = null;
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 0L);
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 1);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, bigInteger19);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException24 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)bigInteger3, (java.lang.Number)bigInteger22, false);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, bigInteger22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test092"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.5455974866868434d, 0.8351149286146008d, 0.8485783928867906d, 0.8649300667578879d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test093"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(2048.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.4414062E-4f);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test094"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.34425802063700245d), (java.lang.Number)1398176881, true);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test095"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-17.400387276127667d));

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test096"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 3.814697265625E-6d, 0.1546397006070358d, (-0.09537061784836881d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test097"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.9961466918228229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.759971110341842d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test098"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(99.0006514230905d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.0d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test099"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(2.398501783497057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.006673641298397d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test100"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(184331630, maxCountExceededCallback1);
    int i3 = incrementor2.getCount();
    boolean b4 = incrementor2.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test101"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.14712854173920675d, 0.0d, 0.7165431927243872d, 0.7570464714620043d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = noBracketingException4.getContext();
    double d6 = noBracketingException4.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.7570464714620043d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test102"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    double d26 = dormandPrince853Integrator12.getMinReduction();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler27 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler27);
    double d29 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d30 = dormandPrince853Integrator12.getMinReduction();
    int i31 = dormandPrince853Integrator12.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 2147483647);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test103"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.3208638421522441d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3323483883690038d));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test104"); }


    long long2 = org.apache.commons.math.util.FastMath.min(48L, 9223372036854775807L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 48L);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test105"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.05592165823892013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test106"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(2029185576);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test107"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.9999828588521861d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5430604907445646d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test108"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-2.6662835076648235d), 5.934729841099874E-67d, (-1418902095));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test109"); }


    double[] d_array7 = new double[] { 1.0d };
    int i8 = org.apache.commons.math.util.MathUtils.hash(d_array7);
    double[] d_array14 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    double[] d_array20 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator21 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array14, d_array20);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator22 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.48024657258842585d), 0.4451963704655766d, d_array7, d_array20);
    double[] d_array24 = new double[] { 1.0d };
    int i25 = org.apache.commons.math.util.MathUtils.hash(d_array24);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.0d, (-4.4575140018518E-6d), d_array20, d_array24);
    int i27 = org.apache.commons.math.util.MathUtils.hash(d_array24);
    double[] d_array31 = new double[] { 1.0d };
    int i32 = org.apache.commons.math.util.MathUtils.hash(d_array31);
    double[] d_array36 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator39 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array31, d_array36);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    int i41 = org.apache.commons.math.util.MathUtils.hash(d_array36);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator42 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.5767037019277758d, (-3.141592653589793d), d_array24, d_array36);
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0.5767037019277758d, localizable43, obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == (-2081393569));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test110"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setStepSizeControl(6.948840563288701E-8d, 0.7928400443770229d, Double.NEGATIVE_INFINITY, 1.3043045862358962d);
    double d20 = dormandPrince853Integrator12.getMinReduction();
    org.apache.commons.math.ode.events.EventHandler eventHandler21 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i28 = bracketingNthOrderBrentSolver27.getMaxEvaluations();
    double d29 = bracketingNthOrderBrentSolver27.getMax();
    double d30 = bracketingNthOrderBrentSolver27.getMax();
    dormandPrince853Integrator12.addEventHandler(eventHandler21, (-0.2107957994307797d), 2.271097216753073d, 981549055, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver27);
    dormandPrince853Integrator12.clearStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test111"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution13 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d14 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver8, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution13);
    double d15 = bracketingNthOrderBrentSolver8.getMin();
    int i16 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    double d17 = bracketingNthOrderBrentSolver8.getStartValue();
    double d18 = bracketingNthOrderBrentSolver8.getFunctionValueAccuracy();
    int i19 = bracketingNthOrderBrentSolver8.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test112"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.44181152062697454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.47447946019205384d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test113"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    int i26 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setMinReduction(0.01029902852824798d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 2147483647);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test114"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d5 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i6 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d7 = bracketingNthOrderBrentSolver2.getMin();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction14 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver17 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i18 = bracketingNthOrderBrentSolver17.getMaximalOrder();
    double d19 = bracketingNthOrderBrentSolver17.getMax();
    int i20 = bracketingNthOrderBrentSolver17.getMaximalOrder();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction25 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver29 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 0.0d, 3);
    double d30 = bracketingNthOrderBrentSolver29.getFunctionValueAccuracy();
    double d31 = bracketingNthOrderBrentSolver29.getStartValue();
    double d32 = bracketingNthOrderBrentSolver29.getFunctionValueAccuracy();
    int i33 = bracketingNthOrderBrentSolver29.getMaximalOrder();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction38 = null;
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    dormandPrince853Integrator43.setMaxGrowth(9.99999999999995E-15d);
    dormandPrince853Integrator43.setMinReduction(0.8656906612586714d);
    org.apache.commons.math.ode.events.EventHandler eventHandler48 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction53 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver60 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState61 = new org.apache.commons.math.ode.events.EventState(eventHandler54, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver60);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution65 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d66 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction53, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver60, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution65);
    int i67 = bracketingNthOrderBrentSolver60.getMaxEvaluations();
    double d68 = bracketingNthOrderBrentSolver60.getMin();
    dormandPrince853Integrator43.addEventHandler(eventHandler48, 1.0544413841537041d, 0.9303903342669483d, (-2081393569), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver60);
    int i70 = bracketingNthOrderBrentSolver60.getMaximalOrder();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction75 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler76 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver82 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState83 = new org.apache.commons.math.ode.events.EventState(eventHandler76, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver82);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution87 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d88 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction75, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver82, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution87);
    double d89 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-20), univariateRealFunction38, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver60, 1.0243029014333047d, (-0.8353314733650533d), 354795.38436500815d, allowedSolution87);
    double d90 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1502190419, univariateRealFunction25, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver29, 0.015222705497577463d, 0.509781044867095d, 0.0d, allowedSolution87);
    double d91 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1773690510, univariateRealFunction14, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver17, 0.0d, 0.8353314733650533d, 0.010298664404417401d, allowedSolution87);
    // The following exception was thrown during execution in test generation
    try {
      double d92 = bracketingNthOrderBrentSolver2.solve((-3), univariateRealFunction9, 0.8364588349989565d, 1.2110908904786679E-5d, 0.032616212332529926d, allowedSolution87);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 1.0243029014333047d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.015222705497577463d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test115"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(1.7347233E-17f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test116"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setStepSizeControl(4.741297982545108d, 0.059266403869008374d, 74.73114799087398d, 0.7570464714620044d);
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver33 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler27, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver33);
    dormandPrince853Integrator12.addEventHandler(eventHandler23, 0.690620420971492d, 2.718281828459045d, (-454629473), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver33);
    dormandPrince853Integrator12.setMinReduction(0.008987728383293009d);
    dormandPrince853Integrator12.setMaxEvaluations(1502190419);
    dormandPrince853Integrator12.setMinReduction(3096.1799204365066d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test117"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-1570073591), 343031451);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test118"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.0f, (-8000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test119"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i7 = bracketingNthOrderBrentSolver6.getMaximalOrder();
    double d8 = bracketingNthOrderBrentSolver6.getAbsoluteAccuracy();
    double d9 = bracketingNthOrderBrentSolver6.getAbsoluteAccuracy();
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.690620420971492d, 2.1872151235731745E-8d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    boolean b11 = eventState10.stop();
    double d12 = eventState10.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.690620420971492d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test120"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.7554132501604139d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 43.281991022451976d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test121"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-888018845), (-131497551));

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test122"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.38247426542495305d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.39247269164695836d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test123"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.077240763945245d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0251110770586325d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test124"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 0.5547013878302672d, 1.2524199589838503d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test125"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 0.9694155395097511d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test126"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.8428622551066925d, (-0.12831536088063003d), 3.9219909836439086d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test127"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(5.551115123125783E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test128"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 1.3127600831788682d, 0.0028771633084221093d, 0.03388888467389572d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test129"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 1023);
    int i3 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = bracketingNthOrderBrentSolver2.solve(103, univariateRealFunction5, 0.2613638061037985d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1023);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test130"); }


    float f2 = org.apache.commons.math.util.FastMath.min(10.000002f, 9.9999994E29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000002f);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test131"); }


    int i2 = org.apache.commons.math.util.FastMath.max(974828076, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 974828076);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test132"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)8.591349020479957d);
    java.lang.Number number3 = notStrictlyPositiveException2.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = notStrictlyPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 8.591349020479957d+ "'", number3.equals(8.591349020479957d));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test133"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 3.3653373344707623E9d, (-0.9338402590734837d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test134"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.clearEventHandlers();
    java.lang.String str6 = dormandPrince853Integrator4.getName();
    java.util.Collection collection7 = dormandPrince853Integrator4.getStepHandlers();
    dormandPrince853Integrator4.setInitialStepSize((-1.9416828793754768d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str6.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection7);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test135"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.5649979712746827d, 0.05598006119233365d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test136"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.03170017641406755d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.31648555518437765d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test137"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.0d, 3.183844764339955E-4d, 0.0d, 0.7379281192944076d);
    dormandPrince853Integrator4.setMinReduction(0.0530111330035696d);
    double d7 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test138"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    int i12 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 4.741297982545108d, (-36.0d), 0);
    double d18 = dormandPrince853Integrator4.getMaxGrowth();
    java.lang.String str19 = dormandPrince853Integrator4.getName();
    double d20 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    double d21 = dormandPrince853Integrator4.getMinStep();
    double d22 = dormandPrince853Integrator4.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str19.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0778508051683775d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.2d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test139"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)4.4575140018518E-6d);
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = notStrictlyPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test140"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 3096.1799204365066d, (-0.40715575372012264d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test141"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException8 = new org.apache.commons.math.exception.DimensionMismatchException(localizable5, 8, 0);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.util.Incrementor incrementor11 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor11, localizable12, obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable10, obj_array14);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0, localizable9, obj_array14);
    org.apache.commons.math.exception.NoBracketingException noBracketingException18 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.006759984225880643d, 1.2306000526071357d, 0.816496580927726d, 1.5455974866868434d, obj_array14);
    double d19 = noBracketingException18.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.2306000526071357d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test142"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(7.779829578528962E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3234889800848443E-23d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test143"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.609112081333232d, 0.10171790900705303d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test144"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger2 = null;
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1072693279);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 1072693279);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, bigInteger9);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException16 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10, (java.lang.Number)1.4142135623730951d, true);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Throwable throwable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException(throwable20, localizable21, obj_array23);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable19, obj_array23);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException26 = new org.apache.commons.math.exception.MathArithmeticException(localizable18, obj_array23);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException16, localizable17, obj_array23);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException28 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)bigInteger4, obj_array23);
    java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 100L);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException32 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.05592165823892013d, (java.lang.Number)bigInteger4, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test145"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(79, 7964743134733669495L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-779964369));

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test146"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.123613177011252d, 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.741297982545108d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test147"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    int i12 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 4.741297982545108d, (-36.0d), 0);
    dormandPrince853Integrator4.setInitialStepSize(0.783527087486949d);
    dormandPrince853Integrator4.clearEventHandlers();
    int i21 = dormandPrince853Integrator4.getEvaluations();
    int i22 = dormandPrince853Integrator4.getMaxEvaluations();
    double d23 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test148"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    double d9 = eventState7.getMaxCheckInterval();
    double d10 = eventState7.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.018760270073627384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.018760270073627384d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test149"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(7.629395E-6f, 1991475689);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test150"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d7 = bracketingNthOrderBrentSolver6.getMin();
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.1462158347805889d, (-36.784749426412844d), 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d9 = bracketingNthOrderBrentSolver6.getMin();
    double d10 = bracketingNthOrderBrentSolver6.getFunctionValueAccuracy();
    double d11 = bracketingNthOrderBrentSolver6.getRelativeAccuracy();
    int i12 = bracketingNthOrderBrentSolver6.getMaximalOrder();
    int i13 = bracketingNthOrderBrentSolver6.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 100);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test151"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-0.618691201710122d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6186912017101219d));

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test152"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.03388888467389572d, 0.00898760738401448d, 0.9717076235658828d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test153"); }


    double d2 = org.apache.commons.math.util.FastMath.log(1.077240763945245d, 4.793414078492273d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 21.064265084471405d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test154"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.8494822806722441d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0150032768063468d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test155"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-3));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test156"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = eventState7.getEventHandler();
    double d11 = eventState7.getConvergence();
    double d12 = eventState7.getEventTime();
    boolean b13 = eventState7.stop();
    double d14 = eventState7.getConvergence();
    double d15 = eventState7.getMaxCheckInterval();
    double d16 = eventState7.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.4142135623730951d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test157"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)4281.77937804464d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test158"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(1991475689, 51888844699L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 579389241);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test159"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.5767037019277758d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test160"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.1920929E-7f, 0.0f, 1.1920928E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test161"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.1071487177940904d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3476094687134488d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test162"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(7.805349828880882E-6d, (-0.9999996711173833d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test163"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.util.Incrementor incrementor4 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor4, localizable5, obj_array7);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable3, obj_array7);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable2, obj_array7);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)4.5331211781518554E-6d, obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test164"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.7583755211316554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7583755211316556d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test165"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    int i10 = eventState7.getMaxIterationCount();
    int i11 = eventState7.getMaxIterationCount();
    int i12 = eventState7.getMaxIterationCount();
    double d13 = eventState7.getEventTime();
    double d14 = eventState7.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = eventState7.getEventHandler();
    boolean b16 = eventState7.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test166"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.util.Incrementor incrementor11 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor11, localizable12, obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(throwable9, localizable10, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable8, obj_array14);
    org.apache.commons.math.exception.NoBracketingException noBracketingException18 = new org.apache.commons.math.exception.NoBracketingException(localizable3, 0.7110364255563046d, 0.6679697002774875d, 0.47241994041774316d, 0.14938857697150953d, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, (java.lang.Number)5.0d, obj_array14);
    java.lang.Throwable[] throwable_array20 = maxCountExceededException19.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException21 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test167"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(4.72480292434354E15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 167801.0083024438d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test168"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)Float.NaN);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = notPositiveException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test169"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)(-0.4033614180507894d));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test170"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.0447928889363978d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test171"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setStepSizeControl(4.741297982545108d, 0.059266403869008374d, 74.73114799087398d, 0.7570464714620044d);
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver33 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler27, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver33);
    dormandPrince853Integrator12.addEventHandler(eventHandler23, 0.690620420971492d, 2.718281828459045d, (-454629473), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver33);
    dormandPrince853Integrator12.setMinReduction(0.008987728383293009d);
    dormandPrince853Integrator12.setMaxEvaluations(1502190419);
    dormandPrince853Integrator12.setSafety(0.2618002865952555d);
    java.util.Collection collection42 = dormandPrince853Integrator12.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection42);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test172"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    int i5 = incrementor2.getCount();
    incrementor2.resetCount();
    incrementor2.setMaximalCount(0);
    int i9 = incrementor2.getMaximalCount();
    int i10 = incrementor2.getMaximalCount();
    incrementor2.resetCount();
    incrementor2.resetCount();
    incrementor2.setMaximalCount((-56));
    boolean b15 = incrementor2.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test173"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(2.417852E24f, 0.07812501f, (-43118136));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test174"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.7615941559557649d), 0.1712292893793208d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test175"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-17.400387276127667d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test176"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.005115642898456285d, (-0.4425780736119785d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test177"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1072693279);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test178"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test179"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(10.000002f, 3.43597363E10f, (-912718246));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test180"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.2811606037385879d), (-131497551));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test181"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.clearStepHandlers();
    dormandPrince853Integrator12.setInitialStepSize(1.372116479786957d);
    dormandPrince853Integrator12.setInitialStepSize(0.14883352839101568d);
    double[] d_array24 = null;
    double[] d_array30 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    double[] d_array36 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator37 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array30, d_array36);
    int i38 = org.apache.commons.math.util.MathUtils.hash(d_array36);
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator12.computeDerivatives(0.0d, d_array24, d_array36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1160016991);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test182"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(3.108624468950443E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test183"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.618691201710122d), 708.396418532264d, 18);
    double d4 = bracketingNthOrderBrentSolver3.getRelativeAccuracy();
    double d5 = bracketingNthOrderBrentSolver3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.618691201710122d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test184"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.9999828588521861d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8813614663457459d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test185"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    int i16 = dormandPrince853Integrator12.getOrder();
    double d17 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    dormandPrince853Integrator12.setInitialStepSize(1.1190079949929734d);
    int i20 = dormandPrince853Integrator12.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test186"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0d, 0.7615941559557646d, 2106714420);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test187"); }


    int i2 = org.apache.commons.math.util.FastMath.min(1, 1072693249);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test188"); }


    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1072693279);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 1072693279);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, bigInteger8);
    java.math.BigInteger bigInteger12 = null;
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 0L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 1);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1502190419);
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1502190419);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 0L);
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 100);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger24, 9223372036854775807L);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, bigInteger26);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException29 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)5729.5779513082325d, (java.lang.Number)bigInteger26, false);
    java.math.BigInteger bigInteger31 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, 2147483647);
    java.math.BigInteger bigInteger33 = org.apache.commons.math.util.MathUtils.pow(bigInteger31, 1522829185);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test189"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    double d6 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 3.1622776601683785E-8d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver4);
    int i8 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver18 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.015109152342730735d, 80);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction23 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState31 = new org.apache.commons.math.ode.events.EventState(eventHandler24, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver30);
    double d32 = bracketingNthOrderBrentSolver30.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction37 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver41 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7224284372420833d, 0.9275460829514595d, 1513055269);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution45 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d46 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1991475689, univariateRealFunction37, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver41, 0.015109152342730735d, 0.0d, 57.0d, allowedSolution45);
    double d47 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateRealFunction23, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver30, 0.0d, 0.3966073830763327d, 2.718281828459046d, allowedSolution45);
    double d48 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-981549055), univariateRealFunction15, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver18, 4.28694169484401d, 1.0013329614069104d, 1.3127600831788684d, allowedSolution45);
    // The following exception was thrown during execution in test generation
    try {
      double d49 = bracketingNthOrderBrentSolver4.solve(0, univariateRealFunction10, 0.0d, 0.03170017641406755d, 1.528657759578211E-308d, allowedSolution45);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.015109152342730735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 4.28694169484401d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test190"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    int i16 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.clearEventHandlers();
    dormandPrince853Integrator12.setSafety(0.05598006119233365d);
    org.apache.commons.math.ode.events.EventHandler eventHandler20 = null;
    double[] d_array27 = new double[] { 1.0d };
    int i28 = org.apache.commons.math.util.MathUtils.hash(d_array27);
    double[] d_array32 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator35 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array27, d_array32);
    dormandPrince853Integrator35.setMaxEvaluations((-1));
    dormandPrince853Integrator35.setSafety(Double.NaN);
    double[] d_array47 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    double[] d_array53 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator54 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array47, d_array53);
    double[] d_array58 = new double[] { 1.0d };
    int i59 = org.apache.commons.math.util.MathUtils.hash(d_array58);
    double[] d_array63 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array63);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array63);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator66 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array58, d_array63);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array63);
    dormandPrince853Integrator35.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array47, d_array63);
    org.apache.commons.math.ode.events.EventHandler eventHandler69 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler73 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver79 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState80 = new org.apache.commons.math.ode.events.EventState(eventHandler73, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver79);
    dormandPrince853Integrator35.addEventHandler(eventHandler69, 1.054229579476095d, 100.0d, (-20), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver79);
    double d82 = bracketingNthOrderBrentSolver79.getMax();
    dormandPrince853Integrator12.addEventHandler(eventHandler20, 0.9867935207409493d, 1.3043045862358962d, 1160016991, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver79);
    int i84 = bracketingNthOrderBrentSolver79.getMaximalOrder();
    int i85 = bracketingNthOrderBrentSolver79.getMaxEvaluations();
    double d86 = bracketingNthOrderBrentSolver79.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.0d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test191"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-1.683073204926466E-8d), 1.7453292519943295E-16d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test192"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.281821063926005d, 1.1243787392861102d, 6273.030749894427d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test193"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution13 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d14 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver8, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution13);
    double d15 = bracketingNthOrderBrentSolver8.getMin();
    int i16 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    double d17 = bracketingNthOrderBrentSolver8.getStartValue();
    int i18 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    double d19 = bracketingNthOrderBrentSolver8.getRelativeAccuracy();
    double d20 = bracketingNthOrderBrentSolver8.getMin();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction22 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d26 = bracketingNthOrderBrentSolver8.solve(17, univariateRealFunction22, 1.1599753909038675d, 0.7546407070591136d, 0.5795042700038123d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test194"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(5521558476357841643L, (-1098907647));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test195"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-1390986603), (-1005));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1390986603));

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test196"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.6228611699835354d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5883290899719275d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test197"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    double d14 = dormandPrince853Integrator12.getMaxStep();
    dormandPrince853Integrator12.clearEventHandlers();
    java.lang.String str16 = dormandPrince853Integrator12.getName();
    dormandPrince853Integrator12.clearStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str16.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test198"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i3 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i5 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d6 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d7 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver2.solve((-20), univariateRealFunction9, 0.5629672259720182d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-14d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test199"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException7 = new org.apache.commons.math.exception.DimensionMismatchException(localizable4, 8, 0);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.util.Incrementor incrementor10 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor10, localizable11, obj_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException(localizable9, obj_array13);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0, localizable8, obj_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, (java.lang.Number)6.283185307179586d, obj_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, obj_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.506735240867747d, obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test200"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setStepSizeControl(2.2250738585072014E-308d, (-0.7615941559557649d), 2.718281828459045d, (-0.6420149920119997d));
    java.util.Collection collection18 = dormandPrince853Integrator12.getStepHandlers();
    dormandPrince853Integrator12.setMaxGrowth((-0.03832758877351588d));
    org.apache.commons.math.ode.events.EventHandler eventHandler21 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler21, 1.0575148329169353d, 0.27460508963227326d, 1419857);
    dormandPrince853Integrator12.setStepSizeControl((-8.079770949659443d), 1.5356863141173624d, 0.012053600227461832d, (-0.5058110863015348d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection18);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test201"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.util.Incrementor incrementor8 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor8, localizable9, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(throwable6, localizable7, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array11);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(throwable2, localizable3, obj_array11);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver23 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-36.784749426412844d), 1.7763568394002505E-15d, 0.0d, 1586880529);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException30 = new org.apache.commons.math.exception.DimensionMismatchException(localizable27, 8, 0);
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    org.apache.commons.math.util.Incrementor incrementor33 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor33, localizable34, obj_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException(localizable32, obj_array36);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0, localizable31, obj_array36);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException40 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable25, (java.lang.Number)6.283185307179586d, obj_array36);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bracketingNthOrderBrentSolver23, localizable24, obj_array36);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException42 = new org.apache.commons.math.exception.NullArgumentException(localizable18, obj_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math.exception.MathIllegalStateException(throwable2, localizable17, obj_array36);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException44 = new org.apache.commons.math.exception.NullArgumentException(localizable1, obj_array36);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException45 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test202"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math.ode.events.EventState eventState6 = new org.apache.commons.math.ode.events.EventState(eventHandler0, (-1.6875954708106484d), 1.642362934689854d, (-23), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver4);
    double[] d_array13 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array13);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array13);
    double[] d_array19 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator20 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array13, d_array19);
    int i21 = dormandPrince853Integrator20.getEvaluations();
    double d22 = dormandPrince853Integrator20.getCurrentSignedStepsize();
    double d23 = dormandPrince853Integrator20.getMaxGrowth();
    int i24 = dormandPrince853Integrator20.getOrder();
    int i25 = dormandPrince853Integrator20.getMaxEvaluations();
    double[] d_array33 = new double[] { 1.0d };
    int i34 = org.apache.commons.math.util.MathUtils.hash(d_array33);
    double[] d_array40 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array40);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array40);
    double[] d_array46 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator47 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array40, d_array46);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator48 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.48024657258842585d), 0.4451963704655766d, d_array33, d_array46);
    double[] d_array54 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    double[] d_array60 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array60);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array60);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator63 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array54, d_array60);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array60);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator65 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.3043045862358962d, 0.13840584404423517d, d_array33, d_array60);
    double[] d_array71 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array71);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array71);
    double[] d_array77 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array77);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array77);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator80 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array71, d_array77);
    dormandPrince853Integrator20.setStepSizeControl(4.440892098500625E-16d, 0.05592165823892012d, d_array60, d_array71);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array60);
    boolean b83 = eventState6.reset(4.7934140784922725d, d_array60);
    boolean b84 = eventState6.stop();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator85 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState6.reinitializeBegin(stepInterpolator85);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test203"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-0.16542649885454674d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-9.478240203991275d));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test204"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException6 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 1.7182818284590453d, 6.283185307179586d, 0.7853946760550922d, 1.1462158347805889d, obj_array5);
    double d7 = noBracketingException6.getLo();
    double d8 = noBracketingException6.getLo();
    double d9 = noBracketingException6.getFHi();
    double d10 = noBracketingException6.getHi();
    double d11 = noBracketingException6.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.1462158347805889d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.1462158347805889d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test205"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.util.Incrementor incrementor11 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor11, localizable12, obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(throwable9, localizable10, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable8, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)184331630, obj_array14);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0.4451963704655766d, localizable6, obj_array14);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { obj_array14 };
    org.apache.commons.math.exception.NoBracketingException noBracketingException21 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 1.414213562373095d, 0.690620420971492d, 0.037277101766377996d, (-0.4392420037409799d), obj_array20);
    double d22 = noBracketingException21.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.690620420971492d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test206"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    double d15 = dormandPrince853Integrator12.getMaxStep();
    java.util.Collection collection16 = dormandPrince853Integrator12.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection16);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test207"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.1065849020808947d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 63.40264456213273d);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test208"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(771751937, (-59));
    int i3 = equationsMapper2.getFirstIndex();
    int i4 = equationsMapper2.getFirstIndex();
    int i5 = equationsMapper2.getDimension();
    int i6 = equationsMapper2.getDimension();
    double[] d_array10 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array10);
    double[] d_array19 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array19);
    double[] d_array25 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array19, d_array25);
    int i27 = org.apache.commons.math.util.MathUtils.hash(d_array25);
    org.apache.commons.math.ode.events.EventHandler eventHandler30 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver36 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState37 = new org.apache.commons.math.ode.events.EventState(eventHandler30, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver36);
    double d38 = eventState37.getMaxCheckInterval();
    double[] d_array45 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array45);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array45);
    double[] d_array51 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator52 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array45, d_array51);
    boolean b53 = eventState37.reset(4.862269934658958d, d_array51);
    double[] d_array60 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array60);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array60);
    double[] d_array66 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array66);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array66);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator69 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array60, d_array66);
    boolean b70 = eventState37.reset(0.8656906612586714d, d_array66);
    org.apache.commons.math.ode.events.EventHandler eventHandler71 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver77 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState78 = new org.apache.commons.math.ode.events.EventState(eventHandler71, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver77);
    double d79 = eventState78.getMaxCheckInterval();
    double[] d_array86 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array86);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array86);
    double[] d_array92 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator93 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array86, d_array92);
    boolean b94 = eventState78.reset(4.862269934658958d, d_array92);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator95 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.319522830243586E-16d, 0.4894851666434838d, d_array66, d_array92);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator96 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.300509906445107d, 1.2596508914902838E-16d, d_array25, d_array92);
    int i97 = org.apache.commons.math.util.MathUtils.hash(d_array25);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array10, d_array25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 771751937);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 771751937);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-59));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-59));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1160016991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i97 == 1160016991);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test209"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-41.154517271643094d), (java.lang.Number)5, false);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    boolean b5 = numberIsTooSmallException3.getBoundIsAllowed();
    boolean b6 = numberIsTooSmallException3.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException22 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array23 = tooManyEvaluationsException22.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException24 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable19, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array23);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException(localizable18, (java.lang.Object[])throwable_array23);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable17, (java.lang.Object[])throwable_array23);
    java.lang.Throwable[] throwable_array27 = mathIllegalArgumentException26.getSuppressed();
    org.apache.commons.math.exception.NoBracketingException noBracketingException28 = new org.apache.commons.math.exception.NoBracketingException(localizable12, (-0.7612300442463679d), 0.7798252495435847d, (-0.7182818284590454d), 1.4142135623730951d, (java.lang.Object[])throwable_array27);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable11, (java.lang.Object[])throwable_array27);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException30 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable9, (java.lang.Number)0.7615941559557649d, (java.lang.Object[])throwable_array27);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException31 = new org.apache.commons.math.exception.MathArithmeticException(localizable8, (java.lang.Object[])throwable_array27);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)numberIsTooSmallException3, localizable7, (java.lang.Object[])throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 5+ "'", number4.equals(5));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test210"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-1338456335), 2094779535);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-42419951));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test211"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(23997317543566687L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 23997317543566687L);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test212"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    int i5 = incrementor2.getCount();
    incrementor2.resetCount();
    incrementor2.setMaximalCount(0);
    int i9 = incrementor2.getMaximalCount();
    int i10 = incrementor2.getMaximalCount();
    incrementor2.setMaximalCount(1586880529);
    int i13 = incrementor2.getCount();
    incrementor2.incrementCount();
    incrementor2.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test213"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(0);
    incrementor1.resetCount();

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test214"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)(-7.930067261567154E14d));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test215"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(3.43597343E10f, 1.9342815E25f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test216"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException3 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9155494254642262d);
    java.lang.String str4 = tooManyEvaluationsException3.toString();
    java.lang.Number number5 = tooManyEvaluationsException3.getMax();
    java.lang.Throwable[] throwable_array6 = tooManyEvaluationsException3.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError7 = new org.apache.commons.math.exception.MathInternalError(localizable1, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.MathInternalError mathInternalError8 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext9 = mathInternalError8.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"+ "'", str4.equals("org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.9155494254642262d+ "'", number5.equals(0.9155494254642262d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test217"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.5403023058681404d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7350525871447161d);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test218"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.9928471172400942d, 0.19611987803265818d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.19611987803265818d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test219"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.9883416845678049d, 1.1499449673133126d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test220"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-41), maxCountExceededCallback1);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test221"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.665482117105942d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.842656783321673d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test222"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1072693279);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 1072693279);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger7);
    org.apache.commons.math.exception.NotPositiveException notPositiveException11 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)bigInteger7);
    java.lang.Number number12 = notPositiveException11.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number12);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test223"); }


    int i2 = org.apache.commons.math.util.FastMath.min(103, 2094940159);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 103);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test224"); }


    int i2 = org.apache.commons.math.util.FastMath.min(859997567, 1773690510);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 859997567);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test225"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)16.123863856382016d, (java.lang.Number)0.032818036347532185d, false);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test226"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.009120777574443368d, (-0.02501897408134565d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.009120777574443368d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test227"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.math.BigInteger bigInteger2 = null;
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 1502190419);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 1502190419);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 5L);
    org.apache.commons.math.exception.NotPositiveException notPositiveException16 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0);
    java.lang.Throwable[] throwable_array17 = notPositiveException16.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)bigInteger14, (java.lang.Object[])throwable_array17);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException20 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.7425759303447935d, (java.lang.Number)bigInteger14, true);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException21 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.7425759303447935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test228"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)1268023025);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test229"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint((-26404.0d), 0.7838043914651368d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-13201.608097804268d));

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test230"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.7347235E-17f, 9.536748E-7f, (-52));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test231"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(0.13077923072973377d, (-912718246), 184331630);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test232"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper((-8000), 771751937);
    int i3 = equationsMapper2.getFirstIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-8000));

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test233"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.7964408379746524d), 4.745212910555288d, 1993714518);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test234"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(3.4028233E38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.4028233E38f);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test235"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException6 = new org.apache.commons.math.exception.NoBracketingException(2.2250738585072014E-308d, 1.2596508914902838E-16d, 0.059266403869008374d, 9.99999999999995E-15d);
    java.lang.Throwable[] throwable_array7 = noBracketingException6.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)2.2250738585072014E-308d, (java.lang.Object[])throwable_array7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException11 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable9, (java.lang.Number)(-1176574049));
    maxCountExceededException8.addSuppressed((java.lang.Throwable)notStrictlyPositiveException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test236"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(throwable5, localizable6, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, obj_array8);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, (java.lang.Number)0.5301056692915843d, obj_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math.exception.NullArgumentException(localizable1, obj_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math.exception.NullArgumentException(localizable0, obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test237"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.4136070376880365d, (-3.141592653589793d), (-0.12796368962740468d), 0.0d);
    double d5 = noBracketingException4.getHi();
    double d6 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-3.141592653589793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-3.141592653589793d));

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test238"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 2.636862273795178E-4d, 0.14883352839101568d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test239"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException6 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 2.2250738585072014E-308d, 100.0d, 0.1505149978319906d, 1.414213562373095d, obj_array5);
    double d7 = noBracketingException6.getFLo();
    double d8 = noBracketingException6.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.1505149978319906d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.1505149978319906d);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test240"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator(243L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test241"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(0.010919138494489042d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test242"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round((-12.320917117273433d), 57, (-46));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test243"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test244"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 0, 1);
    int i4 = dimensionMismatchException3.getDimension();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 1072693279);
    java.math.BigInteger bigInteger12 = null;
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 0L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 1072693279);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, bigInteger14);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException21 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10, (java.lang.Number)1.4142135623730951d, true);
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Throwable throwable25 = null;
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException(throwable25, localizable26, obj_array28);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException30 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable24, obj_array28);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException31 = new org.apache.commons.math.exception.MathArithmeticException(localizable23, obj_array28);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException32 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException21, localizable22, obj_array28);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException33 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)bigInteger9, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Throwable throwable37 = null;
    org.apache.commons.math.exception.MathInternalError mathInternalError38 = new org.apache.commons.math.exception.MathInternalError(throwable37);
    org.apache.commons.math.exception.MathInternalError mathInternalError39 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathInternalError38);
    java.lang.Throwable[] throwable_array40 = mathInternalError39.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException(localizable36, (java.lang.Object[])throwable_array40);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException(localizable35, (java.lang.Object[])throwable_array40);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notFiniteNumberException33, localizable34, (java.lang.Object[])throwable_array40);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException44 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, (java.lang.Object[])throwable_array40);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)dimensionMismatchException3, localizable5, (java.lang.Object[])throwable_array40);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test245"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 3572295296808223241L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3572295296808223241L);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test246"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    double d10 = eventState9.getConvergence();
    boolean b11 = eventState9.stop();
    double[] d_array18 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    double[] d_array24 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array18, d_array24);
    int i26 = org.apache.commons.math.util.MathUtils.hash(d_array24);
    boolean b27 = eventState9.reset(1.300509906445107d, d_array24);
    int i28 = eventState9.getMaxIterationCount();
    double d29 = eventState9.getMaxCheckInterval();
    double[] d_array36 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    double[] d_array42 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array36, d_array42);
    boolean b44 = eventState9.reset((-1.109632814917221d), d_array42);
    int i45 = org.apache.commons.math.util.MathUtils.hash(d_array42);
    double[] d_array46 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator47 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.9859962755945665d), 0.9984367915098935d, d_array42, d_array46);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1160016991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1160016991);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test247"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(962183117);
    int i2 = incrementor1.getMaximalCount();
    incrementor1.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 962183117);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test248"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(10, 1072693279);
    int i3 = equationsMapper2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1072693279);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test249"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-5600402443640646519L), 947076695374533169L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5600402443640646519L));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test250"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i3 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    double d5 = bracketingNthOrderBrentSolver2.getStartValue();
    double d6 = bracketingNthOrderBrentSolver2.getMax();
    double d7 = bracketingNthOrderBrentSolver2.getMax();
    int i8 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test251"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-2.6662835076648235d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.3866561286165369d));

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test252"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.078125015f, 7.105428E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test253"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.9050742637938461d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1921167873);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test254"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    int i12 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 4.741297982545108d, (-36.0d), 0);
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    double[] d_array27 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    double[] d_array33 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator34 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array27, d_array33);
    int i35 = dormandPrince853Integrator34.getOrder();
    int i36 = dormandPrince853Integrator34.getEvaluations();
    java.util.Collection collection37 = dormandPrince853Integrator34.getEventHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler38 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver44 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d45 = bracketingNthOrderBrentSolver44.getMin();
    dormandPrince853Integrator34.addEventHandler(eventHandler38, 1.6430652399243957d, 0.7924473533734637d, 1586880529, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver44);
    dormandPrince853Integrator4.addEventHandler(eventHandler18, Double.POSITIVE_INFINITY, 0.9155494254642264d, 1502190419, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver44);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0.9155494254642264d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test255"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    int i5 = incrementor2.getCount();
    incrementor2.resetCount();
    boolean b7 = incrementor2.canIncrement();
    boolean b8 = incrementor2.canIncrement();
    int i9 = incrementor2.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test256"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.math.BigInteger bigInteger2 = null;
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 1502190419);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 1502190419);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 5L);
    org.apache.commons.math.exception.NotPositiveException notPositiveException16 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0);
    java.lang.Throwable[] throwable_array17 = notPositiveException16.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)bigInteger14, (java.lang.Object[])throwable_array17);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException20 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.7425759303447935d, (java.lang.Number)bigInteger14, true);
    java.lang.Number number21 = numberIsTooLargeException20.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number21);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test257"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper((-23), (-1146638592));
    double[] d_array6 = new double[] { 1.0d };
    int i7 = org.apache.commons.math.util.MathUtils.hash(d_array6);
    double[] d_array11 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array6, d_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    int i17 = org.apache.commons.math.util.MathUtils.hash(d_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    int i19 = org.apache.commons.math.util.MathUtils.hash(d_array11);
    int i20 = org.apache.commons.math.util.MathUtils.hash(d_array11);
    double[] d_array24 = new double[] { 1.0d };
    int i25 = org.apache.commons.math.util.MathUtils.hash(d_array24);
    double[] d_array29 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array29);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array29);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator32 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array24, d_array29);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array11, d_array24);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test258"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setStepSizeControl(2.2250738585072014E-308d, (-0.7615941559557649d), 2.718281828459045d, (-0.6420149920119997d));
    java.util.Collection collection18 = dormandPrince853Integrator12.getStepHandlers();
    dormandPrince853Integrator12.setMaxGrowth((-0.03832758877351588d));
    org.apache.commons.math.ode.events.EventHandler eventHandler21 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler21, 1.0575148329169353d, 0.27460508963227326d, 1419857);
    double d26 = dormandPrince853Integrator12.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == (-0.03832758877351588d));

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test259"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException15 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9155494254642262d);
    java.lang.String str16 = tooManyEvaluationsException15.toString();
    java.lang.Number number17 = tooManyEvaluationsException15.getMax();
    java.lang.Throwable[] throwable_array18 = tooManyEvaluationsException15.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError19 = new org.apache.commons.math.exception.MathInternalError(localizable13, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)1.7763568394002505E-15d, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.NoBracketingException noBracketingException21 = new org.apache.commons.math.exception.NoBracketingException(localizable6, 2.0d, (-35.99999999999999d), 0.7197533326848873d, 1.1752011936438014d, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.MathInternalError mathInternalError22 = new org.apache.commons.math.exception.MathInternalError(localizable5, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.0d, 0.14939357487933233d, 0.03262199805121213d, 0.4672944579236915d, (java.lang.Object[])throwable_array18);
    double d24 = noBracketingException23.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"+ "'", str16.equals("org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 0.9155494254642262d+ "'", number17.equals(0.9155494254642262d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test260"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(1921167873, (-3));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test261"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-0.3873707657877009d), (-0.8888734169781503d), (-338217207));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test262"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(Double.POSITIVE_INFINITY, 0.1505149978319906d, 0.7928400443770229d, 9.999999999999989E-16d);
    int i5 = dormandPrince853Integrator4.getOrder();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator4);
    double d7 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    double d8 = dormandPrince853Integrator4.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.9d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test263"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.04575749056067506d));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test264"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(12.432158399742868d, (-1005));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.62577535435913E-302d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test265"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals((-0.013523771115735649d), 167801.0083024438d, 8.591531397774963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test266"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.7391619794899372d), 0.0d, (-4));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test267"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.05592165823892013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05595084599742452d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test268"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d7 = bracketingNthOrderBrentSolver6.getAbsoluteAccuracy();
    double d8 = bracketingNthOrderBrentSolver6.getMin();
    double d9 = bracketingNthOrderBrentSolver6.getAbsoluteAccuracy();
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4887150581008033d, (-1.5693846887493075d), 1398176881, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test269"); }


    byte byte2 = org.apache.commons.math.util.MathUtils.copySign((byte)(-10), (byte)(-10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)(-10));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test270"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-0.9999998f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-0.99999976f));

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test271"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d5 = bracketingNthOrderBrentSolver2.getMax();
    double d6 = bracketingNthOrderBrentSolver2.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test272"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    int i5 = incrementor2.getCount();
    incrementor2.resetCount();
    incrementor2.setMaximalCount(0);
    int i9 = incrementor2.getMaximalCount();
    int i10 = incrementor2.getMaximalCount();
    boolean b11 = incrementor2.canIncrement();
    incrementor2.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test273"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    double d23 = dormandPrince853Integrator12.getCurrentStepStart();
    java.util.Collection collection24 = dormandPrince853Integrator12.getEventHandlers();
    int i25 = dormandPrince853Integrator12.getOrder();
    double d26 = dormandPrince853Integrator12.getMaxStep();
    double d27 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.clearEventHandlers();
    int i29 = dormandPrince853Integrator12.getEvaluations();
    double d30 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setMaxGrowth((-0.7093028037457604d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test274"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10, (java.lang.Number)1.4142135623730951d, true);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test275"); }


    float f2 = org.apache.commons.math.util.Precision.round(2.7755586E-17f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test276"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.198987063275175E24d, 0.5403023058681404d, 6.794214468460137E-20d, 7.779829578606251E-8d);
    dormandPrince853Integrator4.setMinReduction(74.20994852478785d);
    int i7 = dormandPrince853Integrator4.getMaxEvaluations();
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.clearEventHandlers();
    dormandPrince853Integrator4.setMaxEvaluations(771751937);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2147483647);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test277"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.24796455561297995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6056103933746485d));

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test278"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    dormandPrince853Integrator11.setMaxEvaluations((-1));
    dormandPrince853Integrator11.setSafety(Double.NaN);
    double[] d_array23 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    double[] d_array29 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array23, d_array29);
    double[] d_array34 = new double[] { 1.0d };
    int i35 = org.apache.commons.math.util.MathUtils.hash(d_array34);
    double[] d_array39 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator42 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array34, d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    dormandPrince853Integrator11.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array23, d_array39);
    org.apache.commons.math.ode.events.EventHandler eventHandler45 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler49 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver55 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState56 = new org.apache.commons.math.ode.events.EventState(eventHandler49, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    dormandPrince853Integrator11.addEventHandler(eventHandler45, 1.054229579476095d, 100.0d, (-20), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    double d58 = bracketingNthOrderBrentSolver55.getMax();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction60 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d62 = bracketingNthOrderBrentSolver55.solve(1219894815, univariateRealFunction60, (-0.010798198522962002d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test279"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.33445947818381055d), 0.018760270073627384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.003225383141482366d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test280"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor1, localizable2, obj_array4);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathInternalError mathInternalError7 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathIllegalStateException6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test281"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.clearEventHandlers();
    dormandPrince853Integrator4.clearEventHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler7 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler7, (-0.9125775986692777d), 2.636862365466261E-4d, 47);
    java.util.Collection collection12 = dormandPrince853Integrator4.getEventHandlers();
    double d13 = dormandPrince853Integrator4.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test282"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.26633487266662154d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9647420256201565d);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test283"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(2.8168444367038248E-6d, 3.754616155194645d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.448738432165539E-21d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test284"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(throwable9, localizable10, obj_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, obj_array12);
    org.apache.commons.math.exception.MathInternalError mathInternalError15 = new org.apache.commons.math.exception.MathInternalError(localizable7, obj_array12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, obj_array12);
    org.apache.commons.math.exception.NoBracketingException noBracketingException18 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 9.99999999999995E-15d, Double.NaN, 0.8656906612586714d, 100.0d, obj_array12);
    double d19 = noBracketingException18.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test285"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    int i16 = dormandPrince853Integrator12.getOrder();
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    double d18 = dormandPrince853Integrator12.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test286"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.44115179E17f, 2.0282408E31f, (-1161822207));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test287"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.618691201710122d), 708.396418532264d, 18);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = bracketingNthOrderBrentSolver3.solve((-43118136), univariateRealFunction5, 1.675496497230092d, 74.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test288"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.423410673977805d, (java.lang.Number)0.8494822806722441d, false);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test289"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.7011615199314416d, 0.4425780736119785d, 1425117761);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = bracketingNthOrderBrentSolver3.solve((-1023), univariateRealFunction5, 1.3877787807814457E-17d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test290"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow((-4267496002067041879L), 22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8152849977878317105L);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test291"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler7 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver13 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler7, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver13);
    double d15 = eventState14.getConvergence();
    double d16 = eventState14.getConvergence();
    java.lang.Object[] obj_array17 = new java.lang.Object[] { eventState14 };
    org.apache.commons.math.exception.MathInternalError mathInternalError18 = new org.apache.commons.math.exception.MathInternalError(localizable6, obj_array17);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable4, (java.lang.Number)0.05757659671003263d, obj_array17);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, (java.lang.Number)0.816496580927726d, obj_array17);
    org.apache.commons.math.exception.MathInternalError mathInternalError21 = new org.apache.commons.math.exception.MathInternalError(localizable1, obj_array17);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException22 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.5408532589041273d, obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test292"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.0787619161000126d, (java.lang.Number)(-1.6094379124341003d), false);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooLargeException3, localizable4, obj_array5);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test293"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(80, (-338217207));
    org.apache.commons.math.exception.MathInternalError mathInternalError3 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)dimensionMismatchException2);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test294"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 2.3965557422561563d, 0.0d, (-0.13332177668512515d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test295"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.9998141225182081d, 99.00530950676811d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-24719.220170807494d));

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test296"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.4210855E-14f, 3.3554432E8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4210855E-14f);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test297"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals((-80.00002f), (-1.0f), 5.6E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test298"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.3864201357589316d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test299"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test300"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(0.9077386616608084d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test301"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(0L, (-1176574049));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test302"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution13 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d14 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver8, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution13);
    double d15 = bracketingNthOrderBrentSolver8.getMin();
    int i16 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction18 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction22 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.7964408379746524d), 0.7224284372420833d, 1.2533130128858234d, 1991475689);
    int i28 = bracketingNthOrderBrentSolver27.getMaximalOrder();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction33 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver34 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i35 = bracketingNthOrderBrentSolver34.getEvaluations();
    double d36 = bracketingNthOrderBrentSolver34.getFunctionValueAccuracy();
    double d37 = bracketingNthOrderBrentSolver34.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction42 = null;
    org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver bracketedUnivariateRealSolver43 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution47 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d48 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(10, univariateRealFunction42, bracketedUnivariateRealSolver43, 100.0d, 1.1102230246251565E-16d, 100.0d, allowedSolution47);
    double d49 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1017118720, univariateRealFunction33, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver34, 1.3711318613053713d, 0.007178648929446022d, 0.0d, allowedSolution47);
    double d50 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1593008450), univariateRealFunction22, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver27, 0.9112116246441057d, 0.0028771633084221093d, 8.757464071767462d, allowedSolution47);
    // The following exception was thrown during execution in test generation
    try {
      double d51 = bracketingNthOrderBrentSolver8.solve(46, univariateRealFunction18, 0.0d, 41.0d, allowedSolution47);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1991475689);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.3711318613053713d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.9112116246441057d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test303"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.8625470909366681d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test304"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round((-12.320917117273433d), 562220405, (-2044209690));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test305"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.8813735870195429d);
    java.lang.Number number3 = notStrictlyPositiveException2.getArgument();
    java.lang.Number number4 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math.exception.NumberIsTooSmallException(number4, (java.lang.Number)1, false);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Throwable throwable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException(throwable18, localizable19, obj_array21);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException23 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)6.283185307179586d, obj_array21);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException24 = new org.apache.commons.math.exception.NullArgumentException(localizable16, obj_array21);
    org.apache.commons.math.exception.MathInternalError mathInternalError25 = new org.apache.commons.math.exception.MathInternalError(localizable15, obj_array21);
    org.apache.commons.math.exception.NoBracketingException noBracketingException26 = new org.apache.commons.math.exception.NoBracketingException(localizable10, (-0.051603910777817154d), 1.6430652399243957d, 0.13077923072973377d, 0.8369082414395024d, obj_array21);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, obj_array21);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException7, localizable8, obj_array21);
    notStrictlyPositiveException2.addSuppressed((java.lang.Throwable)numberIsTooSmallException7);
    java.lang.Number number30 = numberIsTooSmallException7.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0.8813735870195429d+ "'", number3.equals(0.8813735870195429d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number30 + "' != '" + 1+ "'", number30.equals(1));

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test306"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(243L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 243L);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test307"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(5521558476357841643L, (-1227324758466374519L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test308"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(1.0651872689123452d, 0.13707922275709408d, 0.9926712612879596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test309"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.3773316590860607d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.964309373011d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test310"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.0066153587048387585d, 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test311"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.8013504142519434d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2285483608633208d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test312"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    double d14 = dormandPrince853Integrator12.getMaxStep();
    java.lang.String str15 = dormandPrince853Integrator12.getName();
    dormandPrince853Integrator12.setMaxGrowth(1.6430652399243957d);
    double d18 = dormandPrince853Integrator12.getMinReduction();
    java.lang.String str19 = dormandPrince853Integrator12.getName();
    dormandPrince853Integrator12.setSafety((-0.05162684148983704d));
    dormandPrince853Integrator12.setSafety(2.8771578017474497d);
    java.util.Collection collection24 = dormandPrince853Integrator12.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str15.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str19.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection24);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test313"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-7.950078518187409E-4d), 1.1499449673133126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-7.950078518187408E-4d));

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test314"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    int i14 = dormandPrince853Integrator12.getOrder();
    double d15 = dormandPrince853Integrator12.getMinReduction();
    dormandPrince853Integrator12.setMinReduction((-18.302496236143146d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test315"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.6532125137753437d, 1.123613177011252d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test316"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setStepSizeControl(6.948840563288701E-8d, 0.7928400443770229d, Double.NEGATIVE_INFINITY, 1.3043045862358962d);
    double d20 = dormandPrince853Integrator12.getMinReduction();
    dormandPrince853Integrator12.setMinReduction(9.999999999999982E-8d);
    dormandPrince853Integrator12.setMinReduction((-1.3866561286165369d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.2d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test317"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.06668855320622913d), 798589.3536754721d, (-0.14354535577878913d), (-956191141));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test318"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.2328911007095689d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8459078046989537d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test319"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    int i5 = incrementor2.getCount();
    incrementor2.resetCount();
    incrementor2.setMaximalCount(0);
    int i9 = incrementor2.getMaximalCount();
    int i10 = incrementor2.getCount();
    boolean b11 = incrementor2.canIncrement();
    boolean b12 = incrementor2.canIncrement();
    boolean b13 = incrementor2.canIncrement();
    incrementor2.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test320"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.0864516613215964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 62.249094838704174d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test321"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(1124716317);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test322"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.14938605131601562d, (-0.9108542167032013d), 15.77447671731227d, 0.0d);
    double d5 = noBracketingException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.14938605131601562d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test323"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.util.Incrementor incrementor4 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor4, localizable5, obj_array7);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(throwable2, localizable3, obj_array7);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(byte)1, obj_array7);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext11 = notFiniteNumberException10.getContext();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathInternalError mathInternalError12 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)notFiniteNumberException10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test324"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(338217207, (-127));
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver11 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler5, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver11);
    double d13 = eventState12.getConvergence();
    boolean b14 = eventState12.stop();
    double[] d_array21 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array21);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array21);
    double[] d_array27 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array21, d_array27);
    int i29 = org.apache.commons.math.util.MathUtils.hash(d_array27);
    boolean b30 = eventState12.reset(1.300509906445107d, d_array27);
    double[] d_array37 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array37);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array37);
    double[] d_array43 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array43);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array43);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator46 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array37, d_array43);
    int i47 = org.apache.commons.math.util.MathUtils.hash(d_array43);
    boolean b48 = eventState12.reset(0.9996221167107523d, d_array43);
    double[] d_array54 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    double[] d_array60 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array60);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array60);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator63 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array54, d_array60);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array60);
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    java.lang.Object[] obj_array66 = null;
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d_array60, localizable65, obj_array66);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator68 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.324140853776836d, 1.0000882598061547d, d_array43, d_array60);
    double[] d_array74 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array74);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array74);
    double[] d_array80 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array80);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array80);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator83 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array74, d_array80);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array60, d_array80);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1160016991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test325"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(771751937, (-59));
    int i3 = equationsMapper2.getFirstIndex();
    int i4 = equationsMapper2.getFirstIndex();
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver11 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i12 = bracketingNthOrderBrentSolver11.getMaximalOrder();
    double d13 = bracketingNthOrderBrentSolver11.getAbsoluteAccuracy();
    double d14 = bracketingNthOrderBrentSolver11.getAbsoluteAccuracy();
    org.apache.commons.math.ode.events.EventState eventState15 = new org.apache.commons.math.ode.events.EventState(eventHandler5, 0.690620420971492d, 2.1872151235731745E-8d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver11);
    double[] d_array22 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array22);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array22);
    double[] d_array28 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array28);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array28);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator31 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array22, d_array28);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array28);
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array34 = null;
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d_array28, localizable33, obj_array34);
    boolean b36 = eventState15.reset(40.99999999999999d, d_array28);
    double[] d_array42 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array42);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array42);
    double[] d_array48 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator49 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array42, d_array48);
    dormandPrince853Integrator49.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler52 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver58 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d59 = bracketingNthOrderBrentSolver58.getMin();
    dormandPrince853Integrator49.addEventHandler(eventHandler52, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver58);
    dormandPrince853Integrator49.setSafety(4.5d);
    double[] d_array68 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array68);
    double[] d_array75 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array75);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array75);
    double[] d_array81 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator82 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array75, d_array81);
    dormandPrince853Integrator49.setStepSizeControl(0.149947327595365d, 0.0d, d_array68, d_array81);
    int i84 = org.apache.commons.math.util.MathUtils.hash(d_array81);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array28, d_array81);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 771751937);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 771751937);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 1160016991);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test326"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.5795042700038123d, 0.8575532158463931d, 124);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test327"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-0.35144838497793435d), (-0.34425802063700245d), 0.8649300667578879d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test328"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.7763568E-15f, 2.81474977E14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.81474977E14f);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test329"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 1.1599753909038675d, (-0.3410316190477153d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test330"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-0.9040864770402716d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test331"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0000000000000002d, 1072693279);
    double d3 = bracketingNthOrderBrentSolver2.getMax();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = bracketingNthOrderBrentSolver2.solve((-20), univariateRealFunction5, (-8.428839878591473d), (-0.10536051565782616d), 0.5409081788964342d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test332"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-944219343), maxCountExceededCallback1);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test333"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow((-1023), (-4694760687015701193L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test334"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(0.0f, (-24), (-1201490886));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test335"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    int i16 = dormandPrince853Integrator12.getOrder();
    double d17 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d18 = dormandPrince853Integrator12.getSafety();
    dormandPrince853Integrator12.setSafety(1.2306000526071357d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test336"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-48L), 23997317543566687L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-48L));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test337"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.9721525E-31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test338"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(5L, 17855169);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-8990210967634777851L));

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test339"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(0);
    int i2 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test340"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-4.457514001881322E-6d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.4575140019108446E-6d));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test341"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.000018225105329d, 0.0d, 1522829185);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test342"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution17 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d18 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction5, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver12, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution17);
    int i19 = bracketingNthOrderBrentSolver12.getMaxEvaluations();
    double d20 = bracketingNthOrderBrentSolver12.getMin();
    int i21 = bracketingNthOrderBrentSolver12.getEvaluations();
    org.apache.commons.math.ode.events.EventState eventState22 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.7197533326848873d, 7.779829578606251E-8d, 2, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    double d23 = eventState22.getConvergence();
    double[] d_array32 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    double[] d_array38 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator39 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array32, d_array38);
    int i40 = dormandPrince853Integrator39.getEvaluations();
    double d41 = dormandPrince853Integrator39.getCurrentStepStart();
    double[] d_array47 = new double[] { 1.0d };
    int i48 = org.apache.commons.math.util.MathUtils.hash(d_array47);
    double[] d_array52 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array52);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array52);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator55 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array47, d_array52);
    double[] d_array61 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array61);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array61);
    double[] d_array67 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator68 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array61, d_array67);
    int i69 = dormandPrince853Integrator68.getEvaluations();
    double d70 = dormandPrince853Integrator68.getCurrentSignedStepsize();
    int i71 = dormandPrince853Integrator68.getEvaluations();
    double[] d_array79 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array79);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array79);
    double[] d_array85 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator86 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array79, d_array85);
    double[] d_array90 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array90);
    dormandPrince853Integrator68.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array85, d_array90);
    dormandPrince853Integrator39.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array47, d_array85);
    double[] d_array96 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator97 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.6430652399243957d, (-0.8414709848078965d), d_array85, d_array96);
    boolean b98 = eventState22.reset(0.2670074693414389d, d_array96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 7.779829578606251E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b98 == false);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test343"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 100.0d, 2.2250738585072014E-308d, 100.0d);
    double d5 = noBracketingException4.getHi();
    double d6 = noBracketingException4.getFLo();
    double d7 = noBracketingException4.getFHi();
    double d8 = noBracketingException4.getHi();
    org.apache.commons.math.exception.MathInternalError mathInternalError9 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    double d10 = noBracketingException4.getLo();
    double d11 = noBracketingException4.getFHi();
    double d12 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 100.0d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test344"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    double d9 = eventState7.getConvergence();
    double d10 = eventState7.getMaxCheckInterval();
    double d11 = eventState7.getMaxCheckInterval();
    double[] d_array18 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    double[] d_array24 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array18, d_array24);
    int i26 = dormandPrince853Integrator25.getEvaluations();
    double d27 = dormandPrince853Integrator25.getCurrentSignedStepsize();
    int i28 = dormandPrince853Integrator25.getEvaluations();
    double[] d_array36 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    double[] d_array42 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array36, d_array42);
    double[] d_array47 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    dormandPrince853Integrator25.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array42, d_array47);
    boolean b50 = eventState7.reset(0.13971613923522394d, d_array42);
    int i51 = eventState7.getMaxIterationCount();
    double d52 = eventState7.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.4142135623730951d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test345"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.9019113939195692d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test346"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.009120651117541456d, (-36.6105268755782d), 5.6419221942362325d, (-1.4209153725206285d));
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException11 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array12 = tooManyEvaluationsException11.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable8, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, (java.lang.Object[])throwable_array12);
    java.lang.Throwable[] throwable_array16 = mathIllegalArgumentException15.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)noBracketingException4, localizable5, (java.lang.Object[])throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test347"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator(2.30584328E18f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test348"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-0.7093028037457604d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test349"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.0d, 0.01510800270928482d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test350"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(1522829185, 295802387);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test351"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(80.0f, 5.6E-45f, (-64));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test352"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException(number0);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    java.lang.String str3 = maxCountExceededException1.toString();
    java.lang.Number number4 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.exception.MaxCountExceededException: illegal state: maximal count (null) exceeded"+ "'", str3.equals("org.apache.commons.math.exception.MaxCountExceededException: illegal state: maximal count (null) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test353"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1072693279);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 1072693279);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger7);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 1072693279);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException17 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1072693279, (java.lang.Number)(-57.972740951289936d), true);
    org.apache.commons.math.exception.MathInternalError mathInternalError18 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException17);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext19 = mathInternalError18.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test354"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 0L);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 100);
    org.apache.commons.math.exception.NotPositiveException notPositiveException13 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test355"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.014818874541907731d, (java.lang.Number)1502190419, true);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test356"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.862333230164792d, 1.0943609911779717d, 0.074821247416054d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test357"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(1.1529215E18f, (-454629473), 1636086465);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test358"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.9951910231281798d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test359"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.7379281192944076d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0915974816368257d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test360"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(21.936794043301123d, (-0.002799526776419233d), (-1991475689));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test361"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    double d15 = dormandPrince853Integrator12.getMinReduction();
    java.util.Collection collection16 = dormandPrince853Integrator12.getStepHandlers();
    dormandPrince853Integrator12.setMaxGrowth(0.2670074693414389d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection16);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test362"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException(throwable8, localizable9, obj_array11);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable7, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(byte)(-1), obj_array11);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math.exception.NullArgumentException(localizable5, obj_array11);
    org.apache.commons.math.exception.NoBracketingException noBracketingException16 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 34.538776394910684d, 711.8473059472223d, 0.9992659473842446d, 1.4984405707622772d, obj_array11);
    double d17 = noBracketingException16.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.9992659473842446d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test363"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.7716133340725972d, 0.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test364"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    double d26 = dormandPrince853Integrator12.getMinReduction();
    double d27 = dormandPrince853Integrator12.getSafety();
    java.util.Collection collection28 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMaxGrowth(4.762613918721343d);
    dormandPrince853Integrator12.clearEventHandlers();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler32 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 4.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection28);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test365"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)1502190419);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test366"); }


    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1072693279);
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException11 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 100.0d, 2.2250738585072014E-308d, 100.0d);
    double d12 = noBracketingException11.getHi();
    double d13 = noBracketingException11.getHi();
    double d14 = noBracketingException11.getLo();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException17 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array18 = tooManyEvaluationsException17.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d14, localizable15, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bigInteger3, localizable6, (java.lang.Object[])throwable_array18);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException21 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)bigInteger3);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException23 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.03292560600521167d, (java.lang.Number)bigInteger3, false);
    boolean b24 = numberIsTooSmallException23.getBoundIsAllowed();
    boolean b25 = numberIsTooSmallException23.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test367"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.999999999999997d);
    boolean b2 = notPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test368"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d7 = bracketingNthOrderBrentSolver6.getMin();
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.1462158347805889d, (-36.784749426412844d), 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d9 = bracketingNthOrderBrentSolver6.getMin();
    double d10 = bracketingNthOrderBrentSolver6.getFunctionValueAccuracy();
    int i11 = bracketingNthOrderBrentSolver6.getMaximalOrder();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bracketingNthOrderBrentSolver6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test369"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.027960829119460056d, (-0.8464160110682909d), 0.9936123644078269d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test370"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    int i5 = incrementor2.getCount();
    incrementor2.resetCount();
    incrementor2.incrementCount();
    boolean b8 = incrementor2.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test371"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.999982867696927d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5430605011386809d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test372"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.8957313078685729d, (-0.5683648455082231d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.24099838314787325d));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test373"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.11988668281266257d, (-24));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.145803142348681E-9d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test374"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Number number9 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException11 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number9, true);
    java.lang.Number number12 = numberIsTooLargeException11.getArgument();
    java.lang.Throwable[] throwable_array13 = numberIsTooLargeException11.getSuppressed();
    org.apache.commons.math.exception.NoBracketingException noBracketingException14 = new org.apache.commons.math.exception.NoBracketingException(localizable3, 8.591349020479957d, 0.9050742637938461d, 1.0E-14d, 100.00850569053452d, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math.exception.NullArgumentException(localizable2, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (-0.7615941559557649d)+ "'", number12.equals((-0.7615941559557649d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test375"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(2.4178516E24f, (-80.00002f), 1.0097421E-28f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test376"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 0.0d, 3);
    double d4 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    double d5 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver3.solve(1017118720, univariateRealFunction7, (-0.37124574911305863d), 0.03832758877351588d, allowedSolution10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test377"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test378"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.8813735870195429d);
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.util.Incrementor incrementor3 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor3, localizable4, obj_array6);
    org.apache.commons.math.exception.MathInternalError mathInternalError8 = new org.apache.commons.math.exception.MathInternalError(localizable2, obj_array6);
    maxCountExceededException1.addSuppressed((java.lang.Throwable)mathInternalError8);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext10 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test379"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    int i16 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setMaxGrowth(0.8813735870195429d);
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    double[] d_array26 = new double[] { 1.0d };
    int i27 = org.apache.commons.math.util.MathUtils.hash(d_array26);
    double[] d_array31 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator34 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array26, d_array31);
    dormandPrince853Integrator34.setMaxEvaluations((-1));
    dormandPrince853Integrator34.setSafety(Double.NaN);
    double[] d_array46 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    double[] d_array52 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array46, d_array52);
    double[] d_array57 = new double[] { 1.0d };
    int i58 = org.apache.commons.math.util.MathUtils.hash(d_array57);
    double[] d_array62 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator65 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array57, d_array62);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    dormandPrince853Integrator34.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array46, d_array62);
    org.apache.commons.math.ode.events.EventHandler eventHandler68 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler72 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver78 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState79 = new org.apache.commons.math.ode.events.EventState(eventHandler72, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver78);
    dormandPrince853Integrator34.addEventHandler(eventHandler68, 1.054229579476095d, 100.0d, (-20), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver78);
    dormandPrince853Integrator12.addEventHandler(eventHandler19, (-1.683073204926466E-8d), 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver78);
    double d82 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 6.948840563288701E-8d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test380"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    int i16 = dormandPrince853Integrator12.getEvaluations();
    java.util.Collection collection17 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMaxEvaluations(0);
    java.lang.String str20 = dormandPrince853Integrator12.getName();
    java.lang.String str21 = dormandPrince853Integrator12.getName();
    int i22 = dormandPrince853Integrator12.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str20.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str21.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 8);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test381"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.017702337912760487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.089640818782912E-4d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test382"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d5 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test383"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(3.8104773809653514d, (-26404.787408266875d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test384"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test385"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(10.000001f, 1024, 465221241);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test386"); }


    double d2 = org.apache.commons.math.util.FastMath.max(17.20795944797195d, 1.5367146102882578d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 17.20795944797195d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test387"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    dormandPrince853Integrator4.setMaxGrowth(9.99999999999995E-15d);
    double d7 = dormandPrince853Integrator4.getMaxGrowth();
    java.util.Collection collection8 = dormandPrince853Integrator4.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 9.99999999999995E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection8);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test388"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, (-0.025024196243907504d), (-0.5872139151569482d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test389"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(10, 10);
    int i3 = equationsMapper2.getDimension();
    int i4 = equationsMapper2.getDimension();
    int i5 = equationsMapper2.getDimension();
    int i6 = equationsMapper2.getFirstIndex();
    int i7 = equationsMapper2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 10);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test390"); }


    double[] d_array2 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler3 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver9 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler3, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver9);
    double d11 = eventState10.getConvergence();
    boolean b12 = eventState10.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = eventState10.getEventHandler();
    double d14 = eventState10.getConvergence();
    double d15 = eventState10.getConvergence();
    double[] d_array20 = new double[] { 1.0d };
    int i21 = org.apache.commons.math.util.MathUtils.hash(d_array20);
    double[] d_array25 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array20, d_array25);
    dormandPrince853Integrator28.setMaxEvaluations((-1));
    dormandPrince853Integrator28.setSafety(Double.NaN);
    double[] d_array40 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array40);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array40);
    double[] d_array46 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator47 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array40, d_array46);
    double[] d_array51 = new double[] { 1.0d };
    int i52 = org.apache.commons.math.util.MathUtils.hash(d_array51);
    double[] d_array56 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array56);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array56);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator59 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array51, d_array56);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array56);
    dormandPrince853Integrator28.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array40, d_array56);
    int i62 = org.apache.commons.math.util.MathUtils.hash(d_array56);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array56);
    boolean b64 = eventState10.reset(0.004740398317770095d, d_array56);
    int i65 = org.apache.commons.math.util.MathUtils.hash(d_array56);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator66 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(4.286941694844012d, 0.4964235586200471d, d_array2, d_array56);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == (-2081393569));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test391"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d5 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    double d6 = bracketingNthOrderBrentSolver2.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test392"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.9694155395097511d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.03106192567071386d));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test393"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator(5521558476357841643L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test394"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setStepSizeControl(6.948840563288701E-8d, 0.7928400443770229d, Double.NEGATIVE_INFINITY, 1.3043045862358962d);
    double d20 = dormandPrince853Integrator12.getMinReduction();
    dormandPrince853Integrator12.setMinReduction(9.999999999999982E-8d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler23 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler23);
    double d25 = dormandPrince853Integrator12.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 10.0d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test395"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-80.00002f), 6.4623485E-27f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 80.00002f);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test396"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(1.3711318613053713d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test397"); }


    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0.3736522116903446d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test398"); }


    double d2 = org.apache.commons.math.util.Precision.round((-0.3514483849779344d), (-17));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test399"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-1.8207598998701695d), (java.lang.Number)3.1062338303561265d, false);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test400"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.7182818284590454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.895567434954599d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test401"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException8 = new org.apache.commons.math.exception.DimensionMismatchException(localizable5, 8, 0);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.util.Incrementor incrementor11 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor11, localizable12, obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable10, obj_array14);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0, localizable9, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, (java.lang.Number)6.283185307179586d, obj_array14);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)708.396418532264d, localizable2, obj_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math.exception.NotFiniteNumberException(number0, obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test402"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.07812501f, 2.0282412E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test403"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = bracketingNthOrderBrentSolver2.solve(1921167873, univariateRealFunction6, 0.40672614981872224d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test404"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    dormandPrince853Integrator12.setSafety(0.9050742637938461d);
    int i28 = dormandPrince853Integrator12.getEvaluations();
    int i29 = dormandPrince853Integrator12.getMaxEvaluations();
    double d30 = dormandPrince853Integrator12.getSafety();
    double d31 = dormandPrince853Integrator12.getMaxStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.9050742637938461d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 2.718281828459045d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test405"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException6 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.004377443365986725d, 4.32028351641829d, (-0.6497436904012454d), 1.4142135623730954d, obj_array5);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test406"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0d, (-2.197085339833563d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test407"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.509781044867095d, 0.006114481036592476d, (-7.0d), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test408"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)177398.04205416286d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test409"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-0.10130432729557914d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6722747329545067d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test410"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(2.7755582E-17f, 99.99998f, (-50));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test411"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.014818874541907731d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.014819416916306796d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test412"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 1.5707963267948934d, (-0.7499126975210629d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test413"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    incrementor2.resetCount();
    int i6 = incrementor2.getCount();
    int i7 = incrementor2.getCount();
    boolean b8 = incrementor2.canIncrement();
    incrementor2.resetCount();
    incrementor2.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test414"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(9.536748E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-20));

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test415"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    int i10 = eventState7.getMaxIterationCount();
    int i11 = eventState7.getMaxIterationCount();
    int i12 = eventState7.getMaxIterationCount();
    double d13 = eventState7.getEventTime();
    double d14 = eventState7.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = eventState7.getEventHandler();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator16 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState7.reinitializeBegin(stepInterpolator16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler15);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test416"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.99133d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7579288682793428d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test417"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.875409442231813E-18d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test418"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    int i10 = eventState7.getMaxIterationCount();
    double d11 = eventState7.getEventTime();
    int i12 = eventState7.getMaxIterationCount();
    double d13 = eventState7.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler14 = eventState7.getEventHandler();
    double d15 = eventState7.getConvergence();
    double d16 = eventState7.getConvergence();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator17 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState7.reinitializeBegin(stepInterpolator17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.059266403869008374d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test419"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    int i14 = dormandPrince853Integrator12.getOrder();
    double d15 = dormandPrince853Integrator12.getMinReduction();
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    double[] d_array25 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    double[] d_array31 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator32 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array25, d_array31);
    dormandPrince853Integrator32.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler35 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver41 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d42 = bracketingNthOrderBrentSolver41.getMin();
    dormandPrince853Integrator32.addEventHandler(eventHandler35, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver41);
    dormandPrince853Integrator12.addEventHandler(eventHandler16, 0.01770048911682398d, (-0.4392420037409799d), 1617823322, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver41);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction46 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d49 = bracketingNthOrderBrentSolver41.solve(355026449, univariateRealFunction46, 0.14939357487933236d, 0.1505149978319906d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test420"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setMaxEvaluations(1072693279);
    double d26 = dormandPrince853Integrator12.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.2d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test421"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler9 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState16 = new org.apache.commons.math.ode.events.EventState(eventHandler9, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver15);
    double d17 = eventState16.getConvergence();
    double d18 = eventState16.getConvergence();
    java.lang.Object[] obj_array19 = new java.lang.Object[] { eventState16 };
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError(localizable8, obj_array19);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException21 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)0.05757659671003263d, obj_array19);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, obj_array19);
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 17.763713368050237d, 1.9375840724106437d, 0.05616189202091593d, 1.3127600831788682d, obj_array19);
    double d24 = noBracketingException23.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.9375840724106437d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test422"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution17 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d18 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction5, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver12, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution17);
    int i19 = bracketingNthOrderBrentSolver12.getMaxEvaluations();
    double d20 = bracketingNthOrderBrentSolver12.getMin();
    int i21 = bracketingNthOrderBrentSolver12.getEvaluations();
    org.apache.commons.math.ode.events.EventState eventState22 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.7197533326848873d, 7.779829578606251E-8d, 2, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    double d23 = bracketingNthOrderBrentSolver12.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction25 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d28 = bracketingNthOrderBrentSolver12.solve(2094779535, univariateRealFunction25, 0.03507551815942145d, (-24719.220170807494d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test423"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.1709533984345282d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4574973835775038d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test424"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0.862333230164792d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test425"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver5 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.031372119270420086d, 1.570796326794896d, 1160016991);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver13 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d14 = bracketingNthOrderBrentSolver13.getMin();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution18 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d19 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1), univariateRealFunction10, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver13, 1.1102230246251565E-16d, 1.1102230246251565E-16d, 1.0d, allowedSolution18);
    double d20 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1425117761, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver5, Double.NaN, 0.7336545584598283d, 0.13109109799408383d, allowedSolution18);
    int i21 = bracketingNthOrderBrentSolver5.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test426"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 50.019941263655255d, 0.12542797188408508d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test427"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-0.4712912172273389d));
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = notStrictlyPositiveException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test428"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.009120651117541456d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.20893375736591696d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test429"); }


    double[] d_array7 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double[] d_array13 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array7, d_array13);
    int i15 = dormandPrince853Integrator14.getEvaluations();
    double d16 = dormandPrince853Integrator14.getCurrentStepStart();
    double[] d_array22 = new double[] { 1.0d };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double[] d_array27 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array22, d_array27);
    double[] d_array36 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    double[] d_array42 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array36, d_array42);
    int i44 = dormandPrince853Integrator43.getEvaluations();
    double d45 = dormandPrince853Integrator43.getCurrentSignedStepsize();
    int i46 = dormandPrince853Integrator43.getEvaluations();
    double[] d_array54 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    double[] d_array60 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator61 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array54, d_array60);
    double[] d_array65 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array65);
    dormandPrince853Integrator43.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array60, d_array65);
    dormandPrince853Integrator14.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array22, d_array60);
    double[] d_array71 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator72 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.6430652399243957d, (-0.8414709848078965d), d_array60, d_array71);
    java.util.Collection collection73 = dormandPrince853Integrator72.getStepHandlers();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler74 = null;
    dormandPrince853Integrator72.addStepHandler(stepHandler74);
    double d76 = dormandPrince853Integrator72.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 1.1758366066519634d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test430"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.1464962032220363d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4146992303480463d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test431"); }


    double d1 = org.apache.commons.math.util.FastMath.log(3.1406933057808946d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.14444357356726d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test432"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter((-1.9342813E25f), 0.506735240867747d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.9342812E25f));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test433"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException((-36.6105268755782d), 15.514088825291784d, 2.700033542832669d, 0.0d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test434"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.011049118316051931d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5597469836482123d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test435"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.0d, 4.944515159673473E42d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test436"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException6 = new org.apache.commons.math.exception.DimensionMismatchException(localizable3, 1, 0);
    java.lang.Throwable[] throwable_array7 = dimensionMismatchException6.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, (java.lang.Number)0.22068350195483954d, (java.lang.Object[])throwable_array7);
    org.apache.commons.math.exception.MathInternalError mathInternalError9 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test437"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)4.5d);
    org.apache.commons.math.exception.MathInternalError mathInternalError2 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)maxCountExceededException1);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext3 = mathInternalError2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test438"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)4.637878315279405d, (java.lang.Number)0.7187867399208276d, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = numberIsTooLargeException4.getContext();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = numberIsTooLargeException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.7187867399208276d+ "'", number5.equals(0.7187867399208276d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test439"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    java.util.Collection collection15 = dormandPrince853Integrator12.getEventHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver22 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d23 = bracketingNthOrderBrentSolver22.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler16, 1.6430652399243957d, 0.7924473533734637d, 1586880529, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver22);
    java.lang.String str25 = dormandPrince853Integrator12.getName();
    int i26 = dormandPrince853Integrator12.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str25.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 8);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test440"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    boolean b8 = eventState7.stop();
    double[] d_array13 = new double[] { 1.0d };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array18 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator21 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array13, d_array18);
    boolean b22 = eventState7.reset(99.99999999999999d, d_array18);
    int i23 = eventState7.getMaxIterationCount();
    double d24 = eventState7.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.4142135623730951d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test441"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.math.BigInteger bigInteger2 = null;
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 100L);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 0);
    java.math.BigInteger bigInteger9 = null;
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 0L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 1);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 1502190419);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 1502190419);
    java.math.BigInteger bigInteger18 = null;
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 0L);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 1);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, bigInteger20);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException25 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)bigInteger4, (java.lang.Number)bigInteger23, false);
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException30 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9155494254642262d);
    java.lang.String str31 = tooManyEvaluationsException30.toString();
    java.lang.Number number32 = tooManyEvaluationsException30.getMax();
    java.lang.Throwable[] throwable_array33 = tooManyEvaluationsException30.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError34 = new org.apache.commons.math.exception.MathInternalError(localizable28, (java.lang.Object[])throwable_array33);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException35 = new org.apache.commons.math.exception.MaxCountExceededException(localizable26, (java.lang.Number)1.7763568394002505E-15d, (java.lang.Object[])throwable_array33);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException36 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, (java.lang.Number)bigInteger23, (java.lang.Object[])throwable_array33);
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    java.lang.Throwable throwable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException(throwable42, localizable43, obj_array45);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException47 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable41, obj_array45);
    org.apache.commons.math.exception.MathInternalError mathInternalError48 = new org.apache.commons.math.exception.MathInternalError(localizable40, obj_array45);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException49 = new org.apache.commons.math.exception.MathArithmeticException(localizable39, obj_array45);
    org.apache.commons.math.exception.MathInternalError mathInternalError50 = new org.apache.commons.math.exception.MathInternalError(localizable38, obj_array45);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException51 = new org.apache.commons.math.exception.MathArithmeticException(localizable37, obj_array45);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException52 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)bigInteger23, obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"+ "'", str31.equals("org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number32 + "' != '" + 0.9155494254642262d+ "'", number32.equals(0.9155494254642262d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test442"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    int i12 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 4.741297982545108d, (-36.0d), 0);
    dormandPrince853Integrator4.setInitialStepSize(0.783527087486949d);
    int i20 = dormandPrince853Integrator4.getEvaluations();
    double d21 = dormandPrince853Integrator4.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test443"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d7 = bracketingNthOrderBrentSolver6.getAbsoluteAccuracy();
    int i8 = bracketingNthOrderBrentSolver6.getEvaluations();
    double d9 = bracketingNthOrderBrentSolver6.getMin();
    org.apache.commons.math.ode.events.EventState eventState10 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.8813735870195429d, 0.47096866308198754d, 17, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    int i11 = bracketingNthOrderBrentSolver6.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test444"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.36530729518796834d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test445"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(73.442937053929d, (-1098907647));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test446"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler26 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler26);
    double d28 = dormandPrince853Integrator12.getMinReduction();
    int i29 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setStepSizeControl(2.71832839955206d, 41.154517271643094d, 0.200483846560913d, (-0.40715575372012264d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test447"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    boolean b8 = eventState7.stop();
    double[] d_array13 = new double[] { 1.0d };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array18 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator21 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array13, d_array18);
    boolean b22 = eventState7.reset(99.99999999999999d, d_array18);
    double d23 = eventState7.getConvergence();
    double[] d_array28 = new double[] { 1.0d };
    int i29 = org.apache.commons.math.util.MathUtils.hash(d_array28);
    double[] d_array33 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array33);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array33);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator36 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array28, d_array33);
    dormandPrince853Integrator36.setMaxEvaluations((-1));
    dormandPrince853Integrator36.setSafety(Double.NaN);
    double[] d_array48 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array48);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array48);
    double[] d_array54 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator55 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array48, d_array54);
    double[] d_array59 = new double[] { 1.0d };
    int i60 = org.apache.commons.math.util.MathUtils.hash(d_array59);
    double[] d_array64 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array64);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array64);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator67 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array59, d_array64);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array64);
    dormandPrince853Integrator36.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array48, d_array64);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array48);
    int i71 = org.apache.commons.math.util.MathUtils.hash(d_array48);
    boolean b72 = eventState7.reset(0.5306063748909966d, d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test448"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.01029902852824798d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test449"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d7 = bracketingNthOrderBrentSolver6.getMin();
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.1462158347805889d, (-36.784749426412844d), 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d9 = bracketingNthOrderBrentSolver6.getMin();
    double d10 = bracketingNthOrderBrentSolver6.getFunctionValueAccuracy();
    double d11 = bracketingNthOrderBrentSolver6.getStartValue();
    double d12 = bracketingNthOrderBrentSolver6.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test450"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-3.556487157497318E-20d), (-0.007178648929446022d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test451"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(6273.030749894427d, 0.00898760738401448d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test452"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(2.824652160128223d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2069103741);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test453"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.0d, 0.4007758594961852d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test454"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.1546397006070358d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test455"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.8008907863234831d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0314754006624876d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test456"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-0.0823105149631949d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test457"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Throwable throwable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(throwable14, localizable15, obj_array17);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, obj_array17);
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError(localizable12, obj_array17);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException(localizable10, obj_array17);
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(localizable5, 9.99999999999995E-15d, Double.NaN, 0.8656906612586714d, 100.0d, obj_array17);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException24 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, obj_array17);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException25 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException(throwable1, localizable2, obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array17);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext28 = mathIllegalStateException27.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext28);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test458"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 1);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 1502190419);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 1502190419);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, bigInteger15);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException19 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)bigInteger15, (java.lang.Number)0.761594155955765d, true);
    java.lang.Number number20 = numberIsTooSmallException19.getMin();
    java.lang.Number number21 = numberIsTooSmallException19.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + 0.761594155955765d+ "'", number20.equals(0.761594155955765d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number21);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test459"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(1993714518);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test460"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException6 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array7 = tooManyEvaluationsException6.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math.exception.MaxCountExceededException(localizable3, (java.lang.Number)Double.NaN, (java.lang.Object[])throwable_array7);
    org.apache.commons.math.exception.MathInternalError mathInternalError9 = new org.apache.commons.math.exception.MathInternalError(localizable2, (java.lang.Object[])throwable_array7);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)57.29577951308232d, (java.lang.Object[])throwable_array7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathInternalError mathInternalError11 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)maxCountExceededException10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test461"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    double d15 = dormandPrince853Integrator12.getMinReduction();
    java.util.Collection collection16 = dormandPrince853Integrator12.getStepHandlers();
    double d17 = dormandPrince853Integrator12.getCurrentStepStart();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 0.0d, 3);
    double d26 = bracketingNthOrderBrentSolver25.getFunctionValueAccuracy();
    double d27 = bracketingNthOrderBrentSolver25.getStartValue();
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.8813614725999758d, 0.13077923072973377d, (-20), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver25);
    double d29 = dormandPrince853Integrator12.getMinStep();
    org.apache.commons.math.ode.events.EventHandler eventHandler30 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler30, (-0.10491204700210689d), 2.952537131896923d, 123);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.7763568394002505E-15d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test462"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.8778002131502793d, 0.00243850664782949d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.44011935989905443d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test463"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(2.88434278287886d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.26307893814245104d));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test464"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    int i12 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 4.741297982545108d, (-36.0d), 0);
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    double[] d_array27 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    double[] d_array33 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator34 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array27, d_array33);
    int i35 = dormandPrince853Integrator34.getOrder();
    int i36 = dormandPrince853Integrator34.getEvaluations();
    java.util.Collection collection37 = dormandPrince853Integrator34.getEventHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler38 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver44 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d45 = bracketingNthOrderBrentSolver44.getMin();
    dormandPrince853Integrator34.addEventHandler(eventHandler38, 1.6430652399243957d, 0.7924473533734637d, 1586880529, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver44);
    dormandPrince853Integrator4.addEventHandler(eventHandler18, Double.POSITIVE_INFINITY, 0.9155494254642264d, 1502190419, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver44);
    double d48 = bracketingNthOrderBrentSolver44.getMin();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction50 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d52 = bracketingNthOrderBrentSolver44.solve(8, univariateRealFunction50, 0.002415637682573688d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test465"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.24088895540341923d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.24565909959574425d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test466"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(124, 0);
    int i3 = equationsMapper2.getDimension();
    int i4 = equationsMapper2.getFirstIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 124);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test467"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    int i16 = dormandPrince853Integrator12.getOrder();
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    double d18 = dormandPrince853Integrator12.getSafety();
    int i19 = dormandPrince853Integrator12.getEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler20 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler20, 2.7038914886084635d, 3.1838446567592513E-4d, 1991475689);
    org.apache.commons.math.ode.FirstOrderDifferentialEquations firstOrderDifferentialEquations25 = null;
    double[] d_array27 = null;
    double[] d_array34 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    double[] d_array40 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array34, d_array40);
    int i42 = dormandPrince853Integrator41.getEvaluations();
    double d43 = dormandPrince853Integrator41.getCurrentStepStart();
    double[] d_array49 = new double[] { 1.0d };
    int i50 = org.apache.commons.math.util.MathUtils.hash(d_array49);
    double[] d_array54 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator57 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array49, d_array54);
    double[] d_array63 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array63);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array63);
    double[] d_array69 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator70 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array63, d_array69);
    int i71 = dormandPrince853Integrator70.getEvaluations();
    double d72 = dormandPrince853Integrator70.getCurrentSignedStepsize();
    int i73 = dormandPrince853Integrator70.getEvaluations();
    double[] d_array81 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array81);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array81);
    double[] d_array87 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator88 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array81, d_array87);
    double[] d_array92 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array92);
    dormandPrince853Integrator70.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array87, d_array92);
    dormandPrince853Integrator41.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array49, d_array87);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array49);
    // The following exception was thrown during execution in test generation
    try {
      double d97 = dormandPrince853Integrator12.integrate(firstOrderDifferentialEquations25, 1.0121265376248287d, d_array27, (-2.997602166487927E-15d), d_array49);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test468"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    dormandPrince853Integrator11.setMaxEvaluations((-1));
    dormandPrince853Integrator11.setSafety(Double.NaN);
    double[] d_array23 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    double[] d_array29 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array23, d_array29);
    double[] d_array34 = new double[] { 1.0d };
    int i35 = org.apache.commons.math.util.MathUtils.hash(d_array34);
    double[] d_array39 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator42 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array34, d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    dormandPrince853Integrator11.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array23, d_array39);
    org.apache.commons.math.ode.events.EventHandler eventHandler45 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler49 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver55 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState56 = new org.apache.commons.math.ode.events.EventState(eventHandler49, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    dormandPrince853Integrator11.addEventHandler(eventHandler45, 1.054229579476095d, 100.0d, (-20), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    int i58 = dormandPrince853Integrator11.getMaxEvaluations();
    dormandPrince853Integrator11.setInitialStepSize(2.6367435972130215E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 2147483647);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test469"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Throwable throwable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException(throwable4, localizable5, obj_array7);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)6.283185307179586d, obj_array7);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException(localizable2, obj_array7);
    org.apache.commons.math.exception.MathInternalError mathInternalError11 = new org.apache.commons.math.exception.MathInternalError(localizable1, obj_array7);
    org.apache.commons.math.exception.MathInternalError mathInternalError12 = new org.apache.commons.math.exception.MathInternalError(localizable0, obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test470"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.05595086426657616d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05592167647948346d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test471"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle((-0.3131459157823113d), (-35.99999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-38.01225775885983d));

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test472"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.99133d, 3);
    double d3 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    int i5 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test473"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    int i12 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 4.741297982545108d, (-36.0d), 0);
    double d18 = dormandPrince853Integrator4.getMaxGrowth();
    int i19 = dormandPrince853Integrator4.getOrder();
    dormandPrince853Integrator4.setMaxEvaluations((-42419951));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 8);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test474"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(2.417852E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.417852E24f);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test475"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    dormandPrince853Integrator11.setMaxEvaluations((-1));
    dormandPrince853Integrator11.setSafety(Double.NaN);
    double[] d_array23 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array23);
    double[] d_array29 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array23, d_array29);
    double[] d_array34 = new double[] { 1.0d };
    int i35 = org.apache.commons.math.util.MathUtils.hash(d_array34);
    double[] d_array39 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator42 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array34, d_array39);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array39);
    dormandPrince853Integrator11.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array23, d_array39);
    org.apache.commons.math.ode.events.EventHandler eventHandler45 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler49 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver55 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState56 = new org.apache.commons.math.ode.events.EventState(eventHandler49, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    dormandPrince853Integrator11.addEventHandler(eventHandler45, 1.054229579476095d, 100.0d, (-20), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    double d58 = dormandPrince853Integrator11.getMinReduction();
    double d59 = dormandPrince853Integrator11.getMinStep();
    dormandPrince853Integrator11.clearEventHandlers();
    dormandPrince853Integrator11.clearEventHandlers();
    dormandPrince853Integrator11.setMaxEvaluations((-1161822207));
    double d64 = dormandPrince853Integrator11.getCurrentSignedStepsize();
    double d65 = dormandPrince853Integrator11.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.6430652399243957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.7546407070591136d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.7546407070591136d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test476"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution13 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d14 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver8, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution13);
    double d15 = bracketingNthOrderBrentSolver8.getMin();
    int i16 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    double d17 = bracketingNthOrderBrentSolver8.getStartValue();
    int i18 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    double d19 = bracketingNthOrderBrentSolver8.getRelativeAccuracy();
    int i20 = bracketingNthOrderBrentSolver8.getEvaluations();
    double d21 = bracketingNthOrderBrentSolver8.getMin();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction23 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution26 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d27 = bracketingNthOrderBrentSolver8.solve((-1005), univariateRealFunction23, 0.0066153587048387585d, (-0.9023980867995078d), allowedSolution26);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test477"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.6420149920119997d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8626773386575421d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test478"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException7 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)bigInteger4);
    org.apache.commons.math.exception.MathInternalError mathInternalError8 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)maxCountExceededException7);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext9 = mathInternalError8.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test479"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setStepSizeControl(6.948840563288701E-8d, 0.7928400443770229d, Double.NEGATIVE_INFINITY, 1.3043045862358962d);
    double d20 = dormandPrince853Integrator12.getMinReduction();
    dormandPrince853Integrator12.setMinReduction(9.999999999999982E-8d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler23 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler23);
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler29 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver35 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d36 = bracketingNthOrderBrentSolver35.getMin();
    org.apache.commons.math.ode.events.EventState eventState37 = new org.apache.commons.math.ode.events.EventState(eventHandler29, 1.1462158347805889d, (-36.784749426412844d), 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver35);
    double d38 = bracketingNthOrderBrentSolver35.getMin();
    double d39 = bracketingNthOrderBrentSolver35.getFunctionValueAccuracy();
    int i40 = bracketingNthOrderBrentSolver35.getMaxEvaluations();
    double d41 = bracketingNthOrderBrentSolver35.getFunctionValueAccuracy();
    dormandPrince853Integrator12.addEventHandler(eventHandler25, 1.2524199589838503d, 0.8991747012839311d, (-6), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver35);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction44 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution48 = org.apache.commons.math.analysis.solvers.AllowedSolution.LEFT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d49 = bracketingNthOrderBrentSolver35.solve(1149093506, univariateRealFunction44, 7.150223147044334d, 1.1464962032220363d, 1.2110654506974416E-19d, allowedSolution48);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution48);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test480"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-17), 3572295296808223241L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1193507695);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test481"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.7894001681754852d, (java.lang.Number)0.9359848273081869d, true);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test482"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    int i26 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setMinReduction(0.8813735870195429d);
    double d29 = dormandPrince853Integrator12.getMaxGrowth();
    double d30 = dormandPrince853Integrator12.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test483"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.011137736955472155d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test484"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.0f, 2.126765E37f, (-1201490886));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test485"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    boolean b8 = eventState7.stop();
    double d9 = eventState7.getConvergence();
    double d10 = eventState7.getMaxCheckInterval();
    int i11 = eventState7.getMaxIterationCount();
    int i12 = eventState7.getMaxIterationCount();
    double[] d_array21 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array21);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array21);
    double[] d_array27 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array21, d_array27);
    double[] d_array36 = new double[] { 1.0d };
    int i37 = org.apache.commons.math.util.MathUtils.hash(d_array36);
    double[] d_array41 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array41);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array41);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator44 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array36, d_array41);
    double[] d_array48 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array48);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array48);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator51 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9112116246441057d, 3.141592653589793d, d_array36, d_array48);
    double[] d_array57 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array57);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array57);
    double[] d_array63 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator64 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array57, d_array63);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator65 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(4.440892098500626E-16d, 1.077240763945245d, d_array48, d_array63);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator66 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(9.999999999999989E-16d, 4.293516121890039d, d_array21, d_array48);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array21);
    // The following exception was thrown during execution in test generation
    try {
      eventState7.stepAccepted(0.7390416495394693d, d_array21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test486"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(1.7174308979155382d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test487"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.03388888467389572d, 4.641738519416506d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test488"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.9211221492181846d, 0.8813735870195429d, 8.470329472543003E-22d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test489"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(2117164448, 1993714518);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test490"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.6991118430775245d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6991118430775245d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test491"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(8317044381207110793L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 8317044381207110793L);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test492"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.1519149750622921d, (java.lang.Number)2094779535, false);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test493"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.35033395730952555d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test494"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    boolean b8 = eventState7.stop();
    double[] d_array13 = new double[] { 1.0d };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array18 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator21 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array13, d_array18);
    boolean b22 = eventState7.reset(99.99999999999999d, d_array18);
    boolean b23 = eventState7.stop();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator24 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b25 = eventState7.evaluateStep(stepInterpolator24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test495"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    double d14 = dormandPrince853Integrator12.getMaxStep();
    java.lang.String str15 = dormandPrince853Integrator12.getName();
    int i16 = dormandPrince853Integrator12.getOrder();
    dormandPrince853Integrator12.setSafety(0.47241994041774316d);
    double d19 = dormandPrince853Integrator12.getMaxStep();
    dormandPrince853Integrator12.clearStepHandlers();
    double d21 = dormandPrince853Integrator12.getSafety();
    int i22 = dormandPrince853Integrator12.getEvaluations();
    double d23 = dormandPrince853Integrator12.getMaxStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str15.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.47241994041774316d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 2.718281828459045d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test496"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array5, d_array11);
    java.lang.String str15 = dormandPrince853Integrator14.getName();
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver22 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d23 = bracketingNthOrderBrentSolver22.getMin();
    double d24 = bracketingNthOrderBrentSolver22.getStartValue();
    double d25 = bracketingNthOrderBrentSolver22.getFunctionValueAccuracy();
    dormandPrince853Integrator14.addEventHandler(eventHandler16, (-0.7182818284590455d), 9.999999999999999E-16d, (-1023), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver22);
    double d27 = dormandPrince853Integrator14.getCurrentSignedStepsize();
    int i28 = dormandPrince853Integrator14.getMaxEvaluations();
    double d29 = dormandPrince853Integrator14.getCurrentStepStart();
    dormandPrince853Integrator14.setStepSizeControl(0.7354648534298432d, 0.8464887434126854d, 0.0559216582389059d, 0.7924473533734637d);
    dormandPrince853Integrator14.clearEventHandlers();
    java.util.Collection collection36 = dormandPrince853Integrator14.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str15.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 2.9687936725537917E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection36);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test497"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(1.5707963086763803d, (-0.8414709848078965d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test498"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.20557325664293657d, 1.170953398434528d, (-7.950078518187408E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test499"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException13 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array14 = tooManyEvaluationsException13.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable10, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable9, (java.lang.Object[])throwable_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, (java.lang.Object[])throwable_array14);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, number7, (java.lang.Object[])throwable_array14);
    org.apache.commons.math.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 0.43107595064559234d, 1.2814145124371763d, 0.9163463729466746d, 0.4061642562544443d, (java.lang.Object[])throwable_array14);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException20 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest22.test500"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 0.0d, 3);
    double d4 = bracketingNthOrderBrentSolver3.getMax();
    double d5 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    double d6 = bracketingNthOrderBrentSolver3.getMin();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction12 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d16 = bracketingNthOrderBrentSolver15.getMin();
    double d17 = bracketingNthOrderBrentSolver15.getStartValue();
    int i18 = bracketingNthOrderBrentSolver15.getMaxEvaluations();
    double d19 = bracketingNthOrderBrentSolver15.getMax();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction24 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver28 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7224284372420833d, 0.9275460829514595d, 1513055269);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution32 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d33 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1991475689, univariateRealFunction24, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver28, 0.015109152342730735d, 0.0d, 57.0d, allowedSolution32);
    double d34 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1098907647), univariateRealFunction12, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver15, 41.154517271643094d, 0.149947327595365d, 0.9535708819095106d, allowedSolution32);
    // The following exception was thrown during execution in test generation
    try {
      double d35 = bracketingNthOrderBrentSolver3.solve((-41), univariateRealFunction8, 1.9224869535749408E-5d, 0.9867935207409493d, allowedSolution32);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.015109152342730735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 41.154517271643094d);

  }

}
