
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest26 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test001"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 0.13077923072973377d, (-13.815510557964274d), 1017118720);
    double d5 = bracketingNthOrderBrentSolver4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test002"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-216006655));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test003"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(1.0E-7d, 0.7182818284590454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-7d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test004"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 2.634237483006098d, 0.7621286280846447d, 1.0862754491028577d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test005"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    double d26 = dormandPrince853Integrator12.getMinReduction();
    double d27 = dormandPrince853Integrator12.getSafety();
    org.apache.commons.math.ode.events.EventHandler eventHandler28 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver34 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d35 = bracketingNthOrderBrentSolver34.getMin();
    int i36 = bracketingNthOrderBrentSolver34.getMaxEvaluations();
    dormandPrince853Integrator12.addEventHandler(eventHandler28, 74.73114799087398d, (-0.8414709848078965d), 5, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver34);
    double d38 = bracketingNthOrderBrentSolver34.getMin();
    double d39 = bracketingNthOrderBrentSolver34.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 4.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0E-14d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test006"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    java.lang.String str12 = dormandPrince853Integrator11.getName();
    java.util.Collection collection13 = dormandPrince853Integrator11.getStepHandlers();
    java.util.Collection collection14 = dormandPrince853Integrator11.getEventHandlers();
    int i15 = dormandPrince853Integrator11.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str12.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 8);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test007"); }


    byte byte2 = org.apache.commons.math.util.MathUtils.copySign((byte)(-1), (byte)(-100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)(-1));

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test008"); }


    double d2 = org.apache.commons.math.util.FastMath.max(8.717797887081348d, 6.678855100428891d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.717797887081348d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test009"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)1.5937131201191386d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test010"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Throwable throwable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(throwable14, localizable15, obj_array17);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, obj_array17);
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError(localizable12, obj_array17);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException(localizable10, obj_array17);
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(localizable5, 9.99999999999995E-15d, Double.NaN, 0.8656906612586714d, 100.0d, obj_array17);
    org.apache.commons.math.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.7928400443770229d, 0.2648422477610458d, 0.0d, 0.149947327595365d, obj_array17);
    double d25 = noBracketingException24.getFHi();
    double d26 = noBracketingException24.getFLo();
    double d27 = noBracketingException24.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.149947327595365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.2648422477610458d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test011"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.0d, (-56));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test012"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution17 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d18 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction5, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver12, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution17);
    double d19 = bracketingNthOrderBrentSolver12.getMin();
    int i20 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    double d21 = bracketingNthOrderBrentSolver12.getStartValue();
    double d22 = bracketingNthOrderBrentSolver12.getMax();
    org.apache.commons.math.ode.events.EventState eventState23 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.8177329794834447d, 0.8231438348718896d, 5, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    boolean b24 = eventState23.stop();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator25 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState23.reinitializeBegin(stepInterpolator25);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test013"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)10.0d, (java.lang.Number)0.9950355071257478d, false);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test014"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.7453292519943295E-16d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test015"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.setStepSizeControl((-0.7615941559557649d), 0.0d, 1.2596508914902838E-16d, 1.300509906445107d);
    dormandPrince853Integrator12.setSafety(0.8740325992077378d);
    dormandPrince853Integrator12.clearEventHandlers();
    dormandPrince853Integrator12.setMaxGrowth(0.03292560600521167d);
    double d26 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d27 = dormandPrince853Integrator12.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.7615941559557649d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test016"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    dormandPrince853Integrator12.setMaxGrowth((-0.025024196243907504d));
    org.apache.commons.math.ode.events.EventHandler eventHandler21 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState28 = new org.apache.commons.math.ode.events.EventState(eventHandler21, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver27);
    double d29 = eventState28.getMaxCheckInterval();
    double[] d_array36 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    double[] d_array42 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array36, d_array42);
    boolean b44 = eventState28.reset(4.862269934658958d, d_array42);
    double[] d_array51 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array51);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array51);
    double[] d_array57 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array57);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array57);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator60 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array51, d_array57);
    boolean b61 = eventState28.reset(0.8656906612586714d, d_array57);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array57);
    double[] d_array66 = new double[] { 1.0d };
    int i67 = org.apache.commons.math.util.MathUtils.hash(d_array66);
    double[] d_array71 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array71);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array71);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator74 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array66, d_array71);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array71);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array71);
    dormandPrince853Integrator12.setStepSizeControl(1.4198156479590958d, 1.122462048309373d, d_array57, d_array71);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test017"); }


    int i2 = org.apache.commons.math.util.FastMath.min(18, 1219894815);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 18);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test018"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.4331541470593385d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 24.817904505089096d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test019"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-0.6056103933746485d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.01056989534868567d));

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test020"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    int i5 = incrementor2.getCount();
    boolean b6 = incrementor2.canIncrement();
    int i7 = incrementor2.getCount();
    boolean b8 = incrementor2.canIncrement();
    boolean b9 = incrementor2.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test021"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(2147483647);
    boolean b2 = incrementor1.canIncrement();
    int i3 = incrementor1.getMaximalCount();
    int i4 = incrementor1.getMaximalCount();
    incrementor1.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2147483647);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test022"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(9.999999999999989E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.999999999999989E-16d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test023"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException4 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9155494254642262d);
    java.lang.String str5 = tooManyEvaluationsException4.toString();
    java.lang.Throwable[] throwable_array6 = tooManyEvaluationsException4.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext10 = mathArithmeticException9.getContext();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.util.Incrementor incrementor14 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor14, localizable15, obj_array17);
    org.apache.commons.math.exception.MathInternalError mathInternalError19 = new org.apache.commons.math.exception.MathInternalError(localizable13, obj_array17);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException20 = new org.apache.commons.math.exception.NullArgumentException(localizable12, obj_array17);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathArithmeticException9, localizable11, obj_array17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"+ "'", str5.equals("org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test024"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-1176574049), 1636086465);
    java.lang.String str3 = dimensionMismatchException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.exception.DimensionMismatchException: -1,176,574,049 != 1,636,086,465"+ "'", str3.equals("org.apache.commons.math.exception.DimensionMismatchException: -1,176,574,049 != 1,636,086,465"));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test025"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.9575271327101689d, 0.5184225526609497d, 0.2956310059306871d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test026"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math.exception.DimensionMismatchException(1160016991, 1072693279);
    java.lang.Throwable[] throwable_array5 = dimensionMismatchException4.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array5);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test027"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setStepSizeControl(4.741297982545108d, 0.059266403869008374d, 74.73114799087398d, 0.7570464714620044d);
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver33 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState34 = new org.apache.commons.math.ode.events.EventState(eventHandler27, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver33);
    dormandPrince853Integrator12.addEventHandler(eventHandler23, 0.690620420971492d, 2.718281828459045d, (-454629473), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver33);
    double d36 = dormandPrince853Integrator12.getMinStep();
    double d37 = dormandPrince853Integrator12.getMaxStep();
    double d38 = dormandPrince853Integrator12.getMinStep();
    dormandPrince853Integrator12.setSafety(0.4672944579236915d);
    double d41 = dormandPrince853Integrator12.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 4.741297982545108d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test028"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 5729.5779513082325d, 74.20994852478785d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test029"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    java.lang.String str10 = dormandPrince853Integrator4.getName();
    java.util.Collection collection11 = dormandPrince853Integrator4.getEventHandlers();
    double d12 = dormandPrince853Integrator4.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str10.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test030"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    double d26 = dormandPrince853Integrator12.getMinReduction();
    double d27 = dormandPrince853Integrator12.getSafety();
    org.apache.commons.math.ode.events.EventHandler eventHandler28 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver34 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d35 = bracketingNthOrderBrentSolver34.getMin();
    int i36 = bracketingNthOrderBrentSolver34.getMaxEvaluations();
    dormandPrince853Integrator12.addEventHandler(eventHandler28, 74.73114799087398d, (-0.8414709848078965d), 5, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver34);
    dormandPrince853Integrator12.clearStepHandlers();
    dormandPrince853Integrator12.clearStepHandlers();
    double d40 = dormandPrince853Integrator12.getSafety();
    org.apache.commons.math.ode.ExpandableStatefulODE expandableStatefulODE41 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator12.integrate(expandableStatefulODE41, 0.12336415681980188d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 4.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 4.5d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test031"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.037598435119134535d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3350090889911962d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test032"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(6.948840563288696E-8d, 1.6393419121880943d, 23.797656213699476d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test033"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(1.4210854715202004E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948823d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test034"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(0, (-24));
    int i3 = equationsMapper2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-24));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test035"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException6 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 1.2722577257301075d, 0.8013504142519434d, 0.7853946760550923d, (-0.013708152312838048d), obj_array5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathInternalError mathInternalError7 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test036"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(25.873783114185837d, 0.046382598025290774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 12.960082856105563d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test037"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(4.862269934658958d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.0d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test038"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.7264278409930143d, 0.02502680773382468d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.504167120985616E-4d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test039"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(2.9383576569181256d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05128401571440723d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test040"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(2.6370445556606607E-4d, 1.2064715442425868d, 0.7880521621485956d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4186830865495572d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test041"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)6.283185307179586d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test042"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.44115179E17f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test043"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException4 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9155494254642262d);
    java.lang.String str5 = tooManyEvaluationsException4.toString();
    java.lang.Number number6 = tooManyEvaluationsException4.getMax();
    java.lang.Throwable[] throwable_array7 = tooManyEvaluationsException4.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError8 = new org.apache.commons.math.exception.MathInternalError(localizable2, (java.lang.Object[])throwable_array7);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(-1.0f), (java.lang.Object[])throwable_array7);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)notFiniteNumberException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"+ "'", str5.equals("org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.9155494254642262d+ "'", number6.equals(0.9155494254642262d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test044"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-1338456335), (-131497551));

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test045"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)2.6495577506315207d, (java.lang.Number)1.14267892766238d, true);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.14267892766238d+ "'", number5.equals(1.14267892766238d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test046"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    double[] d_array20 = new double[] { 1.0d };
    int i21 = org.apache.commons.math.util.MathUtils.hash(d_array20);
    double[] d_array25 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array20, d_array25);
    double[] d_array34 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array34);
    double[] d_array40 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array34, d_array40);
    int i42 = dormandPrince853Integrator41.getEvaluations();
    double d43 = dormandPrince853Integrator41.getCurrentSignedStepsize();
    int i44 = dormandPrince853Integrator41.getEvaluations();
    double[] d_array52 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array52);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array52);
    double[] d_array58 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator59 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array52, d_array58);
    double[] d_array63 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array63);
    dormandPrince853Integrator41.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array58, d_array63);
    dormandPrince853Integrator12.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array20, d_array58);
    java.util.Collection collection67 = dormandPrince853Integrator12.getEventHandlers();
    int i68 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setMaxGrowth(0.0d);
    int i71 = dormandPrince853Integrator12.getOrder();
    org.apache.commons.math.ode.ExpandableStatefulODE expandableStatefulODE72 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator12.integrate(expandableStatefulODE72, 10.371781358806984d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 8);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test047"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution17 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d18 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction5, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver12, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution17);
    double d19 = bracketingNthOrderBrentSolver12.getMin();
    int i20 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    double d21 = bracketingNthOrderBrentSolver12.getAbsoluteAccuracy();
    double d22 = bracketingNthOrderBrentSolver12.getAbsoluteAccuracy();
    double d23 = bracketingNthOrderBrentSolver12.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState24 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.1709533984345282d, 1.22369029486018d, 465221241, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0E-15d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test048"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(2.7045968434794276d, (-5.418539921951662d), (-1642904963));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test049"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getMaxCheckInterval();
    double[] d_array15 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array15);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array15);
    double[] d_array21 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator22 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array15, d_array21);
    boolean b23 = eventState7.reset(4.862269934658958d, d_array21);
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = eventState7.getEventHandler();
    int i25 = eventState7.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 10);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test050"); }


    long long1 = org.apache.commons.math.util.MathUtils.sign(3744585625678542139L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test051"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(2.705944761217316d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.652560767676685d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test052"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.14354535577878913d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test053"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(74.21042111097242d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.475130467955587E31d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test054"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.043729877243601d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8397893510127146d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test055"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.015106853390682799d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test056"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(0.006759984225880643d, 0.7165431927243872d, 3.214307639961497d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test057"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)73.2017535418616d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test058"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i7 = bracketingNthOrderBrentSolver6.getMaximalOrder();
    double d8 = bracketingNthOrderBrentSolver6.getAbsoluteAccuracy();
    int i9 = bracketingNthOrderBrentSolver6.getEvaluations();
    double d10 = bracketingNthOrderBrentSolver6.getMin();
    org.apache.commons.math.ode.events.EventState eventState11 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 3.1415926535897927d, (-1.5465940080089269d), 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction13 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d15 = bracketingNthOrderBrentSolver6.solve((-318240364), univariateRealFunction13, 36.364954379000736d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test059"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-0.9999999f), 1.6543612E-24f, 10.000003f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test060"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(0.22509278864443003d, 1.1094027756605345d, 1.0251110770586325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test061"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math.exception.MathIllegalStateException(throwable1, localizable2, obj_array4);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array4);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext7 = mathArithmeticException6.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext8 = mathArithmeticException6.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext9 = mathArithmeticException6.getContext();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext10 = mathArithmeticException6.getContext();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Number number19 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException22 = new org.apache.commons.math.exception.NumberIsTooLargeException(number19, (java.lang.Number)9.999999999999995E-16d, false);
    java.lang.Throwable[] throwable_array23 = numberIsTooLargeException22.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException(localizable18, (java.lang.Object[])throwable_array23);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException(localizable17, (java.lang.Object[])throwable_array23);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException(localizable16, (java.lang.Object[])throwable_array23);
    org.apache.commons.math.exception.MathInternalError mathInternalError27 = new org.apache.commons.math.exception.MathInternalError(localizable15, (java.lang.Object[])throwable_array23);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException28 = new org.apache.commons.math.exception.NullArgumentException(localizable14, (java.lang.Object[])throwable_array23);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException29 = new org.apache.commons.math.exception.MaxCountExceededException(localizable12, (java.lang.Number)0.9666468244594387d, (java.lang.Object[])throwable_array23);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathArithmeticException6, localizable11, (java.lang.Object[])throwable_array23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test062"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-0.3208638421522441d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9489633280907361d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test063"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-127));
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-127));
    notStrictlyPositiveException1.addSuppressed((java.lang.Throwable)notStrictlyPositiveException3);
    java.lang.Number number5 = notStrictlyPositiveException1.getMin();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = notStrictlyPositiveException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test064"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(8.968906101640933E-12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.968906101600713E-12d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test065"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler16 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler16);
    double d18 = dormandPrince853Integrator12.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test066"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.032633577498879074d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.938893903907228E-18d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test067"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler26 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler26);
    double d28 = dormandPrince853Integrator12.getMinReduction();
    dormandPrince853Integrator12.setMaxEvaluations(47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test068"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(2.4178516E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test069"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(0.0d, 0.8144772166995126d, 3.068104146206165d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test070"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.035866064688194d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6875954708106475d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test071"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Throwable throwable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(throwable14, localizable15, obj_array17);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, obj_array17);
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError(localizable12, obj_array17);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException(localizable10, obj_array17);
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(localizable5, 9.99999999999995E-15d, Double.NaN, 0.8656906612586714d, 100.0d, obj_array17);
    org.apache.commons.math.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.7928400443770229d, 0.2648422477610458d, 0.0d, 0.149947327595365d, obj_array17);
    double d25 = noBracketingException24.getLo();
    double d26 = noBracketingException24.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.7928400443770229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.7928400443770229d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test072"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException10 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array11 = tooManyEvaluationsException10.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable7, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(localizable6, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0.6030162787796399d, localizable4, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, (java.lang.Number)0, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext18 = mathArithmeticException17.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext18);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test073"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Throwable throwable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException(throwable4, localizable5, obj_array7);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)6.283185307179586d, obj_array7);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, (java.lang.Number)100, obj_array7);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array7);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext12 = mathArithmeticException11.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test074"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(8626606513842406205L, (-1418902095));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test075"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.2110028902270723d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test076"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-4.289764563794413d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-245.78540461019844d));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test077"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(8.532012547211871E15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test078"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(57.206027253979684d, (-0.0036772626353138993d), 1.1749523755858107d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test079"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8464160110682909d, 1.9377047211159066E-18d, 273.4156486056334d, (-1418902095));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test080"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    incrementor2.resetCount();
    incrementor2.incrementCount(0);
    incrementor2.incrementCount();
    int i9 = incrementor2.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test081"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.1243787392861102d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test082"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(81);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test083"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    int i12 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 4.741297982545108d, (-36.0d), 0);
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    double[] d_array27 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    double[] d_array33 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator34 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array27, d_array33);
    int i35 = dormandPrince853Integrator34.getOrder();
    int i36 = dormandPrince853Integrator34.getEvaluations();
    java.util.Collection collection37 = dormandPrince853Integrator34.getEventHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler38 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver44 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d45 = bracketingNthOrderBrentSolver44.getMin();
    dormandPrince853Integrator34.addEventHandler(eventHandler38, 1.6430652399243957d, 0.7924473533734637d, 1586880529, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver44);
    dormandPrince853Integrator4.addEventHandler(eventHandler18, Double.POSITIVE_INFINITY, 0.9155494254642264d, 1502190419, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver44);
    double d48 = bracketingNthOrderBrentSolver44.getMin();
    double d49 = bracketingNthOrderBrentSolver44.getFunctionValueAccuracy();
    int i50 = bracketingNthOrderBrentSolver44.getEvaluations();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction52 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d56 = bracketingNthOrderBrentSolver44.solve(579126566, univariateRealFunction52, 0.4675118594824882d, 1.5430605011386809d, 1.642362934689854d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test084"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException((-0.604517126510635d), 0.8626773386575421d, 1.5708007843088985d, 0.9914605777790203d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test085"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-0.5872139151569482d), 1.1975728153652145d, 180531597);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test086"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException5 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10, (java.lang.Number)1.4142135623730951d, true);
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(throwable9, localizable10, obj_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, obj_array12);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException(localizable7, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException5, localizable6, obj_array12);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException17 = new org.apache.commons.math.exception.NullArgumentException(localizable1, obj_array12);
    org.apache.commons.math.exception.MathInternalError mathInternalError18 = new org.apache.commons.math.exception.MathInternalError(localizable0, obj_array12);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Throwable throwable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException(throwable22, localizable23, obj_array25);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable21, obj_array25);
    org.apache.commons.math.exception.MathInternalError mathInternalError28 = new org.apache.commons.math.exception.MathInternalError(localizable20, obj_array25);
    java.lang.Throwable[] throwable_array29 = mathInternalError28.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException30 = new org.apache.commons.math.exception.MathArithmeticException(localizable19, (java.lang.Object[])throwable_array29);
    mathInternalError18.addSuppressed((java.lang.Throwable)mathArithmeticException30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test087"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler5 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler5);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler7 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler7);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test088"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    java.util.Collection collection15 = dormandPrince853Integrator12.getEventHandlers();
    int i16 = dormandPrince853Integrator12.getMaxEvaluations();
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.clearEventHandlers();
    double d19 = dormandPrince853Integrator12.getMinReduction();
    double d20 = dormandPrince853Integrator12.getMinReduction();
    double d21 = dormandPrince853Integrator12.getMinReduction();
    int i22 = dormandPrince853Integrator12.getEvaluations();
    double d23 = dormandPrince853Integrator12.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.2d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test089"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(36.784749426412844d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test090"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    double[] d_array31 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    double[] d_array38 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array38);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array38);
    double[] d_array44 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator45 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array38, d_array44);
    dormandPrince853Integrator12.setStepSizeControl(0.149947327595365d, 0.0d, d_array31, d_array44);
    double d47 = dormandPrince853Integrator12.getMinReduction();
    dormandPrince853Integrator12.clearStepHandlers();
    double d49 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    dormandPrince853Integrator12.setMinReduction(1.0265167257081755d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 6.948840563288701E-8d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test091"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 0.2d, 4.741297982545108d, (-36.784749426412844d));
    double d5 = dormandPrince853Integrator4.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.2d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test092"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.37704204350606835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.457965606068459d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test093"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    double d15 = dormandPrince853Integrator12.getMaxStep();
    double d16 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    dormandPrince853Integrator12.setMaxGrowth(1.5759148461633392d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 6.948840563288701E-8d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test094"); }


    int i2 = org.apache.commons.math.util.FastMath.max(355026449, 184331630);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 355026449);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test095"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    int i10 = dormandPrince853Integrator4.getOrder();
    dormandPrince853Integrator4.clearEventHandlers();
    dormandPrince853Integrator4.setStepSizeControl(0.05702878052332224d, 0.07011222389235412d, 0.41193855744934765d, 0.2613638061037985d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 8);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test096"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    double d6 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 3.1622776601683785E-8d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver4);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution12 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = bracketingNthOrderBrentSolver4.solve(0, univariateRealFunction9, 2.6495577506315207d, 1.0243074307415985d, allowedSolution12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test097"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.4401525065748457d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1424185745);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test098"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.1920928E-7f, 2.1175824E-22f, (-1991475689));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test099"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 1);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 1502190419);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 1502190419);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, bigInteger15);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 5L);
    java.math.BigInteger bigInteger19 = null;
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 0L);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, 1);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger23, 1502190419);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger23, 1502190419);
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger23, 0L);
    java.math.BigInteger bigInteger31 = org.apache.commons.math.util.MathUtils.pow(bigInteger29, 5L);
    java.math.BigInteger bigInteger32 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, bigInteger29);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException35 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)bigInteger32, (java.lang.Number)(-0.6186912017101219d), false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test100"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    java.util.Collection collection15 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMinReduction((-0.12796368962740468d));
    double d18 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    dormandPrince853Integrator12.setMaxGrowth(1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 6.948840563288701E-8d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test101"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(34.538776394910684d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 34.0d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test102"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d7 = bracketingNthOrderBrentSolver6.getMin();
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.1462158347805889d, (-36.784749426412844d), 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d9 = bracketingNthOrderBrentSolver6.getMin();
    double d10 = bracketingNthOrderBrentSolver6.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction12 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = bracketingNthOrderBrentSolver6.solve((-1201490886), univariateRealFunction12, 0.05595084599741027d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test103"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.4E-45f, (java.lang.Number)1.0592970691139107d, false);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = numberIsTooLargeException3.getContext();
    java.lang.Number number6 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1.0592970691139107d+ "'", number6.equals(1.0592970691139107d));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test104"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(2117164448, 0);
    double[] d_array8 = new double[] { 1.0d };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array15 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array15);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array15);
    double[] d_array21 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator22 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array15, d_array21);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator23 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.48024657258842585d), 0.4451963704655766d, d_array8, d_array21);
    double[] d_array25 = new double[] { 1.0d };
    int i26 = org.apache.commons.math.util.MathUtils.hash(d_array25);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator27 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.0d, (-4.4575140018518E-6d), d_array21, d_array25);
    int i28 = org.apache.commons.math.util.MathUtils.hash(d_array25);
    int i29 = org.apache.commons.math.util.MathUtils.hash(d_array25);
    org.apache.commons.math.ode.events.EventHandler eventHandler30 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver36 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState37 = new org.apache.commons.math.ode.events.EventState(eventHandler30, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver36);
    double d38 = eventState37.getConvergence();
    boolean b39 = eventState37.stop();
    int i40 = eventState37.getMaxIterationCount();
    double d41 = eventState37.getConvergence();
    double d42 = eventState37.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler43 = eventState37.getEventHandler();
    double[] d_array50 = new double[] { 1.0d };
    int i51 = org.apache.commons.math.util.MathUtils.hash(d_array50);
    double[] d_array55 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array55);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array55);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator58 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array50, d_array55);
    double[] d_array62 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator65 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9112116246441057d, 3.141592653589793d, d_array50, d_array62);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array50);
    boolean b67 = eventState37.reset((-37.88322665704243d), d_array50);
    int i68 = org.apache.commons.math.util.MathUtils.hash(d_array50);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array25, d_array50);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 1072693279);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test105"); }


    double[] d_array5 = new double[] { 1.0d };
    int i6 = org.apache.commons.math.util.MathUtils.hash(d_array5);
    double[] d_array12 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array12);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array12);
    double[] d_array18 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator19 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array12, d_array18);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator20 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.48024657258842585d), 0.4451963704655766d, d_array5, d_array18);
    double[] d_array26 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array26);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array26);
    double[] d_array32 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator35 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array26, d_array32);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator37 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.3043045862358962d, 0.13840584404423517d, d_array5, d_array32);
    dormandPrince853Integrator37.setSafety((-0.9125775986692777d));
    int i40 = dormandPrince853Integrator37.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 8);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test106"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(100039262734684401L, 48L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-6780916886797970175L));

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test107"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.9566544695226885d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.742780867526704d));

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test108"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.360917989193913d, (-100));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test109"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals((-2.0717321293763886d), 3282.806350011744d, (-43118136));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test110"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 0.0d, 0.1416777415961822d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test111"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(3.183844764339955E-4d, 0.6370155568845178d, (-1338456335));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test112"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    int i12 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 4.741297982545108d, (-36.0d), 0);
    double d18 = dormandPrince853Integrator4.getMaxGrowth();
    java.lang.String str19 = dormandPrince853Integrator4.getName();
    dormandPrince853Integrator4.clearEventHandlers();
    dormandPrince853Integrator4.setMinReduction(0.8534393372698597d);
    dormandPrince853Integrator4.setMaxEvaluations(454629473);
    dormandPrince853Integrator4.setSafety(1.0113603389568016d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str19.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test113"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-0.0026045506037239985d), 0.11988668281266257d, 465221241);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test114"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.015108108119652209d, 0.7848268466074539d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test115"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Number number6 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException8 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number6, true);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Throwable throwable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException(throwable11, localizable12, obj_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable10, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable9, obj_array14);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext19 = mathArithmeticException18.getContext();
    mathArithmeticException17.addSuppressed((java.lang.Throwable)mathArithmeticException18);
    numberIsTooLargeException8.addSuppressed((java.lang.Throwable)mathArithmeticException17);
    java.lang.Number number22 = numberIsTooLargeException8.getMax();
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Throwable throwable25 = null;
    org.apache.commons.math.exception.MathInternalError mathInternalError26 = new org.apache.commons.math.exception.MathInternalError(throwable25);
    org.apache.commons.math.exception.MathInternalError mathInternalError27 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathInternalError26);
    java.lang.Throwable[] throwable_array28 = mathInternalError27.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException(localizable24, (java.lang.Object[])throwable_array28);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooLargeException8, localizable23, (java.lang.Object[])throwable_array28);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException31 = new org.apache.commons.math.exception.MaxCountExceededException(localizable3, (java.lang.Number)0.8656906612586714d, (java.lang.Object[])throwable_array28);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)5.6E-45f, localizable2, (java.lang.Object[])throwable_array28);
    org.apache.commons.math.exception.MathInternalError mathInternalError33 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test116"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler12 = null;
    dormandPrince853Integrator11.addStepHandler(stepHandler12);
    dormandPrince853Integrator11.clearStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test117"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    java.util.Collection collection15 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMinReduction(7.779829578606251E-8d);
    dormandPrince853Integrator12.clearEventHandlers();
    dormandPrince853Integrator12.clearStepHandlers();
    java.util.Collection collection20 = dormandPrince853Integrator12.getStepHandlers();
    double d21 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    java.util.Collection collection22 = dormandPrince853Integrator12.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection22);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test118"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.03388888467389572d, 2.0267295451011056d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.033888884673895725d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test119"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(3.1406933057808946d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 22.119890457161226d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test120"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals((-0.03829946805598859d), 1.2285483608633208d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test121"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(71.74365566130047d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.855783502157083d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test122"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(3.3554432E8f, 2.0282417E31f, 2068654301);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test123"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-338217207), 1852778199);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test124"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 74.73114799087398d, 73.442937053929d, 1.5707935082689404d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test125"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number7, true);
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Throwable throwable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(throwable12, localizable13, obj_array15);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable11, obj_array15);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext20 = mathArithmeticException19.getContext();
    mathArithmeticException18.addSuppressed((java.lang.Throwable)mathArithmeticException19);
    numberIsTooLargeException9.addSuppressed((java.lang.Throwable)mathArithmeticException18);
    java.lang.Number number23 = numberIsTooLargeException9.getMax();
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Throwable throwable26 = null;
    org.apache.commons.math.exception.MathInternalError mathInternalError27 = new org.apache.commons.math.exception.MathInternalError(throwable26);
    org.apache.commons.math.exception.MathInternalError mathInternalError28 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathInternalError27);
    java.lang.Throwable[] throwable_array29 = mathInternalError28.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException(localizable25, (java.lang.Object[])throwable_array29);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooLargeException9, localizable24, (java.lang.Object[])throwable_array29);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException32 = new org.apache.commons.math.exception.MaxCountExceededException(localizable4, (java.lang.Number)0.8656906612586714d, (java.lang.Object[])throwable_array29);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)5.6E-45f, localizable3, (java.lang.Object[])throwable_array29);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)1.3552526E-19f, localizable1, (java.lang.Object[])throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test126"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator(99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test127"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(123, maxCountExceededCallback1);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test128"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.5286577595782115E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test129"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(8.174479024081972d, 0.05616189202091593d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.8912937169023856d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test130"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.7379281192944076d, 0.017461099615361693d, 0.0d, 47);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test131"); }


    int i2 = org.apache.commons.math.util.FastMath.max(46, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 46);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test132"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.8603041824228294d), 10);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver13 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7928400443770229d, 0.13971613923522394d, 184331630);
    double d14 = bracketingNthOrderBrentSolver13.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction19 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver22 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.015109152342730735d, 80);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction27 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler28 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver34 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState35 = new org.apache.commons.math.ode.events.EventState(eventHandler28, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver34);
    double d36 = bracketingNthOrderBrentSolver34.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction41 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver45 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7224284372420833d, 0.9275460829514595d, 1513055269);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution49 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d50 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1991475689, univariateRealFunction41, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver45, 0.015109152342730735d, 0.0d, 57.0d, allowedSolution49);
    double d51 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateRealFunction27, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver34, 0.0d, 0.3966073830763327d, 2.718281828459046d, allowedSolution49);
    double d52 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-981549055), univariateRealFunction19, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver22, 4.28694169484401d, 1.0013329614069104d, 1.3127600831788684d, allowedSolution49);
    double d53 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-318240364), univariateRealFunction9, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver13, 0.149947327595365d, 5.833583645005155d, 1.007469917424246d, allowedSolution49);
    double d54 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1024, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver4, 120.7190911572421d, (-0.0012582123643330115d), 1.5653694177584349E-13d, allowedSolution49);
    double d55 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.7928400443770229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.015109152342730735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 4.28694169484401d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.149947327595365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 120.7190911572421d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0E-15d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test133"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setStepSizeControl(2.2250738585072014E-308d, (-0.7615941559557649d), 2.718281828459045d, (-0.6420149920119997d));
    java.util.Collection collection18 = dormandPrince853Integrator12.getStepHandlers();
    dormandPrince853Integrator12.setInitialStepSize(0.0d);
    dormandPrince853Integrator12.clearStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection18);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test134"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.3642648950383487d, 0.9694155395097511d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9694155395097511d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test135"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(1.19209275E-7f, (-318240364), (-18));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test136"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 100L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1160016991);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 1072693279);
    java.math.BigInteger bigInteger12 = null;
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 0L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 1072693279);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, bigInteger14);
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 0);
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, bigInteger17);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException21 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test137"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    int i5 = dormandPrince853Integrator4.getMaxEvaluations();
    dormandPrince853Integrator4.setInitialStepSize(1.0243029014333047d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2147483647);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test138"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i7 = bracketingNthOrderBrentSolver6.getMaxEvaluations();
    int i8 = bracketingNthOrderBrentSolver6.getEvaluations();
    int i9 = bracketingNthOrderBrentSolver6.getMaxEvaluations();
    double d10 = bracketingNthOrderBrentSolver6.getAbsoluteAccuracy();
    org.apache.commons.math.ode.events.EventState eventState11 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.0575148329169353d, 1.3440585709080678E43d, 562220405, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d12 = eventState11.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.3440585709080678E43d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test139"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.17433772100979533d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.003042767242044222d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test140"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(22, (-1631711321));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test141"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-1530496838), (java.lang.Number)273.00000000000006d, true);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test142"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow((-3254769898857554361L), 8152849977878317105L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 748781577999824327L);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test143"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-36.784749426412844d), 1.7763568394002505E-15d, 0.0d, 1586880529);
    int i5 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    double d6 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1586880529);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.7763568394002505E-15d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test144"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.math.BigInteger bigInteger2 = null;
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 1502190419);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 1502190419);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 5L);
    org.apache.commons.math.exception.NotPositiveException notPositiveException16 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0);
    java.lang.Throwable[] throwable_array17 = notPositiveException16.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)bigInteger14, (java.lang.Object[])throwable_array17);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.5653694177584349E-13d, (java.lang.Object[])throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test145"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 7.145803142348681E-9d, 2.6342374830060975d, 0.9951910231281798d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test146"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    double d26 = dormandPrince853Integrator12.getMinReduction();
    double d27 = dormandPrince853Integrator12.getSafety();
    java.util.Collection collection28 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMaxGrowth(4.762613918721343d);
    dormandPrince853Integrator12.clearEventHandlers();
    int i32 = dormandPrince853Integrator12.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 4.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test147"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-0.06703470960018405d), 1.4007783960505027d, (-0.0026045506037239985d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test148"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Number number4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException10 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array11 = tooManyEvaluationsException10.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable7, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(localizable6, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable3, number4, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable2, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException17 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test149"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.015109152342730735d, 80);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState17 = new org.apache.commons.math.ode.events.EventState(eventHandler10, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver16);
    double d18 = bracketingNthOrderBrentSolver16.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction23 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7224284372420833d, 0.9275460829514595d, 1513055269);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution31 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d32 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1991475689, univariateRealFunction23, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver27, 0.015109152342730735d, 0.0d, 57.0d, allowedSolution31);
    double d33 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateRealFunction9, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver16, 0.0d, 0.3966073830763327d, 2.718281828459046d, allowedSolution31);
    double d34 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-981549055), univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver4, 4.28694169484401d, 1.0013329614069104d, 1.3127600831788684d, allowedSolution31);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction36 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction40 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver43 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.015109152342730735d, 80);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction48 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler49 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver55 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState56 = new org.apache.commons.math.ode.events.EventState(eventHandler49, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver55);
    double d57 = bracketingNthOrderBrentSolver55.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction62 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver66 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7224284372420833d, 0.9275460829514595d, 1513055269);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution70 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d71 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1991475689, univariateRealFunction62, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver66, 0.015109152342730735d, 0.0d, 57.0d, allowedSolution70);
    double d72 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateRealFunction48, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver55, 0.0d, 0.3966073830763327d, 2.718281828459046d, allowedSolution70);
    double d73 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-981549055), univariateRealFunction40, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver43, 4.28694169484401d, 1.0013329614069104d, 1.3127600831788684d, allowedSolution70);
    // The following exception was thrown during execution in test generation
    try {
      double d74 = bracketingNthOrderBrentSolver4.solve(105, univariateRealFunction36, 0.7338880853553943d, (-0.4282705633757304d), allowedSolution70);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.015109152342730735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 4.28694169484401d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.015109152342730735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 4.28694169484401d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test150"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Throwable throwable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(throwable10, localizable11, obj_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, obj_array13);
    org.apache.commons.math.exception.MathInternalError mathInternalError16 = new org.apache.commons.math.exception.MathInternalError(localizable8, obj_array13);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable7, obj_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(localizable6, obj_array13);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable4, (java.lang.Number)1502190419, obj_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable3, obj_array13);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.0051580526070207355d, obj_array13);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException22 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, obj_array13);
    org.apache.commons.math.exception.MathInternalError mathInternalError23 = new org.apache.commons.math.exception.MathInternalError(localizable0, obj_array13);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test151"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(1.2089258E24f, 1.9721523E-31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test152"); }


    double[] d_array7 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double[] d_array13 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array7, d_array13);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState22 = new org.apache.commons.math.ode.events.EventState(eventHandler15, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    double d23 = eventState22.getConvergence();
    boolean b24 = eventState22.stop();
    double[] d_array31 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    double[] d_array37 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator38 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array31, d_array37);
    int i39 = org.apache.commons.math.util.MathUtils.hash(d_array37);
    boolean b40 = eventState22.reset(1.300509906445107d, d_array37);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array37);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array37);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.319522830243586E-16d, 1.170953398434528d, d_array7, d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1160016991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test153"); }


    float f1 = org.apache.commons.math.util.MathUtils.indicator(1.19209275E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test154"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper((-2094940159), 0);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    double[] d_array14 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator15 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array8, d_array14);
    int i16 = dormandPrince853Integrator15.getEvaluations();
    double d17 = dormandPrince853Integrator15.getCurrentSignedStepsize();
    int i18 = dormandPrince853Integrator15.getEvaluations();
    double[] d_array22 = new double[] { 1.0d };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double[] d_array27 = new double[] { 1.0d };
    int i28 = org.apache.commons.math.util.MathUtils.hash(d_array27);
    double[] d_array32 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator35 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array27, d_array32);
    dormandPrince853Integrator15.setStepSizeControl((-0.8414709848078965d), 0.7570464714620044d, d_array22, d_array32);
    org.apache.commons.math.ode.events.EventHandler eventHandler37 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler41 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler45 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver49 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i50 = bracketingNthOrderBrentSolver49.getEvaluations();
    double d51 = bracketingNthOrderBrentSolver49.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState52 = new org.apache.commons.math.ode.events.EventState(eventHandler45, 3.1622776601683785E-8d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver49);
    int i53 = bracketingNthOrderBrentSolver49.getMaximalOrder();
    org.apache.commons.math.ode.events.EventState eventState54 = new org.apache.commons.math.ode.events.EventState(eventHandler41, 0.0d, 4.5d, (-1023), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver49);
    org.apache.commons.math.ode.events.EventState eventState55 = new org.apache.commons.math.ode.events.EventState(eventHandler37, 0.4245804920143077d, (-0.9985061376798865d), 80, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver49);
    double[] d_array60 = new double[] { 1.0d };
    int i61 = org.apache.commons.math.util.MathUtils.hash(d_array60);
    double[] d_array65 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array65);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array65);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator68 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array60, d_array65);
    boolean b69 = eventState55.reset(0.945246703700736d, d_array65);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array22, d_array65);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test155"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.14267892766238d, (java.lang.Number)2, true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 2+ "'", number5.equals(2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test156"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-6.7310942080945475d), 0.25889832372882826d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5323522407229133d));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test157"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(2.4178515E24f, 4.5919E-41f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test158"); }


    double d3 = org.apache.commons.math.util.Precision.round(2.0439462095100787d, 2, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 2.05d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test159"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(1.0544413841537041d, 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test160"); }


    org.apache.commons.math.util.MathUtils.checkFinite((-0.01055081424230568d));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test161"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number6 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException8 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number6, true);
    java.lang.Number number9 = numberIsTooLargeException8.getArgument();
    java.lang.Throwable[] throwable_array10 = numberIsTooLargeException8.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)throwable_array10);
    org.apache.commons.math.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.03291371557103406d, (-0.008255126546709544d), 2.1013414580646996d, 41.0d, (java.lang.Object[])throwable_array10);
    double d13 = noBracketingException12.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (-0.7615941559557649d)+ "'", number9.equals((-0.7615941559557649d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == (-0.008255126546709544d));

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test162"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.00974196E-28f, 4.547474E-13f, 1.4210855E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test163"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Throwable throwable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.util.Incrementor incrementor14 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor14, localizable15, obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException(throwable12, localizable13, obj_array17);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array17);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable10, obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException(throwable8, localizable9, obj_array17);
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver29 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-36.784749426412844d), 1.7763568394002505E-15d, 0.0d, 1586880529);
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException36 = new org.apache.commons.math.exception.DimensionMismatchException(localizable33, 8, 0);
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.util.Incrementor incrementor39 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor39, localizable40, obj_array42);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException(localizable38, obj_array42);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0, localizable37, obj_array42);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException46 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable31, (java.lang.Number)6.283185307179586d, obj_array42);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bracketingNthOrderBrentSolver29, localizable30, obj_array42);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException48 = new org.apache.commons.math.exception.NullArgumentException(localizable24, obj_array42);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException(throwable8, localizable23, obj_array42);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException50 = new org.apache.commons.math.exception.MathIllegalStateException(throwable6, localizable7, obj_array42);
    org.apache.commons.math.exception.NoBracketingException noBracketingException51 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 0.8304225027391565d, 1.198987063275175E24d, 0.9992659473842446d, 2.498147420724462d, obj_array42);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException52 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test164"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.0f, 1.1920928E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test165"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d5 = bracketingNthOrderBrentSolver2.getStartValue();
    double d6 = bracketingNthOrderBrentSolver2.getMin();
    int i7 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i8 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test166"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(1.4146992303480463d, 1.7182352584298493d, 1461336416);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test167"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    double[] d_array31 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    double[] d_array38 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array38);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array38);
    double[] d_array44 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator45 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array38, d_array44);
    dormandPrince853Integrator12.setStepSizeControl(0.149947327595365d, 0.0d, d_array31, d_array44);
    dormandPrince853Integrator12.setMinReduction((-1.2055229299006902d));
    double d49 = dormandPrince853Integrator12.getSafety();
    double d50 = dormandPrince853Integrator12.getMaxStep();
    double d51 = dormandPrince853Integrator12.getCurrentStepStart();
    int i52 = dormandPrince853Integrator12.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 4.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d51, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test168"); }


    double d2 = org.apache.commons.math.util.Precision.round((-1.567765389102798d), 22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.567765389102798d));

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test169"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setStepSizeControl(6.948840563288701E-8d, 0.7928400443770229d, Double.NEGATIVE_INFINITY, 1.3043045862358962d);
    dormandPrince853Integrator12.setMaxEvaluations((-30));
    dormandPrince853Integrator12.setInitialStepSize(4.641738519416506d);
    java.util.Collection collection24 = dormandPrince853Integrator12.getStepHandlers();
    dormandPrince853Integrator12.setInitialStepSize(3.9472296743479714E-303d);
    dormandPrince853Integrator12.setMaxEvaluations((-2094940159));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection24);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test170"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException(throwable3, localizable4, obj_array6);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException8 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)1.528657759578211E-308d, obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array6);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = mathIllegalArgumentException9.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test171"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(9.999999999999999E-16d, 9.0882397E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.088239685806259E8d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test172"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator((-973942079));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test173"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    int i12 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 4.741297982545108d, (-36.0d), 0);
    double d18 = dormandPrince853Integrator4.getMaxGrowth();
    java.lang.String str19 = dormandPrince853Integrator4.getName();
    int i20 = dormandPrince853Integrator4.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str19.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 8);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test174"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce((-0.13332177668512515d), 0.0d, 4.293516121890039d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test175"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Throwable throwable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(throwable10, localizable11, obj_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, obj_array13);
    org.apache.commons.math.exception.MathInternalError mathInternalError16 = new org.apache.commons.math.exception.MathInternalError(localizable8, obj_array13);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable7, obj_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(localizable6, obj_array13);
    org.apache.commons.math.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 9.99999999999995E-15d, Double.NaN, 0.8656906612586714d, 100.0d, obj_array13);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array13);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext21 = mathArithmeticException20.getContext();
    java.lang.Throwable[] throwable_array22 = mathArithmeticException20.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test176"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.8575073255996806d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test177"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.7798252495435847d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test178"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.47096866308198754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6862715665696689d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test179"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-8.47033E-22f), 2.81474977E14f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test180"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper((-1146638592), 308638815);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test181"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    int i3 = incrementor2.getMaximalCount();
    incrementor2.setMaximalCount(100);
    int i6 = incrementor2.getCount();
    int i7 = incrementor2.getMaximalCount();
    int i8 = incrementor2.getCount();
    int i9 = incrementor2.getCount();
    incrementor2.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test182"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 9.99999999999995E-15d, 0.6758972508490749d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test183"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.33395738938331987d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.28815000499176135d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test184"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    int i3 = incrementor2.getMaximalCount();
    boolean b4 = incrementor2.canIncrement();
    incrementor2.incrementCount();
    int i6 = incrementor2.getMaximalCount();
    incrementor2.setMaximalCount(2094940159);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 10);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test185"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.6080838547619738d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6080838547619738d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test186"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(1513055269, 1711838444);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test187"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(73.89623396673285d, 0.27460508963227326d, (-1161822207));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test188"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.03291371557103406d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03238365864403614d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test189"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(53.144475857009986d, 0.9996221167107523d, 0.7048374185030729d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test190"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger2 = null;
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1072693279);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 100.0d, 2.2250738585072014E-308d, 100.0d);
    double d13 = noBracketingException12.getHi();
    double d14 = noBracketingException12.getHi();
    double d15 = noBracketingException12.getLo();
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException18 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array19 = tooManyEvaluationsException18.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d15, localizable16, (java.lang.Object[])throwable_array19);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bigInteger4, localizable7, (java.lang.Object[])throwable_array19);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException22 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)bigInteger4);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException24 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.03292560600521167d, (java.lang.Number)bigInteger4, false);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 6782461214293182951L);
    java.math.BigInteger bigInteger28 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 3L);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException31 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)bigInteger28, (java.lang.Number)0.7182818284590454d, true);
    java.math.BigInteger bigInteger33 = org.apache.commons.math.util.MathUtils.pow(bigInteger28, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test191"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(956191141);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test192"); }


    float f2 = org.apache.commons.math.util.Precision.round(1.9342815E25f, (-1201490886));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test193"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.16542649885454674d), 355026449);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = bracketingNthOrderBrentSolver2.solve(2011811731, univariateRealFunction4, (-0.2668764516828486d), 0.3042122616223025d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test194"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    int i5 = incrementor2.getCount();
    incrementor2.resetCount();
    incrementor2.setMaximalCount(0);
    int i9 = incrementor2.getMaximalCount();
    incrementor2.incrementCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test195"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-1005), maxCountExceededCallback1);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test196"); }


    double[] d_array5 = new double[] { 1.0d };
    int i6 = org.apache.commons.math.util.MathUtils.hash(d_array5);
    double[] d_array12 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array12);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array12);
    double[] d_array18 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator19 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array12, d_array18);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator20 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.48024657258842585d), 0.4451963704655766d, d_array5, d_array18);
    org.apache.commons.math.ode.events.EventHandler eventHandler21 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState28 = new org.apache.commons.math.ode.events.EventState(eventHandler21, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver27);
    double d29 = eventState28.getMaxCheckInterval();
    double[] d_array36 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    double[] d_array42 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array36, d_array42);
    boolean b44 = eventState28.reset(4.862269934658958d, d_array42);
    double[] d_array51 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array51);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array51);
    double[] d_array57 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array57);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array57);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator60 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array51, d_array57);
    boolean b61 = eventState28.reset(0.8656906612586714d, d_array57);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array57);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator63 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 0.7928975017032128d, d_array18, d_array57);
    double d64 = dormandPrince853Integrator63.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.2d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test197"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-8.915974418784886d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-8.0d));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test198"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException(throwable8, localizable9, obj_array11);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable7, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable6, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable4, (java.lang.Number)1.2895909593394983d, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array11);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math.exception.MathArithmeticException(localizable2, obj_array11);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)1.2110908904786679E-5d, obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test199"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-6));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test200"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(2.267919873097752d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test201"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    double d23 = dormandPrince853Integrator12.getCurrentStepStart();
    java.util.Collection collection24 = dormandPrince853Integrator12.getEventHandlers();
    int i25 = dormandPrince853Integrator12.getOrder();
    double d26 = dormandPrince853Integrator12.getMaxStep();
    double d27 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.clearStepHandlers();
    double d29 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 6.948840563288701E-8d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test202"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.13796772254195894d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7755575615628914E-17d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test203"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.setStepSizeControl((-0.7615941559557649d), 0.0d, 1.2596508914902838E-16d, 1.300509906445107d);
    dormandPrince853Integrator12.setSafety(0.8740325992077378d);
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler23, 0.24796455561297998d, 28.045434182929405d, 0);
    int i28 = dormandPrince853Integrator12.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 2147483647);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test204"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 0.9500137466265225d, 1502190419);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test205"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(3, maxCountExceededCallback1);
    incrementor2.resetCount();
    incrementor2.incrementCount();
    int i5 = incrementor2.getMaximalCount();
    incrementor2.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 3);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test206"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException(number0, (java.lang.Number)(-708.7718185731196d), false);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test207"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-921275414543965571L), (-2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-921275414543965571L));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test208"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    dormandPrince853Integrator11.setMaxEvaluations((-1));
    java.util.Collection collection14 = dormandPrince853Integrator11.getEventHandlers();
    int i15 = dormandPrince853Integrator11.getEvaluations();
    int i16 = dormandPrince853Integrator11.getOrder();
    double d17 = dormandPrince853Integrator11.getMaxGrowth();
    dormandPrince853Integrator11.setSafety(1.1462158347805889d);
    dormandPrince853Integrator11.clearEventHandlers();
    dormandPrince853Integrator11.setMinReduction(0.9863482122020716d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test209"); }


    double[] d_array7 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double[] d_array13 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array7, d_array13);
    int i15 = dormandPrince853Integrator14.getEvaluations();
    double d16 = dormandPrince853Integrator14.getCurrentStepStart();
    double[] d_array22 = new double[] { 1.0d };
    int i23 = org.apache.commons.math.util.MathUtils.hash(d_array22);
    double[] d_array27 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array22, d_array27);
    double[] d_array36 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    double[] d_array42 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array36, d_array42);
    int i44 = dormandPrince853Integrator43.getEvaluations();
    double d45 = dormandPrince853Integrator43.getCurrentSignedStepsize();
    int i46 = dormandPrince853Integrator43.getEvaluations();
    double[] d_array54 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array54);
    double[] d_array60 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator61 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array54, d_array60);
    double[] d_array65 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array65);
    dormandPrince853Integrator43.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array60, d_array65);
    dormandPrince853Integrator14.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array22, d_array60);
    org.apache.commons.math.ode.events.EventHandler eventHandler69 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver75 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState76 = new org.apache.commons.math.ode.events.EventState(eventHandler69, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver75);
    double d77 = eventState76.getMaxCheckInterval();
    double[] d_array84 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array84);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array84);
    double[] d_array90 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator91 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array84, d_array90);
    boolean b92 = eventState76.reset(4.862269934658958d, d_array90);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator93 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.015107427977844881d, 1.5607966601082315d, d_array60, d_array90);
    dormandPrince853Integrator93.clearStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test210"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-0.8353314733650533d), 0.44519637046557664d, 0.5343882110782414d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test211"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 100.0d, 2.2250738585072014E-308d, 100.0d);
    double d5 = noBracketingException4.getHi();
    double d6 = noBracketingException4.getFHi();
    double d7 = noBracketingException4.getFLo();
    double d8 = noBracketingException4.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 100.0d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test212"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(2.0282412E31f, 2048.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test213"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-2108.0d), (-0.6420149920119997d), 1502190419);
    double d4 = bracketingNthOrderBrentSolver3.getMin();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = bracketingNthOrderBrentSolver3.solve(10, univariateRealFunction6, 0.783527087486949d, 2.0267295451011056d, allowedSolution9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test214"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.9135318116015959d, 0.6516350823576303d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9135318116015958d);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test215"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    java.util.Collection collection12 = dormandPrince853Integrator4.getStepHandlers();
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    double d15 = dormandPrince853Integrator4.getMaxGrowth();
    int i16 = dormandPrince853Integrator4.getEvaluations();
    java.util.Collection collection17 = dormandPrince853Integrator4.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection17);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test216"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.01370815231283805d, 127);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test217"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.7457140860155905d, 0.7187867399208276d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test218"); }


    int i2 = org.apache.commons.math.util.FastMath.min(217051777, 1530496838);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 217051777);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test219"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(0.24796455561297998d, 3.2205250129143517d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test220"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.9112116246441057d, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 58.31754397722276d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test221"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    dormandPrince853Integrator11.setMaxEvaluations((-1));
    java.util.Collection collection14 = dormandPrince853Integrator11.getEventHandlers();
    dormandPrince853Integrator11.setMinReduction(0.12144120496535504d);
    double d17 = dormandPrince853Integrator11.getMinReduction();
    dormandPrince853Integrator11.setMinReduction((-0.4035946902807374d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.12144120496535504d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test222"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9155494254642262d);
    org.apache.commons.math.exception.MathInternalError mathInternalError2 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)tooManyEvaluationsException1);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test223"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger2 = null;
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1072693279);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 0L);
    java.math.BigInteger bigInteger9 = null;
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 0L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 1);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 1502190419);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 1502190419);
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 0L);
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 5L);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, bigInteger19);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException24 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.0066153587048387585d, (java.lang.Number)bigInteger19, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test224"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(2.1175824E-22f, 2.7755586E-17f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test225"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(2.1267647E37f, 3.6661404377193025E21d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.1267645E37f);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test226"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    incrementor2.resetCount();
    incrementor2.incrementCount(0);
    boolean b8 = incrementor2.canIncrement();
    int i9 = incrementor2.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test227"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.6045824459415927d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test228"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.8369082414395024d), 0.6526194064173303d, 0.9155494254642262d, 0.14883843385732964d);
    double d5 = dormandPrince853Integrator4.getMaxGrowth();
    dormandPrince853Integrator4.setSafety(1.6505753328073598d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 10.0d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test229"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-0.0528309023290012d));

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test230"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(4747511017312003797L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 4747511017312003797L);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test231"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(8.5899346E9f, 9.9999994E29f, 1.1368684E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test232"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.6575096400240176d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.18209787541836378d));

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test233"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.5946171581495265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test234"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-99.99998f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-99.99997f));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test235"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(1.1455651554954072d, (-1.8207598998701695d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test236"); }


    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)(-0.10491204700210689d));

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test237"); }


    double d1 = org.apache.commons.math.util.FastMath.log(9.999999999999982E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-16.11809565095832d));

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test238"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.setStepSizeControl((-0.7615941559557649d), 0.0d, 1.2596508914902838E-16d, 1.300509906445107d);
    double d21 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d22 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setMaxEvaluations(80);
    double d25 = dormandPrince853Integrator12.getSafety();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler26 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler26);
    dormandPrince853Integrator12.setMaxEvaluations(10);
    java.lang.String str30 = dormandPrince853Integrator12.getName();
    dormandPrince853Integrator12.setInitialStepSize(4.48659966469973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str30.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test239"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.0f, 2.30584287E18f, 7.1054274E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test240"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-125000), 104);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException15 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10, (java.lang.Number)1.4142135623730951d, true);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Throwable throwable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException(throwable19, localizable20, obj_array22);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException24 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable18, obj_array22);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException25 = new org.apache.commons.math.exception.MathArithmeticException(localizable17, obj_array22);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException15, localizable16, obj_array22);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException27 = new org.apache.commons.math.exception.NullArgumentException(localizable11, obj_array22);
    org.apache.commons.math.exception.NoBracketingException noBracketingException28 = new org.apache.commons.math.exception.NoBracketingException(localizable6, 99.99999999999999d, 0.7110364255563046d, 0.0d, 0.059266403869008374d, obj_array22);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException29 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array22);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)dimensionMismatchException3, localizable4, obj_array22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test241"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    int i3 = incrementor2.getCount();
    int i4 = incrementor2.getCount();
    incrementor2.setMaximalCount(80);
    incrementor2.incrementCount(0);
    incrementor2.incrementCount();
    int i10 = incrementor2.getMaximalCount();
    incrementor2.incrementCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 80);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test242"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-125000), maxCountExceededCallback1);
    incrementor2.incrementCount((-50));
    int i5 = incrementor2.getMaximalCount();
    incrementor2.incrementCount((-18));
    boolean b8 = incrementor2.canIncrement();
    incrementor2.resetCount();
    int i10 = incrementor2.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-125000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-125000));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test243"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(3, maxCountExceededCallback1);
    incrementor2.resetCount();
    incrementor2.resetCount();
    incrementor2.setMaximalCount((-1146638592));
    int i7 = incrementor2.getCount();
    incrementor2.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test244"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(1.537864768801872d, (-0.9566544695226885d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.537864768801872d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test245"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.8249552779507545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8249552779507546d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test246"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    java.util.Collection collection15 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setStepSizeControl((-36.784749426412844d), 0.20048384656091298d, 4.745212910555287d, 1.4555735870670925d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test247"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)57.29577951308233d, (java.lang.Number)0.8813735870195429d, true);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException8 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable4, (java.lang.Number)(-0.7615941559557649d), (java.lang.Number)1.4142135623730951d, false);
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)numberIsTooLargeException8);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathInternalError mathInternalError10 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test248"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    dormandPrince853Integrator12.setSafety(0.9050742637938461d);
    int i28 = dormandPrince853Integrator12.getEvaluations();
    int i29 = dormandPrince853Integrator12.getMaxEvaluations();
    double d30 = dormandPrince853Integrator12.getSafety();
    java.lang.String str31 = dormandPrince853Integrator12.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.9050742637938461d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str31.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test249"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    double d9 = eventState7.getConvergence();
    double d10 = eventState7.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler11 = eventState7.getEventHandler();
    int i12 = eventState7.getMaxIterationCount();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator13 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b14 = eventState7.evaluateStep(stepInterpolator13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test250"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.8249552779507546d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9082704872177421d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test251"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(1072693249, 17855169);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test252"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper((-944219343), 47);
    int i3 = equationsMapper2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 47);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test253"); }


    long long2 = org.apache.commons.math.util.FastMath.min(1438694583094061459L, 23997317543566687L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 23997317543566687L);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test254"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(16.123863856382016d, 0.9992798168811299d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 16.123863856382016d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test255"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-34.538776394910684d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-34.538776394910684d));

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test256"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(3.43597343E10f, 8.5899346E9f, 1796381646);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test257"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 100.0d, 2.2250738585072014E-308d, 100.0d);
    double d5 = noBracketingException4.getHi();
    double d6 = noBracketingException4.getFLo();
    org.apache.commons.math.exception.MathInternalError mathInternalError7 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    double d8 = noBracketingException4.getHi();
    double d9 = noBracketingException4.getFHi();
    double d10 = noBracketingException4.getHi();
    double d11 = noBracketingException4.getHi();
    double d12 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 100.0d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test258"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    double d9 = eventState7.getConvergence();
    double d10 = eventState7.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler11 = eventState7.getEventHandler();
    double[] d_array16 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array16);
    // The following exception was thrown during execution in test generation
    try {
      eventState7.stepAccepted((-0.7391619794899372d), d_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test259"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(2.271097216753073d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.690027043378095d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test260"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 100L);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 1);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 1502190419);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 1502190419);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 5L);
    java.math.BigInteger bigInteger18 = null;
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 0L);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 1072693279);
    java.math.BigInteger bigInteger23 = null;
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger23, 0L);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger25, 1072693279);
    java.math.BigInteger bigInteger28 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, bigInteger25);
    java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 0);
    java.math.BigInteger bigInteger31 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, bigInteger20);
    java.math.BigInteger bigInteger32 = null;
    java.math.BigInteger bigInteger34 = org.apache.commons.math.util.MathUtils.pow(bigInteger32, 0L);
    java.math.BigInteger bigInteger36 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, 1072693279);
    java.math.BigInteger bigInteger38 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, 0L);
    java.math.BigInteger bigInteger39 = null;
    java.math.BigInteger bigInteger41 = org.apache.commons.math.util.MathUtils.pow(bigInteger39, 0L);
    java.math.BigInteger bigInteger43 = org.apache.commons.math.util.MathUtils.pow(bigInteger41, 1);
    java.math.BigInteger bigInteger45 = org.apache.commons.math.util.MathUtils.pow(bigInteger43, 1502190419);
    java.math.BigInteger bigInteger47 = org.apache.commons.math.util.MathUtils.pow(bigInteger43, 1502190419);
    java.math.BigInteger bigInteger49 = org.apache.commons.math.util.MathUtils.pow(bigInteger43, 0L);
    java.math.BigInteger bigInteger51 = org.apache.commons.math.util.MathUtils.pow(bigInteger49, 5L);
    java.math.BigInteger bigInteger52 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, bigInteger49);
    java.math.BigInteger bigInteger53 = org.apache.commons.math.util.MathUtils.pow(bigInteger31, bigInteger34);
    java.math.BigInteger bigInteger54 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, bigInteger53);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger56 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, (-20));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger54);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test261"); }


    double d2 = org.apache.commons.math.util.Precision.round((-0.26307893814245104d), (-5));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test262"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution17 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d18 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction5, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver12, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution17);
    double d19 = bracketingNthOrderBrentSolver12.getStartValue();
    double d20 = bracketingNthOrderBrentSolver12.getMax();
    org.apache.commons.math.ode.events.EventState eventState21 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 8.881784197001252E-16d, (-52), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    double d22 = eventState21.getConvergence();
    double d23 = eventState21.getEventTime();
    boolean b24 = eventState21.stop();
    int i25 = eventState21.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 8.881784197001252E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == (-52));

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test263"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.881373587019543d, 0.0d, 0.0d, 0.9913289158005998d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = noBracketingException4.getContext();
    org.apache.commons.math.exception.MathInternalError mathInternalError6 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 1);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 1502190419);
    java.math.BigInteger bigInteger14 = null;
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 0L);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1);
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 1502190419);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 1502190419);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, bigInteger22);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException26 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)bigInteger22, (java.lang.Number)0.761594155955765d, true);
    noBracketingException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException26);
    double d28 = noBracketingException4.getFLo();
    double d29 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test264"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1);
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 1072693279);
    java.math.BigInteger bigInteger12 = null;
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 0L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 1);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, bigInteger16);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Throwable throwable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException(throwable22, localizable23, obj_array25);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable21, obj_array25);
    org.apache.commons.math.exception.MathInternalError mathInternalError28 = new org.apache.commons.math.exception.MathInternalError(localizable20, obj_array25);
    java.lang.Throwable[] throwable_array29 = mathInternalError28.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException30 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable18, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array29);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException31 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, (java.lang.Number)bigInteger17, (java.lang.Object[])throwable_array29);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException33 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1, (java.lang.Number)bigInteger17, false);
    java.math.BigInteger bigInteger35 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 1522829185);
    org.apache.commons.math.exception.NotPositiveException notPositiveException36 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)bigInteger17);
    java.math.BigInteger bigInteger38 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 0L);
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    java.math.BigInteger bigInteger40 = null;
    java.math.BigInteger bigInteger42 = org.apache.commons.math.util.MathUtils.pow(bigInteger40, 0L);
    java.math.BigInteger bigInteger44 = org.apache.commons.math.util.MathUtils.pow(bigInteger42, 1);
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    java.math.BigInteger bigInteger46 = null;
    java.math.BigInteger bigInteger48 = org.apache.commons.math.util.MathUtils.pow(bigInteger46, 0L);
    java.math.BigInteger bigInteger50 = org.apache.commons.math.util.MathUtils.pow(bigInteger48, 1072693279);
    java.math.BigInteger bigInteger51 = null;
    java.math.BigInteger bigInteger53 = org.apache.commons.math.util.MathUtils.pow(bigInteger51, 0L);
    java.math.BigInteger bigInteger55 = org.apache.commons.math.util.MathUtils.pow(bigInteger53, 1);
    java.math.BigInteger bigInteger56 = org.apache.commons.math.util.MathUtils.pow(bigInteger50, bigInteger55);
    org.apache.commons.math.exception.util.Localizable localizable57 = null;
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    java.lang.Throwable throwable61 = null;
    org.apache.commons.math.exception.util.Localizable localizable62 = null;
    java.lang.Object[] obj_array64 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException65 = new org.apache.commons.math.exception.MathIllegalStateException(throwable61, localizable62, obj_array64);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException66 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable60, obj_array64);
    org.apache.commons.math.exception.MathInternalError mathInternalError67 = new org.apache.commons.math.exception.MathInternalError(localizable59, obj_array64);
    java.lang.Throwable[] throwable_array68 = mathInternalError67.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException69 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable57, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array68);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException70 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable45, (java.lang.Number)bigInteger56, (java.lang.Object[])throwable_array68);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException72 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable39, (java.lang.Number)1, (java.lang.Number)bigInteger56, false);
    java.math.BigInteger bigInteger74 = org.apache.commons.math.util.MathUtils.pow(bigInteger56, 1522829185);
    java.math.BigInteger bigInteger75 = null;
    java.math.BigInteger bigInteger77 = org.apache.commons.math.util.MathUtils.pow(bigInteger75, 0L);
    java.math.BigInteger bigInteger79 = org.apache.commons.math.util.MathUtils.pow(bigInteger77, 1072693279);
    java.math.BigInteger bigInteger80 = null;
    java.math.BigInteger bigInteger82 = org.apache.commons.math.util.MathUtils.pow(bigInteger80, 0L);
    java.math.BigInteger bigInteger84 = org.apache.commons.math.util.MathUtils.pow(bigInteger82, 1072693279);
    java.math.BigInteger bigInteger85 = org.apache.commons.math.util.MathUtils.pow(bigInteger77, bigInteger82);
    java.math.BigInteger bigInteger86 = org.apache.commons.math.util.MathUtils.pow(bigInteger56, bigInteger77);
    java.math.BigInteger bigInteger87 = org.apache.commons.math.util.MathUtils.pow(bigInteger38, bigInteger77);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException90 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)bigInteger87, (java.lang.Number)1.0000171324009126d, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger87);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test265"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7928400443770229d, 0.13971613923522394d, 184331630);
    double d4 = bracketingNthOrderBrentSolver3.getRelativeAccuracy();
    double d5 = bracketingNthOrderBrentSolver3.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.7928400443770229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.13971613923522394d);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test266"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(308638815, 454629473);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test267"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.9278253879479748d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test268"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.33334908806776703d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.23094270687208d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test269"); }


    long long2 = org.apache.commons.math.util.FastMath.max(80776726610347423L, 243L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 80776726610347423L);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test270"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.2618002865952555d, 0.2618002865952555d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test271"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.1975728153652145d, 0.4401525065748457d, 3.3087224502121114E-24d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test272"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-2057111984), 103);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test273"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-0.3750867038574122d), 2.6367435972130215E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.6367435972130215E-4d);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test274"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)5);
    java.lang.Throwable[] throwable_array3 = notStrictlyPositiveException2.getSuppressed();
    boolean b4 = notStrictlyPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test275"); }


    float f2 = org.apache.commons.math.util.FastMath.min(8.47033E-22f, 7.1054274E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 8.47033E-22f);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test276"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.0559216582389059d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.760170594439217E-4d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test277"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.9342818E25f, 2.1267647E37f, (-0.99999976f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test278"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 180531597);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = bracketingNthOrderBrentSolver2.solve((-2081393569), univariateRealFunction4, 0.4136070376880365d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test279"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)2.15238141792569d, (java.lang.Number)(-0.0528309023290012d), true);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test280"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(0.0d, 0.032616212332529926d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test281"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException2 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.0f, obj_array1);
    org.apache.commons.math.exception.MathInternalError mathInternalError3 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)notFiniteNumberException2);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test282"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-0.604517126510635d));
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1072693279);
    java.math.BigInteger bigInteger8 = null;
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 0L);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 1072693279);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger10);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10, (java.lang.Number)1.4142135623730951d, true);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Throwable throwable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException(throwable21, localizable22, obj_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable20, obj_array24);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException27 = new org.apache.commons.math.exception.MathArithmeticException(localizable19, obj_array24);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException17, localizable18, obj_array24);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException29 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)bigInteger5, obj_array24);
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Throwable throwable33 = null;
    org.apache.commons.math.exception.MathInternalError mathInternalError34 = new org.apache.commons.math.exception.MathInternalError(throwable33);
    org.apache.commons.math.exception.MathInternalError mathInternalError35 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathInternalError34);
    java.lang.Throwable[] throwable_array36 = mathInternalError35.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException37 = new org.apache.commons.math.exception.MathIllegalStateException(localizable32, (java.lang.Object[])throwable_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException(localizable31, (java.lang.Object[])throwable_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notFiniteNumberException29, localizable30, (java.lang.Object[])throwable_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException1, localizable2, (java.lang.Object[])throwable_array36);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext41 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext41);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test283"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    int i12 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 4.741297982545108d, (-36.0d), 0);
    double d18 = dormandPrince853Integrator4.getMaxGrowth();
    java.lang.String str19 = dormandPrince853Integrator4.getName();
    java.lang.String str20 = dormandPrince853Integrator4.getName();
    dormandPrince853Integrator4.setMinReduction((-0.009208319012553144d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str19.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str20.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test284"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator6 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.1071487177940904d, 1.4887150581008033d, 4.457514001822277E-6d, 0.9666468244594387d);
    double d7 = dormandPrince853Integrator6.getMaxGrowth();
    double[] d_array17 = new double[] { 1.0d };
    int i18 = org.apache.commons.math.util.MathUtils.hash(d_array17);
    double[] d_array24 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array24);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array24);
    double[] d_array30 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator31 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array24, d_array30);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator32 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.48024657258842585d), 0.4451963704655766d, d_array17, d_array30);
    double[] d_array34 = new double[] { 1.0d };
    int i35 = org.apache.commons.math.util.MathUtils.hash(d_array34);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator36 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.0d, (-4.4575140018518E-6d), d_array30, d_array34);
    int i37 = org.apache.commons.math.util.MathUtils.hash(d_array34);
    double[] d_array41 = new double[] { 1.0d };
    int i42 = org.apache.commons.math.util.MathUtils.hash(d_array41);
    double[] d_array46 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator49 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array41, d_array46);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    int i51 = org.apache.commons.math.util.MathUtils.hash(d_array46);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator52 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.5767037019277758d, (-3.141592653589793d), d_array34, d_array46);
    org.apache.commons.math.ode.events.EventHandler eventHandler53 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver59 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState60 = new org.apache.commons.math.ode.events.EventState(eventHandler53, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver59);
    double d61 = eventState60.getMaxCheckInterval();
    double[] d_array68 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array68);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array68);
    double[] d_array74 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator75 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array68, d_array74);
    boolean b76 = eventState60.reset(4.862269934658958d, d_array74);
    dormandPrince853Integrator6.setStepSizeControl(9.05527113890874d, 1.123613177011252d, d_array46, d_array74);
    double[] d_array81 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array81);
    int i83 = org.apache.commons.math.util.MathUtils.hash(d_array81);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator84 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.438751485120621d, 0.45464871341284135d, d_array74, d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == (-2081393569));

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test285"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.1368684E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1368684E-13f);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test286"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.618691201710122d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test287"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    incrementor2.resetCount();
    int i6 = incrementor2.getCount();
    int i7 = incrementor2.getCount();
    int i8 = incrementor2.getCount();
    incrementor2.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test288"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifySequence(6.643520733367913d, 3.875409442231813E-18d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test289"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    double d15 = dormandPrince853Integrator12.getMinReduction();
    dormandPrince853Integrator12.setMinReduction(2.3984508954893236d);
    double d18 = dormandPrince853Integrator12.getSafety();
    java.util.Collection collection19 = dormandPrince853Integrator12.getStepHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler20 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d27 = bracketingNthOrderBrentSolver26.getMin();
    int i28 = bracketingNthOrderBrentSolver26.getMaxEvaluations();
    int i29 = bracketingNthOrderBrentSolver26.getEvaluations();
    double d30 = bracketingNthOrderBrentSolver26.getRelativeAccuracy();
    int i31 = bracketingNthOrderBrentSolver26.getMaximalOrder();
    double d32 = bracketingNthOrderBrentSolver26.getAbsoluteAccuracy();
    double d33 = bracketingNthOrderBrentSolver26.getStartValue();
    dormandPrince853Integrator12.addEventHandler(eventHandler20, 2.6553645750605033d, 0.9983359893873769d, (-64), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test290"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor((-888018845), maxCountExceededCallback1);
    incrementor2.resetCount();

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test291"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.0000010000005d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test292"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(3.8104773809653514d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test293"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(184331630);
    int i5 = incrementor2.getMaximalCount();
    boolean b6 = incrementor2.canIncrement();
    incrementor2.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 184331630);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test294"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    int i16 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setMaxGrowth(0.8813735870195429d);
    org.apache.commons.math.ode.events.EventHandler eventHandler19 = null;
    double[] d_array26 = new double[] { 1.0d };
    int i27 = org.apache.commons.math.util.MathUtils.hash(d_array26);
    double[] d_array31 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator34 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array26, d_array31);
    dormandPrince853Integrator34.setMaxEvaluations((-1));
    dormandPrince853Integrator34.setSafety(Double.NaN);
    double[] d_array46 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    double[] d_array52 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array46, d_array52);
    double[] d_array57 = new double[] { 1.0d };
    int i58 = org.apache.commons.math.util.MathUtils.hash(d_array57);
    double[] d_array62 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator65 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array57, d_array62);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    dormandPrince853Integrator34.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array46, d_array62);
    org.apache.commons.math.ode.events.EventHandler eventHandler68 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler72 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver78 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState79 = new org.apache.commons.math.ode.events.EventState(eventHandler72, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver78);
    dormandPrince853Integrator34.addEventHandler(eventHandler68, 1.054229579476095d, 100.0d, (-20), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver78);
    dormandPrince853Integrator12.addEventHandler(eventHandler19, (-1.683073204926466E-8d), 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver78);
    int i82 = bracketingNthOrderBrentSolver78.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 0);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test295"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.2676506E30f, (-0.99999994f), 1.2676506E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test296"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.4887150581008033d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.08198913157460691d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test297"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(9.094947E-13f, 9.536745E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test298"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(2.417852E24f, 0, (-9));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test299"); }


    float f2 = org.apache.commons.math.util.FastMath.min(2.4178516E24f, 2.4414062E-4f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.4414062E-4f);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test300"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 1046233536, 18);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test301"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-2), 1617823322);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1617823322);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test302"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, number1, (java.lang.Number)10.000002f, true);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    boolean b7 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.000002f+ "'", number5.equals(10.000002f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test303"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setStepSizeControl(4.741297982545108d, 0.059266403869008374d, 74.73114799087398d, 0.7570464714620044d);
    java.lang.String str23 = dormandPrince853Integrator12.getName();
    int i24 = dormandPrince853Integrator12.getOrder();
    int i25 = dormandPrince853Integrator12.getOrder();
    double d26 = dormandPrince853Integrator12.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str23.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.2d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test304"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.2676506E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test305"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round((-0.9999998f), (-400423439), 105);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test306"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint((-0.25552350860610845d), 0.7586398384744519d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2515581649341717d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test307"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.8464160110682909d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.07241612998180978d));

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test308"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(18, maxCountExceededCallback1);
    int i3 = incrementor2.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 18);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test309"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.9996221167107523d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7172548292357481d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test310"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-4267496002067041879L), (-48L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-48L));

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test311"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException5 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9155494254642262d);
    java.lang.String str6 = tooManyEvaluationsException5.toString();
    java.lang.Number number7 = tooManyEvaluationsException5.getMax();
    java.lang.Throwable[] throwable_array8 = tooManyEvaluationsException5.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-50), (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(throwable1, localizable2, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"+ "'", str6.equals("org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.9155494254642262d+ "'", number7.equals(0.9155494254642262d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test312"); }


    long long2 = org.apache.commons.math.util.FastMath.max(51L, 1438694583094061459L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1438694583094061459L);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test313"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.02590408822952988d, 5.157882567943555d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.02590408822952988d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test314"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler5 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler5);
    double d7 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    double d8 = dormandPrince853Integrator4.getMinReduction();
    dormandPrince853Integrator4.setStepSizeControl((-0.604517126510635d), (-34.538776394910684d), (-0.8369082414395024d), 0.0d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler14 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler14);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler16 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler16);
    double d18 = dormandPrince853Integrator4.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.3984508954893236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test315"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Throwable throwable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.util.Incrementor incrementor18 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor18, localizable19, obj_array21);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException(throwable16, localizable17, obj_array21);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException24 = new org.apache.commons.math.exception.MathArithmeticException(localizable15, obj_array21);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException25 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)184331630, obj_array21);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0.4451963704655766d, localizable13, obj_array21);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException(localizable11, obj_array21);
    org.apache.commons.math.exception.NoBracketingException noBracketingException28 = new org.apache.commons.math.exception.NoBracketingException(localizable6, 4.641588833612779d, 1.2895909593394983d, 0.5213650110107944d, 1.4080962924814482d, obj_array21);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException29 = new org.apache.commons.math.exception.MathArithmeticException(localizable5, obj_array21);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, obj_array21);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException31 = new org.apache.commons.math.exception.NullArgumentException(localizable3, obj_array21);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException32 = new org.apache.commons.math.exception.MathIllegalStateException(throwable1, localizable2, obj_array21);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException33 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array21);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext34 = mathArithmeticException33.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext34);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test316"); }


    double[] d_array9 = new double[] { 1.0d };
    int i10 = org.apache.commons.math.util.MathUtils.hash(d_array9);
    double[] d_array14 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array14);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator17 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array9, d_array14);
    double[] d_array21 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array21);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array21);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator24 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9112116246441057d, 3.141592653589793d, d_array9, d_array21);
    double[] d_array30 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array30);
    double[] d_array36 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator37 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array30, d_array36);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator38 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(4.440892098500626E-16d, 1.077240763945245d, d_array21, d_array36);
    double[] d_array42 = new double[] { 1.0d };
    int i43 = org.apache.commons.math.util.MathUtils.hash(d_array42);
    double[] d_array47 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array47);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array42, d_array47);
    dormandPrince853Integrator50.setMaxEvaluations((-1));
    dormandPrince853Integrator50.setSafety(Double.NaN);
    double[] d_array62 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array62);
    double[] d_array68 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator69 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array62, d_array68);
    double[] d_array73 = new double[] { 1.0d };
    int i74 = org.apache.commons.math.util.MathUtils.hash(d_array73);
    double[] d_array78 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array78);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array78);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator81 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array73, d_array78);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array78);
    dormandPrince853Integrator50.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array62, d_array78);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator84 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.948840804720633E-8d, 3.754616155194645d, d_array36, d_array62);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler85 = null;
    dormandPrince853Integrator84.addStepHandler(stepHandler85);
    double d87 = dormandPrince853Integrator84.getMaxStep();
    int i88 = dormandPrince853Integrator84.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 3.754616155194645d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i88 == 8);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test317"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException(number0, (java.lang.Number)0.8656906612586714d, true);
    java.lang.Throwable[] throwable_array4 = numberIsTooLargeException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test318"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.08346440624315843d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3877787807814457E-17d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test319"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    dormandPrince853Integrator12.setInitialStepSize(0.059266403869008374d);
    dormandPrince853Integrator12.clearStepHandlers();
    double d26 = dormandPrince853Integrator12.getCurrentStepStart();
    double d27 = dormandPrince853Integrator12.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.2d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test320"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    dormandPrince853Integrator12.setInitialStepSize(8.881784197001252E-16d);
    int i19 = dormandPrince853Integrator12.getOrder();
    dormandPrince853Integrator12.setStepSizeControl(4.440892098500625E-16d, 1.5636173783113332d, 0.0d, 0.6526194064173303d);
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler25, 16.123863856382016d, (-17.686487723874038d), 1419857);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 8);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test321"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(0.945246703700736d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test322"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)7.150223147044334d, (java.lang.Number)8.470329472543003E-22d, true);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test323"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(1, 0);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test324"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(0.9112116246441057d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9112116246441057d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test325"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver10 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d11 = bracketingNthOrderBrentSolver10.getMin();
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler4, 1.1462158347805889d, (-36.784749426412844d), 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver10);
    double d13 = bracketingNthOrderBrentSolver10.getMin();
    double d14 = bracketingNthOrderBrentSolver10.getFunctionValueAccuracy();
    double d15 = bracketingNthOrderBrentSolver10.getRelativeAccuracy();
    org.apache.commons.math.ode.events.EventState eventState16 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.833505348543222d, 2.1872151235731745E-8d, 1341718977, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver10);
    double[] d_array18 = null;
    boolean b19 = eventState16.reset(0.7390416495394693d, d_array18);
    boolean b20 = eventState16.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test326"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.9645674337582357d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9880468357320042d);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test327"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException7 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array8 = tooManyEvaluationsException7.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable4, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(localizable3, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.MathInternalError mathInternalError12 = new org.apache.commons.math.exception.MathInternalError(localizable1, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext14 = mathArithmeticException13.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext14);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test328"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.0113603389568016d, 5.953536671491902E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6987555376951493E-10d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test329"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.2221604169669862d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2487716859637656d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test330"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(2.1175824E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.5243549E-29f);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test331"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 0.7413398253777113d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test332"); }


    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1072693279);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 1072693279);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, bigInteger8);
    java.math.BigInteger bigInteger12 = null;
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 0L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 1);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1502190419);
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1502190419);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 0L);
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 100);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger24, 9223372036854775807L);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, bigInteger26);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException29 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)5729.5779513082325d, (java.lang.Number)bigInteger26, false);
    java.math.BigInteger bigInteger31 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, 2147483647);
    java.math.BigInteger bigInteger34 = null;
    java.math.BigInteger bigInteger36 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, 0L);
    java.math.BigInteger bigInteger38 = org.apache.commons.math.util.MathUtils.pow(bigInteger36, 1);
    java.math.BigInteger bigInteger40 = org.apache.commons.math.util.MathUtils.pow(bigInteger38, 1502190419);
    java.math.BigInteger bigInteger42 = org.apache.commons.math.util.MathUtils.pow(bigInteger38, 1502190419);
    java.math.BigInteger bigInteger44 = org.apache.commons.math.util.MathUtils.pow(bigInteger38, 0L);
    java.math.BigInteger bigInteger46 = org.apache.commons.math.util.MathUtils.pow(bigInteger44, 5L);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException48 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.300509906445107d, (java.lang.Number)bigInteger46, false);
    java.math.BigInteger bigInteger50 = org.apache.commons.math.util.MathUtils.pow(bigInteger46, 7766279631452241920L);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException51 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)bigInteger50);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException53 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.35144838497793435d), (java.lang.Number)bigInteger50, false);
    java.math.BigInteger bigInteger54 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, bigInteger50);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger56 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, (-9));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger54);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test333"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    double d26 = dormandPrince853Integrator12.getMinReduction();
    double d27 = dormandPrince853Integrator12.getSafety();
    int i28 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler29 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler29, 0.14984126903074504d, 0.9575271327101689d, (-59));
    int i34 = dormandPrince853Integrator12.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 4.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 8);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test334"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.013522946741278134d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.013615214551561908d));

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test335"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Throwable throwable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException(throwable16, localizable17, obj_array19);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable15, obj_array19);
    org.apache.commons.math.exception.MathInternalError mathInternalError22 = new org.apache.commons.math.exception.MathInternalError(localizable14, obj_array19);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException23 = new org.apache.commons.math.exception.MathArithmeticException(localizable13, obj_array19);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException(localizable12, obj_array19);
    org.apache.commons.math.exception.NoBracketingException noBracketingException25 = new org.apache.commons.math.exception.NoBracketingException(localizable7, 9.99999999999995E-15d, Double.NaN, 0.8656906612586714d, 100.0d, obj_array19);
    org.apache.commons.math.exception.NoBracketingException noBracketingException26 = new org.apache.commons.math.exception.NoBracketingException(localizable2, 0.7928400443770229d, 0.2648422477610458d, 0.0d, 0.149947327595365d, obj_array19);
    java.lang.Throwable[] throwable_array27 = noBracketingException26.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException28 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.7182818284590458d, (java.lang.Object[])throwable_array27);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test336"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle(0.9027191411086405d, 1.5708007843088985d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9027191411086405d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test337"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(7.079949932911148d, (-0.09537061784836881d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test338"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler5 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler5);
    double d7 = dormandPrince853Integrator4.getMaxStep();
    dormandPrince853Integrator4.clearEventHandlers();
    double d9 = dormandPrince853Integrator4.getMinStep();
    dormandPrince853Integrator4.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9155494254642262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 6.283185307179586d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test339"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setMaxEvaluations(1072693279);
    double d26 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0019771093107665734d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test340"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(1.0000000004077445d, 1.0000882598061547d, 0.5919100253151238d, 3.957357174694364d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test341"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getOrder();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler15 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler15);
    double d17 = dormandPrince853Integrator12.getMinStep();
    java.lang.String str18 = dormandPrince853Integrator12.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str18.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test342"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(18, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test343"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.0200591054755326d, number1, true);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test344"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d7 = bracketingNthOrderBrentSolver6.getMin();
    org.apache.commons.math.ode.events.EventState eventState8 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.1462158347805889d, (-36.784749426412844d), 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d9 = bracketingNthOrderBrentSolver6.getMin();
    double d10 = bracketingNthOrderBrentSolver6.getFunctionValueAccuracy();
    int i11 = bracketingNthOrderBrentSolver6.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction13 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d16 = bracketingNthOrderBrentSolver6.solve((-64), univariateRealFunction13, 0.9984367915098943d, 4.457514001807516E-6d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test345"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(0.5178019232639043d, 4.28656359720808d, 62.232776660662545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test346"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(80.00002f, (-131497551));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test347"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    int i8 = bracketingNthOrderBrentSolver6.getMaximalOrder();
    double d9 = bracketingNthOrderBrentSolver6.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test348"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(3, maxCountExceededCallback1);
    int i3 = incrementor2.getCount();
    int i4 = incrementor2.getMaximalCount();
    incrementor2.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test349"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 1.7546557529119342d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test350"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i7 = bracketingNthOrderBrentSolver6.getMaximalOrder();
    int i8 = bracketingNthOrderBrentSolver6.getMaxEvaluations();
    int i9 = bracketingNthOrderBrentSolver6.getMaximalOrder();
    double d10 = bracketingNthOrderBrentSolver6.getAbsoluteAccuracy();
    double d11 = bracketingNthOrderBrentSolver6.getFunctionValueAccuracy();
    double d12 = bracketingNthOrderBrentSolver6.getRelativeAccuracy();
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.6038707724873036d, 1.7182818284590458d, (-1), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    int i14 = bracketingNthOrderBrentSolver6.getMaximalOrder();
    double d15 = bracketingNthOrderBrentSolver6.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction17 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d20 = bracketingNthOrderBrentSolver6.solve(144916783, univariateRealFunction17, 1.448738432165539E-21d, (-0.18773268287962397d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test351"); }


    long long2 = org.apache.commons.math.util.MathUtils.pow(5600402443640646519L, 5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8990180125071172311L);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test352"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable1, (java.lang.Number)5);
    java.lang.Throwable[] throwable_array4 = notStrictlyPositiveException3.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test353"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    int i16 = dormandPrince853Integrator12.getOrder();
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setStepSizeControl(0.149947327595365d, (-0.48024657258842585d), 0.018760270073627384d, 1.4142135623730951d);
    dormandPrince853Integrator12.setInitialStepSize(0.20000000000000007d);
    double d25 = dormandPrince853Integrator12.getMinReduction();
    dormandPrince853Integrator12.setStepSizeControl((-6782301.0d), 15.781931129917037d, 73.2017535418616d, 1.0265167257081755d);
    dormandPrince853Integrator12.setMaxGrowth(4.236067977499789d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.2d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test354"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.862333230164792d, 0.4086675941499451d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8623332301647919d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test355"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(1279428663);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1279428663);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test356"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-973942079), 2147483647);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test357"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-0.009208319012553144d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.580004775946128d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test358"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    double d15 = dormandPrince853Integrator12.getMinReduction();
    dormandPrince853Integrator12.setMinReduction(2.3984508954893236d);
    double d18 = dormandPrince853Integrator12.getMaxStep();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler19 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler19);
    double d21 = dormandPrince853Integrator12.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 2.3984508954893236d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test359"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(1.372116479786957d, 0.03291965982183913d, 0.9477061494047297d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test360"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(2.0200591054755326d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9007675234942044d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test361"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.908992504934637d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test362"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.8991747012839311d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.4575740412768257d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test363"); }


    double[] d_array2 = null;
    double[] d_array8 = new double[] { 1.0d };
    int i9 = org.apache.commons.math.util.MathUtils.hash(d_array8);
    double[] d_array15 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array15);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array15);
    double[] d_array21 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator22 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array15, d_array21);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator23 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.48024657258842585d), 0.4451963704655766d, d_array8, d_array21);
    double[] d_array29 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array29);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array29);
    double[] d_array35 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array35);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array35);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator38 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array29, d_array35);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array35);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator40 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.3043045862358962d, 0.13840584404423517d, d_array8, d_array35);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(67.86316455888641d, 0.02082653228865615d, d_array2, d_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test364"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(1502190419, (-1));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test365"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, (-0.02502158524429293d), (-0.0950830360951605d), 0.7615941559557649d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test366"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(9.999999999999999E-16d, (-0.9338402590734837d), 771751937);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test367"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.010919138494489042d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test368"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.4712912172273389d), (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0d));

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test369"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.043729877243601d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0216309887839155d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test370"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler5 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver11 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState12 = new org.apache.commons.math.ode.events.EventState(eventHandler5, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver11);
    double d13 = eventState12.getConvergence();
    double d14 = eventState12.getConvergence();
    java.lang.Object[] obj_array15 = new java.lang.Object[] { eventState12 };
    org.apache.commons.math.exception.MathInternalError mathInternalError16 = new org.apache.commons.math.exception.MathInternalError(localizable4, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, (java.lang.Number)0.05757659671003263d, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.5547013878302672d, obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test371"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 562220405, 1513055269);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test372"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(0, 2117164448);
    int i3 = equationsMapper2.getFirstIndex();
    int i4 = equationsMapper2.getFirstIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test373"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(0.031241271732184172d, (-0.3873707657877009d), 2.718281838434323d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test374"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-7));
    incrementor1.setMaximalCount(0);
    int i4 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test375"); }


    byte byte2 = org.apache.commons.math.util.MathUtils.copySign((byte)0, (byte)(-100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)0);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test376"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)1.0150032768063468d, (java.lang.Number)3.1332252112494685d, true);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test377"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    java.util.Collection collection15 = dormandPrince853Integrator12.getEventHandlers();
    int i16 = dormandPrince853Integrator12.getMaxEvaluations();
    double d17 = dormandPrince853Integrator12.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.7763568394002505E-15d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test378"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.819019874021468d, 1.0000044575239366d, 1.5707961828859969d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test379"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution17 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d18 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction5, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver12, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution17);
    int i19 = bracketingNthOrderBrentSolver12.getMaxEvaluations();
    double d20 = bracketingNthOrderBrentSolver12.getMin();
    org.apache.commons.math.ode.events.EventState eventState21 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.018760270073627384d, 1.4210854715202004E-14d, 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator22 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState21.reinitializeBegin(stepInterpolator22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test380"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.027362667938653856d), (java.lang.Number)1.4007783960505027d, true);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test381"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    dormandPrince853Integrator11.setMaxEvaluations((-1));
    java.util.Collection collection14 = dormandPrince853Integrator11.getEventHandlers();
    int i15 = dormandPrince853Integrator11.getEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver20 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i21 = bracketingNthOrderBrentSolver20.getEvaluations();
    double d22 = bracketingNthOrderBrentSolver20.getFunctionValueAccuracy();
    double d23 = bracketingNthOrderBrentSolver20.getRelativeAccuracy();
    dormandPrince853Integrator11.addEventHandler(eventHandler16, 4.472136028180339E-4d, 0.17744821317460924d, 974828076, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver20);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction26 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d30 = bracketingNthOrderBrentSolver20.solve(0, univariateRealFunction26, 0.0d, 1.0216309887839155d, 0.7084285931154293d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0E-14d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test382"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i3 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d4 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i5 = bracketingNthOrderBrentSolver2.getEvaluations();
    int i6 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d7 = bracketingNthOrderBrentSolver2.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test383"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator(51L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test384"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    dormandPrince853Integrator12.setInitialStepSize(0.0d);
    java.lang.String str17 = dormandPrince853Integrator12.getName();
    dormandPrince853Integrator12.setMaxGrowth(10137.984725846365d);
    int i20 = dormandPrince853Integrator12.getMaxEvaluations();
    double d21 = dormandPrince853Integrator12.getMinStep();
    int i22 = dormandPrince853Integrator12.getMaxEvaluations();
    int i23 = dormandPrince853Integrator12.getOrder();
    double d24 = dormandPrince853Integrator12.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str17.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 10137.984725846365d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test385"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.1709533984345282d, 0.44519637046557664d, 4030.247175993331d, 2.409642571217972d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test386"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    int i10 = dormandPrince853Integrator4.getOrder();
    double d11 = dormandPrince853Integrator4.getMinStep();
    double d12 = dormandPrince853Integrator4.getMinStep();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler21 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 1513055269);
    org.apache.commons.math.ode.events.EventState eventState28 = new org.apache.commons.math.ode.events.EventState(eventHandler21, 0.9717076235658828d, 0.015108108119652209d, 79, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver27);
    org.apache.commons.math.ode.events.EventState eventState29 = new org.apache.commons.math.ode.events.EventState(eventHandler17, (-70.00786523655448d), 0.8677687357352789d, 20, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver27);
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 2.637044494533935E-4d, 0.19611987803265818d, 184331630, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0778508051683775d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0778508051683775d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test387"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 0L);
    java.math.BigInteger bigInteger11 = null;
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 0L);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 1);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 1502190419);
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 1502190419);
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 0L);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, bigInteger19);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test388"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler7 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver13 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState14 = new org.apache.commons.math.ode.events.EventState(eventHandler7, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver13);
    double d15 = eventState14.getConvergence();
    double d16 = eventState14.getConvergence();
    java.lang.Object[] obj_array17 = new java.lang.Object[] { eventState14 };
    org.apache.commons.math.exception.MathInternalError mathInternalError18 = new org.apache.commons.math.exception.MathInternalError(localizable6, obj_array17);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable4, (java.lang.Number)0.05757659671003263d, obj_array17);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException(localizable2, (java.lang.Number)0.816496580927726d, obj_array17);
    org.apache.commons.math.exception.MathInternalError mathInternalError21 = new org.apache.commons.math.exception.MathInternalError(localizable1, obj_array17);
    org.apache.commons.math.exception.MathInternalError mathInternalError22 = new org.apache.commons.math.exception.MathInternalError(localizable0, obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test389"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-8.428839878591473d));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test390"); }


    double d2 = org.apache.commons.math.util.MathUtils.normalizeAngle((-1.2674254714415143d), 9.0882397E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.088239673132005E8d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test391"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator(23997317543566687L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test392"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.7763568394002505E-15d, 0.816496580927726d, 2.2250738585072014E-308d, 562220405);
    double d5 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    double d6 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    int i7 = bracketingNthOrderBrentSolver4.getEvaluations();
    int i8 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.816496580927726d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.816496580927726d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 562220405);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test393"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.021396880784484085d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test394"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, (-0.7568024953079282d), 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test395"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(8.968906101600713E-12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.968906101600713E-12d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test396"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1502190419);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1502190419);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 5L);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 0);
    java.math.BigInteger bigInteger19 = null;
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 0L);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, 1072693279);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException29 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 100.0d, 2.2250738585072014E-308d, 100.0d);
    double d30 = noBracketingException29.getHi();
    double d31 = noBracketingException29.getHi();
    double d32 = noBracketingException29.getLo();
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException35 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array36 = tooManyEvaluationsException35.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d32, localizable33, (java.lang.Object[])throwable_array36);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bigInteger21, localizable24, (java.lang.Object[])throwable_array36);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException39 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)bigInteger21);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException41 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.03292560600521167d, (java.lang.Number)bigInteger21, false);
    java.math.BigInteger bigInteger43 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, 6782461214293182951L);
    java.math.BigInteger bigInteger45 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, 3L);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException47 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0, (java.lang.Number)bigInteger45, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger45);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test397"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    int i16 = dormandPrince853Integrator12.getOrder();
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    dormandPrince853Integrator12.setStepSizeControl(0.149947327595365d, (-0.48024657258842585d), 0.018760270073627384d, 1.4142135623730951d);
    java.util.Collection collection23 = dormandPrince853Integrator12.getEventHandlers();
    double d24 = dormandPrince853Integrator12.getSafety();
    double d25 = dormandPrince853Integrator12.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.9d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test398"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.clearEventHandlers();
    dormandPrince853Integrator4.setSafety(50.85914091422952d);
    java.lang.String str8 = dormandPrince853Integrator4.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str8.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test399"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(2.3509887E-38f, 9.9999994E29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test400"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)2.4572820223166536d, (java.lang.Number)0.6038707724873037d, false);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test401"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-338217207));

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test402"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.math.BigInteger bigInteger9 = null;
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 0L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 100L);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 0);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Throwable throwable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException(throwable20, localizable21, obj_array23);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable19, obj_array23);
    org.apache.commons.math.exception.MathInternalError mathInternalError26 = new org.apache.commons.math.exception.MathInternalError(localizable18, obj_array23);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException27 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable16, (java.lang.Number)(short)0, obj_array23);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException28 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable8, (java.lang.Number)bigInteger11, obj_array23);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.math.BigInteger bigInteger30 = null;
    java.math.BigInteger bigInteger32 = org.apache.commons.math.util.MathUtils.pow(bigInteger30, 0L);
    java.math.BigInteger bigInteger34 = org.apache.commons.math.util.MathUtils.pow(bigInteger32, 1072693279);
    java.math.BigInteger bigInteger35 = null;
    java.math.BigInteger bigInteger37 = org.apache.commons.math.util.MathUtils.pow(bigInteger35, 0L);
    java.math.BigInteger bigInteger39 = org.apache.commons.math.util.MathUtils.pow(bigInteger37, 1072693279);
    java.math.BigInteger bigInteger40 = org.apache.commons.math.util.MathUtils.pow(bigInteger32, bigInteger37);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException43 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable29, (java.lang.Number)bigInteger37, (java.lang.Number)0.690620420971492d, true);
    java.math.BigInteger bigInteger44 = null;
    java.math.BigInteger bigInteger46 = org.apache.commons.math.util.MathUtils.pow(bigInteger44, 0L);
    java.math.BigInteger bigInteger48 = org.apache.commons.math.util.MathUtils.pow(bigInteger46, 100L);
    java.math.BigInteger bigInteger50 = org.apache.commons.math.util.MathUtils.pow(bigInteger46, 0);
    java.math.BigInteger bigInteger51 = org.apache.commons.math.util.MathUtils.pow(bigInteger37, bigInteger50);
    java.math.BigInteger bigInteger52 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, bigInteger51);
    java.math.BigInteger bigInteger53 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger52);
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    java.math.BigInteger bigInteger56 = null;
    java.math.BigInteger bigInteger58 = org.apache.commons.math.util.MathUtils.pow(bigInteger56, 0L);
    java.math.BigInteger bigInteger60 = org.apache.commons.math.util.MathUtils.pow(bigInteger58, 100L);
    java.math.BigInteger bigInteger62 = org.apache.commons.math.util.MathUtils.pow(bigInteger60, 1160016991);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException65 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable55, (java.lang.Number)bigInteger62, (java.lang.Number)3L, true);
    org.apache.commons.math.exception.NotPositiveException notPositiveException66 = new org.apache.commons.math.exception.NotPositiveException(localizable54, (java.lang.Number)bigInteger62);
    java.math.BigInteger bigInteger67 = org.apache.commons.math.util.MathUtils.pow(bigInteger53, bigInteger62);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException70 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)bigInteger67, (java.lang.Number)2.431134967329479d, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger67);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test403"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(12.432158399742868d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 12.0d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test404"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 1.054229579476095d, 0.43231892672451316d, 50.019941263655255d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test405"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)6, (java.lang.Number)(-35.99999999999999d), false);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test406"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.20811129203741208d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.18788335043419896d));

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test407"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.math.BigInteger bigInteger2 = null;
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 1502190419);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 1502190419);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 5L);
    java.math.BigInteger bigInteger15 = null;
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 0L);
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 1072693279);
    java.math.BigInteger bigInteger20 = null;
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 0L);
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 1072693279);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, bigInteger22);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 0);
    java.math.BigInteger bigInteger28 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, bigInteger17);
    java.math.BigInteger bigInteger29 = null;
    java.math.BigInteger bigInteger31 = org.apache.commons.math.util.MathUtils.pow(bigInteger29, 0L);
    java.math.BigInteger bigInteger33 = org.apache.commons.math.util.MathUtils.pow(bigInteger31, 1072693279);
    java.math.BigInteger bigInteger35 = org.apache.commons.math.util.MathUtils.pow(bigInteger31, 0L);
    java.math.BigInteger bigInteger36 = null;
    java.math.BigInteger bigInteger38 = org.apache.commons.math.util.MathUtils.pow(bigInteger36, 0L);
    java.math.BigInteger bigInteger40 = org.apache.commons.math.util.MathUtils.pow(bigInteger38, 1);
    java.math.BigInteger bigInteger42 = org.apache.commons.math.util.MathUtils.pow(bigInteger40, 1502190419);
    java.math.BigInteger bigInteger44 = org.apache.commons.math.util.MathUtils.pow(bigInteger40, 1502190419);
    java.math.BigInteger bigInteger46 = org.apache.commons.math.util.MathUtils.pow(bigInteger40, 0L);
    java.math.BigInteger bigInteger48 = org.apache.commons.math.util.MathUtils.pow(bigInteger46, 5L);
    java.math.BigInteger bigInteger49 = org.apache.commons.math.util.MathUtils.pow(bigInteger31, bigInteger46);
    java.math.BigInteger bigInteger50 = org.apache.commons.math.util.MathUtils.pow(bigInteger28, bigInteger31);
    java.math.BigInteger bigInteger51 = null;
    java.math.BigInteger bigInteger53 = org.apache.commons.math.util.MathUtils.pow(bigInteger51, 0L);
    java.math.BigInteger bigInteger55 = org.apache.commons.math.util.MathUtils.pow(bigInteger53, 1);
    java.math.BigInteger bigInteger56 = org.apache.commons.math.util.MathUtils.pow(bigInteger28, bigInteger55);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException57 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)bigInteger56);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException60 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable1, (java.lang.Number)bigInteger56, (java.lang.Number)9.999999999999974E-8d, false);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException61 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)bigInteger56);
    org.apache.commons.math.exception.util.Localizable localizable62 = null;
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    java.lang.Throwable throwable65 = null;
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    java.lang.Object[] obj_array68 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException69 = new org.apache.commons.math.exception.MathIllegalStateException(throwable65, localizable66, obj_array68);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException70 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable64, obj_array68);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException71 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(byte)(-1), obj_array68);
    java.lang.Throwable[] throwable_array72 = notFiniteNumberException71.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException73 = new org.apache.commons.math.exception.MathArithmeticException(localizable62, (java.lang.Object[])throwable_array72);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException74 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)bigInteger56, (java.lang.Object[])throwable_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array72);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test408"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.010298664404417401d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.010298300319205337d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test409"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.27077193044820097d, 0.999999965229981d, 1.5172796769489039d, 579126566);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test410"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math.util.MathUtils.pow((-295802387), (-46));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test411"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(10, maxCountExceededCallback1);
    incrementor2.setMaximalCount(10);
    int i5 = incrementor2.getCount();
    incrementor2.resetCount();
    incrementor2.setMaximalCount(0);
    int i9 = incrementor2.getMaximalCount();
    int i10 = incrementor2.getMaximalCount();
    int i11 = incrementor2.getMaximalCount();
    boolean b12 = incrementor2.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test412"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.3127600831788682d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test413"); }


    float f2 = org.apache.commons.math.util.Precision.round(80.0f, 57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test414"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-4.9999999999999944E14d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8812248974786587d));

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test415"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.015109152342730735d, 80);
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 0.4894851666434838d, Double.NaN, 1072693279, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    double d14 = bracketingNthOrderBrentSolver12.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState15 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 0.6795226183513847d, 2.7755575615628914E-17d, (-216006655), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution19 = org.apache.commons.math.analysis.solvers.AllowedSolution.RIGHT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d20 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1852778199, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver12, (-7.930067261567154E14d), 0.003030933051440433d, 1.3864201357589316d, allowedSolution19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution19);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test416"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(4.48659966469973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 257.0632251521048d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test417"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(10, 1072693279);
    double[] d_array6 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array8 = null;
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.insertEquationData(d_array6, d_array8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test418"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.7763568394002505E-15d, 0.816496580927726d, 2.2250738585072014E-308d, 562220405);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction10 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver13 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i14 = bracketingNthOrderBrentSolver13.getMaximalOrder();
    double d15 = bracketingNthOrderBrentSolver13.getAbsoluteAccuracy();
    double d16 = bracketingNthOrderBrentSolver13.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction21 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver28 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState29 = new org.apache.commons.math.ode.events.EventState(eventHandler22, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver28);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution33 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d34 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction21, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver28, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution33);
    double d35 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-9), univariateRealFunction10, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver13, 4.457523936552577E-6d, 0.9999828676969267d, 0.03293751191789955d, allowedSolution33);
    // The following exception was thrown during execution in test generation
    try {
      double d36 = bracketingNthOrderBrentSolver4.solve(355026449, univariateRealFunction6, 0.5546548315021972d, 0.0d, allowedSolution33);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 4.457523936552577E-6d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test419"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.9939712316540745d, 0.7570464714620044d, 1046233536);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test420"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(8.4703295E-22f, 0.0f, (-779964369));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test421"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(4.457523936552577E-6d, (-0.7211803580269606d), (-2108.0d), 17855169);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test422"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.013708152312838048d, (-0.0026045506037239985d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0112355589413196d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test423"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(8000, (-18));
    int i3 = dimensionMismatchException2.getDimension();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException5 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-0.4690112391827991d));
    dimensionMismatchException2.addSuppressed((java.lang.Throwable)maxCountExceededException5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-18));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test424"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1921167873, maxCountExceededCallback1);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test425"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(1648960001, (-4));
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-4));

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test426"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(1.5485414218800306d, 144916783, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test427"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.03291965982183913d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03346750694230407d);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test428"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-0.742780867526704d));

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test429"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0000000000000002d, 1072693279);
    double d3 = bracketingNthOrderBrentSolver2.getMax();
    double d4 = bracketingNthOrderBrentSolver2.getStartValue();
    double d5 = bracketingNthOrderBrentSolver2.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test430"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    java.util.Collection collection15 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMinReduction(7.779829578606251E-8d);
    double d18 = dormandPrince853Integrator12.getCurrentStepStart();
    java.util.Collection collection19 = dormandPrince853Integrator12.getEventHandlers();
    double d20 = dormandPrince853Integrator12.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.7763568394002505E-15d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test431"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    double d16 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    org.apache.commons.math.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver23 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i24 = bracketingNthOrderBrentSolver23.getMaximalOrder();
    double d25 = bracketingNthOrderBrentSolver23.getAbsoluteAccuracy();
    dormandPrince853Integrator12.addEventHandler(eventHandler17, 1.322986057672704d, 16.522711641858304d, (-1570073591), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver23);
    java.lang.String str27 = dormandPrince853Integrator12.getName();
    dormandPrince853Integrator12.setMaxEvaluations(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str27.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test432"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-99.99999f), 2.0282408E31f, 9.536745E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test433"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    double d10 = eventState9.getMaxCheckInterval();
    double[] d_array17 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array17);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array17);
    double[] d_array23 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator24 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array17, d_array23);
    boolean b25 = eventState9.reset(4.862269934658958d, d_array23);
    double[] d_array32 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    double[] d_array38 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array38);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array38);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array32, d_array38);
    boolean b42 = eventState9.reset(0.8656906612586714d, d_array38);
    int i43 = org.apache.commons.math.util.MathUtils.hash(d_array38);
    int i44 = org.apache.commons.math.util.MathUtils.hash(d_array38);
    double[] d_array48 = new double[] { 1.0d };
    int i49 = org.apache.commons.math.util.MathUtils.hash(d_array48);
    double[] d_array53 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array53);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator56 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array48, d_array53);
    dormandPrince853Integrator56.setMaxEvaluations((-1));
    dormandPrince853Integrator56.setSafety(Double.NaN);
    double[] d_array68 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array68);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array68);
    double[] d_array74 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator75 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array68, d_array74);
    double[] d_array79 = new double[] { 1.0d };
    int i80 = org.apache.commons.math.util.MathUtils.hash(d_array79);
    double[] d_array84 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array84);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array84);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator87 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array79, d_array84);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array84);
    dormandPrince853Integrator56.setStepSizeControl(1.6430652399243957d, 1.7453292519943295d, d_array68, d_array84);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array68);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator91 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(4.4575140018518E-6d, (-3.141592653589793d), d_array38, d_array68);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler92 = null;
    dormandPrince853Integrator91.addStepHandler(stepHandler92);
    double d94 = dormandPrince853Integrator91.getCurrentStepStart();
    double d95 = dormandPrince853Integrator91.getMinStep();
    org.apache.commons.math.exception.util.Localizable localizable96 = null;
    java.lang.Object[] obj_array97 = null;
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator91, localizable96, obj_array97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == (-2081393569));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d94, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 4.4575140018518E-6d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test434"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)2.107652442050298d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test435"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 0.0d, 3);
    double d4 = bracketingNthOrderBrentSolver3.getMax();
    int i5 = bracketingNthOrderBrentSolver3.getMaxEvaluations();
    double d6 = bracketingNthOrderBrentSolver3.getStartValue();
    double d7 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    double d8 = bracketingNthOrderBrentSolver3.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.0d));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test436"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(100.0f, 2.30584301E18f, 1764212702);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test437"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator(0.34479485034404866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test438"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(5.4210115E-20f, 0.9908339477222803d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.421012E-20f);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test439"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-1.8974377407647145d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test440"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test441"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    int i16 = dormandPrince853Integrator12.getOrder();
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    double d18 = dormandPrince853Integrator12.getMaxStep();
    dormandPrince853Integrator12.setStepSizeControl(0.3049384952265751d, 0.5213650110107944d, 2.95746451970278d, 0.005309505590247565d);
    double d24 = dormandPrince853Integrator12.getMaxStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.5213650110107944d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test442"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(7.105428E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.105428E-15f);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test443"); }


    int i1 = org.apache.commons.math.util.FastMath.round(2.1175824E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test444"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(2117164448, (-20));
    int i3 = equationsMapper2.getFirstIndex();
    int i4 = equationsMapper2.getFirstIndex();
    double[] d_array5 = null;
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator10 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler11 = null;
    dormandPrince853Integrator10.addStepHandler(stepHandler11);
    double d13 = dormandPrince853Integrator10.getMaxStep();
    dormandPrince853Integrator10.clearEventHandlers();
    int i15 = dormandPrince853Integrator10.getOrder();
    double[] d_array18 = new double[] {  };
    double[] d_array24 = new double[] { 1.0d };
    int i25 = org.apache.commons.math.util.MathUtils.hash(d_array24);
    double[] d_array31 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array31);
    double[] d_array37 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator38 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array31, d_array37);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator39 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator((-0.48024657258842585d), 0.4451963704655766d, d_array24, d_array37);
    double[] d_array41 = new double[] { 1.0d };
    int i42 = org.apache.commons.math.util.MathUtils.hash(d_array41);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.0d, (-4.4575140018518E-6d), d_array37, d_array41);
    int i44 = org.apache.commons.math.util.MathUtils.hash(d_array41);
    int i45 = org.apache.commons.math.util.MathUtils.hash(d_array41);
    dormandPrince853Integrator10.setStepSizeControl(1.7182818284590453d, 4.293516121890039d, d_array18, d_array41);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array5, d_array41);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2117164448);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2117164448);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.9155494254642262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1072693279);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test445"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0f, Float.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test446"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1072693279);
    java.math.BigInteger bigInteger8 = null;
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 0L);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 1072693279);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger10);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Throwable throwable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Throwable throwable32 = null;
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException(throwable32, localizable33, obj_array35);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException37 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable31, obj_array35);
    org.apache.commons.math.exception.MathInternalError mathInternalError38 = new org.apache.commons.math.exception.MathInternalError(localizable30, obj_array35);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException39 = new org.apache.commons.math.exception.MathArithmeticException(localizable29, obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException(localizable28, obj_array35);
    org.apache.commons.math.exception.NoBracketingException noBracketingException41 = new org.apache.commons.math.exception.NoBracketingException(localizable23, 9.99999999999995E-15d, Double.NaN, 0.8656906612586714d, 100.0d, obj_array35);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException42 = new org.apache.commons.math.exception.MathArithmeticException(localizable22, obj_array35);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException43 = new org.apache.commons.math.exception.MathArithmeticException(localizable21, obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException(throwable19, localizable20, obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException(localizable18, obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException(localizable17, obj_array35);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException47 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)2.078529171413837d, obj_array35);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException48 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1, obj_array35);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException49 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)(-1.433780830483027d), obj_array35);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException50 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test447"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    dormandPrince853Integrator12.setMaxGrowth((-0.025024196243907504d));
    org.apache.commons.math.ode.events.EventHandler eventHandler21 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState28 = new org.apache.commons.math.ode.events.EventState(eventHandler21, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver27);
    double d29 = eventState28.getMaxCheckInterval();
    double[] d_array36 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array36);
    double[] d_array42 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array36, d_array42);
    boolean b44 = eventState28.reset(4.862269934658958d, d_array42);
    double[] d_array51 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array51);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array51);
    double[] d_array57 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array57);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array57);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator60 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array51, d_array57);
    boolean b61 = eventState28.reset(0.8656906612586714d, d_array57);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array57);
    double[] d_array66 = new double[] { 1.0d };
    int i67 = org.apache.commons.math.util.MathUtils.hash(d_array66);
    double[] d_array71 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array71);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array71);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator74 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array66, d_array71);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array71);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array71);
    dormandPrince853Integrator12.setStepSizeControl(1.4198156479590958d, 1.122462048309373d, d_array57, d_array71);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test448"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1072693279);
    java.math.BigInteger bigInteger8 = null;
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 0L);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 1072693279);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, bigInteger10);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Throwable throwable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Throwable throwable32 = null;
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException(throwable32, localizable33, obj_array35);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException37 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable31, obj_array35);
    org.apache.commons.math.exception.MathInternalError mathInternalError38 = new org.apache.commons.math.exception.MathInternalError(localizable30, obj_array35);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException39 = new org.apache.commons.math.exception.MathArithmeticException(localizable29, obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException(localizable28, obj_array35);
    org.apache.commons.math.exception.NoBracketingException noBracketingException41 = new org.apache.commons.math.exception.NoBracketingException(localizable23, 9.99999999999995E-15d, Double.NaN, 0.8656906612586714d, 100.0d, obj_array35);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException42 = new org.apache.commons.math.exception.MathArithmeticException(localizable22, obj_array35);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException43 = new org.apache.commons.math.exception.MathArithmeticException(localizable21, obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException(throwable19, localizable20, obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException(localizable18, obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException(localizable17, obj_array35);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException47 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)2.078529171413837d, obj_array35);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException48 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1, obj_array35);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException49 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)(-1.433780830483027d), obj_array35);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException50 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)(-23997317543566687L), obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test449"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.0031821114634163453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test450"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.7425759303447935d, 0.9039785809958859d, 0.0d, 0.8740325992077378d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = noBracketingException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test451"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution17 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d18 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction5, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver12, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution17);
    int i19 = bracketingNthOrderBrentSolver12.getMaxEvaluations();
    double d20 = bracketingNthOrderBrentSolver12.getMin();
    int i21 = bracketingNthOrderBrentSolver12.getEvaluations();
    org.apache.commons.math.ode.events.EventState eventState22 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.7197533326848873d, 7.779829578606251E-8d, 2, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    double d23 = bracketingNthOrderBrentSolver12.getStartValue();
    double d24 = bracketingNthOrderBrentSolver12.getMin();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction26 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d29 = bracketingNthOrderBrentSolver12.solve((-928917839), univariateRealFunction26, 2.718281838434323d, (-0.38737076578770085d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test452"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.setStepSizeControl((-0.7615941559557649d), 0.0d, 1.2596508914902838E-16d, 1.300509906445107d);
    double d21 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d22 = dormandPrince853Integrator12.getCurrentStepStart();
    int i23 = dormandPrince853Integrator12.getEvaluations();
    java.util.Collection collection24 = dormandPrince853Integrator12.getStepHandlers();
    dormandPrince853Integrator12.setInitialStepSize(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection24);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test453"); }


    long long1 = org.apache.commons.math.util.MathUtils.indicator(5083355860775331687L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test454"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.0867617493061845d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0867617493061845d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test455"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.032616212332529926d, 1.7453292519943295d, 79);
    double d4 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = bracketingNthOrderBrentSolver3.solve((-180531597), univariateRealFunction6, (-8.473016236045145E-309d), (-0.006804109274704414d), 1.0344696549087316d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test456"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.7216201451761174d, 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2277730550918023E38d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test457"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    dormandPrince853Integrator4.setMaxGrowth(9.99999999999995E-15d);
    double d7 = dormandPrince853Integrator4.getMaxStep();
    double d8 = dormandPrince853Integrator4.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9155494254642262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test458"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)2.370648991272554d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test459"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(15.088784229270924d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.408195151628545d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test460"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 28.648021599659433d, 1.170953398434528d, 0.9888622630257238d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test461"); }


    double d3 = org.apache.commons.math.util.MathUtils.reduce(0.7924473533734637d, (-0.027362667938653856d), (-36.610526875578195d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.025569824750490966d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test462"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow(1796381646, 7358363221561966593L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test463"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.math.BigInteger bigInteger12 = null;
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 0L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 1);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1502190419);
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1502190419);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 0L);
    java.math.BigInteger bigInteger24 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 100);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger24, 20);
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    java.lang.Number number30 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException32 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number30, true);
    java.lang.String str33 = numberIsTooLargeException32.toString();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math.exception.MathIllegalStateException();
    numberIsTooLargeException32.addSuppressed((java.lang.Throwable)mathIllegalStateException34);
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException38 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9155494254642262d);
    java.lang.String str39 = tooManyEvaluationsException38.toString();
    java.lang.Number number40 = tooManyEvaluationsException38.getMax();
    java.lang.Throwable[] throwable_array41 = tooManyEvaluationsException38.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathIllegalStateException34, localizable36, (java.lang.Object[])throwable_array41);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException43 = new org.apache.commons.math.exception.MaxCountExceededException(localizable27, (java.lang.Number)1.2246467991473532E-16d, (java.lang.Object[])throwable_array41);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException44 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)20, (java.lang.Object[])throwable_array41);
    org.apache.commons.math.exception.NoBracketingException noBracketingException45 = new org.apache.commons.math.exception.NoBracketingException(localizable6, 1.7724538509055159d, 1.0778508051683775d, (-1.433780830483027d), 0.9996869111399764d, (java.lang.Object[])throwable_array41);
    org.apache.commons.math.exception.MathInternalError mathInternalError46 = new org.apache.commons.math.exception.MathInternalError(localizable5, (java.lang.Object[])throwable_array41);
    org.apache.commons.math.exception.NoBracketingException noBracketingException47 = new org.apache.commons.math.exception.NoBracketingException(localizable0, (-0.604517126510635d), 0.2701072618635004d, (-0.018761370532080282d), 1.6585385289047148d, (java.lang.Object[])throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.exception.NumberIsTooLargeException: -0.762 is larger than the maximum (null)"+ "'", str33.equals("org.apache.commons.math.exception.NumberIsTooLargeException: -0.762 is larger than the maximum (null)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"+ "'", str39.equals("org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + 0.9155494254642262d+ "'", number40.equals(0.9155494254642262d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test464"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    int i14 = dormandPrince853Integrator12.getOrder();
    dormandPrince853Integrator12.setInitialStepSize(1.1102230246251565E-16d);
    dormandPrince853Integrator12.setMaxGrowth(0.1505149978319906d);
    dormandPrince853Integrator12.setMinReduction(0.2722036500320409d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 8);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test465"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)(-4.4575140019108446E-6d));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test466"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-1.0d), 0.0d, 3);
    double d4 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    double d5 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    double d6 = bracketingNthOrderBrentSolver3.getRelativeAccuracy();
    double d7 = bracketingNthOrderBrentSolver3.getStartValue();
    double d8 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test467"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.8686223056594637d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test468"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    dormandPrince853Integrator4.setMaxEvaluations((-1023));
    int i12 = dormandPrince853Integrator4.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler13 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler13, 4.741297982545108d, (-36.0d), 0);
    dormandPrince853Integrator4.setInitialStepSize(0.783527087486949d);
    dormandPrince853Integrator4.clearEventHandlers();
    int i21 = dormandPrince853Integrator4.getEvaluations();
    java.util.Collection collection22 = dormandPrince853Integrator4.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection22);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test469"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array11);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0E-15d, 0.8813735870195429d, d_array5, d_array11);
    int i15 = dormandPrince853Integrator14.getMaxEvaluations();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler16 = null;
    dormandPrince853Integrator14.addStepHandler(stepHandler16);
    double d18 = dormandPrince853Integrator14.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test470"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.3647516590708613d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8606730096949379d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test471"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d5 = bracketingNthOrderBrentSolver4.getMin();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution9 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d10 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1), univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver4, 1.1102230246251565E-16d, 1.1102230246251565E-16d, 1.0d, allowedSolution9);
    int i11 = bracketingNthOrderBrentSolver4.getEvaluations();
    int i12 = bracketingNthOrderBrentSolver4.getEvaluations();
    double d13 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction15 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction19 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler20 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.015109152342730735d, 80);
    org.apache.commons.math.ode.events.EventState eventState27 = new org.apache.commons.math.ode.events.EventState(eventHandler20, 0.4894851666434838d, Double.NaN, 1072693279, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver26);
    double d28 = bracketingNthOrderBrentSolver26.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction33 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver36 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.015109152342730735d, 80);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction41 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler42 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver48 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState49 = new org.apache.commons.math.ode.events.EventState(eventHandler42, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver48);
    double d50 = bracketingNthOrderBrentSolver48.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction55 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver59 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7224284372420833d, 0.9275460829514595d, 1513055269);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution63 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d64 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1991475689, univariateRealFunction55, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver59, 0.015109152342730735d, 0.0d, 57.0d, allowedSolution63);
    double d65 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateRealFunction41, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver48, 0.0d, 0.3966073830763327d, 2.718281828459046d, allowedSolution63);
    double d66 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-981549055), univariateRealFunction33, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver36, 4.28694169484401d, 1.0013329614069104d, 1.3127600831788684d, allowedSolution63);
    double d67 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1338456335), univariateRealFunction19, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver26, (-2097.6286757209027d), 5.551115123125783E-17d, 99.00530950676811d, allowedSolution63);
    // The following exception was thrown during execution in test generation
    try {
      double d68 = bracketingNthOrderBrentSolver4.solve(8, univariateRealFunction15, 1.2814145124371763d, 0.842656783321673d, allowedSolution63);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.015109152342730735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 4.28694169484401d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == (-2097.6286757209027d));

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test472"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    double d16 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    org.apache.commons.math.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver23 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i24 = bracketingNthOrderBrentSolver23.getMaximalOrder();
    double d25 = bracketingNthOrderBrentSolver23.getAbsoluteAccuracy();
    dormandPrince853Integrator12.addEventHandler(eventHandler17, 1.322986057672704d, 16.522711641858304d, (-1570073591), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver23);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction28 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d30 = bracketingNthOrderBrentSolver23.solve(17855169, univariateRealFunction28, 1.5707935082689404d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test473"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number1, true);
    java.lang.Number number4 = numberIsTooLargeException3.getArgument();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = numberIsTooLargeException3.getContext();
    java.lang.Throwable throwable6 = null;
    // The following exception was thrown during execution in test generation
    try {
      numberIsTooLargeException3.addSuppressed(throwable6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-0.7615941559557649d)+ "'", number4.equals((-0.7615941559557649d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test474"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(0.0f, (-23), 981549055);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test475"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.1464962032220363d, 0.037277101766377996d, (-0.3256717794949655d), 0.0d);
    dormandPrince853Integrator4.setMaxEvaluations((-488298289));

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test476"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution13 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d14 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver8, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution13);
    int i15 = bracketingNthOrderBrentSolver8.getMaxEvaluations();
    double d16 = bracketingNthOrderBrentSolver8.getMin();
    double d17 = bracketingNthOrderBrentSolver8.getMin();
    double d18 = bracketingNthOrderBrentSolver8.getMin();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction20 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction25 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver29 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7224284372420833d, 0.9275460829514595d, 1513055269);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution33 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d34 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1991475689, univariateRealFunction25, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver29, 0.015109152342730735d, 0.0d, 57.0d, allowedSolution33);
    // The following exception was thrown during execution in test generation
    try {
      double d35 = bracketingNthOrderBrentSolver8.solve(579126566, univariateRealFunction20, 4.29321937617025d, 0.8740325992077377d, (-17.400387276127667d), allowedSolution33);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.015109152342730735d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test477"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-34.538776394910684d));
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test478"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)8395991454448895011L, (java.lang.Number)0.7924007402434942d, false);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test479"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.9532716338642269d, 0.842656783321673d, (-37.88322665704243d), 2029185576);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test480"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-1163651249), 521228529);
    int i4 = dimensionMismatchException3.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 521228529);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test481"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(3, maxCountExceededCallback1);
    incrementor2.resetCount();
    incrementor2.resetCount();
    incrementor2.setMaximalCount((-1146638592));
    int i7 = incrementor2.getCount();
    int i8 = incrementor2.getCount();
    int i9 = incrementor2.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test482"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 0L);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 5L);
    java.math.BigInteger bigInteger13 = null;
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 1072693279);
    java.math.BigInteger bigInteger18 = null;
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 0L);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 1072693279);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, bigInteger20);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 0);
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, bigInteger15);
    java.math.BigInteger bigInteger28 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, 9223372036854775807L);
    java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, 5L);
    org.apache.commons.math.exception.NotPositiveException notPositiveException31 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)bigInteger26);
    java.math.BigInteger bigInteger32 = null;
    java.math.BigInteger bigInteger34 = org.apache.commons.math.util.MathUtils.pow(bigInteger32, 0L);
    java.math.BigInteger bigInteger36 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, 1072693279);
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException42 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 100.0d, 2.2250738585072014E-308d, 100.0d);
    double d43 = noBracketingException42.getHi();
    double d44 = noBracketingException42.getHi();
    double d45 = noBracketingException42.getLo();
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException48 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array49 = tooManyEvaluationsException48.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d45, localizable46, (java.lang.Object[])throwable_array49);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bigInteger34, localizable37, (java.lang.Object[])throwable_array49);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException52 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)bigInteger34);
    java.math.BigInteger bigInteger54 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, 0);
    java.math.BigInteger bigInteger55 = null;
    java.math.BigInteger bigInteger57 = org.apache.commons.math.util.MathUtils.pow(bigInteger55, 0L);
    java.math.BigInteger bigInteger59 = org.apache.commons.math.util.MathUtils.pow(bigInteger57, 1072693279);
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException65 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 100.0d, 2.2250738585072014E-308d, 100.0d);
    double d66 = noBracketingException65.getHi();
    double d67 = noBracketingException65.getHi();
    double d68 = noBracketingException65.getLo();
    org.apache.commons.math.exception.util.Localizable localizable69 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException71 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array72 = tooManyEvaluationsException71.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d68, localizable69, (java.lang.Object[])throwable_array72);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bigInteger57, localizable60, (java.lang.Object[])throwable_array72);
    java.math.BigInteger bigInteger76 = org.apache.commons.math.util.MathUtils.pow(bigInteger57, 0L);
    java.math.BigInteger bigInteger77 = org.apache.commons.math.util.MathUtils.pow(bigInteger54, bigInteger57);
    java.math.BigInteger bigInteger78 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, bigInteger54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger78);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test483"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(1.1077149693638975d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1796926322);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test484"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(throwable6, localizable7, obj_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, (java.lang.Number)Double.NaN, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math.exception.MathArithmeticException(localizable1, obj_array9);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math.exception.NullArgumentException(localizable0, obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test485"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.9877659459927355d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5162812893930597d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test486"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.0031821114634163453d, 0.3873707657877009d, 1.0867617493061847d, 0.9275460829514595d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test487"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.120841282372917d, 2.0247139244349293d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5055876717310652d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test488"); }


    float f2 = org.apache.commons.math.util.FastMath.min(8.4703295E-22f, 4.5919E-41f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.5919E-41f);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test489"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable0, number1, (java.lang.Number)10.000002f, true);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number6 = numberIsTooLargeException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test490"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.016415910358782E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3188.1278367700093d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test491"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    double d26 = dormandPrince853Integrator12.getMinReduction();
    double d27 = dormandPrince853Integrator12.getSafety();
    java.util.Collection collection28 = dormandPrince853Integrator12.getEventHandlers();
    int i29 = dormandPrince853Integrator12.getEvaluations();
    java.lang.String str30 = dormandPrince853Integrator12.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 4.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str30.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test492"); }


    double d2 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.midpoint(0.05598006119233366d, 0.4451963704655766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.25058821582895513d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test493"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException12 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array13 = tooManyEvaluationsException12.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable9, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException(localizable8, (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable7, (java.lang.Object[])throwable_array13);
    java.lang.Throwable[] throwable_array17 = mathIllegalArgumentException16.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.13971613923522394d, (java.lang.Object[])throwable_array17);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)throwable_array17);
    org.apache.commons.math.exception.NoBracketingException noBracketingException20 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 8.673617379884035E-19d, (-0.3131459157823113d), 0.074821247416054d, (-0.47129121722733885d), (java.lang.Object[])throwable_array17);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test494"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 1.6585385289047148d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test495"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.03388888467389572d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test496"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval(0.596909690446534d, 1.0E-15d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test497"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math.util.MathUtils.pow(20947027L, (-3));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test498"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, (-57.972740951289936d), 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test499"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(throwable5, localizable6, obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math.exception.MathArithmeticException(localizable3, obj_array8);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)Double.NaN, obj_array8);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array8);
    java.math.BigInteger bigInteger15 = null;
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 0L);
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 1);
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 1502190419);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 1502190419);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 0L);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger25, 5L);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException29 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.300509906445107d, (java.lang.Number)bigInteger27, false);
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException33 = new org.apache.commons.math.exception.DimensionMismatchException(1425117761, 1160016991);
    java.lang.Throwable[] throwable_array34 = dimensionMismatchException33.getSuppressed();
    java.lang.Throwable[] throwable_array35 = dimensionMismatchException33.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException29, localizable30, (java.lang.Object[])throwable_array35);
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    java.lang.Throwable throwable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math.exception.MathIllegalStateException(throwable39, localizable40, obj_array42);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException44 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable37, (java.lang.Number)1.528657759578211E-308d, obj_array42);
    numberIsTooSmallException29.addSuppressed((java.lang.Throwable)notFiniteNumberException44);
    boolean b46 = numberIsTooSmallException29.getBoundIsAllowed();
    mathArithmeticException13.addSuppressed((java.lang.Throwable)numberIsTooSmallException29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest26.test500"); }


    int i2 = org.apache.commons.math.util.MathUtils.pow((-1005), 1796926322);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 311763753);

  }

}
