
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest28 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test001"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.048048508201720797d, (-0.4267611581867063d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.42945750113051906d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test002"); }


    float f2 = org.apache.commons.math.util.FastMath.max(2.4414062E-4f, 1.44115179E17f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.44115179E17f);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test003"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.4389299124917665d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3576048215531808d));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test004"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(48.89847209600498d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.616018228976933E20d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test005"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-6), (java.lang.Number)(-0.46985486319047864d), false);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test006"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getMaxCheckInterval();
    double d9 = eventState7.getConvergence();
    boolean b10 = eventState7.stop();
    double d11 = eventState7.getMaxCheckInterval();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator12 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState7.reinitializeBegin(stepInterpolator12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.018760270073627384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 3.141592653589793d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test007"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(2.88434278287886d, 0.6526194064173303d, 1.7763568394002505E-15d, 0.1505149978319906d);
    double d5 = noBracketingException4.getHi();
    double d6 = noBracketingException4.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.6526194064173303d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.1505149978319906d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test008"); }


    long long2 = org.apache.commons.math.util.FastMath.min(23997317543566687L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test009"); }


    boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isSequence(1.5649979712746827d, 1.357836413907221E-9d, 0.20048384656091298d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test010"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    double d9 = eventState7.getConvergence();
    double d10 = eventState7.getEventTime();
    double d11 = eventState7.getEventTime();
    double d12 = eventState7.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test011"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.9939712316540745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.017348070662466884d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test012"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor((-400423439));

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test013"); }


    long long2 = org.apache.commons.math.util.FastMath.min(10L, 1227324758466374519L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test014"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.4210001E-14f, (-1272213991));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test015"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1072693249, maxCountExceededCallback1);
    incrementor2.resetCount();
    incrementor2.setMaximalCount(17);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test016"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-19.893683168309337d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test017"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.037277101766377996d, 0.5282232253946453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.037277101766377996d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test018"); }


    double d1 = org.apache.commons.math.util.MathUtils.indicator((-0.03293707883841867d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test019"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.0d, 1.7546557529119342d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test020"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d5 = bracketingNthOrderBrentSolver2.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test021"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.1098310315671124d), (-454629473));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test022"); }


    org.apache.commons.math.util.MathUtils.checkFinite(0.7615941559557646d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test023"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(5.532322074302605E118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 273.4156486056334d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test024"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(710443442, (-69));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test025"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 562220405);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, (-80776726610347423L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test026"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(3.4028233E38f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test027"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler5 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler5);
    double d7 = dormandPrince853Integrator4.getMaxStep();
    dormandPrince853Integrator4.clearEventHandlers();
    int i9 = dormandPrince853Integrator4.getEvaluations();
    double d10 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    int i11 = dormandPrince853Integrator4.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9155494254642262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.3984508954893236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 8);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test028"); }


    long long2 = org.apache.commons.math.util.FastMath.max(174L, 6782461214293182951L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 6782461214293182951L);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test029"); }


    double d2 = org.apache.commons.math.util.Precision.round(0.486537611218919d, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test030"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.03291965982183912d, 1419857);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test031"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.05592165823892013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05751483291693527d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test032"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(58.31754397722276d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.105427357601002E-15d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test033"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    double d10 = eventState9.getConvergence();
    double d11 = eventState9.getConvergence();
    java.lang.Object[] obj_array12 = new java.lang.Object[] { eventState9 };
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError(localizable1, obj_array12);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)343031451, obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test034"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.solve(univariateRealFunction0, 0.3918678516158815d, 0.8665946169905339d, 0.7798304658766235d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test035"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    double d26 = dormandPrince853Integrator12.getMinReduction();
    double d27 = dormandPrince853Integrator12.getSafety();
    org.apache.commons.math.ode.events.EventHandler eventHandler28 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver34 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d35 = bracketingNthOrderBrentSolver34.getMin();
    int i36 = bracketingNthOrderBrentSolver34.getMaxEvaluations();
    dormandPrince853Integrator12.addEventHandler(eventHandler28, 74.73114799087398d, (-0.8414709848078965d), 5, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver34);
    int i38 = bracketingNthOrderBrentSolver34.getEvaluations();
    int i39 = bracketingNthOrderBrentSolver34.getEvaluations();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction41 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction45 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler46 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction51 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler52 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver58 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState59 = new org.apache.commons.math.ode.events.EventState(eventHandler52, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver58);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution63 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d64 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction51, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver58, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution63);
    double d65 = bracketingNthOrderBrentSolver58.getStartValue();
    double d66 = bracketingNthOrderBrentSolver58.getMax();
    org.apache.commons.math.ode.events.EventState eventState67 = new org.apache.commons.math.ode.events.EventState(eventHandler46, 0.0d, 8.881784197001252E-16d, (-52), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver58);
    int i68 = bracketingNthOrderBrentSolver58.getEvaluations();
    double d69 = bracketingNthOrderBrentSolver58.getFunctionValueAccuracy();
    int i70 = bracketingNthOrderBrentSolver58.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction75 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver78 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i79 = bracketingNthOrderBrentSolver78.getMaximalOrder();
    double d80 = bracketingNthOrderBrentSolver78.getStartValue();
    double d81 = bracketingNthOrderBrentSolver78.getStartValue();
    double d82 = bracketingNthOrderBrentSolver78.getMax();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction87 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver90 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d91 = bracketingNthOrderBrentSolver90.getMin();
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution95 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d96 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-1), univariateRealFunction87, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver90, 1.1102230246251565E-16d, 1.1102230246251565E-16d, 1.0d, allowedSolution95);
    double d97 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateRealFunction75, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver78, 65.67332974399221d, 4.472136028180339E-4d, (-0.8603041824228294d), allowedSolution95);
    double d98 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateRealFunction45, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver58, 7.0d, 0.9936818730711909d, 25.041263717616197d, allowedSolution95);
    // The following exception was thrown during execution in test generation
    try {
      double d99 = bracketingNthOrderBrentSolver34.solve(464571601, univariateRealFunction41, 2.334972527921981d, 0.29553464488873954d, allowedSolution95);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 4.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d96 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == 65.67332974399221d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d98 == 7.0d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test036"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 562220405);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 6);
    java.math.BigInteger bigInteger9 = null;
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 0L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 100L);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 1160016991);
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 8317044381207110793L);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, bigInteger15);
    java.math.BigInteger bigInteger19 = null;
    java.math.BigInteger bigInteger21 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 0L);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, 1072693279);
    java.math.BigInteger bigInteger24 = null;
    java.math.BigInteger bigInteger26 = org.apache.commons.math.util.MathUtils.pow(bigInteger24, 0L);
    java.math.BigInteger bigInteger28 = org.apache.commons.math.util.MathUtils.pow(bigInteger26, 1072693279);
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, bigInteger26);
    java.math.BigInteger bigInteger31 = org.apache.commons.math.util.MathUtils.pow(bigInteger21, 0);
    java.math.BigInteger bigInteger32 = null;
    java.math.BigInteger bigInteger34 = org.apache.commons.math.util.MathUtils.pow(bigInteger32, 0L);
    java.math.BigInteger bigInteger36 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, 1);
    java.math.BigInteger bigInteger38 = org.apache.commons.math.util.MathUtils.pow(bigInteger36, 1502190419);
    java.math.BigInteger bigInteger40 = org.apache.commons.math.util.MathUtils.pow(bigInteger36, 1502190419);
    java.math.BigInteger bigInteger41 = null;
    java.math.BigInteger bigInteger43 = org.apache.commons.math.util.MathUtils.pow(bigInteger41, 0L);
    java.math.BigInteger bigInteger45 = org.apache.commons.math.util.MathUtils.pow(bigInteger43, 1);
    java.math.BigInteger bigInteger46 = org.apache.commons.math.util.MathUtils.pow(bigInteger36, bigInteger43);
    java.math.BigInteger bigInteger47 = org.apache.commons.math.util.MathUtils.pow(bigInteger31, bigInteger43);
    java.math.BigInteger bigInteger48 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger48);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test037"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Throwable throwable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(throwable14, localizable15, obj_array17);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, obj_array17);
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError(localizable12, obj_array17);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math.exception.MathArithmeticException(localizable11, obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException(localizable10, obj_array17);
    org.apache.commons.math.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math.exception.NoBracketingException(localizable5, 9.99999999999995E-15d, Double.NaN, 0.8656906612586714d, 100.0d, obj_array17);
    org.apache.commons.math.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.7928400443770229d, 0.2648422477610458d, 0.0d, 0.149947327595365d, obj_array17);
    double d25 = noBracketingException24.getFHi();
    double d26 = noBracketingException24.getFHi();
    double d27 = noBracketingException24.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.149947327595365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.149947327595365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.2648422477610458d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test038"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0f, 2.7755586E-17f, (-863183459));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test039"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver5 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7224284372420833d, 0.9275460829514595d, 1513055269);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution9 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d10 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1991475689, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver5, 0.015109152342730735d, 0.0d, 57.0d, allowedSolution9);
    double d11 = bracketingNthOrderBrentSolver5.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction13 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d15 = bracketingNthOrderBrentSolver5.solve((-56), univariateRealFunction13, 0.8991747012839311d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.015109152342730735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test040"); }


    int i3 = org.apache.commons.math.util.Precision.compareTo(0.0d, 0.9860395625712818d, (-100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test041"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.setStepSizeControl((-0.7615941559557649d), 0.0d, 1.2596508914902838E-16d, 1.300509906445107d);
    dormandPrince853Integrator12.setSafety(0.8740325992077378d);
    org.apache.commons.math.ode.events.EventHandler eventHandler23 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler23, 0.24796455561297998d, 28.045434182929405d, 0);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler28 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler28);
    int i30 = dormandPrince853Integrator12.getEvaluations();
    java.lang.String str31 = dormandPrince853Integrator12.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str31.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test042"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    double d23 = dormandPrince853Integrator12.getCurrentStepStart();
    java.util.Collection collection24 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setStepSizeControl(0.0d, 5.0d, 0.41360703768803647d, 1.0243029014333047d);
    dormandPrince853Integrator12.setInitialStepSize(1.2260445113115506d);
    java.util.Collection collection32 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMaxEvaluations(1636086465);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection32);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test043"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.43231892672451316d, 0.014819416916306796d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.43231892672451316d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test044"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 0.486537611218919d, 0.8059375527696718d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test045"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.018760270073627384d, 4.623228242025177E-5d, 850603905);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test046"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-1.9753748628431094E19d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test047"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.math.BigInteger bigInteger10 = null;
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 0L);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 1072693279);
    java.math.BigInteger bigInteger15 = null;
    java.math.BigInteger bigInteger17 = org.apache.commons.math.util.MathUtils.pow(bigInteger15, 0L);
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger17, 1);
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, bigInteger19);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Throwable throwable25 = null;
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException(throwable25, localizable26, obj_array28);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException30 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable24, obj_array28);
    org.apache.commons.math.exception.MathInternalError mathInternalError31 = new org.apache.commons.math.exception.MathInternalError(localizable23, obj_array28);
    java.lang.Throwable[] throwable_array32 = mathInternalError31.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException33 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable21, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array32);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException34 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable9, (java.lang.Number)bigInteger20, (java.lang.Object[])throwable_array32);
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException38 = new org.apache.commons.math.exception.DimensionMismatchException(localizable35, 1, 1072693279);
    java.lang.Throwable[] throwable_array39 = dimensionMismatchException38.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException40 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable8, (java.lang.Number)bigInteger20, (java.lang.Object[])throwable_array39);
    org.apache.commons.math.exception.NoBracketingException noBracketingException41 = new org.apache.commons.math.exception.NoBracketingException(localizable3, 0.14984126903074504d, (-0.007178587273385134d), 0.2d, 0.99133d, (java.lang.Object[])throwable_array39);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException42 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)36.6105268755782d, (java.lang.Object[])throwable_array39);
    org.apache.commons.math.exception.MathInternalError mathInternalError43 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array39);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test048"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number1, true);
    java.lang.String str4 = numberIsTooLargeException3.toString();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math.exception.MathIllegalStateException();
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)mathIllegalStateException5);
    java.lang.Number number7 = numberIsTooLargeException3.getMax();
    java.lang.Number number8 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.exception.NumberIsTooLargeException: -0.762 is larger than the maximum (null)"+ "'", str4.equals("org.apache.commons.math.exception.NumberIsTooLargeException: -0.762 is larger than the maximum (null)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test049"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setStepSizeControl(0.6420149920119997d, 1.0787619161000126d, 0.05598002458048047d, 1.070614699497718d);
    dormandPrince853Integrator12.setInitialStepSize(0.05592165823892012d);
    dormandPrince853Integrator12.setMaxEvaluations(1852778199);
    double d24 = dormandPrince853Integrator12.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.2d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test050"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.7182818284590453d, (java.lang.Number)(byte)10, false);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    java.lang.Throwable[] throwable_array6 = numberIsTooSmallException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)10+ "'", number5.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test051"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-0.4035946902807374d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9862386742272227d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test052"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number1, true);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(throwable6, localizable7, obj_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math.exception.MathArithmeticException();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext14 = mathArithmeticException13.getContext();
    mathArithmeticException12.addSuppressed((java.lang.Throwable)mathArithmeticException13);
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)mathArithmeticException12);
    java.lang.Number number17 = numberIsTooLargeException3.getMax();
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Throwable throwable20 = null;
    org.apache.commons.math.exception.MathInternalError mathInternalError21 = new org.apache.commons.math.exception.MathInternalError(throwable20);
    org.apache.commons.math.exception.MathInternalError mathInternalError22 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathInternalError21);
    java.lang.Throwable[] throwable_array23 = mathInternalError22.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException(localizable19, (java.lang.Object[])throwable_array23);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooLargeException3, localizable18, (java.lang.Object[])throwable_array23);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext26 = mathIllegalStateException25.getContext();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathInternalError mathInternalError27 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathIllegalStateException25);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext26);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test053"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(byte)(-100));

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test054"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.0097421E-28f, 2.7755582E-17f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.7755582E-17f);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test055"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d22 = bracketingNthOrderBrentSolver21.getMin();
    dormandPrince853Integrator12.addEventHandler(eventHandler15, 1.6430652399243957d, 2.0d, 1, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    dormandPrince853Integrator12.setSafety(4.5d);
    double d26 = dormandPrince853Integrator12.getMinReduction();
    double d27 = dormandPrince853Integrator12.getSafety();
    java.util.Collection collection28 = dormandPrince853Integrator12.getEventHandlers();
    int i29 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setStepSizeControl(1.0861668553868433d, (-36.0d), 0.5795042700038123d, 177398.04205416286d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 4.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test056"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(0.15166732962650697d, 0.48546186061802493d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test057"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    double d9 = eventState7.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = eventState7.getEventHandler();
    org.apache.commons.math.ode.events.EventHandler eventHandler11 = eventState7.getEventHandler();
    double d12 = eventState7.getMaxCheckInterval();
    double d13 = eventState7.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState22 = new org.apache.commons.math.ode.events.EventState(eventHandler15, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver21);
    double d23 = eventState22.getMaxCheckInterval();
    double d24 = eventState22.getConvergence();
    boolean b25 = eventState22.stop();
    double[] d_array32 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    double[] d_array38 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator39 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array32, d_array38);
    int i40 = dormandPrince853Integrator39.getEvaluations();
    double d41 = dormandPrince853Integrator39.getCurrentStepStart();
    double[] d_array47 = new double[] { 1.0d };
    int i48 = org.apache.commons.math.util.MathUtils.hash(d_array47);
    double[] d_array52 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array52);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array52);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator55 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array47, d_array52);
    double[] d_array61 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array61);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array61);
    double[] d_array67 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator68 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array61, d_array67);
    int i69 = dormandPrince853Integrator68.getEvaluations();
    double d70 = dormandPrince853Integrator68.getCurrentSignedStepsize();
    int i71 = dormandPrince853Integrator68.getEvaluations();
    double[] d_array79 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array79);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array79);
    double[] d_array85 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator86 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array79, d_array85);
    double[] d_array90 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array90);
    dormandPrince853Integrator68.setStepSizeControl(1.0544413841537041d, 4.9E-324d, d_array85, d_array90);
    dormandPrince853Integrator39.setStepSizeControl(10.0d, 1.2596508914902838E-16d, d_array47, d_array85);
    boolean b94 = eventState22.reset(0.6402321772714369d, d_array85);
    // The following exception was thrown during execution in test generation
    try {
      eventState7.stepAccepted(0.8593267093280548d, d_array85);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.018760270073627384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == false);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test058"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentStepStart();
    dormandPrince853Integrator12.setSafety(0.0d);
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator12.addEventHandler(eventHandler18, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    dormandPrince853Integrator12.setInitialStepSize(0.059266403869008374d);
    dormandPrince853Integrator12.clearStepHandlers();
    double d26 = dormandPrince853Integrator12.getCurrentStepStart();
    double d27 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    dormandPrince853Integrator12.setMinReduction(0.1505149978319906d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 6.948840563288701E-8d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test059"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN((-0.8603041824228294d), (-1.5323522407229133d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test060"); }


    double d2 = org.apache.commons.math.util.FastMath.pow((-0.0025594381167499333d), 9.365320822440492E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test061"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.015109152342730735d, 80);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.4894851666434838d, Double.NaN, 1072693279, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = eventState7.getEventHandler();
    double d9 = eventState7.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.4894851666434838d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test062"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution13 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d14 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver8, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution13);
    double d15 = bracketingNthOrderBrentSolver8.getMin();
    int i16 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    double d17 = bracketingNthOrderBrentSolver8.getStartValue();
    double d18 = bracketingNthOrderBrentSolver8.getFunctionValueAccuracy();
    double d19 = bracketingNthOrderBrentSolver8.getStartValue();
    int i20 = bracketingNthOrderBrentSolver8.getMaxEvaluations();
    double d21 = bracketingNthOrderBrentSolver8.getMin();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction23 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d27 = bracketingNthOrderBrentSolver8.solve((-569929603), univariateRealFunction23, 0.015107427977844881d, 0.14883843464200855d, 2.9815789976039193d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test063"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(throwable7, localizable8, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, obj_array10);
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError(localizable5, obj_array10);
    java.lang.Throwable[] throwable_array14 = mathInternalError13.getSuppressed();
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, (java.lang.Object[])throwable_array14);
    java.lang.Throwable[] throwable_array16 = mathArithmeticException15.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException17 = new org.apache.commons.math.exception.NullArgumentException(localizable3, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)(-8.444743367317811E-5d), (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.MathInternalError mathInternalError19 = new org.apache.commons.math.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test064"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(2.875938624939697d, 0.0d, (-981549055));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test065"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    double d14 = eventState13.getConvergence();
    double d15 = eventState13.getConvergence();
    java.lang.Object[] obj_array16 = new java.lang.Object[] { eventState13 };
    org.apache.commons.math.exception.MathInternalError mathInternalError17 = new org.apache.commons.math.exception.MathInternalError(localizable5, obj_array16);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable3, (java.lang.Number)0.05757659671003263d, obj_array16);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, (java.lang.Number)0.816496580927726d, obj_array16);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException(localizable0, obj_array16);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext21 = mathArithmeticException20.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext21);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test066"); }


    long long2 = org.apache.commons.math.util.FastMath.min(4398619402610671617L, 51888844699L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 51888844699L);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test067"); }


    java.math.BigInteger bigInteger2 = null;
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 0L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1);
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 1502190419);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 1502190419);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger14 = org.apache.commons.math.util.MathUtils.pow(bigInteger12, 5L);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException16 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.300509906445107d, (java.lang.Number)bigInteger14, false);
    java.lang.Number number17 = numberIsTooSmallException16.getMin();
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException19 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.5301056692915843d, number17, false);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException22 = new org.apache.commons.math.exception.NumberIsTooSmallException(number17, (java.lang.Number)(byte)10, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number17);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test068"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    java.util.Collection collection13 = dormandPrince853Integrator12.getEventHandlers();
    dormandPrince853Integrator12.setMaxEvaluations(2147483647);
    double d16 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    dormandPrince853Integrator12.setMaxGrowth(1.1939140198404217d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 6.948840563288701E-8d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test069"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.528657759578211E-308d, 0.6847785255235502d, (-8.473016236045145E-309d), 1.5607966601082315d);
    java.util.Collection collection5 = dormandPrince853Integrator4.getEventHandlers();
    dormandPrince853Integrator4.setStepSizeControl((-0.4712912172273389d), 0.2648422477610458d, (-0.10491204700210689d), 1.0368451053218994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection5);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test070"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(2147483647);
    incrementor1.setMaximalCount(184331630);
    incrementor1.setMaximalCount(2029185576);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test071"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution17 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d18 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction5, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver12, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution17);
    double d19 = bracketingNthOrderBrentSolver12.getStartValue();
    double d20 = bracketingNthOrderBrentSolver12.getMax();
    org.apache.commons.math.ode.events.EventState eventState21 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 8.881784197001252E-16d, (-52), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    int i22 = bracketingNthOrderBrentSolver12.getEvaluations();
    double d23 = bracketingNthOrderBrentSolver12.getFunctionValueAccuracy();
    int i24 = bracketingNthOrderBrentSolver12.getMaxEvaluations();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction26 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d29 = bracketingNthOrderBrentSolver12.solve(33871075, univariateRealFunction26, (-0.2953265924508134d), 0.08356161774264548d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test072"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.math.BigInteger bigInteger9 = null;
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 0L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 1072693279);
    java.math.BigInteger bigInteger14 = null;
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 0L);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1);
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, bigInteger18);
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Throwable throwable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException(throwable24, localizable25, obj_array27);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable23, obj_array27);
    org.apache.commons.math.exception.MathInternalError mathInternalError30 = new org.apache.commons.math.exception.MathInternalError(localizable22, obj_array27);
    java.lang.Throwable[] throwable_array31 = mathInternalError30.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException32 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable20, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array31);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException33 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable8, (java.lang.Number)bigInteger19, (java.lang.Object[])throwable_array31);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException35 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable2, (java.lang.Number)1, (java.lang.Number)bigInteger19, false);
    java.math.BigInteger bigInteger37 = org.apache.commons.math.util.MathUtils.pow(bigInteger19, 1522829185);
    org.apache.commons.math.exception.NotPositiveException notPositiveException38 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)bigInteger19);
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException50 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10, (java.lang.Number)1.4142135623730951d, true);
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    java.lang.Throwable throwable54 = null;
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException58 = new org.apache.commons.math.exception.MathIllegalStateException(throwable54, localizable55, obj_array57);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException59 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable53, obj_array57);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException60 = new org.apache.commons.math.exception.MathArithmeticException(localizable52, obj_array57);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException61 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException50, localizable51, obj_array57);
    org.apache.commons.math.exception.MathInternalError mathInternalError62 = new org.apache.commons.math.exception.MathInternalError(localizable46, obj_array57);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException63 = new org.apache.commons.math.exception.NullArgumentException(localizable45, obj_array57);
    org.apache.commons.math.exception.NoBracketingException noBracketingException64 = new org.apache.commons.math.exception.NoBracketingException(localizable40, 0.9155494254642262d, (-1.2674254714415143d), 3.3087224502121107E-24d, 23.697937636432872d, obj_array57);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException65 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable39, obj_array57);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException66 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)bigInteger19, obj_array57);
    org.apache.commons.math.exception.MathInternalError mathInternalError67 = new org.apache.commons.math.exception.MathInternalError(localizable0, obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test073"); }


    org.apache.commons.math.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math.util.Incrementor incrementor2 = new org.apache.commons.math.util.Incrementor(1149093506, maxCountExceededCallback1);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test074"); }


    float f2 = org.apache.commons.math.util.Precision.round(1.5258789E-5f, (-18));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test075"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i15 = dormandPrince853Integrator12.getEvaluations();
    int i16 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.setMaxGrowth(0.8813735870195429d);
    double d19 = dormandPrince853Integrator12.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.9d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test076"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 0.2643496584111882d, 0.5975356730169085d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test077"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7853981633974484d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test078"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-23));
    java.lang.Number number2 = maxCountExceededException1.getMax();
    org.apache.commons.math.exception.NoBracketingException noBracketingException7 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 100.0d, 2.2250738585072014E-308d, 100.0d);
    double d8 = noBracketingException7.getHi();
    double d9 = noBracketingException7.getFLo();
    org.apache.commons.math.exception.MathInternalError mathInternalError10 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException7);
    double d11 = noBracketingException7.getLo();
    double d12 = noBracketingException7.getFHi();
    org.apache.commons.math.exception.MathInternalError mathInternalError13 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException7);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException17 = new org.apache.commons.math.exception.DimensionMismatchException(localizable14, 0, 1);
    noBracketingException7.addSuppressed((java.lang.Throwable)dimensionMismatchException17);
    maxCountExceededException1.addSuppressed((java.lang.Throwable)dimensionMismatchException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-23)+ "'", number2.equals((-23)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 100.0d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test079"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.9996869111399764d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01744782808848457d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test080"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-1272213991), 454629473);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1272213991));

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test081"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1502190419);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1502190419);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 100);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 20);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Number number19 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException21 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number19, true);
    java.lang.String str22 = numberIsTooLargeException21.toString();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException();
    numberIsTooLargeException21.addSuppressed((java.lang.Throwable)mathIllegalStateException23);
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException27 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9155494254642262d);
    java.lang.String str28 = tooManyEvaluationsException27.toString();
    java.lang.Number number29 = tooManyEvaluationsException27.getMax();
    java.lang.Throwable[] throwable_array30 = tooManyEvaluationsException27.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)mathIllegalStateException23, localizable25, (java.lang.Object[])throwable_array30);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException32 = new org.apache.commons.math.exception.MaxCountExceededException(localizable16, (java.lang.Number)1.2246467991473532E-16d, (java.lang.Object[])throwable_array30);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException33 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)20, (java.lang.Object[])throwable_array30);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext34 = maxCountExceededException33.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.exception.NumberIsTooLargeException: -0.762 is larger than the maximum (null)"+ "'", str22.equals("org.apache.commons.math.exception.NumberIsTooLargeException: -0.762 is larger than the maximum (null)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"+ "'", str28.equals("org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number29 + "' != '" + 0.9155494254642262d+ "'", number29.equals(0.9155494254642262d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext34);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test082"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, (-1593008450));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test083"); }


    org.apache.commons.math.util.Incrementor incrementor1 = new org.apache.commons.math.util.Incrementor(2147483647);
    boolean b2 = incrementor1.canIncrement();
    int i3 = incrementor1.getMaximalCount();
    int i4 = incrementor1.getMaximalCount();
    int i5 = incrementor1.getCount();
    int i6 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test084"); }


    int i1 = org.apache.commons.math.util.FastMath.round(2.7755586E-17f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test085"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 1);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 1502190419);
    java.math.BigInteger bigInteger14 = null;
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 0L);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1);
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 1502190419);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 1502190419);
    java.math.BigInteger bigInteger23 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, bigInteger22);
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, 254803968L);
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException33 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 100.0d, 2.2250738585072014E-308d, 100.0d);
    double d34 = noBracketingException33.getHi();
    double d35 = noBracketingException33.getHi();
    double d36 = noBracketingException33.getLo();
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException39 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Throwable[] throwable_array40 = tooManyEvaluationsException39.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)d36, localizable37, (java.lang.Object[])throwable_array40);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException42 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.43107595064559234d, (java.lang.Object[])throwable_array40);
    org.apache.commons.math.exception.NoBracketingException noBracketingException47 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 100.0d, 2.2250738585072014E-308d, 100.0d);
    double d48 = noBracketingException47.getHi();
    double d49 = noBracketingException47.getFLo();
    org.apache.commons.math.exception.MathInternalError mathInternalError50 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)noBracketingException47);
    notFiniteNumberException42.addSuppressed((java.lang.Throwable)mathInternalError50);
    org.apache.commons.math.exception.MathInternalError mathInternalError52 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)mathInternalError50);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException54 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-1L));
    java.lang.Number number55 = maxCountExceededException54.getMax();
    java.lang.Number number56 = maxCountExceededException54.getMax();
    mathInternalError52.addSuppressed((java.lang.Throwable)maxCountExceededException54);
    java.lang.Throwable[] throwable_array58 = maxCountExceededException54.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError59 = new org.apache.commons.math.exception.MathInternalError(localizable27, (java.lang.Object[])throwable_array58);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bigInteger22, localizable26, (java.lang.Object[])throwable_array58);
    org.apache.commons.math.exception.MathInternalError mathInternalError61 = new org.apache.commons.math.exception.MathInternalError(localizable6, (java.lang.Object[])throwable_array58);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException62 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, (java.lang.Object[])throwable_array58);
    org.apache.commons.math.exception.NoBracketingException noBracketingException63 = new org.apache.commons.math.exception.NoBracketingException(localizable0, 0.9913289159728428d, 0.8231438348718896d, 0.0d, 0.0d, (java.lang.Object[])throwable_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number55 + "' != '" + (-1L)+ "'", number55.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number56 + "' != '" + (-1L)+ "'", number56.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array58);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test086"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    double d14 = dormandPrince853Integrator12.getMaxStep();
    java.lang.String str15 = dormandPrince853Integrator12.getName();
    dormandPrince853Integrator12.setMaxGrowth(1.6430652399243957d);
    double d18 = dormandPrince853Integrator12.getMaxGrowth();
    int i19 = dormandPrince853Integrator12.getOrder();
    double d20 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.clearEventHandlers();
    dormandPrince853Integrator12.setMaxGrowth((-9.478240203991275d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str15.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.6430652399243957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.6430652399243957d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test087"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9155494254642262d, 0.0d, 0.059266403869008374d, 4.9E-324d);
    dormandPrince853Integrator4.setStepSizeControl(1.0778508051683775d, (-0.7615941559557649d), 1.1102230246251565E-16d, 4.9E-324d);
    int i10 = dormandPrince853Integrator4.getOrder();
    int i11 = dormandPrince853Integrator4.getOrder();
    dormandPrince853Integrator4.setInitialStepSize(0.8813614725999758d);
    double d14 = dormandPrince853Integrator4.getMinStep();
    double d15 = dormandPrince853Integrator4.getMaxStep();
    double d16 = dormandPrince853Integrator4.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0778508051683775d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.7615941559557649d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.2d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test088"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0f, 3.3554432E8f, 3.8146977E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test089"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, 2.4981474207244614d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.4981474207244614d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test090"); }


    double d2 = org.apache.commons.math.util.Precision.round(0.0d, (-1570073591));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test091"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i1 = bracketingNthOrderBrentSolver0.getEvaluations();
    int i2 = bracketingNthOrderBrentSolver0.getMaximalOrder();
    double d3 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-6d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test092"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-29.48548436309992d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test093"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NoBracketingException noBracketingException9 = new org.apache.commons.math.exception.NoBracketingException(99.99999999999999d, 9.999999999999989E-16d, Double.NEGATIVE_INFINITY, 2.3984508954893236d);
    double d10 = noBracketingException9.getHi();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException12 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7615941559557649d));
    java.lang.Number number13 = tooManyEvaluationsException12.getMax();
    noBracketingException9.addSuppressed((java.lang.Throwable)tooManyEvaluationsException12);
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Throwable throwable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException(throwable23, localizable24, obj_array26);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException28 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable22, obj_array26);
    org.apache.commons.math.exception.MathInternalError mathInternalError29 = new org.apache.commons.math.exception.MathInternalError(localizable21, obj_array26);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException30 = new org.apache.commons.math.exception.MathArithmeticException(localizable20, obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math.exception.MathIllegalStateException(localizable19, obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException32 = new org.apache.commons.math.exception.MathIllegalStateException(localizable18, obj_array26);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException33 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable16, (java.lang.Number)(-0.4392420037409799d), obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException12, localizable15, obj_array26);
    org.apache.commons.math.exception.NoBracketingException noBracketingException35 = new org.apache.commons.math.exception.NoBracketingException(localizable0, (-0.8489608409441388d), 6.948840563288696E-8d, 1.3127600831788684d, 0.5403023058681398d, obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 9.999999999999989E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (-0.7615941559557649d)+ "'", number13.equals((-0.7615941559557649d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test094"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException16 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.9155494254642262d);
    java.lang.String str17 = tooManyEvaluationsException16.toString();
    java.lang.Number number18 = tooManyEvaluationsException16.getMax();
    java.lang.Throwable[] throwable_array19 = tooManyEvaluationsException16.getSuppressed();
    org.apache.commons.math.exception.MathInternalError mathInternalError20 = new org.apache.commons.math.exception.MathInternalError(localizable14, (java.lang.Object[])throwable_array19);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException21 = new org.apache.commons.math.exception.MaxCountExceededException(localizable12, (java.lang.Number)1.7763568394002505E-15d, (java.lang.Object[])throwable_array19);
    org.apache.commons.math.exception.NoBracketingException noBracketingException22 = new org.apache.commons.math.exception.NoBracketingException(localizable7, 2.0d, (-35.99999999999999d), 0.7197533326848873d, 1.1752011936438014d, (java.lang.Object[])throwable_array19);
    org.apache.commons.math.exception.MathInternalError mathInternalError23 = new org.apache.commons.math.exception.MathInternalError(localizable6, (java.lang.Object[])throwable_array19);
    org.apache.commons.math.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math.exception.NoBracketingException(localizable1, 0.0d, 0.14939357487933233d, 0.03262199805121213d, 0.4672944579236915d, (java.lang.Object[])throwable_array19);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"+ "'", str17.equals("org.apache.commons.math.exception.TooManyEvaluationsException: illegal state: maximal count (0.916) exceeded: evaluations"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 0.9155494254642262d+ "'", number18.equals(0.9155494254642262d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test095"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.0d, 0.6003966072781021d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test096"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.util.Precision.round(0.8575073255996806d, (-973942079), 1017118720);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test097"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    double d7 = bracketingNthOrderBrentSolver6.getMin();
    int i8 = bracketingNthOrderBrentSolver6.getMaxEvaluations();
    int i9 = bracketingNthOrderBrentSolver6.getEvaluations();
    double d10 = bracketingNthOrderBrentSolver6.getMax();
    int i11 = bracketingNthOrderBrentSolver6.getEvaluations();
    double d12 = bracketingNthOrderBrentSolver6.getRelativeAccuracy();
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, 0.7765491853463035d, 1921167873, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction15 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = bracketingNthOrderBrentSolver6.solve((-1176574049), univariateRealFunction15, 1.5937131201191386d, 1.23094270687208d, 0.10171790900705303d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-14d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test098"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getOrder();
    int i14 = dormandPrince853Integrator12.getEvaluations();
    dormandPrince853Integrator12.clearStepHandlers();
    int i16 = dormandPrince853Integrator12.getEvaluations();
    double d17 = dormandPrince853Integrator12.getMinReduction();
    int i18 = dormandPrince853Integrator12.getOrder();
    dormandPrince853Integrator12.setMaxGrowth(0.05751305758617531d);
    java.lang.String str21 = dormandPrince853Integrator12.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str21.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test099"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(9.62965E-35f, 2.4414062E-4f, 1.694066E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test100"); }


    org.apache.commons.math.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math.exception.NoBracketingException(0.0d, 100.0d, 2.2250738585072014E-308d, 100.0d);
    double d5 = noBracketingException4.getHi();
    double d6 = noBracketingException4.getFHi();
    double d7 = noBracketingException4.getFHi();
    double d8 = noBracketingException4.getLo();
    double d9 = noBracketingException4.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.0d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test101"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math.util.MathUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math.util.MathUtils.pow(bigInteger2, 1);
    java.math.BigInteger bigInteger6 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, 1502190419);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException7 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)bigInteger4);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.math.BigInteger bigInteger9 = null;
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 0L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 1072693279);
    java.math.BigInteger bigInteger14 = null;
    java.math.BigInteger bigInteger16 = org.apache.commons.math.util.MathUtils.pow(bigInteger14, 0L);
    java.math.BigInteger bigInteger18 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, 1072693279);
    java.math.BigInteger bigInteger19 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, bigInteger16);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException22 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable8, (java.lang.Number)bigInteger16, (java.lang.Number)0.690620420971492d, true);
    java.math.BigInteger bigInteger23 = null;
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger23, 0L);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger25, 100L);
    java.math.BigInteger bigInteger29 = org.apache.commons.math.util.MathUtils.pow(bigInteger25, 0);
    java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger16, bigInteger29);
    java.math.BigInteger bigInteger32 = org.apache.commons.math.util.MathUtils.pow(bigInteger30, 100L);
    java.math.BigInteger bigInteger33 = org.apache.commons.math.util.MathUtils.pow(bigInteger4, bigInteger32);
    java.math.BigInteger bigInteger34 = null;
    java.math.BigInteger bigInteger36 = org.apache.commons.math.util.MathUtils.pow(bigInteger34, 0L);
    java.math.BigInteger bigInteger38 = org.apache.commons.math.util.MathUtils.pow(bigInteger36, 100L);
    java.math.BigInteger bigInteger40 = org.apache.commons.math.util.MathUtils.pow(bigInteger38, 1160016991);
    java.math.BigInteger bigInteger41 = org.apache.commons.math.util.MathUtils.pow(bigInteger32, bigInteger40);
    java.math.BigInteger bigInteger43 = org.apache.commons.math.util.MathUtils.pow(bigInteger41, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test102"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.isBracketing(univariateRealFunction0, 0.6748672407363759d, 1.2277730550918023E38d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test103"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(6.283185307179586d, 0.9155494254642262d, 0.7928400443770229d, 1.0E-14d);
    dormandPrince853Integrator4.setMaxGrowth(9.99999999999995E-15d);
    dormandPrince853Integrator4.setMaxGrowth(100.00850569053452d);
    org.apache.commons.math.ode.events.EventHandler eventHandler11 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver17 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState18 = new org.apache.commons.math.ode.events.EventState(eventHandler11, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver17);
    double d19 = eventState18.getConvergence();
    boolean b20 = eventState18.stop();
    double[] d_array27 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array27);
    double[] d_array33 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator34 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array27, d_array33);
    int i35 = org.apache.commons.math.util.MathUtils.hash(d_array33);
    boolean b36 = eventState18.reset(1.300509906445107d, d_array33);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array33);
    double[] d_array41 = new double[] { 1.0d };
    int i42 = org.apache.commons.math.util.MathUtils.hash(d_array41);
    double[] d_array46 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array46);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator49 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array41, d_array46);
    dormandPrince853Integrator4.setStepSizeControl((-1.035866064688194d), (-2108.0d), d_array33, d_array41);
    int i51 = dormandPrince853Integrator4.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1160016991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 8);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test104"); }


    double d2 = org.apache.commons.math.util.FastMath.min(5.480309184685774d, (-0.7211803580269606d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7211803580269606d));

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test105"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.44363547517881d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4436354751788103d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test106"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0.5101705364216335d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test107"); }


    double d1 = org.apache.commons.math.util.FastMath.log(1.2110908904786679E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-11.321403949145774d));

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test108"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(throwable6, localizable7, obj_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, obj_array9);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math.exception.MathArithmeticException(localizable4, obj_array9);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)1.0592970691139107d, obj_array9);
    org.apache.commons.math.exception.MathInternalError mathInternalError14 = new org.apache.commons.math.exception.MathInternalError(localizable2, obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, obj_array9);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math.exception.NullArgumentException(localizable0, obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test109"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-1.5707961793522898d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.0d));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test110"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number1, true);
    java.lang.Number number4 = numberIsTooLargeException3.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooLargeException3, localizable5, obj_array6);
    boolean b8 = numberIsTooLargeException3.getBoundIsAllowed();
    java.lang.Number number9 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-0.7615941559557649d)+ "'", number4.equals((-0.7615941559557649d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test111"); }


    boolean b2 = org.apache.commons.math.util.Precision.equals(3.8146977E-6f, 9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test112"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.13796772254195894d, (-0.7612300442463678d), (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test113"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, 8239601085654522523L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test114"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.bracket(univariateRealFunction0, 0.02590408822952988d, 1.0000044575239366d, 0.0d, 184331630);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test115"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper(521228529, 1341718977);
    int i3 = equationsMapper2.getFirstIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 521228529);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test116"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash((-3.9204479224411424d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 216739697);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test117"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i1 = bracketingNthOrderBrentSolver0.getEvaluations();
    double d2 = bracketingNthOrderBrentSolver0.getFunctionValueAccuracy();
    double d3 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = bracketingNthOrderBrentSolver0.solve((-125000), univariateRealFunction5, (-3.4135046258969144d), (-0.01106989639149045d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-6d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test118"); }


    int i1 = org.apache.commons.math.util.MathUtils.hash(0.020068666377598746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1485049536);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test119"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyBracketing(univariateRealFunction0, 1.418587495498339d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test120"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(1.5258789E-5f, 9.536743E-7f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test121"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.7084285931154293d, (java.lang.Number)(-8990210967634777851L), true);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test122"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-0.2668764516828486d), 1522829185);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test123"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10, (java.lang.Number)1.4142135623730951d, true);
    org.apache.commons.math.exception.MathInternalError mathInternalError4 = new org.apache.commons.math.exception.MathInternalError((java.lang.Throwable)numberIsTooSmallException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.8364588349989565d, 3);
    org.apache.commons.math.ode.events.EventState eventState13 = new org.apache.commons.math.ode.events.EventState(eventHandler6, 3.141592653589793d, (-0.018760270073627384d), 10, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    double[] d_array22 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array22);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array22);
    double[] d_array28 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator29 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array22, d_array28);
    int i30 = dormandPrince853Integrator29.getEvaluations();
    double d31 = dormandPrince853Integrator29.getCurrentStepStart();
    double d32 = dormandPrince853Integrator29.getMaxStep();
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Throwable throwable36 = null;
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException(throwable36, localizable37, obj_array39);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException41 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable35, obj_array39);
    org.apache.commons.math.exception.MathInternalError mathInternalError42 = new org.apache.commons.math.exception.MathInternalError(localizable34, obj_array39);
    java.lang.Throwable[] throwable_array43 = mathInternalError42.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator29, localizable33, (java.lang.Object[])throwable_array43);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException45 = new org.apache.commons.math.exception.NullArgumentException(localizable16, (java.lang.Object[])throwable_array43);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException(localizable15, (java.lang.Object[])throwable_array43);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)3.141592653589793d, localizable14, (java.lang.Object[])throwable_array43);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)numberIsTooSmallException3, localizable5, (java.lang.Object[])throwable_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array43);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test124"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState9 = new org.apache.commons.math.ode.events.EventState(eventHandler2, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution13 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d14 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver8, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution13);
    double d15 = bracketingNthOrderBrentSolver8.getMin();
    int i16 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    double d17 = bracketingNthOrderBrentSolver8.getStartValue();
    double d18 = bracketingNthOrderBrentSolver8.getFunctionValueAccuracy();
    double d19 = bracketingNthOrderBrentSolver8.getStartValue();
    double d20 = bracketingNthOrderBrentSolver8.getFunctionValueAccuracy();
    double d21 = bracketingNthOrderBrentSolver8.getMax();
    int i22 = bracketingNthOrderBrentSolver8.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test125"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    double d9 = eventState7.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = eventState7.getEventHandler();
    boolean b11 = eventState7.stop();
    double d12 = eventState7.getMaxCheckInterval();
    double d13 = eventState7.getConvergence();
    double[] d_array20 = new double[] { 1.0d };
    int i21 = org.apache.commons.math.util.MathUtils.hash(d_array20);
    double[] d_array25 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array20, d_array25);
    double[] d_array32 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array32);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator35 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9112116246441057d, 3.141592653589793d, d_array20, d_array32);
    boolean b36 = eventState7.reset(0.6795226183513846d, d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test126"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.6758972508490749d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test127"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1);
    java.math.BigInteger bigInteger9 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 1502190419);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 1502190419);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, 5L);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.300509906445107d, (java.lang.Number)bigInteger15, false);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(2.0d, 4.616135024343307E-39d, 1.570796326794896d, 0.1504077273281217d);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 1.570796326794896d };
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException27 = new org.apache.commons.math.exception.MathArithmeticException(localizable20, obj_array26);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException28 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)0.008987728383293009d, obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException17, localizable18, obj_array26);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException30 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)1.599749141463563d, obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test128"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i3 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d4 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = bracketingNthOrderBrentSolver2.solve((-1166016511), univariateRealFunction6, 0.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test129"); }


    long long2 = org.apache.commons.math.util.FastMath.min(51888844699L, 1976852683310244867L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 51888844699L);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test130"); }


    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
    double[] d_array7 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array7);
    double[] d_array13 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array7, d_array13);
    int i15 = dormandPrince853Integrator14.getEvaluations();
    double d16 = dormandPrince853Integrator14.getCurrentStepStart();
    dormandPrince853Integrator14.setSafety(0.0d);
    int i19 = dormandPrince853Integrator14.getMaxEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler20 = null;
    dormandPrince853Integrator14.addEventHandler(eventHandler20, 0.9155494254642262d, 1.7763568394002505E-15d, (-23));
    org.apache.commons.math.ode.events.EventHandler eventHandler25 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler29 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver33 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver();
    int i34 = bracketingNthOrderBrentSolver33.getEvaluations();
    double d35 = bracketingNthOrderBrentSolver33.getFunctionValueAccuracy();
    org.apache.commons.math.ode.events.EventState eventState36 = new org.apache.commons.math.ode.events.EventState(eventHandler29, 3.1622776601683785E-8d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver33);
    dormandPrince853Integrator14.addEventHandler(eventHandler25, 3.141592653589793d, 1.0E-14d, (-1991475689), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver33);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction42 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver45 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i46 = bracketingNthOrderBrentSolver45.getMaximalOrder();
    double d47 = bracketingNthOrderBrentSolver45.getAbsoluteAccuracy();
    double d48 = bracketingNthOrderBrentSolver45.getAbsoluteAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction53 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver60 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState61 = new org.apache.commons.math.ode.events.EventState(eventHandler54, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver60);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution65 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d66 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(100, univariateRealFunction53, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver60, 0.9913289158005998d, 1.1102230246251565E-16d, 0.0d, allowedSolution65);
    double d67 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-9), univariateRealFunction42, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver45, 4.457523936552577E-6d, 0.9999828676969267d, 0.03293751191789955d, allowedSolution65);
    double d68 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(123, univariateRealFunction1, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver33, 0.0d, 0.5409081788964342d, (-50.01572110003319d), allowedSolution65);
    double d69 = bracketingNthOrderBrentSolver33.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.9913289158005998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 4.457523936552577E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test131"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math.util.Precision.round(1.3552526E-19f, 2106714420, (-53));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test132"); }


    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)4.4575140018518E-6d, (java.lang.Number)10.000001f, false);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException6 = new org.apache.commons.math.exception.NotFiniteNumberException((java.lang.Number)6.643520733367913d, (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test133"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, (-1.5523023452980969d), 3);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test134"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(2.684146680641335E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.684146648410803E-4d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test135"); }


    int i1 = org.apache.commons.math.util.MathUtils.indicator(1046233536);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test136"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(short)10);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test137"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.9535708819095106d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1047984742727628d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test138"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.463620386114094E-7d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test139"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math.util.MathUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 1072693279);
    java.math.BigInteger bigInteger6 = null;
    java.math.BigInteger bigInteger8 = org.apache.commons.math.util.MathUtils.pow(bigInteger6, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 1072693279);
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, bigInteger8);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0);
    org.apache.commons.math.exception.NotPositiveException notPositiveException14 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)bigInteger13);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException17 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)bigInteger13, (java.lang.Number)0.8369082414395024d, false);
    java.math.BigInteger bigInteger18 = null;
    java.math.BigInteger bigInteger20 = org.apache.commons.math.util.MathUtils.pow(bigInteger18, 0L);
    java.math.BigInteger bigInteger22 = org.apache.commons.math.util.MathUtils.pow(bigInteger20, 1072693279);
    java.math.BigInteger bigInteger23 = null;
    java.math.BigInteger bigInteger25 = org.apache.commons.math.util.MathUtils.pow(bigInteger23, 0L);
    java.math.BigInteger bigInteger27 = org.apache.commons.math.util.MathUtils.pow(bigInteger25, 1);
    java.math.BigInteger bigInteger28 = org.apache.commons.math.util.MathUtils.pow(bigInteger22, bigInteger27);
    java.math.BigInteger bigInteger30 = org.apache.commons.math.util.MathUtils.pow(bigInteger28, 1);
    java.math.BigInteger bigInteger31 = org.apache.commons.math.util.MathUtils.pow(bigInteger13, bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test140"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    dormandPrince853Integrator12.setStepSizeControl((-0.7615941559557649d), 0.0d, 1.2596508914902838E-16d, 1.300509906445107d);
    double d21 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    int i22 = dormandPrince853Integrator12.getOrder();
    dormandPrince853Integrator12.setSafety(1.3234889800848443E-23d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 8);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test141"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(14.96102259122249d, (-0.8812248974786587d), 10);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test142"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.exception.MathInternalError mathInternalError4 = new org.apache.commons.math.exception.MathInternalError(localizable2, obj_array3);
    java.lang.Throwable[] throwable_array5 = mathInternalError4.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException6 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(-17.712712402600175d), (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test143"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.618691201710122d), (java.lang.Number)8.591349020479957d, false);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Throwable throwable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(throwable13, localizable14, obj_array16);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable12, obj_array16);
    org.apache.commons.math.exception.MathInternalError mathInternalError19 = new org.apache.commons.math.exception.MathInternalError(localizable11, obj_array16);
    org.apache.commons.math.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math.exception.MathArithmeticException(localizable10, obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException(localizable9, obj_array16);
    org.apache.commons.math.exception.NoBracketingException noBracketingException22 = new org.apache.commons.math.exception.NoBracketingException(localizable4, 9.99999999999995E-15d, Double.NaN, 0.8656906612586714d, 100.0d, obj_array16);
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)noBracketingException22);
    double d24 = noBracketingException22.getFHi();
    double d25 = noBracketingException22.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 9.99999999999995E-15d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test144"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-59));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 59);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test145"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 3.4525435914628857d, (-8.444743377354908E-5d), 1586880529);
    double d5 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    int i6 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    double d7 = bracketingNthOrderBrentSolver4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1586880529);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test146"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.3864201357589316d, 0.0d, 124);
    double d4 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test147"); }


    double[] d_array3 = new double[] { 1.0d };
    int i4 = org.apache.commons.math.util.MathUtils.hash(d_array3);
    double[] d_array8 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array8);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array3, d_array8);
    java.lang.String str12 = dormandPrince853Integrator11.getName();
    java.util.Collection collection13 = dormandPrince853Integrator11.getStepHandlers();
    int i14 = dormandPrince853Integrator11.getOrder();
    int i15 = dormandPrince853Integrator11.getEvaluations();
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver22 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i23 = bracketingNthOrderBrentSolver22.getMaxEvaluations();
    int i24 = bracketingNthOrderBrentSolver22.getEvaluations();
    int i25 = bracketingNthOrderBrentSolver22.getMaxEvaluations();
    double d26 = bracketingNthOrderBrentSolver22.getAbsoluteAccuracy();
    double d27 = bracketingNthOrderBrentSolver22.getFunctionValueAccuracy();
    dormandPrince853Integrator11.addEventHandler(eventHandler16, 0.5301056692915843d, 0.0d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str12.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0E-15d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test148"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    dormandPrince853Integrator12.setInitialStepSize(6.948840563288701E-8d);
    dormandPrince853Integrator12.setSafety(1.1462158347805889d);
    java.util.Collection collection17 = dormandPrince853Integrator12.getEventHandlers();
    double d18 = dormandPrince853Integrator12.getMaxGrowth();
    double d19 = dormandPrince853Integrator12.getMinStep();
    java.util.Collection collection20 = dormandPrince853Integrator12.getStepHandlers();
    org.apache.commons.math.ode.sampling.StepHandler stepHandler21 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection20);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test149"); }


    int i1 = org.apache.commons.math.util.MathUtils.sign(1772583903);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test150"); }


    boolean b3 = org.apache.commons.math.util.Precision.equals(2.0282408E31f, 4.5474735E-13f, 2.81474977E14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test151"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 80, (-41));

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test152"); }


    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 1023);
    int i3 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    double d4 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test153"); }


    long long1 = org.apache.commons.math.util.FastMath.round(9.760170594441698E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test154"); }


    boolean b2 = org.apache.commons.math.util.Precision.equalsIncludingNaN(1.1920928E-7f, 3.43597363E10f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test155"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    double[] d_array6 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array6);
    double[] d_array12 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array6, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    double d15 = dormandPrince853Integrator13.getCurrentStepStart();
    double d16 = dormandPrince853Integrator13.getMaxStep();
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Throwable throwable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException(throwable20, localizable21, obj_array23);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable19, obj_array23);
    org.apache.commons.math.exception.MathInternalError mathInternalError26 = new org.apache.commons.math.exception.MathInternalError(localizable18, obj_array23);
    java.lang.Throwable[] throwable_array27 = mathInternalError26.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator13, localizable17, (java.lang.Object[])throwable_array27);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test156"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.37704204350606835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test157"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.025021584263400103d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.025024195916837605d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test158"); }


    org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.verifyInterval((-0.007178648929446022d), 1.0943609911779717d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test159"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver9 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7928400443770229d, 0.13971613923522394d, 184331630);
    double d10 = bracketingNthOrderBrentSolver9.getRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction15 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver18 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.015109152342730735d, 80);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction23 = null;
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState31 = new org.apache.commons.math.ode.events.EventState(eventHandler24, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver30);
    double d32 = bracketingNthOrderBrentSolver30.getStartValue();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction37 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver41 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(0.7224284372420833d, 0.9275460829514595d, 1513055269);
    org.apache.commons.math.analysis.solvers.AllowedSolution allowedSolution45 = org.apache.commons.math.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d46 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(1991475689, univariateRealFunction37, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver41, 0.015109152342730735d, 0.0d, 57.0d, allowedSolution45);
    double d47 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide(0, univariateRealFunction23, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver30, 0.0d, 0.3966073830763327d, 2.718281828459046d, allowedSolution45);
    double d48 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-981549055), univariateRealFunction15, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver18, 4.28694169484401d, 1.0013329614069104d, 1.3127600831788684d, allowedSolution45);
    double d49 = org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.forceSide((-318240364), univariateRealFunction5, (org.apache.commons.math.analysis.solvers.BracketedUnivariateRealSolver)bracketingNthOrderBrentSolver9, 0.149947327595365d, 5.833583645005155d, 1.007469917424246d, allowedSolution45);
    org.apache.commons.math.ode.events.EventState eventState50 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 53.144475857009986d, 3.183844764339955E-4d, 0, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.7928400443770229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.015109152342730735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 4.28694169484401d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.149947327595365d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test160"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, 80776726610347423L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test161"); }


    double[] d_array5 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 10.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.7763568394002505E-15d, 2.718281828459045d, d_array5, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    double d15 = dormandPrince853Integrator12.getMaxGrowth();
    int i16 = dormandPrince853Integrator12.getOrder();
    int i17 = dormandPrince853Integrator12.getMaxEvaluations();
    double d18 = dormandPrince853Integrator12.getSafety();
    dormandPrince853Integrator12.setMaxEvaluations((-2147483648));
    org.apache.commons.math.ode.events.EventHandler eventHandler21 = null;
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator29 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(Double.POSITIVE_INFINITY, 0.1505149978319906d, 0.7928400443770229d, 9.999999999999989E-16d);
    dormandPrince853Integrator29.clearStepHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler31 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver37 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    int i38 = bracketingNthOrderBrentSolver37.getMaximalOrder();
    double d39 = bracketingNthOrderBrentSolver37.getStartValue();
    double d40 = bracketingNthOrderBrentSolver37.getStartValue();
    double d41 = bracketingNthOrderBrentSolver37.getMax();
    dormandPrince853Integrator29.addEventHandler(eventHandler31, 2.9687936725537917E-8d, 0.7036681688727524d, (-1146638592), (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver37);
    dormandPrince853Integrator12.addEventHandler(eventHandler21, 9.999999999999974E-8d, (-0.002799526776419233d), 47, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver37);
    dormandPrince853Integrator12.clearStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 6.948840563288701E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test162"); }


    org.apache.commons.math.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math.ode.EquationsMapper((-981549055), 0);
    int i3 = equationsMapper2.getDimension();
    int i4 = equationsMapper2.getFirstIndex();
    int i5 = equationsMapper2.getDimension();
    int i6 = equationsMapper2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-981549055));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test163"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter((-3.4028235E38f), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-3.4028233E38f));

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test164"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)1.149548905166106d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test165"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    double d8 = eventState7.getConvergence();
    boolean b9 = eventState7.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler10 = eventState7.getEventHandler();
    double d11 = eventState7.getConvergence();
    double d12 = eventState7.getEventTime();
    double d13 = eventState7.getMaxCheckInterval();
    double d14 = eventState7.getEventTime();
    double d15 = eventState7.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.059266403869008374d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.059266403869008374d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test166"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver((-36.784749426412844d), 1.7763568394002505E-15d, 0.0d, 1586880529);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException13 = new org.apache.commons.math.exception.DimensionMismatchException(localizable10, 8, 0);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.util.Incrementor incrementor16 = new org.apache.commons.math.util.Incrementor();
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 2.0d };
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)incrementor16, localizable17, obj_array19);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException(localizable15, obj_array19);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)0, localizable14, obj_array19);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException23 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable8, (java.lang.Number)6.283185307179586d, obj_array19);
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)bracketingNthOrderBrentSolver6, localizable7, obj_array19);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, obj_array19);
    java.lang.Throwable[] throwable_array26 = mathIllegalArgumentException25.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test167"); }


    boolean b3 = org.apache.commons.math.util.Precision.equalsIncludingNaN(0.0f, 2.5243549E-29f, 9999999.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test168"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(short)(-1), (java.lang.Number)(-52), false);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.math.BigInteger bigInteger9 = null;
    java.math.BigInteger bigInteger11 = org.apache.commons.math.util.MathUtils.pow(bigInteger9, 0L);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 100L);
    java.math.BigInteger bigInteger15 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, 0);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Throwable throwable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException(throwable20, localizable21, obj_array23);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable19, obj_array23);
    org.apache.commons.math.exception.MathInternalError mathInternalError26 = new org.apache.commons.math.exception.MathInternalError(localizable18, obj_array23);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException27 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable16, (java.lang.Number)(short)0, obj_array23);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException28 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable8, (java.lang.Number)bigInteger11, obj_array23);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.math.BigInteger bigInteger30 = null;
    java.math.BigInteger bigInteger32 = org.apache.commons.math.util.MathUtils.pow(bigInteger30, 0L);
    java.math.BigInteger bigInteger34 = org.apache.commons.math.util.MathUtils.pow(bigInteger32, 1072693279);
    java.math.BigInteger bigInteger35 = null;
    java.math.BigInteger bigInteger37 = org.apache.commons.math.util.MathUtils.pow(bigInteger35, 0L);
    java.math.BigInteger bigInteger39 = org.apache.commons.math.util.MathUtils.pow(bigInteger37, 1072693279);
    java.math.BigInteger bigInteger40 = org.apache.commons.math.util.MathUtils.pow(bigInteger32, bigInteger37);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException43 = new org.apache.commons.math.exception.NumberIsTooLargeException(localizable29, (java.lang.Number)bigInteger37, (java.lang.Number)0.690620420971492d, true);
    java.math.BigInteger bigInteger44 = null;
    java.math.BigInteger bigInteger46 = org.apache.commons.math.util.MathUtils.pow(bigInteger44, 0L);
    java.math.BigInteger bigInteger48 = org.apache.commons.math.util.MathUtils.pow(bigInteger46, 100L);
    java.math.BigInteger bigInteger50 = org.apache.commons.math.util.MathUtils.pow(bigInteger46, 0);
    java.math.BigInteger bigInteger51 = org.apache.commons.math.util.MathUtils.pow(bigInteger37, bigInteger50);
    java.math.BigInteger bigInteger52 = org.apache.commons.math.util.MathUtils.pow(bigInteger11, bigInteger51);
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException54 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)0.9999930253396107d, (java.lang.Number)bigInteger51, false);
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    java.lang.Number number61 = null;
    org.apache.commons.math.exception.NumberIsTooLargeException numberIsTooLargeException63 = new org.apache.commons.math.exception.NumberIsTooLargeException((java.lang.Number)(-0.7615941559557649d), number61, true);
    java.lang.Number number64 = numberIsTooLargeException63.getArgument();
    java.lang.Throwable[] throwable_array65 = numberIsTooLargeException63.getSuppressed();
    org.apache.commons.math.util.MathUtils.checkNotNull((java.lang.Object)throwable_array65);
    org.apache.commons.math.exception.NoBracketingException noBracketingException67 = new org.apache.commons.math.exception.NoBracketingException(localizable55, 0.03291371557103406d, (-0.008255126546709544d), 2.1013414580646996d, 41.0d, (java.lang.Object[])throwable_array65);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException68 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable6, (java.lang.Number)bigInteger51, (java.lang.Object[])throwable_array65);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException69 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException4, localizable5, (java.lang.Object[])throwable_array65);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number64 + "' != '" + (-0.7615941559557649d)+ "'", number64.equals((-0.7615941559557649d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array65);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test169"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math.util.MathUtils.pow(bigInteger3, 0L);
    java.math.BigInteger bigInteger7 = org.apache.commons.math.util.MathUtils.pow(bigInteger5, 1072693279);
    java.math.BigInteger bigInteger8 = null;
    java.math.BigInteger bigInteger10 = org.apache.commons.math.util.MathUtils.pow(bigInteger8, 0L);
    java.math.BigInteger bigInteger12 = org.apache.commons.math.util.MathUtils.pow(bigInteger10, 1);
    java.math.BigInteger bigInteger13 = org.apache.commons.math.util.MathUtils.pow(bigInteger7, bigInteger12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Throwable throwable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 1.1102230246251565E-16d };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException(throwable18, localizable19, obj_array21);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable17, obj_array21);
    org.apache.commons.math.exception.MathInternalError mathInternalError24 = new org.apache.commons.math.exception.MathInternalError(localizable16, obj_array21);
    java.lang.Throwable[] throwable_array25 = mathInternalError24.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException26 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable14, (java.lang.Number)4.5d, (java.lang.Object[])throwable_array25);
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException27 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable2, (java.lang.Number)bigInteger13, (java.lang.Object[])throwable_array25);
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException31 = new org.apache.commons.math.exception.DimensionMismatchException(localizable28, 1, 1072693279);
    java.lang.Throwable[] throwable_array32 = dimensionMismatchException31.getSuppressed();
    org.apache.commons.math.exception.NotFiniteNumberException notFiniteNumberException33 = new org.apache.commons.math.exception.NotFiniteNumberException(localizable1, (java.lang.Number)bigInteger13, (java.lang.Object[])throwable_array32);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException35 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.4515827052894548d, (java.lang.Number)bigInteger13, true);
    java.lang.Number number36 = numberIsTooSmallException35.getMin();
    boolean b37 = numberIsTooSmallException35.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test170"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(3282.806350011744d, 0.4136302015514526d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3282.806350011744d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test171"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.49656354607227216d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.49656354607227216d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test172"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 100);
    org.apache.commons.math.ode.events.EventState eventState7 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 1.4142135623730951d, 0.059266403869008374d, 100, (org.apache.commons.math.analysis.solvers.UnivariateRealSolver)bracketingNthOrderBrentSolver6);
    boolean b8 = eventState7.stop();
    double[] d_array13 = new double[] { 1.0d };
    int i14 = org.apache.commons.math.util.MathUtils.hash(d_array13);
    double[] d_array18 = new double[] { (-1.0d), 0.0d, 0.0d };
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    org.apache.commons.math.util.MathUtils.checkFinite(d_array18);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator21 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.7928400443770229d, (-0.7182818284590455d), d_array13, d_array18);
    boolean b22 = eventState7.reset(99.99999999999999d, d_array18);
    double d23 = eventState7.getEventTime();
    org.apache.commons.math.ode.events.EventHandler eventHandler24 = eventState7.getEventHandler();
    double d25 = eventState7.getEventTime();
    double d26 = eventState7.getEventTime();
    double d27 = eventState7.getEventTime();
    double d28 = eventState7.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.059266403869008374d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest28.test173"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.5607966601082315d, (java.lang.Number)(-0.99999976f), false);

  }

}
